CREATE TABLE Ethnic_Group (
    Country CHARACTER(2),
    Name CHARACTER VARYING(50),
    Percentage NUMERIC
        CONSTRAINT Ethnic_Group_Percentage_Check CHECK (
             (Percentage > 0) AND (Percentage <= 100)
        ),
    CONSTRAINT Ethnic_Group_Key PRIMARY KEY (Country, Name)
);
