CREATE TABLE Island (
    Name CHARACTER VARYING(30)
        CONSTRAINT Island_Key PRIMARY KEY,
    Islands CHARACTER VARYING(30),
    Area NUMERIC
        CONSTRAINT Island_Area_Check CHECK (
             Area >= 0
        ),
    Coordinates GeoCoord
        CONSTRAINT Island_Coordinates_Check CHECK (
             ((Coordinates).Longitude >= -180) AND
             ((Coordinates).Longitude <= 180) AND
             ((Coordinates).Latitude >= -90) AND
             ((Coordinates).Latitude <= 90)
        )
);
