CREATE TABLE Religion (
    Country CHARACTER(2),
    Name CHARACTER VARYING(50),
    Percentage NUMERIC
        CONSTRAINT Religion_Percentage_Check CHECK (
             (Percentage > 0) AND (Percentage <= 100)
        ),
    CONSTRAINT Religion_Key PRIMARY KEY (Country, Name)
);
