BEGIN;
PREPARE geo_desert_plan (VARCHAR, CHAR, VARCHAR) AS
    INSERT INTO geo_desert(Desert, Country, Province)
        VALUES($1, $2, $3);
EXECUTE geo_desert_plan('Grand Sand Desert', 'au', 'Northern Territory');
EXECUTE geo_desert_plan('Simpson Desert', 'au', 'Northern Territory');
EXECUTE geo_desert_plan('Tanami', 'au', 'Northern Territory');
EXECUTE geo_desert_plan('Simpson Desert', 'au', 'Queensland');
EXECUTE geo_desert_plan('Grand Victoria Desert', 'au', 'South Australia');
EXECUTE geo_desert_plan('Simpson Desert', 'au', 'South Australia');
EXECUTE geo_desert_plan('Gibson Desert', 'au', 'Western Australia');
EXECUTE geo_desert_plan('Grand Sand Desert', 'au', 'Western Australia');
EXECUTE geo_desert_plan('Grand Victoria Desert', 'au', 'Western Australia');
EXECUTE geo_desert_plan('Kalahari', 'bw', 'Ghanzi');
EXECUTE geo_desert_plan('Kalahari', 'bw', 'Kgalagadi North');
EXECUTE geo_desert_plan('Kalahari', 'bw', 'Kgalagadi South');
EXECUTE geo_desert_plan('Kalahari', 'bw', 'Kweneng');
EXECUTE geo_desert_plan('Kalahari', 'bw', 'South East');
EXECUTE geo_desert_plan('Atacama', 'cl', 'Antofagasta');
EXECUTE geo_desert_plan('Atacama', 'cl', 'Atacama');
EXECUTE geo_desert_plan('Atacama', 'cl', 'Coquimbo');
EXECUTE geo_desert_plan('Atacama', 'cl', 'Tarapaca');
EXECUTE geo_desert_plan('Erg Schesch', 'dz', 'Adrar');
EXECUTE geo_desert_plan('Tanesruft', 'dz', 'Adrar');
EXECUTE geo_desert_plan('Grand Erg Ouest', 'dz', 'Bassar');
EXECUTE geo_desert_plan('Erg Igidi', 'dz', 'Tinduf');
EXECUTE geo_desert_plan('Hamada du Draa', 'dz', 'Tinduf');
EXECUTE geo_desert_plan('Grand Erg Est', 'dz', 'Warqla');
EXECUTE geo_desert_plan('Libyan Desert', 'eg', 'Matruh');
EXECUTE geo_desert_plan('Arabian Desert', 'eg', 'al-Bahr-al-Ahmar');
EXECUTE geo_desert_plan('Libyan Desert', 'eg', 'al-Wadi al-Jadid');
EXECUTE geo_desert_plan('Sagia el-Hamra', 'eh', 'al-Ayun');
EXECUTE geo_desert_plan('Sagia el-Hamra', 'eh', 'as-Samarah');
EXECUTE geo_desert_plan('Kysylkum', 'kz', 'Akmechet');
EXECUTE geo_desert_plan('Mujunkum', 'kz', 'Akmechet');
EXECUTE geo_desert_plan('Mujunkum', 'kz', 'Taraz');
EXECUTE geo_desert_plan('Libyan Desert', 'ly', 'Ajdabiya');
EXECUTE geo_desert_plan('Hamada el-Hamra', 'ly', 'Gadamis');
EXECUTE geo_desert_plan('Fesan', 'ly', 'Gat');
EXECUTE geo_desert_plan('Fesan', 'ly', 'Marzuq');
EXECUTE geo_desert_plan('Libyan Desert', 'ly', 'Marzuq');
EXECUTE geo_desert_plan('Hamada el-Hamra', 'ly', 'Mizdah');
EXECUTE geo_desert_plan('Fesan', 'ly', 'Sabha');
EXECUTE geo_desert_plan('Fesan', 'ly', 'Wadi al-Hayat');
EXECUTE geo_desert_plan('Fesan', 'ly', 'Wadi as-Sati');
EXECUTE geo_desert_plan('Libyan Desert', 'ly', 'al-Jufrah');
EXECUTE geo_desert_plan('Erg Rebiana', 'ly', 'al-Kufrah');
EXECUTE geo_desert_plan('Libyan Desert', 'ly', 'al-Kufrah');
EXECUTE geo_desert_plan('Hamada du Draa', 'ma', 'Guelmim');
EXECUTE geo_desert_plan('Asauad', 'ml', 'Tombouctou');
EXECUTE geo_desert_plan('Erg Igidi', 'ml', 'Tombouctou');
EXECUTE geo_desert_plan('Erg Schesch', 'ml', 'Tombouctou');
EXECUTE geo_desert_plan('Tanesruft', 'ml', 'Tombouctou');
EXECUTE geo_desert_plan('Makteir', 'mr', 'Adrar');
EXECUTE geo_desert_plan('Uaran', 'mr', 'Adrar');
EXECUTE geo_desert_plan('Uaran', 'mr', 'Takant');
EXECUTE geo_desert_plan('Erg Igidi', 'mr', 'Tiris Zemmour');
EXECUTE geo_desert_plan('Trarza', 'mr', 'Trarza');
EXECUTE geo_desert_plan('Kalahari', 'na', 'Hardap');
EXECUTE geo_desert_plan('Kalahari', 'na', 'Omaheke');
EXECUTE geo_desert_plan('Erg de Bilma', 'ne', 'Agadez');
EXECUTE geo_desert_plan('Tenere', 'ne', 'Agadez');
EXECUTE geo_desert_plan('Libyan Desert', 'sd', 'Samal Darfur');
EXECUTE geo_desert_plan('Libyan Desert', 'sd', 'Samal Kurdufan');
EXECUTE geo_desert_plan('Nubian Desert', 'sd', 'al-Bahr-al-Ahmar');
EXECUTE geo_desert_plan('Libyan Desert', 'sd', 'as-Samaliyah');
EXECUTE geo_desert_plan('Dschurab', 'td', 'Bourkou-Ennedi-Tibesti');
EXECUTE geo_desert_plan('Dschurab', 'td', 'Kanem');
EXECUTE geo_desert_plan('Karakum', 'tm', 'Ahal');
EXECUTE geo_desert_plan('Karakum', 'tm', 'Balkan');
EXECUTE geo_desert_plan('Karakum', 'tm', 'Dasoguz');
EXECUTE geo_desert_plan('Karakum', 'tm', 'Lebap');
EXECUTE geo_desert_plan('Karakum', 'tm', 'Mari');
EXECUTE geo_desert_plan('Grand Erg Est', 'tn', 'Qibili');
EXECUTE geo_desert_plan('Grand Erg Est', 'tn', 'Tatawin');
EXECUTE geo_desert_plan('Hamada el-Hamra', 'tn', 'Tatawin');
EXECUTE geo_desert_plan('Kysylkum', 'uz', 'Cizah');
EXECUTE geo_desert_plan('Karakum', 'uz', 'Korakalpogiston');
EXECUTE geo_desert_plan('Kysylkum', 'uz', 'Korakalpogiston');
EXECUTE geo_desert_plan('Karakum', 'uz', 'Samarkand');
EXECUTE geo_desert_plan('Kysylkum', 'uz', 'Samarkand');
EXECUTE geo_desert_plan('Kalahari', 'za', 'Northern Cape');
COMMIT;
DEALLOCATE geo_desert_plan;
ANALYZE geo_desert;
