BEGIN;
PREPARE geo_mountain_plan (VARCHAR, CHAR, VARCHAR) AS
    INSERT INTO geo_mountain(Mountain, Country, Province)
        VALUES($1, $2, $3);
EXECUTE geo_mountain_plan('Korab', 'al', 'Kukes');
EXECUTE geo_mountain_plan('Jezerce', 'al', 'Malsi e Madhe');
EXECUTE geo_mountain_plan('Aconcagua', 'ar', 'Mendoza');
EXECUTE geo_mountain_plan('Llullaillaco', 'ar', 'Tucuman');
EXECUTE geo_mountain_plan('Grossglockner', 'at', 'Kaernten');
EXECUTE geo_mountain_plan('Mt. Kosciuszko', 'au', 'New South Wales');
EXECUTE geo_mountain_plan('Mt. Bogong', 'au', 'Victoria');
EXECUTE geo_mountain_plan('Illampu', 'bo', 'La Paz');
EXECUTE geo_mountain_plan('Mt Aylmer', 'ca', 'Alberta');
EXECUTE geo_mountain_plan('Mt Robson', 'ca', 'British Columbia');
EXECUTE geo_mountain_plan('Llullaillaco', 'cl', 'Atacama');
EXECUTE geo_mountain_plan('Fako', 'cm', 'Sudouest');
EXECUTE geo_mountain_plan('Minya Konka', 'cn', 'Sichuan');
EXECUTE geo_mountain_plan('Broad Peak', 'cn', 'Xinjiang');
EXECUTE geo_mountain_plan('Gasherbrum I', 'cn', 'Xinjiang');
EXECUTE geo_mountain_plan('Gasherbrum II', 'cn', 'Xinjiang');
EXECUTE geo_mountain_plan('K2', 'cn', 'Xinjiang');
EXECUTE geo_mountain_plan('Kongur Tagh', 'cn', 'Xinjiang');
EXECUTE geo_mountain_plan('Kongur Tjube', 'cn', 'Xinjiang');
EXECUTE geo_mountain_plan('Muztagh Ata', 'cn', 'Xinjiang');
EXECUTE geo_mountain_plan('Peak Pobeda', 'cn', 'Xinjiang');
EXECUTE geo_mountain_plan('Sia Kangri', 'cn', 'Xinjiang');
EXECUTE geo_mountain_plan('Skilbrum', 'cn', 'Xinjiang');
EXECUTE geo_mountain_plan('Skyang Kangri', 'cn', 'Xinjiang');
EXECUTE geo_mountain_plan('Teram Kangri', 'cn', 'Xinjiang');
EXECUTE geo_mountain_plan('Changtse', 'cn', 'Xizang');
EXECUTE geo_mountain_plan('Cho Oyu', 'cn', 'Xizang');
EXECUTE geo_mountain_plan('Chomo Lonzo', 'cn', 'Xizang');
EXECUTE geo_mountain_plan('Ganesh', 'cn', 'Xizang');
EXECUTE geo_mountain_plan('Gangkhar Puensum', 'cn', 'Xizang');
EXECUTE geo_mountain_plan('Gurla Mandhata', 'cn', 'Xizang');
EXECUTE geo_mountain_plan('Gyachung Kang', 'cn', 'Xizang');
EXECUTE geo_mountain_plan('Jongsong Peak', 'cn', 'Xizang');
EXECUTE geo_mountain_plan('Kula Kangri', 'cn', 'Xizang');
EXECUTE geo_mountain_plan('Lhotse', 'cn', 'Xizang');
EXECUTE geo_mountain_plan('Makalu', 'cn', 'Xizang');
EXECUTE geo_mountain_plan('Mount Everest', 'cn', 'Xizang');
EXECUTE geo_mountain_plan('Mount Godwin Austen', 'cn', 'Xizang');
EXECUTE geo_mountain_plan('Namcha Barwa', 'cn', 'Xizang');
EXECUTE geo_mountain_plan('Shishapangma', 'cn', 'Xizang');
EXECUTE geo_mountain_plan('Feldberg', 'de', 'Baden-Wuerttemberg');
EXECUTE geo_mountain_plan('Grosser Arber', 'de', 'Bavaria');
EXECUTE geo_mountain_plan('Zugspitze', 'de', 'Bavaria');
EXECUTE geo_mountain_plan('Pico Duarte', 'do', 'La Altagracia');
EXECUTE geo_mountain_plan('Tahat', 'dz', 'Tamanrasat');
EXECUTE geo_mountain_plan('Chimborazo', 'ec', 'Chimborazo');
EXECUTE geo_mountain_plan('Ras Daschan', 'et', 'Tigray');
EXECUTE geo_mountain_plan('Haltiatunturi', 'fi', 'Lapland');
EXECUTE geo_mountain_plan('Montblanc', 'fr', 'Haute-Savoie');
EXECUTE geo_mountain_plan('Kasbek', 'ge', 'Shida Kartli');
EXECUTE geo_mountain_plan('Leuser', 'id', 'Aceh');
EXECUTE geo_mountain_plan('Semeru', 'id', 'Jawa Timur');
EXECUTE geo_mountain_plan('Kinabalu', 'id', 'Kalimantan Timur');
EXECUTE geo_mountain_plan('Mamostong Kangri', 'in', 'Jammu and Kashmir');
EXECUTE geo_mountain_plan('Saser Kangri I', 'in', 'Jammu and Kashmir');
EXECUTE geo_mountain_plan('Saser Kangri II', 'in', 'Jammu and Kashmir');
EXECUTE geo_mountain_plan('Saser Kangri III', 'in', 'Jammu and Kashmir');
EXECUTE geo_mountain_plan('Kabru IV', 'in', 'Sikkim');
EXECUTE geo_mountain_plan('Kangchenjunga', 'in', 'Sikkim');
EXECUTE geo_mountain_plan('Kamet', 'in', 'Uttaranchal');
EXECUTE geo_mountain_plan('Nanda Devi', 'in', 'Uttaranchal');
EXECUTE geo_mountain_plan('Sabalan', 'ir', 'Azarbayejan-e Sharqi');
EXECUTE geo_mountain_plan('Damavand', 'ir', 'Mazandaran');
EXECUTE geo_mountain_plan('Oeraefajoekull', 'is', 'Austurland');
EXECUTE geo_mountain_plan('Snoefell', 'is', 'Vesturland');
EXECUTE geo_mountain_plan('Blue Mountain Peak', 'jm', 'Kingston');
EXECUTE geo_mountain_plan('Hotaka-Dake', 'jp', 'Gifu');
EXECUTE geo_mountain_plan('Hotaka-Dake', 'jp', 'Nagano');
EXECUTE geo_mountain_plan('Fuji-Yama', 'jp', 'Shizuoka');
EXECUTE geo_mountain_plan('Fuji-Yama', 'jp', 'Yamanashi');
EXECUTE geo_mountain_plan('Kenia', 'ke', 'Eastern');
EXECUTE geo_mountain_plan('Pik Chan-Tengri', 'kg', 'Celalabad');
EXECUTE geo_mountain_plan('Peak Pobeda', 'kg', 'Issik-Goel');
EXECUTE geo_mountain_plan('Pik Lenina', 'kg', 'Os');
EXECUTE geo_mountain_plan('Bjelucha', 'kz', 'Sigis Kazakstan');
EXECUTE geo_mountain_plan('Djebel Aures', 'ma', 'Oriental');
EXECUTE geo_mountain_plan('Tubhal', 'ma', 'Souss Massa-Draa');
EXECUTE geo_mountain_plan('Nevado de Colima', 'mx', 'Jalisco');
EXECUTE geo_mountain_plan('Nevado de Toluca', 'mx', 'Mexico');
EXECUTE geo_mountain_plan('Popocatepetl', 'mx', 'Mexico');
EXECUTE geo_mountain_plan('Popocatepetl', 'mx', 'Morelos');
EXECUTE geo_mountain_plan('Citlaltepetl', 'mx', 'Puebla');
EXECUTE geo_mountain_plan('Popocatepetl', 'mx', 'Puebla');
EXECUTE geo_mountain_plan('Citlaltepetl', 'mx', 'Veracruz');
EXECUTE geo_mountain_plan('Tahan', 'my', 'Kelantan');
EXECUTE geo_mountain_plan('Tahan', 'my', 'Pahang');
EXECUTE geo_mountain_plan('Mt-Grebun', 'ne', 'Agadez');
EXECUTE geo_mountain_plan('Tamgak', 'ne', 'Agadez');
EXECUTE geo_mountain_plan('Joekul', 'no', 'Hordaland');
EXECUTE geo_mountain_plan('Sulitjelma', 'no', 'Nordland');
EXECUTE geo_mountain_plan('Galdhoeppig', 'no', 'Oppland');
EXECUTE geo_mountain_plan('Glittertind', 'no', 'Oppland');
EXECUTE geo_mountain_plan('Snoehetta', 'no', 'Oppland');
EXECUTE geo_mountain_plan('Jostedalsbre', 'no', 'Sogn og Fjordane');
EXECUTE geo_mountain_plan('Cho Oyu', 'np', 'Solukhumbu');
EXECUTE geo_mountain_plan('Makalu', 'np', 'Solukhumbu');
EXECUTE geo_mountain_plan('Mount Everest', 'np', 'Solukhumbu');
EXECUTE geo_mountain_plan('Kabru IV', 'np', 'Taplejung');
EXECUTE geo_mountain_plan('Kangchenjunga', 'np', 'Taplejung');
EXECUTE geo_mountain_plan('Huascaran', 'pe', 'Ancash');
EXECUTE geo_mountain_plan('Pulog', 'ph', 'Central Luzon');
EXECUTE geo_mountain_plan('Batura I', 'pk', 'Azad Kashmir');
EXECUTE geo_mountain_plan('Chogolisa', 'pk', 'Azad Kashmir');
EXECUTE geo_mountain_plan('Distaghil Sar', 'pk', 'Azad Kashmir');
EXECUTE geo_mountain_plan('Gasherbrum III', 'pk', 'Azad Kashmir');
EXECUTE geo_mountain_plan('Gasherbrum IV', 'pk', 'Azad Kashmir');
EXECUTE geo_mountain_plan('Ghent', 'pk', 'Azad Kashmir');
EXECUTE geo_mountain_plan('Haramosh', 'pk', 'Azad Kashmir');
EXECUTE geo_mountain_plan('K12', 'pk', 'Azad Kashmir');
EXECUTE geo_mountain_plan('Kanjut Sar', 'pk', 'Azad Kashmir');
EXECUTE geo_mountain_plan('Khunyang Chhish', 'pk', 'Azad Kashmir');
EXECUTE geo_mountain_plan('Malubiting', 'pk', 'Azad Kashmir');
EXECUTE geo_mountain_plan('Masherbrum', 'pk', 'Azad Kashmir');
EXECUTE geo_mountain_plan('Nanga Parbat', 'pk', 'Azad Kashmir');
EXECUTE geo_mountain_plan('Pasu Sar', 'pk', 'Azad Kashmir');
EXECUTE geo_mountain_plan('Pumari Chhish', 'pk', 'Azad Kashmir');
EXECUTE geo_mountain_plan('Rakaposhi', 'pk', 'Azad Kashmir');
EXECUTE geo_mountain_plan('Saltoro Kangri', 'pk', 'Azad Kashmir');
EXECUTE geo_mountain_plan('Shispare', 'pk', 'Azad Kashmir');
EXECUTE geo_mountain_plan('Trivor', 'pk', 'Azad Kashmir');
EXECUTE geo_mountain_plan('Ultar II', 'pk', 'Azad Kashmir');
EXECUTE geo_mountain_plan('Yukshin Garden Sar', 'pk', 'Azad Kashmir');
EXECUTE geo_mountain_plan('Istor-o-Nal', 'pk', 'Northern Areas');
EXECUTE geo_mountain_plan('Tirich Mir', 'pk', 'Northern Areas');
EXECUTE geo_mountain_plan('Bjelucha', 'ru', 'Altai Republic');
EXECUTE geo_mountain_plan('Elbrus', 'ru', 'Kabardino-Balkaria');
EXECUTE geo_mountain_plan('Kasbek', 'ru', 'North Ossetia');
EXECUTE geo_mountain_plan('Jabal Marra', 'sd', 'Garb Darfur');
EXECUTE geo_mountain_plan('Kebnekaise', 'se', 'Norrbotten');
EXECUTE geo_mountain_plan('Portefjaellen', 'se', 'Norrbotten');
EXECUTE geo_mountain_plan('Sarektjokko', 'se', 'Norrbotten');
EXECUTE geo_mountain_plan('Sulitjelma', 'se', 'Norrbotten');
EXECUTE geo_mountain_plan('Tarrekaise', 'se', 'Norrbotten');
EXECUTE geo_mountain_plan('Emi Kussi', 'td', 'Bourkou-Ennedi-Tibesti');
EXECUTE geo_mountain_plan('Ismail Samani Peak', 'tj', 'Gorno-Badakhshan');
EXECUTE geo_mountain_plan('Pik Lenina', 'tj', 'Gorno-Badakhshan');
EXECUTE geo_mountain_plan('Pik Moskva', 'tj', 'Gorno-Badakhshan');
EXECUTE geo_mountain_plan('Pik Revoluzija', 'tj', 'Gorno-Badakhshan');
EXECUTE geo_mountain_plan('Mount Morrison', 'tw', 'Chiayi Hsien');
EXECUTE geo_mountain_plan('Mount Morrison', 'tw', 'Kaohsiung Shih');
EXECUTE geo_mountain_plan('Mount Morrison', 'tw', 'Nantou');
EXECUTE geo_mountain_plan('Meru', 'tz', 'Arusha');
EXECUTE geo_mountain_plan('Kilimanjaro', 'tz', 'Kilimanjaro');
EXECUTE geo_mountain_plan('Mt McKinley', 'us', 'Alaska');
EXECUTE geo_mountain_plan('Humphreys Peak', 'us', 'Arizona');
EXECUTE geo_mountain_plan('Mt Whitney', 'us', 'California');
EXECUTE geo_mountain_plan('Mt Elbert', 'us', 'Colorado');
EXECUTE geo_mountain_plan('Mauna Kea', 'us', 'Hawaii');
EXECUTE geo_mountain_plan('Borah Peak', 'us', 'Idaho');
EXECUTE geo_mountain_plan('Granite Peak', 'us', 'Montana');
EXECUTE geo_mountain_plan('Boundary Peak', 'us', 'Nevada');
EXECUTE geo_mountain_plan('Mt Washington', 'us', 'New Hampshire');
EXECUTE geo_mountain_plan('Mt Mitchell', 'us', 'North Carolina');
EXECUTE geo_mountain_plan('Mt Hood', 'us', 'Oregon');
EXECUTE geo_mountain_plan('Harney Peak', 'us', 'South Dakota');
EXECUTE geo_mountain_plan('Clingmans Dome', 'us', 'Tennessee');
EXECUTE geo_mountain_plan('Guadalupe Peak', 'us', 'Texas');
EXECUTE geo_mountain_plan('Kings Peak', 'us', 'Utah');
EXECUTE geo_mountain_plan('Mt Rainier', 'us', 'Washington');
EXECUTE geo_mountain_plan('Gannett Peak', 'us', 'Wyoming');
EXECUTE geo_mountain_plan('Korab', 'yu', 'Kosovo and Metohija');
EXECUTE geo_mountain_plan('Cathkin Peak', 'za', 'KwaZulu Natal');
EXECUTE geo_mountain_plan('Mpika', 'zm', 'Northern');
COMMIT;
DEALLOCATE geo_mountain_plan;
ANALYZE geo_mountain;
