BEGIN;
PREPARE Island_plan (VARCHAR, VARCHAR, NUMERIC, NUMERIC, NUMERIC) AS
    INSERT INTO Island(Name, Islands, Area, Coordinates)
        VALUES($1, $2, $3, ROW($4, $5));
EXECUTE Island_plan('Aland', 'Aland Islands', '650', 60.1, 20);
EXECUTE Island_plan('Alicudi', 'Lipari Islands', NULL, 38.3, 14.1);
EXECUTE Island_plan('Anglesey', NULL, '715', NULL, NULL);
EXECUTE Island_plan('Anjouan', 'Comores', NULL, NULL, NULL);
EXECUTE Island_plan('Antigua', 'Kleine Antillen', '280', NULL, NULL);
EXECUTE Island_plan('Arran', NULL, NULL, 55.3, -5.5);
EXECUTE Island_plan('Aust-Vagoey', 'Lofotes', '526', NULL, NULL);
EXECUTE Island_plan('Baffin Island', NULL, NULL, NULL, NULL);
EXECUTE Island_plan('Bahamas', 'Bahama Islands', '13935', NULL, NULL);
EXECUTE Island_plan('Bali', NULL, NULL, NULL, NULL);
EXECUTE Island_plan('Banks Island', NULL, NULL, NULL, NULL);
EXECUTE Island_plan('Barbados', 'Kleine Antillen', '431', 13, -59.3);
EXECUTE Island_plan('Barbuda', 'Kleine Antillen', '161', 17.3, -61.4);
EXECUTE Island_plan('Barra', 'Outer Hebrides', '91', NULL, NULL);
EXECUTE Island_plan('Benbecula', 'Outer Hebrides', NULL, NULL, NULL);
EXECUTE Island_plan('Bishop Rock', 'Scilly Islands', NULL, NULL, NULL);
EXECUTE Island_plan('Bohol', 'Philippines', NULL, NULL, NULL);
EXECUTE Island_plan('Bornholm', NULL, '588', NULL, NULL);
EXECUTE Island_plan('Cangaroo Island', NULL, NULL, NULL, NULL);
EXECUTE Island_plan('Chios', 'Sporades', '806', NULL, NULL);
EXECUTE Island_plan('Coll', 'Inner Hebrides', NULL, 56.5, -6.5);
EXECUTE Island_plan('Colonsay', 'Inner Hebrides', NULL, NULL, NULL);
EXECUTE Island_plan('Corse', NULL, '8681', NULL, NULL);
EXECUTE Island_plan('Cuba', 'Grosse Antillen', '114524', NULL, NULL);
EXECUTE Island_plan('Dagoe', NULL, '965', NULL, NULL);
EXECUTE Island_plan('Dominica', 'Kleine Antillen', '751', NULL, NULL);
EXECUTE Island_plan('East Falkland', 'Falkland Islands', '12173', -53, -61);
EXECUTE Island_plan('Falster', NULL, '514', NULL, NULL);
EXECUTE Island_plan('Fernando Poo', NULL, NULL, NULL, NULL);
EXECUTE Island_plan('Fidschi', 'Fidschi', '18272', NULL, NULL);
EXECUTE Island_plan('Formentera', 'Baleares', NULL, 38.5, 1.3);
EXECUTE Island_plan('Fuenen', NULL, '2976', NULL, NULL);
EXECUTE Island_plan('Fuerteventura', 'Canares', NULL, 28.3, -14);
EXECUTE Island_plan('Gheschm', NULL, '1491', NULL, NULL);
EXECUTE Island_plan('Gomera', 'Canares', NULL, NULL, NULL);
EXECUTE Island_plan('Gotland', NULL, '3140', NULL, NULL);
EXECUTE Island_plan('Gr Komoro', 'Comores', NULL, -11.7, 43.4);
EXECUTE Island_plan('Gran Canaria', 'Canares', NULL, NULL, NULL);
EXECUTE Island_plan('Greenland', NULL, '2175600', NULL, NULL);
EXECUTE Island_plan('Grenada', 'Kleine Antillen', NULL, NULL, NULL);
EXECUTE Island_plan('Harris', 'Outer Hebrides', NULL, NULL, NULL);
EXECUTE Island_plan('Hawaii', 'Hawaii Islands', NULL, 19.3, -155.2);
EXECUTE Island_plan('Hierro', 'Canares', NULL, 27.5, -18);
EXECUTE Island_plan('Hispaniola', 'Grosse Antillen', '76192', NULL, NULL);
EXECUTE Island_plan('Hokkaido', 'Japan', NULL, NULL, NULL);
EXECUTE Island_plan('Honshu', 'Japan', NULL, NULL, NULL);
EXECUTE Island_plan('Hoy', 'Orkney Islands', NULL, 59.1, -3.2);
EXECUTE Island_plan('Ibiza', 'Baleares', '572', NULL, NULL);
EXECUTE Island_plan('Iceland', 'Iceland', '102829', NULL, NULL);
EXECUTE Island_plan('Ikaria', 'Sporades', NULL, NULL, NULL);
EXECUTE Island_plan('Iona', 'Inner Hebrides', NULL, 56.2, -6.3);
EXECUTE Island_plan('Isabela', 'Galapagos Islands', '5436', -1, -91.3);
EXECUTE Island_plan('Islay', 'Inner Hebrides', NULL, NULL, NULL);
EXECUTE Island_plan('Jamaica', 'Grosse Antillen', '10991', 18.1, -77.3);
EXECUTE Island_plan('Jura', 'Inner Hebrides', NULL, 56, -6);
EXECUTE Island_plan('Kauai', 'Hawaii Islands', NULL, NULL, NULL);
EXECUTE Island_plan('Kefallinia', 'Ionische Islands', NULL, 38.2, 20.3);
EXECUTE Island_plan('Khark', NULL, '20.5', 29.1, 50.2);
EXECUTE Island_plan('Kiribati', 'Kiribati', '886', -1, 176);
EXECUTE Island_plan('Korfu', 'Ionische Islands', NULL, 39.3, 19);
EXECUTE Island_plan('Kos', 'Sporades', '290', NULL, NULL);
EXECUTE Island_plan('Kotelny island', NULL, '11665', 75, 140);
EXECUTE Island_plan('Kreta', NULL, '8331', 37, 25);
EXECUTE Island_plan('Kyushu', 'Japan', NULL, NULL, NULL);
EXECUTE Island_plan('La Palma', 'Canares', NULL, NULL, NULL);
EXECUTE Island_plan('Lampedusa', 'Pelagi Islands', NULL, 35.4, 13.2);
EXECUTE Island_plan('Lanai', 'Hawaii Islands', NULL, 20.5, -157);
EXECUTE Island_plan('Langeland', NULL, '284', 55, 10.5);
EXECUTE Island_plan('Lanzarote', 'Canares', NULL, NULL, NULL);
EXECUTE Island_plan('Lavan', NULL, '76', 26.5, 53.1);
EXECUTE Island_plan('Lefkas', 'Ionische Islands', NULL, NULL, NULL);
EXECUTE Island_plan('Lewis', 'Outer Hebrides', NULL, 58, -7);
EXECUTE Island_plan('Leyte', 'Philippines', NULL, NULL, NULL);
EXECUTE Island_plan('Linosa', 'Pelagi Islands', NULL, NULL, NULL);
EXECUTE Island_plan('Lipari', 'Lipari Islands', NULL, 38.3, 14.4);
EXECUTE Island_plan('Lolland', NULL, '1241', 54.4, 11.5);
EXECUTE Island_plan('Lundy', NULL, NULL, 51, -4.5);
EXECUTE Island_plan('Luzon', 'Philippines', NULL, NULL, NULL);
EXECUTE Island_plan('Madagaskar', 'Madagaskar', '587041', -20, 46);
EXECUTE Island_plan('Madeira', 'Madeira', '740', NULL, NULL);
EXECUTE Island_plan('Mainland', 'Orkney Islands', NULL, NULL, NULL);
EXECUTE Island_plan('Mallorca', 'Baleares', '3618', 39.3, 3);
EXECUTE Island_plan('Malta', NULL, '315.6', 36, 14.1);
EXECUTE Island_plan('Martha s Vineyard', NULL, NULL, NULL, NULL);
EXECUTE Island_plan('Maui', 'Hawaii Islands', NULL, NULL, NULL);
EXECUTE Island_plan('Mauritius', 'Mauritius', '2000', -20, 57);
EXECUTE Island_plan('Mayotta', 'Comores', NULL, NULL, NULL);
EXECUTE Island_plan('Melville Island', NULL, '5800', -12, 131);
EXECUTE Island_plan('Menorca', 'Baleares', '760', NULL, NULL);
EXECUTE Island_plan('Mindanao', 'Philippines', NULL, NULL, NULL);
EXECUTE Island_plan('Mindoro', 'Philippines', NULL, NULL, NULL);
EXECUTE Island_plan('Mohilla', 'Comores', NULL, -12.7, 43.6);
EXECUTE Island_plan('Molokai', 'Hawaii Islands', NULL, NULL, NULL);
EXECUTE Island_plan('Mull', 'Inner Hebrides', '910', 56.3, 6);
EXECUTE Island_plan('Nantucket', NULL, NULL, 41.5, -70.1);
EXECUTE Island_plan('Nauru', 'Nauru', '21', -2, 174);
EXECUTE Island_plan('Negros', 'Philippines', NULL, NULL, NULL);
EXECUTE Island_plan('Nevis', 'Kleine Antillen', '93', 17, -62.3);
EXECUTE Island_plan('North Ulist', 'Outer Hebrides', NULL, 57.4, -7.1);
EXECUTE Island_plan('Oahu', 'Hawaii Islands', NULL, 21.2, -158);
EXECUTE Island_plan('Oeland', NULL, '1344', 57, 17);
EXECUTE Island_plan('Oesel', NULL, '2714', 58.3, 22);
EXECUTE Island_plan('Palau', 'Carolines', '458', 27, 102);
EXECUTE Island_plan('Palawan', 'Philippines', NULL, NULL, NULL);
EXECUTE Island_plan('Panarea', 'Lipari Islands', NULL, 38.4, 14.5);
EXECUTE Island_plan('Panay', 'Philippines', NULL, NULL, NULL);
EXECUTE Island_plan('Paramuschir', 'Curiles', '2042', NULL, NULL);
EXECUTE Island_plan('Patmos', 'Sporaden', NULL, 37.2, 26.3);
EXECUTE Island_plan('Porto Santo', 'Madeira', NULL, 32.3, -15.3);
EXECUTE Island_plan('Prince Charles Island', NULL, NULL, 67.5, -76);
EXECUTE Island_plan('Prince Edward Island', NULL, NULL, 46.5, -63);
EXECUTE Island_plan('Prince of Wales Island', NULL, NULL, 73, -100);
EXECUTE Island_plan('Rhodos', 'Sporades', '1398', NULL, NULL);
EXECUTE Island_plan('Rhum', 'Inner Hebrides', NULL, NULL, NULL);
EXECUTE Island_plan('Sachalin', NULL, '76400', 50, 143);
EXECUTE Island_plan('Saint Kitts', 'Kleine Antillen', '164', NULL, NULL);
EXECUTE Island_plan('Saint Lucia', 'Kleine Antillen', '616', 14, -60.5);
EXECUTE Island_plan('Saint Vincent', 'Kleine Antillen', '389', NULL, NULL);
EXECUTE Island_plan('Salina', 'Lipari Islands', NULL, NULL, NULL);
EXECUTE Island_plan('Samar', 'Philippines', NULL, NULL, NULL);
EXECUTE Island_plan('Samos', 'Sporades', NULL, 37.4, 26.5);
EXECUTE Island_plan('San Clemente Island', NULL, NULL, 33, -118.2);
EXECUTE Island_plan('San Miguel Island', NULL, NULL, NULL, NULL);
EXECUTE Island_plan('Sanday', 'Orkney Islands', NULL, NULL, NULL);
EXECUTE Island_plan('Santa Catalina Island', NULL, NULL, 33.2, -118.2);
EXECUTE Island_plan('Santa Cruz Island', NULL, NULL, NULL, NULL);
EXECUTE Island_plan('Santa Maria', 'Azores', NULL, NULL, NULL);
EXECUTE Island_plan('Santa Rosa Island', NULL, NULL, NULL, NULL);
EXECUTE Island_plan('Sao Tome and Principe', 'Sao Tome and Principe', '964', NULL, NULL);
EXECUTE Island_plan('Sardegna', NULL, '24090', 40, 9);
EXECUTE Island_plan('Seeland', NULL, '7439', 55.3, 12);
EXECUTE Island_plan('Seychellen', 'Seychellen', '280', -5, 56);
EXECUTE Island_plan('Shikoku', 'Japan', NULL, NULL, NULL);
EXECUTE Island_plan('Sicily', NULL, '25462', NULL, NULL);
EXECUTE Island_plan('Skye', 'Inner Hebrides', NULL, 57.3, -6.3);
EXECUTE Island_plan('South Georgia', NULL, '3753', NULL, NULL);
EXECUTE Island_plan('South Ronaldson', 'Orkney Islands', NULL, NULL, NULL);
EXECUTE Island_plan('South Ulist', 'Outer Hebrides', NULL, 57.2, -7.2);
EXECUTE Island_plan('Southampton Island', NULL, NULL, NULL, NULL);
EXECUTE Island_plan('Sri Lanka', 'Sri Lanka', '65610', NULL, NULL);
EXECUTE Island_plan('Staffa', 'Inner Hebrides', NULL, NULL, NULL);
EXECUTE Island_plan('Stromboli', 'Lipari Islands', NULL, NULL, NULL);
EXECUTE Island_plan('Sumatra', NULL, NULL, NULL, NULL);
EXECUTE Island_plan('Svalbard', 'Svalbard', '39043', 78, 20);
EXECUTE Island_plan('Taiwan', 'Taiwan', '36188', 24, 121);
EXECUTE Island_plan('Tasmania', NULL, '67800', -42, 145);
EXECUTE Island_plan('Teneriffa', 'Canares', NULL, 28.3, -16.3);
EXECUTE Island_plan('Tilos', 'Sporades', NULL, 36.3, 27.3);
EXECUTE Island_plan('Tiree', 'Inner Hebrides', NULL, NULL, NULL);
EXECUTE Island_plan('Tobago', 'Kleine Antillen', '301', 11.1, -60.3);
EXECUTE Island_plan('Tonga', 'Tonga', '699', NULL, NULL);
EXECUTE Island_plan('Trinidad', 'Kleine Antillen', '4827', NULL, NULL);
EXECUTE Island_plan('Tuvalu', 'Tuvalu', '24', -8, 176);
EXECUTE Island_plan('Vancouver Island', NULL, NULL, NULL, NULL);
EXECUTE Island_plan('Vanuatu', 'Vanuatu', '14763', NULL, NULL);
EXECUTE Island_plan('Victoria Island', NULL, NULL, 70, -110);
EXECUTE Island_plan('Vulcano', 'Lipari Islands', NULL, NULL, NULL);
EXECUTE Island_plan('West Falkland', 'Falkland Islands', '12173', NULL, NULL);
EXECUTE Island_plan('Westray', 'Orkney Islands', NULL, 59.4, -3);
EXECUTE Island_plan('Westsamoa', 'Westsamoa', '2842', -14, -172);
EXECUTE Island_plan('Zakinthos', 'Ionische Islands', NULL, NULL, NULL);
EXECUTE Island_plan('Zypern', 'Zypern', '9251', NULL, NULL);
COMMIT;
DEALLOCATE Island_plan;
ANALYZE Island;
