BEGIN;
PREPARE merges_with_plan (VARCHAR, VARCHAR) AS
    INSERT INTO merges_with(Sea1, Sea2)
        VALUES($1, $2);
EXECUTE merges_with_plan('Arabian Sea', 'Gulf of Aden');
EXECUTE merges_with_plan('Arabian Sea', 'Indian Ocean');
EXECUTE merges_with_plan('Arabian Sea', 'Persian Gulf');
EXECUTE merges_with_plan('Arctic Ocean', 'Pacific Ocean');
EXECUTE merges_with_plan('Atlantic Ocean', 'Arctic Ocean');
EXECUTE merges_with_plan('Atlantic Ocean', 'Caribbean Sea');
EXECUTE merges_with_plan('Atlantic Ocean', 'Gulf of Mexico');
EXECUTE merges_with_plan('Atlantic Ocean', 'Indian Ocean');
EXECUTE merges_with_plan('Atlantic Ocean', 'Irish Sea');
EXECUTE merges_with_plan('Atlantic Ocean', 'Mediterranean Sea');
EXECUTE merges_with_plan('Atlantic Ocean', 'North Sea');
EXECUTE merges_with_plan('Atlantic Ocean', 'Norwegian Sea');
EXECUTE merges_with_plan('Atlantic Ocean', 'Pacific Ocean');
EXECUTE merges_with_plan('East China Sea', 'Pacific Ocean');
EXECUTE merges_with_plan('East China Sea', 'South China Sea');
EXECUTE merges_with_plan('Gulf of Aden', 'Indian Ocean');
EXECUTE merges_with_plan('Gulf of Aden', 'Red Sea');
EXECUTE merges_with_plan('Gulf of Mexico', 'Caribbean Sea');
EXECUTE merges_with_plan('Indian Ocean', 'Pacific Ocean');
EXECUTE merges_with_plan('Indian Ocean', 'South China Sea');
EXECUTE merges_with_plan('Indian Ocean', 'Sunda Sea');
EXECUTE merges_with_plan('Mediterranean Sea', 'Black Sea');
EXECUTE merges_with_plan('North Sea', 'Baltic Sea');
EXECUTE merges_with_plan('Norwegian Sea', 'Arctic Ocean');
EXECUTE merges_with_plan('Norwegian Sea', 'Irish Sea');
EXECUTE merges_with_plan('Norwegian Sea', 'North Sea');
EXECUTE merges_with_plan('Pacific Ocean', 'South China Sea');
EXECUTE merges_with_plan('Pacific Ocean', 'Sunda Sea');
EXECUTE merges_with_plan('Sea of Azov', 'Black Sea');
EXECUTE merges_with_plan('Sea of Japan', 'East China Sea');
EXECUTE merges_with_plan('Sea of Japan', 'Pacific Ocean');
EXECUTE merges_with_plan('South China Sea', 'Sunda Sea');
EXECUTE merges_with_plan('Yellow Sea', 'East China Sea');
EXECUTE merges_with_plan('Yellow Sea', 'Sea of Japan');
COMMIT;
DEALLOCATE merges_with_plan;
ANALYZE merges_with;
