BEGIN;
PREPARE Organization_plan (VARCHAR, VARCHAR, DATE, VARCHAR, VARCHAR, CHAR) AS
    INSERT INTO Organization(Abbreviation, Name, Established, City, Province, Country)
        VALUES($1, $2, $3, $4, $5, $6);
EXECUTE Organization_plan('ABEDA', 'Arab Bank for Economic Development in Africa', '1974-02-18', 'Khartoum', 'Khartoum', 'sd');
EXECUTE Organization_plan('ACCT', 'Agency for the French-Speaking Community', '1970-03-20', 'Paris', 'Paris', 'fr');
EXECUTE Organization_plan('ACP Group', 'African, Caribbean, and Pacific Group of States', '1975-06-06', NULL, NULL, NULL);
EXECUTE Organization_plan('AFESD', 'Arab Fund for Economic and Social Development', '1968-05-16', NULL, NULL, NULL);
EXECUTE Organization_plan('AMF', 'Arab Monetary Fund', '1976-04-27', 'Abu Dhabi', 'Abu Dhabi', 'ae');
EXECUTE Organization_plan('AMU', 'Arab Maghreb Union', '1989-02-17', 'Rabat', 'Rabat-Sale-Zammour-Zaer', 'ma');
EXECUTE Organization_plan('ANZUS', 'Australia-New Zealand-United States Security Treaty', '1951-09-01', 'Canberra', 'Australian Capital Territory', 'au');
EXECUTE Organization_plan('APEC', 'Asia-Pacific Economic Cooperation', '1989-11-07', NULL, NULL, NULL);
EXECUTE Organization_plan('ARF', 'ASEAN Regional Forum', NULL, NULL, NULL, NULL);
EXECUTE Organization_plan('ASEAN', 'Association of Southeast Asian Nations', '1967-08-08', 'Jakarta', 'Jakarta', 'id');
EXECUTE Organization_plan('AU', 'African Union', '2001-07-08', NULL, NULL, NULL);
EXECUTE Organization_plan('AfDB', 'African Development Bank', '1999-09-09', 'Abidjan', 'Lagunes', 'ci');
EXECUTE Organization_plan('AsDB', 'Asian Development Bank', '1966-12-19', 'Manila', 'National Capital Region', 'ph');
EXECUTE Organization_plan('BCIE', 'Central American Bank for Economic Integration', '1960-12-13', 'Tegucigalpa', 'Distrito Central', 'hn');
EXECUTE Organization_plan('BDEAC', 'Central African States Development Bank', '1975-12-03', 'Brazzaville', 'Brazzaville', 'cg');
EXECUTE Organization_plan('BIS', 'Bank for International Settlements', '1930-01-20', 'Basel', 'Basel-Town', 'ch');
EXECUTE Organization_plan('BSEC', 'Black Sea Economic Cooperation Zone', '1992-06-25', NULL, NULL, NULL);
EXECUTE Organization_plan('Benelux', 'Benelux Economic Union', '1958-02-03', 'Brussels', 'Brussels', 'be');
EXECUTE Organization_plan('C', 'Commonwealth', '1931-12-31', 'London', 'England', 'uk');
EXECUTE Organization_plan('CACM', 'Central American Common Market', '1960-12-13', NULL, NULL, NULL);
EXECUTE Organization_plan('CAEU', 'Council of Arab Economic Unity', '1957-06-03', 'Amman', 'Amman', 'jo');
EXECUTE Organization_plan('CAN', 'Andean Community of Nations', '1969-05-26', NULL, NULL, NULL);
EXECUTE Organization_plan('CBSS', 'Council of the Baltic Sea States', '1992-03-06', NULL, NULL, NULL);
EXECUTE Organization_plan('CDB', 'Caribbean Development Bank', '1969-10-18', NULL, NULL, NULL);
EXECUTE Organization_plan('CE', 'Council of Europe', '1949-05-05', 'Strasbourg', 'Bas-Rhin', 'fr');
EXECUTE Organization_plan('CEI', 'Central European Initiative', '1989-11-11', 'Budapest', 'Budapest', 'hu');
EXECUTE Organization_plan('CEMA', 'Council for Mutual Economic Assistance', '1949-01-25', NULL, NULL, NULL);
EXECUTE Organization_plan('CEMAC', 'Monetary and Economic Community of Central Africa', '1964-12-08', NULL, NULL, NULL);
EXECUTE Organization_plan('CEPGL', 'Economic Community of the Great Lakes Countries', '1976-09-20', NULL, NULL, NULL);
EXECUTE Organization_plan('CERN', 'European Organization for Nuclear Research', '1953-07-01', 'Geneva', 'Geneva', 'ch');
EXECUTE Organization_plan('CIS', 'Commonwealth of Independent States', '1991-12-08', 'Minsk', 'Minsk', 'by');
EXECUTE Organization_plan('COCOM', 'Coordinating Committee on Export Controls', '1996-07-12', NULL, NULL, NULL);
EXECUTE Organization_plan('CP', 'Colombo Plan', NULL, 'Colombo', 'Colombo', 'lk');
EXECUTE Organization_plan('Caricom', 'Caribbean Community and Common Market', '1973-07-04', 'Georgetown', 'Demerara-Mahaica', 'gy');
EXECUTE Organization_plan('EADB', 'East African Development Bank', '1967-06-06', 'Kampala', 'Central', 'ug');
EXECUTE Organization_plan('EAPC', 'Euro-Atlantic Partnership Council', '1991-11-08', NULL, NULL, NULL);
EXECUTE Organization_plan('EBRD', 'European Bank for Reconstruction and Development', '1990-01-08', 'London', 'England', 'uk');
EXECUTE Organization_plan('ECO', 'Economic Cooperation Organization', '1985-01-27', 'Tehran', 'Tehran', 'ir');
EXECUTE Organization_plan('ECOSOC', 'Economic and Social Council', '1945-06-26', 'New York', 'New York', 'us');
EXECUTE Organization_plan('ECOWAS', 'Economic Community of West African States', '1975-05-28', 'Lagos', 'Lagos', 'ng');
EXECUTE Organization_plan('EFTA', 'European Free Trade Association', '1960-01-04', 'Geneva', 'Geneva', 'ch');
EXECUTE Organization_plan('EIB', 'European Investment Bank', '1957-03-25', NULL, NULL, NULL);
EXECUTE Organization_plan('EMU', 'Economic and Monetary Union', '1969-12-01', NULL, NULL, NULL);
EXECUTE Organization_plan('ESA', 'European Space Agency', '1975-05-31', 'Paris', 'Paris', 'fr');
EXECUTE Organization_plan('EU', 'European Union', '1992-02-07', 'Brussels', 'Brussels', 'be');
EXECUTE Organization_plan('Entente', 'Council of the Entente', '1959-05-29', 'Abidjan', 'Lagunes', 'ci');
EXECUTE Organization_plan('FAO', 'Food and Agriculture Organization', '1945-10-16', 'Rome', 'Lazio', 'it');
EXECUTE Organization_plan('FLS', 'Front Line States', NULL, NULL, NULL, NULL);
EXECUTE Organization_plan('FZ', 'Franc Zone', NULL, 'Paris', 'Paris', 'fr');
EXECUTE Organization_plan('G-10', 'Group of 10', NULL, 'Paris', 'Paris', 'fr');
EXECUTE Organization_plan('G-11', 'Group of 11', '1984-06-21', NULL, NULL, NULL);
EXECUTE Organization_plan('G-15', 'Group of 15', NULL, 'Geneva', 'Geneva', 'ch');
EXECUTE Organization_plan('G-24', 'Group of 24', '1989-08-01', 'Brussels', 'Brussels', 'be');
EXECUTE Organization_plan('G-3', 'Group of 3', NULL, NULL, NULL, NULL);
EXECUTE Organization_plan('G-5', 'Group of 5', '1985-09-22', NULL, NULL, NULL);
EXECUTE Organization_plan('G-6', 'Group of 6', '1984-05-22', NULL, NULL, NULL);
EXECUTE Organization_plan('G-7', 'Group of 7', '1985-09-22', NULL, NULL, NULL);
EXECUTE Organization_plan('G-77', 'Group of 77', NULL, NULL, NULL, NULL);
EXECUTE Organization_plan('G-8', 'Group of 8', NULL, NULL, NULL, NULL);
EXECUTE Organization_plan('G-9', 'Group of 9', NULL, NULL, NULL, NULL);
EXECUTE Organization_plan('GCC', 'Gulf Cooperation Council', '1981-05-25', 'Riyadh', 'Riyadh', 'sa');
EXECUTE Organization_plan('IADB', 'Inter-American Development Bank', '1959-04-08', NULL, NULL, NULL);
EXECUTE Organization_plan('IAEA', 'International Atomic Energy Agency', '1956-10-26', 'Vienna', 'Wien', 'at');
EXECUTE Organization_plan('IBRD', 'International Bank for Reconstruction and Development', '1944-07-22', NULL, NULL, NULL);
EXECUTE Organization_plan('ICAO', 'International Civil Aviation Organization', '1944-12-07', 'Montreal', 'Quebec', 'ca');
EXECUTE Organization_plan('ICC', 'International Chamber of Commerce', NULL, 'Paris', 'Paris', 'fr');
EXECUTE Organization_plan('ICCt', 'International Criminal Court', '2002-04-11', NULL, NULL, NULL);
EXECUTE Organization_plan('ICFTU', 'International Confederation of Free Trade Unions', NULL, 'Brussels', 'Brussels', 'be');
EXECUTE Organization_plan('ICJ', 'International Court of Justice', '1946-02-03', NULL, NULL, NULL);
EXECUTE Organization_plan('ICRC', 'International Committee of the Red Cross', '1863-02-17', 'Geneva', 'Geneva', 'ch');
EXECUTE Organization_plan('ICRM', 'International Red Cross and Red Crescent Movement', NULL, 'Geneva', 'Geneva', 'ch');
EXECUTE Organization_plan('IDA', 'International Development Association', '1960-01-26', NULL, NULL, NULL);
EXECUTE Organization_plan('IDB', 'Islamic Development Bank', '1973-12-15', NULL, NULL, NULL);
EXECUTE Organization_plan('IEA', 'International Energy Agency', '1974-11-15', 'Paris', 'Paris', 'fr');
EXECUTE Organization_plan('IFAD', 'International Fund for Agricultural Development', NULL, 'Rome', 'Lazio', 'it');
EXECUTE Organization_plan('IFC', 'International Finance Corporation', '1955-05-25', NULL, NULL, NULL);
EXECUTE Organization_plan('IFRCS', 'International Federation of Red Cross and Red Crescent Societies', '1919-05-05', 'Geneva', 'Geneva', 'ch');
EXECUTE Organization_plan('IGAD', 'Inter-Governmental Authority on Development', '1986-01-15', NULL, NULL, NULL);
EXECUTE Organization_plan('IHO', 'International Hydrographic Organization', NULL, NULL, NULL, NULL);
EXECUTE Organization_plan('ILO', 'International Labor Organization', '1919-06-28', 'Geneva', 'Geneva', 'ch');
EXECUTE Organization_plan('IMF', 'International Monetary Fund', '1944-07-22', NULL, NULL, NULL);
EXECUTE Organization_plan('IMO', 'International Maritime Organization', '1948-03-06', 'London', 'England', 'uk');
EXECUTE Organization_plan('IOC', 'International Olympic Committee', '1894-06-23', 'Lausanne', 'Vaud', 'ch');
EXECUTE Organization_plan('IOM', 'International Organization for Migration', '1951-12-05', 'Geneva', 'Geneva', 'ch');
EXECUTE Organization_plan('ISO', 'International Organization for Standardization', NULL, 'Geneva', 'Geneva', 'ch');
EXECUTE Organization_plan('ITU', 'International Telecommunication Union', '1865-05-17', 'Geneva', 'Geneva', 'ch');
EXECUTE Organization_plan('InOC', 'Indian Ocean Commission', '1982-12-21', NULL, NULL, NULL);
EXECUTE Organization_plan('Interpol', 'International Criminal Police Organization', NULL, 'Lyon', 'Rhone', 'fr');
EXECUTE Organization_plan('LAES', 'Latin American Economic System', '1975-10-17', 'Caracas', 'Distrito Capital', 've');
EXECUTE Organization_plan('LAIA', 'Latin American Integration Association', '1980-08-12', 'Montevideo', 'Montevideo', 'uy');
EXECUTE Organization_plan('LAS', 'League of Arab States', '1945-03-22', 'Cairo', 'Cairo', 'eg');
EXECUTE Organization_plan('MICAH', 'International Civilian Support Mission in Haiti', '1999-12-17', NULL, NULL, NULL);
EXECUTE Organization_plan('MIGA', 'Multilateral Investment Guarantee Agency', '1988-04-12', NULL, NULL, NULL);
EXECUTE Organization_plan('MINURSO', 'United Nations Mission for the Referendum in Western Sahara', '1991-04-29', 'New York', 'New York', 'us');
EXECUTE Organization_plan('MINUSTAH', 'United Nations Stabilization Mission in Haiti', '2004-04-30', NULL, NULL, NULL);
EXECUTE Organization_plan('MONUC', 'United Nations Organization Mission in the Democratic Republic of the Congo', '1999-11-30', NULL, NULL, NULL);
EXECUTE Organization_plan('NAFTA', 'North American Free Trade Agreement', '1992-12-17', NULL, NULL, NULL);
EXECUTE Organization_plan('NAM', 'Nonaligned Movement', '1961-09-01', 'Jakarta', 'Jakarta', 'id');
EXECUTE Organization_plan('NATO', 'North Atlantic Treaty Organization', '1949-04-04', 'Brussels', 'Brussels', 'be');
EXECUTE Organization_plan('NC', 'Nordic Council', '1952-03-16', 'Stockholm', 'Stockholm', 'se');
EXECUTE Organization_plan('NEA', 'Nuclear Energy Agency', '1958-02-01', NULL, NULL, NULL);
EXECUTE Organization_plan('NIB', 'Nordic Investment Bank', '1975-12-04', 'Helsinki', 'Uusimaa', 'fi');
EXECUTE Organization_plan('NSG', 'Nuclear Suppliers Group', NULL, 'Vienna', 'Wien', 'at');
EXECUTE Organization_plan('OAPEC', 'Organization of Arab Petroleum Exporting Countries', '1968-01-09', NULL, NULL, NULL);
EXECUTE Organization_plan('OAS', 'Organization of American States', '1890-04-14', NULL, NULL, NULL);
EXECUTE Organization_plan('OECD', 'Organization for Economic Cooperation and Development', '1960-12-14', 'Paris', 'Paris', 'fr');
EXECUTE Organization_plan('OECS', 'Organization of Eastern Caribbean States', '1981-06-18', 'Castries', 'Castries', 'lc');
EXECUTE Organization_plan('OIC', 'Organization of the Islamic Conference', '1969-09-22', NULL, NULL, NULL);
EXECUTE Organization_plan('ONUB', 'United Nations Operation in Burundi', '2004-05-21', NULL, NULL, NULL);
EXECUTE Organization_plan('OPANAL', 'Agency for the Prohibition of Nuclear Weapons in Latin America and the Caribbean', '1967-02-14', 'Mexico City', 'Distrito Federal', 'mx');
EXECUTE Organization_plan('OPCW', 'Organization for the Prohibition of Chemical Weapons', '1997-04-29', NULL, NULL, NULL);
EXECUTE Organization_plan('OPEC', 'Organization of Petroleum Exporting Countries', '1960-09-14', 'Vienna', 'Wien', 'at');
EXECUTE Organization_plan('OSCE', 'Organization for Security and Cooperation in Europe', '1975-07-03', 'Vienna', 'Wien', 'at');
EXECUTE Organization_plan('PCA', 'Permanent Court of Arbitration', '1899-07-29', NULL, NULL, NULL);
EXECUTE Organization_plan('PFP', 'Partnership for Peace', '1994-01-10', NULL, NULL, NULL);
EXECUTE Organization_plan('PIF', 'Pacific Islands Forum', '1971-08-05', NULL, NULL, NULL);
EXECUTE Organization_plan('RG', 'Rio Group', '1986-12-01', NULL, NULL, NULL);
EXECUTE Organization_plan('SAARC', 'South Asian Association for Regional Cooperation', '1985-12-08', 'Kathmandu', 'Kathmandu', 'np');
EXECUTE Organization_plan('SACEP', 'South Asia Co-operative Environment Program', NULL, NULL, NULL, NULL);
EXECUTE Organization_plan('SACU', 'Southern African Customs Union', '1969-12-11', 'Pretoria', 'Gauteng', 'za');
EXECUTE Organization_plan('SADC', 'Southern African Development Community', '1992-08-17', 'Gaborone', 'Gaborone', 'bw');
EXECUTE Organization_plan('SCO', 'Shanghai Cooperative Organization', '1901-06-15', NULL, NULL, NULL);
EXECUTE Organization_plan('Sparteca', 'South Pacific Regional Trade and Economic Cooperation Agreement', NULL, NULL, NULL, NULL);
EXECUTE Organization_plan('UN', 'United Nations', '1945-06-26', 'New York', 'New York', 'us');
EXECUTE Organization_plan('UNAMSIL', 'United Nations Mission in Sierra Leone', '1999-10-22', NULL, NULL, NULL);
EXECUTE Organization_plan('UNCTAD', 'United Nations Conference on Trade and Development', '1964-12-30', 'Geneva', 'Geneva', 'ch');
EXECUTE Organization_plan('UNDOF', 'United Nations Disengagement Observer Force', '1974-05-31', 'Damascus', 'Damascus', 'sy');
EXECUTE Organization_plan('UNDP', 'United Nations Development Program', '1965-11-22', 'New York', 'New York', 'us');
EXECUTE Organization_plan('UNEP', 'United Nations Environment Program', '1972-12-15', 'New York', 'New York', 'us');
EXECUTE Organization_plan('UNESCO', 'United Nations Educational, Scientific, and Cultural Organization', '1945-11-16', 'Paris', 'Paris', 'fr');
EXECUTE Organization_plan('UNFICYP', 'United Nations Peace-keeping Force in Cyprus', '1964-03-04', 'New York', 'New York', 'us');
EXECUTE Organization_plan('UNFPA', 'United Nations Population Fund', NULL, 'New York', 'New York', 'us');
EXECUTE Organization_plan('UNHCR', 'United Nations High Commissioner for Refugees', '1949-12-03', 'Geneva', 'Geneva', 'ch');
EXECUTE Organization_plan('UNICEF', 'United Nations Childrens Fund', '1946-12-11', 'New York', 'New York', 'us');
EXECUTE Organization_plan('UNIDO', 'United Nations Industrial Development Organization', '1966-11-17', 'Vienna', 'Wien', 'at');
EXECUTE Organization_plan('UNIFIL', 'United Nations Interim Force in Lebanon', '1978-03-19', 'New York', 'New York', 'us');
EXECUTE Organization_plan('UNITAR', 'United Nations Institute for Training and Research', '1963-12-11', NULL, NULL, NULL);
EXECUTE Organization_plan('UNMEE', 'United Nations Mission in Ethiopia and Eritrea', '2000-07-31', NULL, NULL, NULL);
EXECUTE Organization_plan('UNMIK', 'United Nations Interim Administration Mission in Kosovo', '1999-06-10', NULL, NULL, NULL);
EXECUTE Organization_plan('UNMIL', 'United Nations Mission in Liberia', '2003-09-19', NULL, NULL, NULL);
EXECUTE Organization_plan('UNMISET', 'United Nations Mission of Support in East Timor', '2002-05-17', NULL, NULL, NULL);
EXECUTE Organization_plan('UNMOGIP', 'United Nations Military Observer Group in India and Pakistan', '1949-01-24', 'New York', 'New York', 'us');
EXECUTE Organization_plan('UNMOVIC', 'United Nations Monitoring, Verification, and Inspection Commission', NULL, NULL, NULL, NULL);
EXECUTE Organization_plan('UNOCI', 'United Nations Operation in Cote-dIvoire', '2004-02-27', NULL, NULL, NULL);
EXECUTE Organization_plan('UNOMIG', 'United Nations Observer Mission in Georgia', '1993-08-24', 'New York', 'New York', 'us');
EXECUTE Organization_plan('UNRISD', 'United Nations Research Institute for Social Development', NULL, NULL, NULL, NULL);
EXECUTE Organization_plan('UNRWA', 'United Nations Relief and Works Agency for Palestine Refugees in the Near East', '1949-12-08', 'Vienna', 'Wien', 'at');
EXECUTE Organization_plan('UNSC', 'United Nations Security Council', '1945-06-26', NULL, NULL, NULL);
EXECUTE Organization_plan('UNTSO', 'United Nations Truce Supervision Organization', NULL, 'Jerusalem', 'Jerusalem', 'il');
EXECUTE Organization_plan('UNU', 'United Nations University', '1973-12-03', NULL, NULL, NULL);
EXECUTE Organization_plan('UPU', 'Universal Postal Union', '1874-10-09', 'Bern', 'Bern', 'ch');
EXECUTE Organization_plan('WADB', 'West African Development Bank', '1973-11-14', 'Lome', 'Maritime', 'tg');
EXECUTE Organization_plan('WAEMU', 'West African Economic and Monetary Union', '1994-08-01', NULL, NULL, NULL);
EXECUTE Organization_plan('WCL', 'World Confederation of Labor', '1920-06-19', 'Brussels', 'Brussels', 'be');
EXECUTE Organization_plan('WCO', 'World Customs Organization', '1950-12-15', NULL, NULL, NULL);
EXECUTE Organization_plan('WEU', 'Western European Union', '1954-10-23', 'Brussels', 'Brussels', 'be');
EXECUTE Organization_plan('WFP', 'World Food Program', '1961-11-24', 'Rome', 'Lazio', 'it');
EXECUTE Organization_plan('WFTU', 'World Federation of Trade Unions', '1945-10-03', 'Prague', 'Prague', 'cz');
EXECUTE Organization_plan('WHO', 'World Health Organization', '1946-07-22', 'Geneva', 'Geneva', 'ch');
EXECUTE Organization_plan('WIPO', 'World Intellectual Property Organization', '1967-07-14', 'Geneva', 'Geneva', 'ch');
EXECUTE Organization_plan('WMO', 'World Meteorological Organization', '1947-10-11', 'Geneva', 'Geneva', 'ch');
EXECUTE Organization_plan('WP', 'Warsaw Pact', '1955-05-14', NULL, NULL, NULL);
EXECUTE Organization_plan('WTO', 'World Trade Organization', '1994-04-15', NULL, NULL, NULL);
EXECUTE Organization_plan('WToO', 'World Tourism Organization', '1975-01-02', 'Madrid', 'Madrid', 'es');
EXECUTE Organization_plan('ZC', 'Zangger Committee', NULL, NULL, NULL, NULL);
COMMIT;
DEALLOCATE Organization_plan;
ANALYZE Organization;
