BEGIN;
PREPARE Religion_plan (CHAR, VARCHAR, NUMERIC) AS
    INSERT INTO Religion(Country, Name, Percentage)
        VALUES($1, $2, $3);
EXECUTE Religion_plan('ae', 'Muslim', '96');
EXECUTE Religion_plan('af', 'Shia Muslim', '19');
EXECUTE Religion_plan('af', 'Sunni Muslim', '80');
EXECUTE Religion_plan('ai', 'Anglican', '40');
EXECUTE Religion_plan('ai', 'Baptist', '5');
EXECUTE Religion_plan('ai', 'Methodist', '33');
EXECUTE Religion_plan('ai', 'Roman Catholic', '3');
EXECUTE Religion_plan('ai', 'Seventh-Day Adventist', '7');
EXECUTE Religion_plan('al', 'Albanian Orthodox', '20');
EXECUTE Religion_plan('al', 'Muslim', '70');
EXECUTE Religion_plan('al', 'Roman Catholic', '10');
EXECUTE Religion_plan('am', 'Armenian Apostolic', '94');
EXECUTE Religion_plan('am', 'Yezidi', '2');
EXECUTE Religion_plan('ao', 'Protestant', '15');
EXECUTE Religion_plan('ao', 'Roman Catholic', '38');
EXECUTE Religion_plan('ao', 'indigenous beliefs', '47');
EXECUTE Religion_plan('ar', 'Jewish', '2');
EXECUTE Religion_plan('ar', 'Protestant', '2');
EXECUTE Religion_plan('ar', 'Roman Catholic', '92');
EXECUTE Religion_plan('as', 'Christian Congregationalist', '50');
EXECUTE Religion_plan('as', 'Protestant', '30');
EXECUTE Religion_plan('as', 'Roman Catholic', '20');
EXECUTE Religion_plan('at', 'Muslim', '4.2');
EXECUTE Religion_plan('at', 'Protestant', '4.7');
EXECUTE Religion_plan('at', 'Roman Catholic', '73.6');
EXECUTE Religion_plan('au', 'Anglican', '26.1');
EXECUTE Religion_plan('au', 'Roman Catholic', '26');
EXECUTE Religion_plan('au', 'non-Christian', '11');
EXECUTE Religion_plan('aw', 'Protestant', '8');
EXECUTE Religion_plan('aw', 'Roman Catholic', '82');
EXECUTE Religion_plan('az', 'Armenian Orthodox', '2.3');
EXECUTE Religion_plan('az', 'Muslim', '93.4');
EXECUTE Religion_plan('az', 'Russian Orthodox', '2.5');
EXECUTE Religion_plan('ba', 'Muslim', '40');
EXECUTE Religion_plan('ba', 'Orthodox', '31');
EXECUTE Religion_plan('ba', 'Roman Catholic', '15');
EXECUTE Religion_plan('bb', 'Anglican', '40');
EXECUTE Religion_plan('bb', 'Methodist', '7');
EXECUTE Religion_plan('bb', 'Pentecostal', '8');
EXECUTE Religion_plan('bb', 'Roman Catholic', '4');
EXECUTE Religion_plan('bd', 'Hindu', '16');
EXECUTE Religion_plan('bd', 'Muslim', '83');
EXECUTE Religion_plan('be', 'Protestant', '25');
EXECUTE Religion_plan('be', 'Roman Catholic', '75');
EXECUTE Religion_plan('bf', 'Christian', '10');
EXECUTE Religion_plan('bf', 'Muslim', '50');
EXECUTE Religion_plan('bf', 'indigenous beliefs', '40');
EXECUTE Religion_plan('bg', 'Bulgarian Orthodox', '82.6');
EXECUTE Religion_plan('bg', 'Jewish', '0.1');
EXECUTE Religion_plan('bg', 'Muslim', '12.2');
EXECUTE Religion_plan('bg', 'Roman Catholic', '1.7');
EXECUTE Religion_plan('bh', 'Shia Muslim', '70');
EXECUTE Religion_plan('bh', 'Sunni Muslim', '30');
EXECUTE Religion_plan('bi', 'Muslim', '10');
EXECUTE Religion_plan('bi', 'Protestant', '5');
EXECUTE Religion_plan('bi', 'Roman Catholic', '62');
EXECUTE Religion_plan('bi', 'indigenous beliefs', '23');
EXECUTE Religion_plan('bj', 'Christian', '30');
EXECUTE Religion_plan('bj', 'Muslim', '20');
EXECUTE Religion_plan('bj', 'indigenous beliefs', '50');
EXECUTE Religion_plan('bm', 'Anglican', '27');
EXECUTE Religion_plan('bm', 'Roman Catholic', '15');
EXECUTE Religion_plan('bm', 'non-Anglican Protestant', '39');
EXECUTE Religion_plan('bn', 'Buddhist', '13');
EXECUTE Religion_plan('bn', 'Christian', '10');
EXECUTE Religion_plan('bn', 'Muslim', '67');
EXECUTE Religion_plan('bn', 'indigenous beliefs', '10');
EXECUTE Religion_plan('bo', 'Roman Catholic', '95');
EXECUTE Religion_plan('br', 'Roman Catholic', '80');
EXECUTE Religion_plan('bs', 'Anglican', '20');
EXECUTE Religion_plan('bs', 'Baptist', '32');
EXECUTE Religion_plan('bs', 'Church of God', '6');
EXECUTE Religion_plan('bs', 'Methodist', '6');
EXECUTE Religion_plan('bs', 'Protestant', '12');
EXECUTE Religion_plan('bs', 'Roman Catholic', '19');
EXECUTE Religion_plan('bt', 'Indian- and Nepalese-influenced Hinduism', '25');
EXECUTE Religion_plan('bt', 'Lamaistic Buddhist', '75');
EXECUTE Religion_plan('bw', 'Christian', '15');
EXECUTE Religion_plan('bw', 'indigenous beliefs', '85');
EXECUTE Religion_plan('by', 'Eastern Orthodox', '80');
EXECUTE Religion_plan('bz', 'Anglican', '5.3');
EXECUTE Religion_plan('bz', 'Jehovahs Witnesses', '1.5');
EXECUTE Religion_plan('bz', 'Mennonite', '4.1');
EXECUTE Religion_plan('bz', 'Methodist', '3.5');
EXECUTE Religion_plan('bz', 'Pentecostal', '7.4');
EXECUTE Religion_plan('bz', 'Roman Catholic', '49.6');
EXECUTE Religion_plan('bz', 'Seventh-Day Adventist', '5.2');
EXECUTE Religion_plan('ca', 'Protestant', '36');
EXECUTE Religion_plan('ca', 'Roman Catholic', '46');
EXECUTE Religion_plan('cc', 'Sunni Muslim', '80');
EXECUTE Religion_plan('cd', 'Kimbanguist', '10');
EXECUTE Religion_plan('cd', 'Muslim', '10');
EXECUTE Religion_plan('cd', 'Protestant', '20');
EXECUTE Religion_plan('cd', 'Roman Catholic', '50');
EXECUTE Religion_plan('cf', 'Muslim', '15');
EXECUTE Religion_plan('cf', 'Protestant', '25');
EXECUTE Religion_plan('cf', 'Roman Catholic', '25');
EXECUTE Religion_plan('cf', 'indigenous beliefs', '35');
EXECUTE Religion_plan('cg', 'Christian', '50');
EXECUTE Religion_plan('cg', 'Muslim', '2');
EXECUTE Religion_plan('cg', 'animist', '48');
EXECUTE Religion_plan('ch', 'Protestant', '40');
EXECUTE Religion_plan('ch', 'Roman Catholic', '46.1');
EXECUTE Religion_plan('ci', 'Christian', '25');
EXECUTE Religion_plan('ci', 'Muslim', '37.5');
EXECUTE Religion_plan('ci', 'indigenous', '37.5');
EXECUTE Religion_plan('cl', 'Protestant', '11');
EXECUTE Religion_plan('cl', 'Roman Catholic', '89');
EXECUTE Religion_plan('cm', 'Christian', '40');
EXECUTE Religion_plan('cm', 'Muslim', '20');
EXECUTE Religion_plan('cm', 'indigenous beliefs', '40');
EXECUTE Religion_plan('cn', 'Christian', '3');
EXECUTE Religion_plan('cn', 'Muslim', '1');
EXECUTE Religion_plan('co', 'Roman Catholic', '90');
EXECUTE Religion_plan('cr', 'Evangelical', '13.7');
EXECUTE Religion_plan('cr', 'Jehovahs Witnesses', '1.3');
EXECUTE Religion_plan('cr', 'Roman Catholic', '76.3');
EXECUTE Religion_plan('cu', 'Roman Catholic', '85');
EXECUTE Religion_plan('cx', 'Buddhist', '36');
EXECUTE Religion_plan('cx', 'Christian', '18');
EXECUTE Religion_plan('cx', 'Muslim', '25');
EXECUTE Religion_plan('cy', 'Greek Orthodox', '78');
EXECUTE Religion_plan('cy', 'Muslim', '18');
EXECUTE Religion_plan('cz', 'Orthodox', '3');
EXECUTE Religion_plan('cz', 'Protestant', '4.6');
EXECUTE Religion_plan('cz', 'Roman Catholic', '39.2');
EXECUTE Religion_plan('de', 'Muslim', '3.7');
EXECUTE Religion_plan('de', 'Protestant', '34');
EXECUTE Religion_plan('de', 'Roman Catholic', '34');
EXECUTE Religion_plan('dj', 'Christian', '6');
EXECUTE Religion_plan('dj', 'Muslim', '94');
EXECUTE Religion_plan('dk', 'Evangelical Lutheran', '95');
EXECUTE Religion_plan('dk', 'Muslim', '2');
EXECUTE Religion_plan('dm', 'Baptist', '2');
EXECUTE Religion_plan('dm', 'Methodist', '5');
EXECUTE Religion_plan('dm', 'Pentecostal', '3');
EXECUTE Religion_plan('dm', 'Roman Catholic', '77');
EXECUTE Religion_plan('dm', 'Seventh-Day Adventist', '3');
EXECUTE Religion_plan('do', 'Roman Catholic', '95');
EXECUTE Religion_plan('dz', 'Sunni Muslim', '99');
EXECUTE Religion_plan('ec', 'Roman Catholic', '95');
EXECUTE Religion_plan('eg', 'Coptic Christian', '6');
EXECUTE Religion_plan('eg', 'Sunni Muslim', '94');
EXECUTE Religion_plan('es', 'Roman Catholic', '94');
EXECUTE Religion_plan('et', 'Ethiopian Orthodox', '35');
EXECUTE Religion_plan('et', 'Muslim', '45');
EXECUTE Religion_plan('et', 'animist', '12');
EXECUTE Religion_plan('fi', 'Evangelical Lutheran', '89');
EXECUTE Religion_plan('fi', 'Russian Orthodox', '1');
EXECUTE Religion_plan('fj', 'Hindu', '38');
EXECUTE Religion_plan('fj', 'Methodist', '37');
EXECUTE Religion_plan('fj', 'Muslim', '8');
EXECUTE Religion_plan('fj', 'Roman Catholic', '9');
EXECUTE Religion_plan('fm', 'Protestant', '47');
EXECUTE Religion_plan('fm', 'Roman Catholic', '50');
EXECUTE Religion_plan('fr', 'Jewish', '1');
EXECUTE Religion_plan('fr', 'Muslim', '5');
EXECUTE Religion_plan('fr', 'Protestant', '2');
EXECUTE Religion_plan('fr', 'Roman Catholic', '83');
EXECUTE Religion_plan('ga', 'Christian', '55');
EXECUTE Religion_plan('gd', 'Anglican', '13.8');
EXECUTE Religion_plan('gd', 'Protestant', '33.2');
EXECUTE Religion_plan('gd', 'Roman Catholic', '53');
EXECUTE Religion_plan('ge', 'Armenian Apostolic', '8');
EXECUTE Religion_plan('ge', 'Georgian Orthodox', '65');
EXECUTE Religion_plan('ge', 'Muslim', '11');
EXECUTE Religion_plan('ge', 'Russian Orthodox', '10');
EXECUTE Religion_plan('gh', 'Christian', '63');
EXECUTE Religion_plan('gh', 'Muslim', '16');
EXECUTE Religion_plan('gh', 'indigenous beliefs', '21');
EXECUTE Religion_plan('gi', 'Church of England', '6.9');
EXECUTE Religion_plan('gi', 'Jewish', '2.3');
EXECUTE Religion_plan('gi', 'Muslim', '6.9');
EXECUTE Religion_plan('gi', 'Roman Catholic', '76.9');
EXECUTE Religion_plan('gm', 'Christian', '9');
EXECUTE Religion_plan('gm', 'Muslim', '90');
EXECUTE Religion_plan('gm', 'indigenous beliefs', '1');
EXECUTE Religion_plan('gn', 'Christian', '8');
EXECUTE Religion_plan('gn', 'Muslim', '85');
EXECUTE Religion_plan('gn', 'indigenous beliefs', '7');
EXECUTE Religion_plan('gp', 'Hindu', '4');
EXECUTE Religion_plan('gp', 'Protestant', '1');
EXECUTE Religion_plan('gp', 'Roman Catholic', '95');
EXECUTE Religion_plan('gr', 'Greek Orthodox', '98');
EXECUTE Religion_plan('gr', 'Muslim', '1.3');
EXECUTE Religion_plan('gu', 'Roman Catholic', '85');
EXECUTE Religion_plan('gw', 'Christian', '5');
EXECUTE Religion_plan('gw', 'Muslim', '45');
EXECUTE Religion_plan('gw', 'indigenous beliefs', '50');
EXECUTE Religion_plan('gy', 'Christian', '50');
EXECUTE Religion_plan('gy', 'Hindu', '35');
EXECUTE Religion_plan('gy', 'Muslim', '10');
EXECUTE Religion_plan('hn', 'Roman Catholic', '97');
EXECUTE Religion_plan('hr', 'Muslim', '1.3');
EXECUTE Religion_plan('hr', 'Orthodox', '4.4');
EXECUTE Religion_plan('hr', 'Protestant', '0.3');
EXECUTE Religion_plan('hr', 'Roman Catholic', '87.8');
EXECUTE Religion_plan('ht', 'Adventist', '1');
EXECUTE Religion_plan('ht', 'Baptist', '10');
EXECUTE Religion_plan('ht', 'Pentecostal', '4');
EXECUTE Religion_plan('ht', 'Roman Catholic', '80');
EXECUTE Religion_plan('hu', 'Calvinist', '20');
EXECUTE Religion_plan('hu', 'Lutheran', '5');
EXECUTE Religion_plan('hu', 'Roman Catholic', '67.5');
EXECUTE Religion_plan('id', 'Buddhist', '1');
EXECUTE Religion_plan('id', 'Hindu', '2');
EXECUTE Religion_plan('id', 'Muslim', '88');
EXECUTE Religion_plan('id', 'Protestant', '5');
EXECUTE Religion_plan('id', 'Roman Catholic', '3');
EXECUTE Religion_plan('ie', 'Church of Ireland', '2.5');
EXECUTE Religion_plan('ie', 'Roman Catholic', '91.6');
EXECUTE Religion_plan('il', 'Christian', '2.1');
EXECUTE Religion_plan('il', 'Jewish', '80.1');
EXECUTE Religion_plan('il', 'Muslim', '14.6');
EXECUTE Religion_plan('in', 'Christian', '2.3');
EXECUTE Religion_plan('in', 'Hindu', '81.3');
EXECUTE Religion_plan('in', 'Muslim', '12');
EXECUTE Religion_plan('in', 'Parsi', '2.5');
EXECUTE Religion_plan('in', 'Sikh', '1.9');
EXECUTE Religion_plan('iq', 'Christian', '3');
EXECUTE Religion_plan('iq', 'Shia Muslim', '60');
EXECUTE Religion_plan('iq', 'Sunni Muslim', '37');
EXECUTE Religion_plan('ir', 'Shia Muslim', '89');
EXECUTE Religion_plan('ir', 'Sunni Muslim', '9');
EXECUTE Religion_plan('is', 'Evangelical Lutheran', '87.1');
EXECUTE Religion_plan('is', 'Protestant', '4.1');
EXECUTE Religion_plan('is', 'Roman Catholic', '1.7');
EXECUTE Religion_plan('jm', 'Anglican', '5.5');
EXECUTE Religion_plan('jm', 'Baptist', '8.8');
EXECUTE Religion_plan('jm', 'Brethren', '1.1');
EXECUTE Religion_plan('jm', 'Church of God', '21.2');
EXECUTE Religion_plan('jm', 'Jehovahs Witness', '1.6');
EXECUTE Religion_plan('jm', 'Methodist', '2.7');
EXECUTE Religion_plan('jm', 'Moravian', '1.1');
EXECUTE Religion_plan('jm', 'Pentecostal', '7.6');
EXECUTE Religion_plan('jm', 'Roman Catholic', '4');
EXECUTE Religion_plan('jm', 'Seventh-Day Adventist', '9');
EXECUTE Religion_plan('jm', 'United Church', '2.7');
EXECUTE Religion_plan('jo', 'Christian', '6');
EXECUTE Religion_plan('jo', 'Sunni Muslim', '92');
EXECUTE Religion_plan('jp', 'Shinto and Buddhist', '84');
EXECUTE Religion_plan('ke', 'Muslim', '10');
EXECUTE Religion_plan('ke', 'Protestant', '45');
EXECUTE Religion_plan('ke', 'Roman Catholic', '33');
EXECUTE Religion_plan('ke', 'indigenous beliefs', '10');
EXECUTE Religion_plan('kg', 'Muslim', '75');
EXECUTE Religion_plan('kg', 'Russian Orthodox', '20');
EXECUTE Religion_plan('kh', 'Theravada Buddhist', '95');
EXECUTE Religion_plan('ki', 'Protestant', '40');
EXECUTE Religion_plan('ki', 'Roman Catholic', '52');
EXECUTE Religion_plan('km', 'Roman Catholic', '2');
EXECUTE Religion_plan('km', 'Sunni Muslim', '98');
EXECUTE Religion_plan('kr', 'Buddhist', '26');
EXECUTE Religion_plan('kr', 'Christian', '26');
EXECUTE Religion_plan('kr', 'Confucianist', '1');
EXECUTE Religion_plan('kw', 'Shia Muslim', '25');
EXECUTE Religion_plan('kw', 'Sunni Muslim', '60');
EXECUTE Religion_plan('kz', 'Muslim', '47');
EXECUTE Religion_plan('kz', 'Protestant', '2');
EXECUTE Religion_plan('kz', 'Russian Orthodox', '44');
EXECUTE Religion_plan('la', 'Buddhist', '60');
EXECUTE Religion_plan('la', 'animist', '40');
EXECUTE Religion_plan('lb', 'Christian', '39');
EXECUTE Religion_plan('lb', 'Muslim', '59.7');
EXECUTE Religion_plan('lc', 'Anglican', '3');
EXECUTE Religion_plan('lc', 'Roman Catholic', '90');
EXECUTE Religion_plan('li', 'Protestant', '7');
EXECUTE Religion_plan('li', 'Roman Catholic', '76.2');
EXECUTE Religion_plan('lk', 'Buddhist', '70');
EXECUTE Religion_plan('lk', 'Christian', '8');
EXECUTE Religion_plan('lk', 'Hindu', '15');
EXECUTE Religion_plan('lk', 'Muslim', '7');
EXECUTE Religion_plan('lr', 'Christian', '40');
EXECUTE Religion_plan('lr', 'Muslim', '20');
EXECUTE Religion_plan('lr', 'indigenous beliefs', '40');
EXECUTE Religion_plan('ls', 'Christian', '80');
EXECUTE Religion_plan('ls', 'indigenous beliefs', '20');
EXECUTE Religion_plan('lu', 'Protestants', '13');
EXECUTE Religion_plan('lu', 'Roman Catholic', '87');
EXECUTE Religion_plan('ly', 'Sunni Muslim', '97');
EXECUTE Religion_plan('ma', 'Christian', '1.1');
EXECUTE Religion_plan('ma', 'Jewish', '0.2');
EXECUTE Religion_plan('ma', 'Muslim', '98.7');
EXECUTE Religion_plan('mc', 'Roman Catholic', '90');
EXECUTE Religion_plan('md', 'Eastern Orthodox', '98');
EXECUTE Religion_plan('md', 'Jewish', '1.5');
EXECUTE Religion_plan('mg', 'Christian', '41');
EXECUTE Religion_plan('mg', 'Muslim', '7');
EXECUTE Religion_plan('mg', 'indigenous beliefs', '52');
EXECUTE Religion_plan('mk', 'Macedonian Orthodox', '70');
EXECUTE Religion_plan('mk', 'Muslim', '29');
EXECUTE Religion_plan('ml', 'Christian', '1');
EXECUTE Religion_plan('ml', 'Muslim', '90');
EXECUTE Religion_plan('ml', 'indigenous beliefs', '9');
EXECUTE Religion_plan('mm', 'Buddhist', '89');
EXECUTE Religion_plan('mm', 'Christian', '4');
EXECUTE Religion_plan('mm', 'Muslim', '4');
EXECUTE Religion_plan('mm', 'animist', '1');
EXECUTE Religion_plan('mn', 'Buddhist Lamaist', '50');
EXECUTE Religion_plan('mn', 'Christian', '6');
EXECUTE Religion_plan('mn', 'Muslim', '4');
EXECUTE Religion_plan('mq', 'Hindu', '0.5');
EXECUTE Religion_plan('mq', 'Muslim', '0.5');
EXECUTE Religion_plan('mq', 'Protestant', '10.5');
EXECUTE Religion_plan('mq', 'Roman Catholic', '85');
EXECUTE Religion_plan('mr', 'Muslim', '100');
EXECUTE Religion_plan('mt', 'Roman Catholic', '98');
EXECUTE Religion_plan('mu', 'Hindu', '52');
EXECUTE Religion_plan('mu', 'Muslim', '16.6');
EXECUTE Religion_plan('mu', 'Protestant', '2.3');
EXECUTE Religion_plan('mu', 'Roman Catholic', '26');
EXECUTE Religion_plan('mw', 'Muslim', '20');
EXECUTE Religion_plan('mw', 'Protestant', '55');
EXECUTE Religion_plan('mw', 'Roman Catholic', '20');
EXECUTE Religion_plan('mw', 'indigenous beliefs', '3');
EXECUTE Religion_plan('mx', 'Protestant', '6');
EXECUTE Religion_plan('mx', 'Roman Catholic', '89');
EXECUTE Religion_plan('mz', 'Christian', '30');
EXECUTE Religion_plan('mz', 'Muslim', '20');
EXECUTE Religion_plan('mz', 'indigenous beliefs', '50');
EXECUTE Religion_plan('na', 'Christian', '85');
EXECUTE Religion_plan('na', 'indigenous beliefs', '15');
EXECUTE Religion_plan('nc', 'Protestant', '30');
EXECUTE Religion_plan('nc', 'Roman Catholic', '60');
EXECUTE Religion_plan('ne', 'Muslim', '80');
EXECUTE Religion_plan('nf', 'Anglican', '37.4');
EXECUTE Religion_plan('nf', 'Roman Catholic', '11.5');
EXECUTE Religion_plan('nf', 'Seventh-Day Adventist', '3.1');
EXECUTE Religion_plan('nf', 'Uniting Church in Australia', '14.5');
EXECUTE Religion_plan('ng', 'Christian', '40');
EXECUTE Religion_plan('ng', 'Muslim', '50');
EXECUTE Religion_plan('ng', 'indigenous beliefs', '10');
EXECUTE Religion_plan('ni', 'Roman Catholic', '85');
EXECUTE Religion_plan('nl', 'Muslim', '4.4');
EXECUTE Religion_plan('nl', 'Protestant', '21');
EXECUTE Religion_plan('nl', 'Roman Catholic', '31');
EXECUTE Religion_plan('no', 'Evangelical Lutheran', '86');
EXECUTE Religion_plan('np', 'Buddhism', '7.8');
EXECUTE Religion_plan('np', 'Hinduism', '86.2');
EXECUTE Religion_plan('np', 'Islam', '3.8');
EXECUTE Religion_plan('nu', 'Latter-Day Saints', '10');
EXECUTE Religion_plan('nu', 'Protestant', '75');
EXECUTE Religion_plan('nz', 'Anglican', '24');
EXECUTE Religion_plan('nz', 'Baptist', '2');
EXECUTE Religion_plan('nz', 'Methodist', '5');
EXECUTE Religion_plan('nz', 'Presbyterian', '18');
EXECUTE Religion_plan('nz', 'Roman Catholic', '15');
EXECUTE Religion_plan('om', 'Ibadhi Muslim', '75');
EXECUTE Religion_plan('pa', 'Protestant', '15');
EXECUTE Religion_plan('pa', 'Roman Catholic', '85');
EXECUTE Religion_plan('pe', 'Roman Catholic', '90');
EXECUTE Religion_plan('pf', 'Protestant', '54');
EXECUTE Religion_plan('pf', 'Roman Catholic', '30');
EXECUTE Religion_plan('pg', 'Anglican', '5');
EXECUTE Religion_plan('pg', 'Evangelical Alliance', '4');
EXECUTE Religion_plan('pg', 'London Missionary Society', '8');
EXECUTE Religion_plan('pg', 'Lutheran', '16');
EXECUTE Religion_plan('pg', 'Roman Catholic', '22');
EXECUTE Religion_plan('pg', 'Seventh-Day Adventist', '1');
EXECUTE Religion_plan('pg', 'indigenous beliefs', '34');
EXECUTE Religion_plan('ph', 'Muslim', '5');
EXECUTE Religion_plan('ph', 'Protestant', '9');
EXECUTE Religion_plan('ph', 'Roman Catholic', '83');
EXECUTE Religion_plan('pk', 'Shia Muslim', '20');
EXECUTE Religion_plan('pk', 'Sunni Muslim', '77');
EXECUTE Religion_plan('pl', 'Roman Catholic', '95');
EXECUTE Religion_plan('pm', 'Roman Catholic', '99');
EXECUTE Religion_plan('pn', 'Seventh-Day Adventist', '100');
EXECUTE Religion_plan('pr', 'Protestant', '15');
EXECUTE Religion_plan('pr', 'Roman Catholic', '85');
EXECUTE Religion_plan('ps', 'Christian', '0.7');
EXECUTE Religion_plan('ps', 'Jewish', '0.6');
EXECUTE Religion_plan('ps', 'Sunni Muslim', '98.7');
EXECUTE Religion_plan('pt', 'Roman Catholic', '94');
EXECUTE Religion_plan('pw', 'Roman Catholics', '49');
EXECUTE Religion_plan('py', 'Roman Catholic', '90');
EXECUTE Religion_plan('qa', 'Muslim', '95');
EXECUTE Religion_plan('re', 'Roman Catholic', '86');
EXECUTE Religion_plan('ro', 'Catholic', '5.6');
EXECUTE Religion_plan('ro', 'Eastern Orthodox', '87');
EXECUTE Religion_plan('ro', 'Protestant', '6.8');
EXECUTE Religion_plan('rw', 'Adventist', '11.1');
EXECUTE Religion_plan('rw', 'Muslim', '4.6');
EXECUTE Religion_plan('rw', 'Protestant', '26');
EXECUTE Religion_plan('rw', 'Roman Catholic', '56.5');
EXECUTE Religion_plan('rw', 'indigenous beliefs', '0.1');
EXECUTE Religion_plan('sa', 'Muslim', '100');
EXECUTE Religion_plan('sb', 'Anglican', '45');
EXECUTE Religion_plan('sb', 'Baptist', '9');
EXECUTE Religion_plan('sb', 'Presbyterian', '12');
EXECUTE Religion_plan('sb', 'Roman Catholic', '18');
EXECUTE Religion_plan('sb', 'Seventh-Day Adventist', '7');
EXECUTE Religion_plan('sb', 'indigenous beliefs', '4');
EXECUTE Religion_plan('sc', 'Anglican', '6.8');
EXECUTE Religion_plan('sc', 'Roman Catholic', '86.6');
EXECUTE Religion_plan('sd', 'Christian', '5');
EXECUTE Religion_plan('sd', 'Sunni Muslim', '70');
EXECUTE Religion_plan('sd', 'indigenous beliefs', '25');
EXECUTE Religion_plan('se', 'Lutheran', '87');
EXECUTE Religion_plan('si', 'Lutheran', '1');
EXECUTE Religion_plan('si', 'Muslim', '1');
EXECUTE Religion_plan('si', 'Roman Catholic', '70.8');
EXECUTE Religion_plan('sk', 'Orthodox', '4.1');
EXECUTE Religion_plan('sk', 'Protestant', '8.4');
EXECUTE Religion_plan('sk', 'Roman Catholic', '60.3');
EXECUTE Religion_plan('sl', 'Christian', '10');
EXECUTE Religion_plan('sl', 'Muslim', '60');
EXECUTE Religion_plan('sl', 'indigenous beliefs', '30');
EXECUTE Religion_plan('sn', 'Christian', '5');
EXECUTE Religion_plan('sn', 'Muslim', '94');
EXECUTE Religion_plan('sn', 'indigenous beliefs', '1');
EXECUTE Religion_plan('sr', 'Hindu', '27.4');
EXECUTE Religion_plan('sr', 'Muslim', '19.6');
EXECUTE Religion_plan('sr', 'Protestant', '25.2');
EXECUTE Religion_plan('sr', 'Roman Catholic', '22.8');
EXECUTE Religion_plan('sr', 'indigenous beliefs', '5');
EXECUTE Religion_plan('st', 'Christian', '80');
EXECUTE Religion_plan('sv', 'Roman Catholic', '83');
EXECUTE Religion_plan('sy', 'Christian', '10');
EXECUTE Religion_plan('sy', 'Muslim sects', '16');
EXECUTE Religion_plan('sy', 'Sunni Muslim', '74');
EXECUTE Religion_plan('sz', 'Muslim', '10');
EXECUTE Religion_plan('sz', 'Roman Catholic', '20');
EXECUTE Religion_plan('sz', 'Zionist', '40');
EXECUTE Religion_plan('tc', 'Anglican', '18');
EXECUTE Religion_plan('tc', 'Baptist', '40');
EXECUTE Religion_plan('tc', 'Church of God', '12');
EXECUTE Religion_plan('tc', 'Methodist', '16');
EXECUTE Religion_plan('td', 'Christian', '35');
EXECUTE Religion_plan('td', 'Muslim', '51');
EXECUTE Religion_plan('td', 'animist', '7');
EXECUTE Religion_plan('tg', 'Christian', '29');
EXECUTE Religion_plan('tg', 'Muslim', '20');
EXECUTE Religion_plan('tg', 'indigenous beliefs', '51');
EXECUTE Religion_plan('th', 'Buddhism', '95');
EXECUTE Religion_plan('th', 'Christian', '0.5');
EXECUTE Religion_plan('th', 'Hinduism', '0.1');
EXECUTE Religion_plan('th', 'Muslim', '3.8');
EXECUTE Religion_plan('tj', 'Shia Muslim', '5');
EXECUTE Religion_plan('tj', 'Sunni Muslim', '85');
EXECUTE Religion_plan('tk', 'Congregational Christian Church', '70');
EXECUTE Religion_plan('tk', 'Roman Catholic', '28');
EXECUTE Religion_plan('tm', 'Eastern Orthodox', '9');
EXECUTE Religion_plan('tm', 'Muslim', '89');
EXECUTE Religion_plan('tn', 'Christian', '1');
EXECUTE Religion_plan('tn', 'Jewish', '1');
EXECUTE Religion_plan('tn', 'Muslim', '98');
EXECUTE Religion_plan('tp', 'Hindu', '0.5');
EXECUTE Religion_plan('tp', 'Muslim', '4');
EXECUTE Religion_plan('tp', 'Protestant', '3');
EXECUTE Religion_plan('tp', 'Roman Catholic', '90');
EXECUTE Religion_plan('tr', 'Muslim', '99.8');
EXECUTE Religion_plan('tt', 'Anglican', '10.9');
EXECUTE Religion_plan('tt', 'Hindu', '23.8');
EXECUTE Religion_plan('tt', 'Muslim', '5.8');
EXECUTE Religion_plan('tt', 'Presbyterian', '3.4');
EXECUTE Religion_plan('tt', 'Roman Catholic', '29.4');
EXECUTE Religion_plan('tv', 'Bahai', '1');
EXECUTE Religion_plan('tv', 'Congregationalist', '97');
EXECUTE Religion_plan('tv', 'Seventh-Day Adventist', '1.4');
EXECUTE Religion_plan('tw', 'Christian', '4.5');
EXECUTE Religion_plan('tw', 'Taoist', '93');
EXECUTE Religion_plan('tz', 'Christian', '30');
EXECUTE Religion_plan('tz', 'Muslim', '35');
EXECUTE Religion_plan('tz', 'indigenous beliefs', '35');
EXECUTE Religion_plan('ua', 'Kiev Patriarchate', '19');
EXECUTE Religion_plan('ua', 'Moscow Patriarchate', '9');
EXECUTE Religion_plan('ua', 'Ukrainian Autocephalous Orthodox', '1.7');
EXECUTE Religion_plan('ua', 'Ukrainian Greek Catholic', '6');
EXECUTE Religion_plan('ug', 'Muslim', '16');
EXECUTE Religion_plan('ug', 'Protestant', '33');
EXECUTE Religion_plan('ug', 'Roman Catholic', '33');
EXECUTE Religion_plan('ug', 'indigenous beliefs', '18');
EXECUTE Religion_plan('us', 'Jewish', '1');
EXECUTE Religion_plan('us', 'Mormon', '2');
EXECUTE Religion_plan('us', 'Muslim', '1');
EXECUTE Religion_plan('us', 'Protestant', '52');
EXECUTE Religion_plan('us', 'Roman Catholic', '24');
EXECUTE Religion_plan('uy', 'Jewish', '1');
EXECUTE Religion_plan('uy', 'Protestant', '2');
EXECUTE Religion_plan('uy', 'Roman Catholic', '66');
EXECUTE Religion_plan('uz', 'Eastern Orthodox', '9');
EXECUTE Religion_plan('uz', 'Muslim', '88');
EXECUTE Religion_plan('vc', 'Anglican', '47');
EXECUTE Religion_plan('vc', 'Methodist', '28');
EXECUTE Religion_plan('vc', 'Roman Catholic', '13');
EXECUTE Religion_plan('ve', 'Protestant', '2');
EXECUTE Religion_plan('ve', 'Roman Catholic', '96');
EXECUTE Religion_plan('vg', 'Anglican', '17');
EXECUTE Religion_plan('vg', 'Baptist', '4');
EXECUTE Religion_plan('vg', 'Church of God', '9');
EXECUTE Religion_plan('vg', 'Jehovahs Witnesses', '2');
EXECUTE Religion_plan('vg', 'Methodist', '33');
EXECUTE Religion_plan('vg', 'Roman Catholic', '10');
EXECUTE Religion_plan('vg', 'Seventh-Day Adventist', '6');
EXECUTE Religion_plan('vi', 'Baptist', '42');
EXECUTE Religion_plan('vi', 'Episcopalian', '17');
EXECUTE Religion_plan('vi', 'Roman Catholic', '34');
EXECUTE Religion_plan('vu', 'Anglican', '15');
EXECUTE Religion_plan('vu', 'Church of Christ', '3.8');
EXECUTE Religion_plan('vu', 'Presbyterian', '36.7');
EXECUTE Religion_plan('vu', 'Roman Catholic', '15');
EXECUTE Religion_plan('vu', 'Seventh-Day Adventist', '6.2');
EXECUTE Religion_plan('vu', 'indigenous beliefs', '7.6');
EXECUTE Religion_plan('wf', 'Roman Catholic', '99');
EXECUTE Religion_plan('ws', 'Christian', '99.7');
EXECUTE Religion_plan('yt', 'Muslim', '97');
EXECUTE Religion_plan('yu', 'Muslim', '19');
EXECUTE Religion_plan('yu', 'Orthodox', '65');
EXECUTE Religion_plan('yu', 'Protestant', '1');
EXECUTE Religion_plan('yu', 'Roman Catholic', '4');
EXECUTE Religion_plan('za', 'Christian', '68');
EXECUTE Religion_plan('za', 'Hindu', '1.5');
EXECUTE Religion_plan('za', 'Muslim', '2');
EXECUTE Religion_plan('za', 'indigenous beliefs', '28.5');
EXECUTE Religion_plan('zm', 'Christian', '50');
EXECUTE Religion_plan('zm', 'Hindu', '24');
EXECUTE Religion_plan('zm', 'Muslim', '25');
EXECUTE Religion_plan('zm', 'indigenous beliefs', '1');
EXECUTE Religion_plan('zw', 'Christian', '25');
EXECUTE Religion_plan('zw', 'Muslim', '1');
EXECUTE Religion_plan('zw', 'indigenous beliefs', '24');
EXECUTE Religion_plan('zw', 'syncretic', '50');
COMMIT;
DEALLOCATE Religion_plan;
ANALYZE Religion;
