CREATE TABLE City (
    Name CHARACTER VARYING(40),
    Country CHARACTER(2),
    Province CHARACTER VARYING(40),
    Population NUMERIC
        CONSTRAINT City_Population_Check CHECK (
             Population >= 0
        ),
    Latitude NUMERIC
        CONSTRAINT City_Latitude_Check CHECK (
             (Latitude >= -90) AND (Latitude <= 90)
        ),
    Longitude NUMERIC
        CONSTRAINT City_Longitude_Check CHECK (
             (Longitude >= -180) AND (Longitude <= 180)
        ),
    CONSTRAINT City_Key PRIMARY KEY (Country, Province, Name)
);
