CREATE TABLE Country (
    Name CHARACTER VARYING(40)
        CONSTRAINT Country_Name_NotNull NOT NULL
        CONSTRAINT Country_Name_Unique UNIQUE,
    Code CHARACTER(2)
        CONSTRAINT Country_Key PRIMARY KEY,
    Capital CHARACTER VARYING(40),
    Province CHARACTER VARYING(40),
    Population NUMERIC
        CONSTRAINT Country_Population_Check CHECK (
             Population >= 0
        ),
    Area NUMERIC
        CONSTRAINT Country_Area_Check CHECK (
             Area >= 0
        )
);
