CREATE TABLE Mountain (
    Name CHARACTER VARYING(30)
        CONSTRAINT Mountain_Key PRIMARY KEY,
    Height NUMERIC
        CONSTRAINT Mountain_Height_Check CHECK (
             Height >= 0
        ),
    Coordinates GeoCoord
        CONSTRAINT Mountain_Coordinates_Check CHECK (
             ((Coordinates).Longitude >= -180) AND
             ((Coordinates).Longitude <= 180) AND
             ((Coordinates).Latitude >= -90) AND
             ((Coordinates).Latitude <= 90)
        )
);
