CREATE TABLE Province (
    Name CHARACTER VARYING(40),
    Country CHARACTER(2),
    Population NUMERIC
        CONSTRAINT Province_Population_Check CHECK (
             Population >= 0
        ),
    Area NUMERIC
        CONSTRAINT Province_Area_Check CHECK (
             Area >= 0
        ),
    Capital CHARACTER VARYING(40),
    CapProv CHARACTER VARYING(40),
    CONSTRAINT Province_Key PRIMARY KEY (Country, Name)
);
