BEGIN;
PREPARE Country_plan (VARCHAR, CHAR, VARCHAR, VARCHAR, NUMERIC, NUMERIC) AS
    INSERT INTO Country(Name, Code, Capital, Province, Population, Area)
        VALUES($1, $2, $3, $4, $5, $6);
EXECUTE Country_plan('Andorra', 'ad', 'Andorra la Vella', 'Andorra la Vella', '69865', '468');
EXECUTE Country_plan('United Arab Emirates', 'ae', 'Abu Dhabi', 'Abu Dhabi', '2523915', '82880');
EXECUTE Country_plan('Afghanistan', 'af', 'Kabul', 'Kabul', '28513677', '647500');
EXECUTE Country_plan('Antigua and Barbuda', 'ag', 'Saint Johns', 'Saint John', '68320', '442.6');
EXECUTE Country_plan('Anguilla', 'ai', NULL, NULL, '13008', '102');
EXECUTE Country_plan('Albania', 'al', 'Tirana', 'Tirana', '3544808', '28748');
EXECUTE Country_plan('Armenia', 'am', 'Yerevan', 'Yerevan', '2991360', '29800');
EXECUTE Country_plan('Netherlands Antilles', 'an', 'Willemstad', 'Curacao', '218126', '960');
EXECUTE Country_plan('Angola', 'ao', 'Luanda', 'Luanda', '10978552', '1246700');
EXECUTE Country_plan('Argentina', 'ar', 'Buenos Aires', 'Buenos Aires', '39144753', '2766890');
EXECUTE Country_plan('American Samoa', 'as', 'Pago Pago', 'Eastern', '57902', '199');
EXECUTE Country_plan('Austria', 'at', 'Vienna', 'Wien', '8174762', '83870');
EXECUTE Country_plan('Australia', 'au', 'Canberra', 'Australian Capital Territory', '19913144', '7686850');
EXECUTE Country_plan('Aruba', 'aw', NULL, NULL, '71218', '193');
EXECUTE Country_plan('Azerbaijan', 'az', 'Baku', 'Baki', '7868385', '86600');
EXECUTE Country_plan('Bosnia and Herzegovina', 'ba', 'Sarajevo', 'Federacija Bosna i Hercegovina', '4007608', '51129');
EXECUTE Country_plan('Barbados', 'bb', 'Bridgetown', 'Saint Michael', '278289', '431');
EXECUTE Country_plan('Bangladesh', 'bd', 'Dhaka', 'Dhaka', '141340476', '144000');
EXECUTE Country_plan('Belgium', 'be', 'Brussels', 'Brussels', '10348276', '30528');
EXECUTE Country_plan('Burkina Faso', 'bf', 'Ouagadougou', 'Kadiogo', '13574820', '274200');
EXECUTE Country_plan('Bulgaria', 'bg', 'Sofia', 'Sofija grad', '7517973', '110910');
EXECUTE Country_plan('Bahrain', 'bh', 'Manama', 'Manama', '677886', '665');
EXECUTE Country_plan('Burundi', 'bi', 'Bujumbura', 'Bujumbura', '6231221', '27830');
EXECUTE Country_plan('Benin', 'bj', 'Porto Novo', 'Oueme', '7250033', '112620');
EXECUTE Country_plan('Bermuda', 'bm', 'Hamilton', 'Hamilton', '64935', '53.3');
EXECUTE Country_plan('Brunei', 'bn', 'Bandar Seri Begawan', 'Brunei-Muara', '365251', '5770');
EXECUTE Country_plan('Bolivia', 'bo', 'La Paz', 'La Paz', '8724156', '1098580');
EXECUTE Country_plan('Brazil', 'br', 'Brasilia', 'Distrito Federal', '184101109', '8511965');
EXECUTE Country_plan('Bahamas', 'bs', 'Nassau', 'New Providence', '299697', '13940');
EXECUTE Country_plan('Bhutan', 'bt', 'Timphu', 'Timphu', '2185569', '47000');
EXECUTE Country_plan('Botswana', 'bw', 'Gaborone', 'Gaborone', '1561973', '600370');
EXECUTE Country_plan('Belarus', 'by', 'Minsk', 'Minsk', '10310520', '207600');
EXECUTE Country_plan('Belize', 'bz', 'Belmopan', 'Cayo', '272945', '22966');
EXECUTE Country_plan('Canada', 'ca', 'Ottawa', 'Ontario', '32507874', '9984670');
EXECUTE Country_plan('Cocos Islands', 'cc', NULL, NULL, '629', '14');
EXECUTE Country_plan('Democratic Republic of the Congo', 'cd', 'Kinshasa', 'Kinshasa', '58317930', '2345410');
EXECUTE Country_plan('Central African Republic', 'cf', 'Bangui', 'Bangui', '3742482', '622984');
EXECUTE Country_plan('Republic of the Congo', 'cg', 'Brazzaville', 'Brazzaville', '2998040', '342000');
EXECUTE Country_plan('Switzerland', 'ch', 'Bern', 'Bern', '7450867', '41290');
EXECUTE Country_plan('Cote dIvoire', 'ci', 'Yamoussoukro', 'Lacs', '17327724', '322460');
EXECUTE Country_plan('Cook Islands', 'ck', 'Avarua', 'Rarotonga', '21200', '240');
EXECUTE Country_plan('Chile', 'cl', 'Santiago', 'Metropolitana', '15823957', '756950');
EXECUTE Country_plan('Cameroon', 'cm', 'Yaounde', 'Centre', '16063678', '475440');
EXECUTE Country_plan('China', 'cn', 'Peking', 'Peking', '1298847624', '9596960');
EXECUTE Country_plan('Colombia', 'co', 'Bogota', 'Bogota', '42310775', '1138910');
EXECUTE Country_plan('Costa Rica', 'cr', 'San Jose', 'San Jose', '3956507', '51100');
EXECUTE Country_plan('Cuba', 'cu', 'Havanna', 'Ciudad de la Habana', '11308764', '110860');
EXECUTE Country_plan('Cape Verde', 'cv', 'Praia', 'Sao Tiago', '415294', '4033');
EXECUTE Country_plan('Christmas Island', 'cx', NULL, NULL, '396', '135');
EXECUTE Country_plan('Cyprus', 'cy', 'Nicosia', 'Government controlled area', '775927', '9250');
EXECUTE Country_plan('Czech Republic', 'cz', 'Prague', 'Prague', '10246178', '78866');
EXECUTE Country_plan('Germany', 'de', 'Berlin', 'Berlin', '82424609', '357021');
EXECUTE Country_plan('Djibouti', 'dj', 'Jibuti', 'Jibuti', '466900', '23000');
EXECUTE Country_plan('Denmark', 'dk', 'Copenhagen', 'Frederiksberg Kommune', '5413392', '43094');
EXECUTE Country_plan('Dominica', 'dm', 'Roseau', 'Saint George', '69278', '754');
EXECUTE Country_plan('Dominican Republic', 'do', 'Santo Domingo', 'Distrito Nacional', '8833634', '48730');
EXECUTE Country_plan('Algeria', 'dz', 'Algiers', 'Algiers', '32129324', '2381740');
EXECUTE Country_plan('Ecuador', 'ec', 'Quito', 'Pichincha', '13212742', '283560');
EXECUTE Country_plan('Estonia', 'ee', 'Tallinn', 'Harju', '1341664', '45226');
EXECUTE Country_plan('Egypt', 'eg', 'Cairo', 'Cairo', '76117421', '1001450');
EXECUTE Country_plan('Western Sahara', 'eh', NULL, NULL, '267405', '266000');
EXECUTE Country_plan('Eritrea', 'er', 'Asmara', 'Maekel', '4447307', '121320');
EXECUTE Country_plan('Spain', 'es', 'Madrid', 'Madrid', '40280780', '504782');
EXECUTE Country_plan('Ethiopia', 'et', 'Addis Abeba', 'Addis Abeba', '67851281', '1127127');
EXECUTE Country_plan('Finland', 'fi', 'Helsinki', 'Uusimaa', '5214512', '338145');
EXECUTE Country_plan('Fiji', 'fj', 'Suva', 'Central', '880874', '18270');
EXECUTE Country_plan('Falkland Islands', 'fk', 'Port Stanley', 'Falkland Islands', '2967', '12173');
EXECUTE Country_plan('Micronesia', 'fm', 'Palikir', 'Pohnpei', '108155', '702');
EXECUTE Country_plan('Faroe Islands', 'fo', 'Torshavn', 'Torshavn', '46662', '1399');
EXECUTE Country_plan('France', 'fr', 'Paris', 'Paris', '60424213', '547030');
EXECUTE Country_plan('Gabon', 'ga', 'Libreville', 'Estuaire', '1355246', '267667');
EXECUTE Country_plan('Grenada', 'gd', 'Saint Georges', 'Saint George', '89357', '344');
EXECUTE Country_plan('Georgia', 'ge', 'Tbilisi', 'Tbilisi', '4693892', '69700');
EXECUTE Country_plan('French Guiana', 'gf', 'Cayenne', 'Cayenne', '191309', '91000');
EXECUTE Country_plan('Guernsey', 'gg', 'Saint Peter Port', 'Saint Peter Port', '65031', '78');
EXECUTE Country_plan('Ghana', 'gh', 'Accra', 'Greater Accra', '20757032', '239460');
EXECUTE Country_plan('Gibraltar', 'gi', NULL, NULL, '27833', '6.5');
EXECUTE Country_plan('Greenland', 'gl', 'Nuuk', 'Nuuk', '56384', '2166086');
EXECUTE Country_plan('Gambia', 'gm', 'Banjul', 'Banjul', '1546848', '11300');
EXECUTE Country_plan('Guinea', 'gn', 'Conakry', 'Conakry', '9246462', '245857');
EXECUTE Country_plan('Guadeloupe', 'gp', 'Basse-Terre', 'Basse-Terre', '444515', '1780');
EXECUTE Country_plan('Equatorial Guinea', 'gq', 'Malabo', 'Bioko Norte', '523051', '28051');
EXECUTE Country_plan('Greece', 'gr', 'Athens', 'Attiki', '10647529', '131940');
EXECUTE Country_plan('Guatemala', 'gt', 'Guatemala', 'Guatemala', '14280596', '108890');
EXECUTE Country_plan('Guam', 'gu', 'Agana', 'Hagatna', '166090', '549');
EXECUTE Country_plan('Guinea Bissau', 'gw', 'Bissau', 'Bissau', '1388363', '36120');
EXECUTE Country_plan('Guyana', 'gy', 'Georgetown', 'Demerara-Mahaica', '705803', '214970');
EXECUTE Country_plan('Honduras', 'hn', 'Tegucigalpa', 'Distrito Central', '6823568', '112090');
EXECUTE Country_plan('Croatia', 'hr', 'Zagreb', 'Grad Zagreb', '4496869', '56542');
EXECUTE Country_plan('Haiti', 'ht', 'Port-au-Prince', 'Ouest', '7656166', '27750');
EXECUTE Country_plan('Hungary', 'hu', 'Budapest', 'Budapest', '10032375', '93030');
EXECUTE Country_plan('Indonesia', 'id', 'Jakarta', 'Jakarta', '238452952', '1919440');
EXECUTE Country_plan('Ireland', 'ie', 'Dublin', 'Dublin', '3969558', '70280');
EXECUTE Country_plan('Israel', 'il', 'Jerusalem', 'Jerusalem', '6199008', '20770');
EXECUTE Country_plan('Isle of Man', 'im', 'Douglas', 'Douglas', '74655', '572');
EXECUTE Country_plan('India', 'in', 'Delhi', 'Delhi', '1065070607', '3287590');
EXECUTE Country_plan('Iraq', 'iq', 'Baghdad', 'Baghdad', '25374691', '437072');
EXECUTE Country_plan('Iran', 'ir', 'Tehran', 'Tehran', '69018924', '1648000');
EXECUTE Country_plan('Iceland', 'is', 'Reykjavik', 'Hoefueborgarsvaeei', '293966', '103000');
EXECUTE Country_plan('Italy', 'it', 'Rome', 'Lazio', '58057477', '301230');
EXECUTE Country_plan('Jersey', 'je', 'Saint Helier', 'Saint Helier', '90502', '116');
EXECUTE Country_plan('Jamaica', 'jm', 'Kingston', 'Kingston', '2713130', '10991');
EXECUTE Country_plan('Jordan', 'jo', 'Amman', 'Amman', '5611202', '92300');
EXECUTE Country_plan('Japan', 'jp', 'Tokyo', 'Tokyo', '127333002', '377835');
EXECUTE Country_plan('Kenya', 'ke', 'Nairobi', 'Nairobi', '32021856', '582650');
EXECUTE Country_plan('Kyrgyzstan', 'kg', 'Biskek', 'Biskek', '5081429', '198500');
EXECUTE Country_plan('Cambodia', 'kh', 'Phnum Penh', 'Phnum Penh', '13363421', '181040');
EXECUTE Country_plan('Kiribati', 'ki', 'Bairiki', 'Tarawa South', '100798', '811');
EXECUTE Country_plan('Comoros', 'km', 'Moroni', 'Ngazidja', '651901', '2170');
EXECUTE Country_plan('Saint Kitts and Nevis', 'kn', 'Basseterre', 'Saint George Basseterre', '38836', '261');
EXECUTE Country_plan('North Korea', 'kp', 'Pyongyang', 'Pyongyang', '22697553', '120540');
EXECUTE Country_plan('South Korea', 'kr', 'Soul', 'Soul', '48598175', '98480');
EXECUTE Country_plan('Kuwait', 'kw', 'al-Kuwayt', 'al-Asamah', '2257549', '17820');
EXECUTE Country_plan('Cayman Islands', 'ky', 'George Town', 'Grand Cayman', '43103', '262');
EXECUTE Country_plan('Kazakhstan', 'kz', 'Astana', 'Aqmola', '15143704', '2717300');
EXECUTE Country_plan('Laos', 'la', 'Vientiane', 'Viangchan Prefecture', '6068117', '236800');
EXECUTE Country_plan('Lebanon', 'lb', 'Bayrut', 'Bayrut', '3777218', '10400');
EXECUTE Country_plan('Saint Lucia', 'lc', 'Castries', 'Castries', '164213', '616');
EXECUTE Country_plan('Liechtenstein', 'li', 'Vaduz', 'Vaduz', '33436', '160');
EXECUTE Country_plan('Sri Lanka', 'lk', 'Colombo', 'Colombo', '19905165', '65610');
EXECUTE Country_plan('Liberia', 'lr', 'Monrovia', 'Montserrado', '3390635', '111370');
EXECUTE Country_plan('Lesotho', 'ls', 'Maseru', 'Maseru', '1865040', '30355');
EXECUTE Country_plan('Lithuania', 'lt', 'Vilnius', 'Vilniaus', '3607899', '65200');
EXECUTE Country_plan('Luxembourg', 'lu', 'Luxemburg', 'Luxembourg', '462690', '2586');
EXECUTE Country_plan('Latvia', 'lv', 'Riga', 'Riga', '2306306', '64589');
EXECUTE Country_plan('Libya', 'ly', 'Tripoli', 'Tripoli', '5631585', '1759540');
EXECUTE Country_plan('Morocco', 'ma', 'Rabat', 'Rabat-Sale-Zammour-Zaer', '32209101', '446550');
EXECUTE Country_plan('Monaco', 'mc', 'Monaco-Ville', 'Monaco-Ville', '32270', '1.95');
EXECUTE Country_plan('Moldova', 'md', 'Chisinau', 'Chisinau Oras', '4446455', '33843');
EXECUTE Country_plan('Madagascar', 'mg', 'Antananarivo', 'Antananarivo', '17501871', '587040');
EXECUTE Country_plan('Marshall Islands', 'mh', NULL, NULL, '57738', '181.3');
EXECUTE Country_plan('Macedonia', 'mk', 'Skopje', 'Skopje', '2071210', '25333');
EXECUTE Country_plan('Mali', 'ml', 'Bamako', 'Bamako', '11956788', '1240000');
EXECUTE Country_plan('Burma', 'mm', 'Rangoon', 'Rangoon', '42720196', '678500');
EXECUTE Country_plan('Mongolia', 'mn', 'Ulaanbaatar', 'Ulaanbaatar', '2751314', '1564116');
EXECUTE Country_plan('Northern Mariana Islands', 'mp', 'Capital Hill', 'Saipan', '78252', '477');
EXECUTE Country_plan('Martinique', 'mq', 'Fort-de-France', 'Fort-de-France', '429510', '1100');
EXECUTE Country_plan('Mauritania', 'mr', 'Nouakchott', 'Nouakchott', '2998563', '1030700');
EXECUTE Country_plan('Montserrat', 'ms', NULL, NULL, '9245', '102');
EXECUTE Country_plan('Malta', 'mt', 'Valletta', 'Inner Harbour', '396851', '316');
EXECUTE Country_plan('Mauritius', 'mu', 'Port Louis', 'Black River', '1220481', '2040');
EXECUTE Country_plan('Maldives', 'mv', 'Male', 'Male', '339330', '300');
EXECUTE Country_plan('Malawi', 'mw', 'Lilongwe', 'Lilongwe City', '11906855', '118480');
EXECUTE Country_plan('Mexico', 'mx', 'Mexico City', 'Distrito Federal', '104959594', '1972550');
EXECUTE Country_plan('Malaysia', 'my', 'Kuala Lumpur', 'Kuala Lumpur', '23522482', '329750');
EXECUTE Country_plan('Mozambique', 'mz', 'Maputo', 'Maputo', '18811731', '801590');
EXECUTE Country_plan('Namibia', 'na', 'Windhoek', 'Khomas', '1954033', '825418');
EXECUTE Country_plan('New Caledonia', 'nc', 'Noumea', 'Sud', '213679', '19060');
EXECUTE Country_plan('Niger', 'ne', 'Niamey', 'Niamey', '11360538', '1267000');
EXECUTE Country_plan('Norfolk Island', 'nf', NULL, NULL, '1841', '34.6');
EXECUTE Country_plan('Nigeria', 'ng', 'Abuja', 'Abuja Federal Capital Territory', '137253133', '923768');
EXECUTE Country_plan('Nicaragua', 'ni', 'Managua', 'Managua', '5359759', '129494');
EXECUTE Country_plan('Netherlands', 'nl', 'Amsterdam', 'Noord-Holland', '16318199', '41526');
EXECUTE Country_plan('Norway', 'no', 'Oslo', 'Akershus', '4574560', '324220');
EXECUTE Country_plan('Nepal', 'np', 'Kathmandu', 'Kathmandu', '27070666', '140800');
EXECUTE Country_plan('Nauru', 'nr', NULL, NULL, '12809', '21');
EXECUTE Country_plan('Niue', 'nu', NULL, NULL, '2156', '260');
EXECUTE Country_plan('New Zealand', 'nz', 'Wellington', 'Wellington', '3993817', '268680');
EXECUTE Country_plan('Oman', 'om', 'Muscat', 'Muscat', '2903165', '212460');
EXECUTE Country_plan('Panama', 'pa', 'Panama', 'Panama', '3000463', '78200');
EXECUTE Country_plan('Peru', 'pe', 'Lima', 'Lima y Callao', '27544305', '1285220');
EXECUTE Country_plan('French Polynesia', 'pf', 'Papeete', 'Iles du Vent', '266339', '4167');
EXECUTE Country_plan('Papua New Guinea', 'pg', 'Port Moresby', 'National Capital District', '5420280', '462840');
EXECUTE Country_plan('Philippines', 'ph', 'Manila', 'National Capital Region', '86241697', '300000');
EXECUTE Country_plan('Pakistan', 'pk', 'Islamabad', 'Federal Capital Area', '159196336', '803940');
EXECUTE Country_plan('Poland', 'pl', 'Warsaw', 'Mazowieckie', '38626349', '312685');
EXECUTE Country_plan('Saint Pierre and Miquelon', 'pm', 'Saint-Pierre', 'Saint-Pierre', '6995', '242');
EXECUTE Country_plan('Pitcairn Islands', 'pn', NULL, NULL, '46', '47');
EXECUTE Country_plan('Puerto Rico', 'pr', 'San Juan', 'San Juan', '3897960', '9104');
EXECUTE Country_plan('Palestine', 'ps', 'Ramallah', 'Gaza Strip', '3762005', '6220');
EXECUTE Country_plan('Portugal', 'pt', 'Lisbon', 'Lisboa e Vale do Tejo', '10524145', '92391');
EXECUTE Country_plan('Palau', 'pw', 'Koror', 'Koror', '20016', '458');
EXECUTE Country_plan('Paraguay', 'py', 'Asuncion', 'Asuncion', '6191368', '406750');
EXECUTE Country_plan('Qatar', 'qa', 'Doha', 'Doha', '840290', '11437');
EXECUTE Country_plan('Reunion', 're', 'Saint-Denis', 'Saint-Denis', '766153', '2517');
EXECUTE Country_plan('Romania', 'ro', 'Bucharest', 'Bucharest', '22355551', '237500');
EXECUTE Country_plan('Russia', 'ru', 'Moscow', 'Moscow', '143782338', '17075200');
EXECUTE Country_plan('Rwanda', 'rw', 'Kigali', 'Ville de Kigali', '7954013', '26338');
EXECUTE Country_plan('Saudi Arabia', 'sa', 'Riyadh', 'Riyadh', '25795938', '1960582');
EXECUTE Country_plan('Solomon Islands', 'sb', 'Honiara', 'Guadalcanal', '523617', '28450');
EXECUTE Country_plan('Seychelles', 'sc', NULL, NULL, '80832', '455');
EXECUTE Country_plan('Sudan', 'sd', 'Khartoum', 'Khartoum', '39148162', '2505810');
EXECUTE Country_plan('Sweden', 'se', 'Stockholm', 'Stockholm', '8986400', '449964');
EXECUTE Country_plan('Singapore', 'sg', NULL, NULL, '4353893', '692.7');
EXECUTE Country_plan('Saint Helena', 'sh', 'Jamestown', 'Saint Helena', '7415', '410');
EXECUTE Country_plan('Slovenia', 'si', 'Ljubljana', 'Osrednjeslovenska', '2011473', '20273');
EXECUTE Country_plan('Svalbard', 'sj', 'Longyearbyen', 'Svalbard', '2756', '62049');
EXECUTE Country_plan('Slovakia', 'sk', 'Bratislava', 'Bratislavsky', '5423567', '48845');
EXECUTE Country_plan('Sierra Leone', 'sl', 'Freetown', 'Western', '5883889', '71740');
EXECUTE Country_plan('San Marino', 'sm', 'San Marino', 'San Marino', '28503', '61.2');
EXECUTE Country_plan('Senegal', 'sn', 'Dakar', 'Dakar', '10852147', '196190');
EXECUTE Country_plan('Somalia', 'so', 'Mogadishu', 'Banadir', '8304601', '637657');
EXECUTE Country_plan('Suriname', 'sr', 'Paramaribo', 'Paramaribo', '436935', '163270');
EXECUTE Country_plan('Sao Tome and Principe', 'st', 'Sao Tome', 'Agua Grande', '181565', '1001');
EXECUTE Country_plan('El Salvador', 'sv', 'San Salvador', 'San Salvador', '6587541', '21040');
EXECUTE Country_plan('Syria', 'sy', 'Damascus', 'Damascus', '18016874', '185180');
EXECUTE Country_plan('Swaziland', 'sz', 'Mbabane', 'Hhohho', '1169241', '17363');
EXECUTE Country_plan('Turks and Caicos Islands', 'tc', NULL, NULL, '19956', '430');
EXECUTE Country_plan('Chad', 'td', 'NDjamena', 'Chari-Baguirmi', '9538544', '1284000');
EXECUTE Country_plan('Togo', 'tg', 'Lome', 'Maritime', '5556812', '56785');
EXECUTE Country_plan('Thailand', 'th', 'Bangkok', 'Bangkok Metropolitan Area', '64865523', '514000');
EXECUTE Country_plan('Tajikistan', 'tj', 'Dushanbe', 'Dushanbe', '7011556', '143100');
EXECUTE Country_plan('Tokelau', 'tk', NULL, NULL, '1405', '10');
EXECUTE Country_plan('Turkmenistan', 'tm', 'Asgabat', 'Asgabat', '4863169', '488100');
EXECUTE Country_plan('Tunisia', 'tn', 'Tunis', 'Tunis', '9974722', '163610');
EXECUTE Country_plan('Tonga', 'to', 'Nukualofa', 'Tongatapu', '110237', '748');
EXECUTE Country_plan('East Timor', 'tp', 'Dili', 'Dili', '1019252', '15007');
EXECUTE Country_plan('Turkey', 'tr', 'Ankara', 'Ankara', '68893918', '780580');
EXECUTE Country_plan('Trinidad and Tobago', 'tt', 'Port of Spain', 'Port of Spain', '1096585', '5128');
EXECUTE Country_plan('Tuvalu', 'tv', 'Vaiaku', 'Funafuti', '11468', '26');
EXECUTE Country_plan('Taiwan', 'tw', 'Taipei', 'Taipei Hsien', '22749838', '35980');
EXECUTE Country_plan('Tanzania', 'tz', 'Dar es Salaam', 'Dar es Salaam', '36588225', '945087');
EXECUTE Country_plan('Ukraine', 'ua', 'Kiev', 'Kiev', '47732079', '603700');
EXECUTE Country_plan('Uganda', 'ug', 'Kampala', 'Central', '26404543', '236040');
EXECUTE Country_plan('United Kingdom', 'uk', 'London', 'England', '60270708', '244820');
EXECUTE Country_plan('United States', 'us', 'Washington', 'District of Columbia', '293027571', '9631418');
EXECUTE Country_plan('Uruguay', 'uy', 'Montevideo', 'Montevideo', '3399237', '176220');
EXECUTE Country_plan('Uzbekistan', 'uz', 'Tashkent', 'Tashkent', '26410416', '447400');
EXECUTE Country_plan('Holy See', 'va', NULL, NULL, '921', '0.44');
EXECUTE Country_plan('Saint Vincent and the Grenadines', 'vc', 'Kingstown', 'Saint George', '117193', '389');
EXECUTE Country_plan('Venezuela', 've', 'Caracas', 'Distrito Capital', '25017387', '912050');
EXECUTE Country_plan('British Virgin Islands', 'vg', 'Road Town', 'Tortola', '22187', '153');
EXECUTE Country_plan('Virgin Islands', 'vi', 'Charlotte Amalie', 'Saint Thomas', '108775', '352');
EXECUTE Country_plan('Vietnam', 'vn', 'Ha Noi', 'Dong Bang Song Hong', '82689518', '329560');
EXECUTE Country_plan('Vanuatu', 'vu', 'Vila', 'Shefa', '202609', '12200');
EXECUTE Country_plan('Wallis and Futuna', 'wf', 'Matautu', 'Hahake', '15880', '274');
EXECUTE Country_plan('Samoa', 'ws', 'Apia', 'Apia Urban Area', '177714', '2944');
EXECUTE Country_plan('Yemen', 'ye', 'Sana', 'Amanah al-Asmah', '20024867', '527970');
EXECUTE Country_plan('Mayotte', 'yt', 'Mamoudzou', 'Mayotte', '186026', '374');
EXECUTE Country_plan('Serbia and Montenegro', 'yu', 'Belgrade', 'Central Serbia', '10825900', '102350');
EXECUTE Country_plan('South Africa', 'za', 'Pretoria', 'Gauteng', '42718530', '1219912');
EXECUTE Country_plan('Zambia', 'zm', 'Lusaka', 'Lusaka', '10462436', '752614');
EXECUTE Country_plan('Zimbabwe', 'zw', 'Harare', 'Harare', '12671860', '390580');
COMMIT;
DEALLOCATE Country_plan;
ANALYZE Country;
