BEGIN;
PREPARE geo_island_plan (VARCHAR, CHAR, VARCHAR) AS
    INSERT INTO geo_island(Island, Country, Province)
        VALUES($1, $2, $3);
EXECUTE geo_island_plan('Barbuda', 'ag', 'Barbuda');
EXECUTE geo_island_plan('Antigua', 'ag', 'Saint George');
EXECUTE geo_island_plan('Antigua', 'ag', 'Saint John');
EXECUTE geo_island_plan('Antigua', 'ag', 'Saint Mary');
EXECUTE geo_island_plan('Antigua', 'ag', 'Saint Paul');
EXECUTE geo_island_plan('Antigua', 'ag', 'Saint Peter');
EXECUTE geo_island_plan('Antigua', 'ag', 'Saint Philip');
EXECUTE geo_island_plan('Melville Island', 'au', 'Northern Territory');
EXECUTE geo_island_plan('Cangaroo Island', 'au', 'South Australia');
EXECUTE geo_island_plan('Tasmania', 'au', 'Tasmania');
EXECUTE geo_island_plan('Barbados', 'bb', 'Christ Church');
EXECUTE geo_island_plan('Barbados', 'bb', 'Saint Andrew');
EXECUTE geo_island_plan('Barbados', 'bb', 'Saint George');
EXECUTE geo_island_plan('Barbados', 'bb', 'Saint James');
EXECUTE geo_island_plan('Barbados', 'bb', 'Saint John');
EXECUTE geo_island_plan('Barbados', 'bb', 'Saint Joseph');
EXECUTE geo_island_plan('Barbados', 'bb', 'Saint Lucy');
EXECUTE geo_island_plan('Barbados', 'bb', 'Saint Michael');
EXECUTE geo_island_plan('Barbados', 'bb', 'Saint Peter');
EXECUTE geo_island_plan('Barbados', 'bb', 'Saint Philip');
EXECUTE geo_island_plan('Barbados', 'bb', 'Saint Thomas');
EXECUTE geo_island_plan('Vancouver Island', 'ca', 'British Columbia');
EXECUTE geo_island_plan('Baffin Island', 'ca', 'Northwest Territories');
EXECUTE geo_island_plan('Banks Island', 'ca', 'Northwest Territories');
EXECUTE geo_island_plan('Prince Charles Island', 'ca', 'Northwest Territories');
EXECUTE geo_island_plan('Prince of Wales Island', 'ca', 'Northwest Territories');
EXECUTE geo_island_plan('Southampton Island', 'ca', 'Northwest Territories');
EXECUTE geo_island_plan('Victoria Island', 'ca', 'Northwest Territories');
EXECUTE geo_island_plan('Prince Edward Island', 'ca', 'Prince Edward Island');
EXECUTE geo_island_plan('Cuba', 'cu', 'Ciego de Avila');
EXECUTE geo_island_plan('Cuba', 'cu', 'Cienfuegos');
EXECUTE geo_island_plan('Cuba', 'cu', 'Ciudad de la Habana');
EXECUTE geo_island_plan('Cuba', 'cu', 'Granma');
EXECUTE geo_island_plan('Cuba', 'cu', 'Guantanamo');
EXECUTE geo_island_plan('Cuba', 'cu', 'Holguin');
EXECUTE geo_island_plan('Cuba', 'cu', 'La Habana');
EXECUTE geo_island_plan('Cuba', 'cu', 'Las Tunas');
EXECUTE geo_island_plan('Cuba', 'cu', 'Matanzas');
EXECUTE geo_island_plan('Cuba', 'cu', 'Pinar del Rio');
EXECUTE geo_island_plan('Cuba', 'cu', 'Sancti Spiritus');
EXECUTE geo_island_plan('Cuba', 'cu', 'Santiago de Cuba');
EXECUTE geo_island_plan('Cuba', 'cu', 'Villa Clara');
EXECUTE geo_island_plan('Bornholm', 'dk', 'Bornholm');
EXECUTE geo_island_plan('Seeland', 'dk', 'Frederiksborg');
EXECUTE geo_island_plan('Fuenen', 'dk', 'Fyn');
EXECUTE geo_island_plan('Langeland', 'dk', 'Fyn');
EXECUTE geo_island_plan('Lolland', 'dk', 'Fyn');
EXECUTE geo_island_plan('Seeland', 'dk', 'Kobenhavn');
EXECUTE geo_island_plan('Seeland', 'dk', 'Kobenhavns Kommune');
EXECUTE geo_island_plan('Seeland', 'dk', 'Roskilde');
EXECUTE geo_island_plan('Falster', 'dk', 'Storstrom');
EXECUTE geo_island_plan('Seeland', 'dk', 'Storstrom');
EXECUTE geo_island_plan('Seeland', 'dk', 'Vestsjaelland');
EXECUTE geo_island_plan('Dominica', 'dm', 'Saint Andrew');
EXECUTE geo_island_plan('Dominica', 'dm', 'Saint David');
EXECUTE geo_island_plan('Dominica', 'dm', 'Saint George');
EXECUTE geo_island_plan('Dominica', 'dm', 'Saint John');
EXECUTE geo_island_plan('Dominica', 'dm', 'Saint Joseph');
EXECUTE geo_island_plan('Dominica', 'dm', 'Saint Luke');
EXECUTE geo_island_plan('Dominica', 'dm', 'Saint Mark');
EXECUTE geo_island_plan('Dominica', 'dm', 'Saint Patrick');
EXECUTE geo_island_plan('Dominica', 'dm', 'Saint Paul');
EXECUTE geo_island_plan('Dominica', 'dm', 'Saint Peter');
EXECUTE geo_island_plan('Hispaniola', 'do', 'Azua');
EXECUTE geo_island_plan('Hispaniola', 'do', 'Baoruco');
EXECUTE geo_island_plan('Hispaniola', 'do', 'Barahona');
EXECUTE geo_island_plan('Hispaniola', 'do', 'Dajabon');
EXECUTE geo_island_plan('Hispaniola', 'do', 'Distrito Nacional');
EXECUTE geo_island_plan('Hispaniola', 'do', 'Duarte');
EXECUTE geo_island_plan('Hispaniola', 'do', 'El Seibo');
EXECUTE geo_island_plan('Hispaniola', 'do', 'Elias Pina');
EXECUTE geo_island_plan('Hispaniola', 'do', 'Espaillat');
EXECUTE geo_island_plan('Hispaniola', 'do', 'Hato Mayor');
EXECUTE geo_island_plan('Hispaniola', 'do', 'Independencia');
EXECUTE geo_island_plan('Hispaniola', 'do', 'La Altagracia');
EXECUTE geo_island_plan('Hispaniola', 'do', 'La Romana');
EXECUTE geo_island_plan('Hispaniola', 'do', 'La Vega');
EXECUTE geo_island_plan('Hispaniola', 'do', 'Maria Trinidad Sanchez');
EXECUTE geo_island_plan('Hispaniola', 'do', 'Monsenor Nouel');
EXECUTE geo_island_plan('Hispaniola', 'do', 'Monte Cristi');
EXECUTE geo_island_plan('Hispaniola', 'do', 'Monte Plata');
EXECUTE geo_island_plan('Hispaniola', 'do', 'Pedernales');
EXECUTE geo_island_plan('Hispaniola', 'do', 'Peravia');
EXECUTE geo_island_plan('Hispaniola', 'do', 'Puerto Plata');
EXECUTE geo_island_plan('Hispaniola', 'do', 'Salcedo');
EXECUTE geo_island_plan('Hispaniola', 'do', 'Samana');
EXECUTE geo_island_plan('Hispaniola', 'do', 'San Cristobal');
EXECUTE geo_island_plan('Hispaniola', 'do', 'San Jose de Ocoa');
EXECUTE geo_island_plan('Hispaniola', 'do', 'San Juan');
EXECUTE geo_island_plan('Hispaniola', 'do', 'San Pedro de Macoris');
EXECUTE geo_island_plan('Hispaniola', 'do', 'Sanchez Ramirez');
EXECUTE geo_island_plan('Hispaniola', 'do', 'Santiago');
EXECUTE geo_island_plan('Hispaniola', 'do', 'Santiago Rodriguez');
EXECUTE geo_island_plan('Hispaniola', 'do', 'Santo Domingo');
EXECUTE geo_island_plan('Hispaniola', 'do', 'Valverde');
EXECUTE geo_island_plan('Isabela', 'ec', 'Galapagos');
EXECUTE geo_island_plan('Dagoe', 'ee', 'Hiiu');
EXECUTE geo_island_plan('Oesel', 'ee', 'Saare');
EXECUTE geo_island_plan('Formentera', 'es', 'Balears');
EXECUTE geo_island_plan('Ibiza', 'es', 'Balears');
EXECUTE geo_island_plan('Mallorca', 'es', 'Balears');
EXECUTE geo_island_plan('Menorca', 'es', 'Balears');
EXECUTE geo_island_plan('Fuerteventura', 'es', 'Las Palmas');
EXECUTE geo_island_plan('Gran Canaria', 'es', 'Las Palmas');
EXECUTE geo_island_plan('Lanzarote', 'es', 'Las Palmas');
EXECUTE geo_island_plan('Gomera', 'es', 'Santa Cruz de Tenerife');
EXECUTE geo_island_plan('Hierro', 'es', 'Santa Cruz de Tenerife');
EXECUTE geo_island_plan('La Palma', 'es', 'Santa Cruz de Tenerife');
EXECUTE geo_island_plan('Teneriffa', 'es', 'Santa Cruz de Tenerife');
EXECUTE geo_island_plan('Aland', 'fi', 'Ahvenanmaa');
EXECUTE geo_island_plan('Fidschi', 'fj', 'Central');
EXECUTE geo_island_plan('Fidschi', 'fj', 'Eastern');
EXECUTE geo_island_plan('Fidschi', 'fj', 'Northern');
EXECUTE geo_island_plan('Fidschi', 'fj', 'Western');
EXECUTE geo_island_plan('Grenada', 'gd', 'Carriacou-Petite Martinique');
EXECUTE geo_island_plan('Grenada', 'gd', 'Saint Andrew');
EXECUTE geo_island_plan('Grenada', 'gd', 'Saint Davids');
EXECUTE geo_island_plan('Grenada', 'gd', 'Saint George');
EXECUTE geo_island_plan('Grenada', 'gd', 'Saint John');
EXECUTE geo_island_plan('Grenada', 'gd', 'Saint Mark');
EXECUTE geo_island_plan('Grenada', 'gd', 'Saint Patrick');
EXECUTE geo_island_plan('Fernando Poo', 'gq', 'Bioko Norte');
EXECUTE geo_island_plan('Fernando Poo', 'gq', 'Bioko Sur');
EXECUTE geo_island_plan('Kos', 'gr', 'Dodekanisos');
EXECUTE geo_island_plan('Rhodos', 'gr', 'Dodekanisos');
EXECUTE geo_island_plan('Tilos', 'gr', 'Dodekanisos');
EXECUTE geo_island_plan('Kreta', 'gr', 'Hania');
EXECUTE geo_island_plan('Chios', 'gr', 'Hios');
EXECUTE geo_island_plan('Korfu', 'gr', 'Ioannina');
EXECUTE geo_island_plan('Kreta', 'gr', 'Iraklion');
EXECUTE geo_island_plan('Kefallinia', 'gr', 'Kefallinia');
EXECUTE geo_island_plan('Kreta', 'gr', 'Lasithi');
EXECUTE geo_island_plan('Lefkas', 'gr', 'Levkas');
EXECUTE geo_island_plan('Kreta', 'gr', 'Rethimni');
EXECUTE geo_island_plan('Ikaria', 'gr', 'Samos');
EXECUTE geo_island_plan('Patmos', 'gr', 'Samos');
EXECUTE geo_island_plan('Samos', 'gr', 'Samos');
EXECUTE geo_island_plan('Zakinthos', 'gr', 'Zakinthos');
EXECUTE geo_island_plan('Hispaniola', 'ht', 'Artibonite');
EXECUTE geo_island_plan('Hispaniola', 'ht', 'Centre');
EXECUTE geo_island_plan('Hispaniola', 'ht', 'GrandAnse');
EXECUTE geo_island_plan('Hispaniola', 'ht', 'Nord');
EXECUTE geo_island_plan('Hispaniola', 'ht', 'Nord-Est');
EXECUTE geo_island_plan('Hispaniola', 'ht', 'Nord-Ouest');
EXECUTE geo_island_plan('Hispaniola', 'ht', 'Ouest');
EXECUTE geo_island_plan('Hispaniola', 'ht', 'Sud');
EXECUTE geo_island_plan('Hispaniola', 'ht', 'Sud-Est');
EXECUTE geo_island_plan('Sumatra', 'id', 'Aceh');
EXECUTE geo_island_plan('Bali', 'id', 'Bali');
EXECUTE geo_island_plan('Sumatra', 'id', 'Bengkulu');
EXECUTE geo_island_plan('Sumatra', 'id', 'Jambi');
EXECUTE geo_island_plan('Sumatra', 'id', 'Lampung');
EXECUTE geo_island_plan('Sumatra', 'id', 'Riau');
EXECUTE geo_island_plan('Sumatra', 'id', 'Sumatera Barat');
EXECUTE geo_island_plan('Sumatra', 'id', 'Sumatera Selatan');
EXECUTE geo_island_plan('Sumatra', 'id', 'Sumatera Utara');
EXECUTE geo_island_plan('Khark', 'ir', 'Fars');
EXECUTE geo_island_plan('Lavan', 'ir', 'Fars');
EXECUTE geo_island_plan('Gheschm', 'ir', 'Hormozgan');
EXECUTE geo_island_plan('Iceland', 'is', 'Almenningur');
EXECUTE geo_island_plan('Iceland', 'is', 'Austurland');
EXECUTE geo_island_plan('Iceland', 'is', 'Hoefueborgarsvaeei');
EXECUTE geo_island_plan('Iceland', 'is', 'Noreurland eystra');
EXECUTE geo_island_plan('Iceland', 'is', 'Noreurland vestra');
EXECUTE geo_island_plan('Iceland', 'is', 'Sueurland');
EXECUTE geo_island_plan('Iceland', 'is', 'Sueurnes');
EXECUTE geo_island_plan('Iceland', 'is', 'Vestfireir');
EXECUTE geo_island_plan('Iceland', 'is', 'Vesturland');
EXECUTE geo_island_plan('Alicudi', 'it', 'Calabria');
EXECUTE geo_island_plan('Lipari', 'it', 'Calabria');
EXECUTE geo_island_plan('Panarea', 'it', 'Calabria');
EXECUTE geo_island_plan('Salina', 'it', 'Calabria');
EXECUTE geo_island_plan('Stromboli', 'it', 'Calabria');
EXECUTE geo_island_plan('Vulcano', 'it', 'Calabria');
EXECUTE geo_island_plan('Lampedusa', 'it', 'Sicily');
EXECUTE geo_island_plan('Linosa', 'it', 'Sicily');
EXECUTE geo_island_plan('Jamaica', 'jm', 'Clarendon');
EXECUTE geo_island_plan('Jamaica', 'jm', 'Hanover');
EXECUTE geo_island_plan('Jamaica', 'jm', 'Kingston');
EXECUTE geo_island_plan('Jamaica', 'jm', 'Manchester');
EXECUTE geo_island_plan('Jamaica', 'jm', 'Portland');
EXECUTE geo_island_plan('Jamaica', 'jm', 'Saint Andrew');
EXECUTE geo_island_plan('Jamaica', 'jm', 'Saint Ann');
EXECUTE geo_island_plan('Jamaica', 'jm', 'Saint Catherine');
EXECUTE geo_island_plan('Jamaica', 'jm', 'Saint Elizabeth');
EXECUTE geo_island_plan('Jamaica', 'jm', 'Saint James');
EXECUTE geo_island_plan('Jamaica', 'jm', 'Saint Mary');
EXECUTE geo_island_plan('Jamaica', 'jm', 'Saint Thomas');
EXECUTE geo_island_plan('Jamaica', 'jm', 'Trelawney');
EXECUTE geo_island_plan('Jamaica', 'jm', 'Westmoreland');
EXECUTE geo_island_plan('Honshu', 'jp', 'Aichi');
EXECUTE geo_island_plan('Honshu', 'jp', 'Akita');
EXECUTE geo_island_plan('Honshu', 'jp', 'Aomori');
EXECUTE geo_island_plan('Honshu', 'jp', 'Chiba');
EXECUTE geo_island_plan('Shikoku', 'jp', 'Ehime');
EXECUTE geo_island_plan('Honshu', 'jp', 'Fukui');
EXECUTE geo_island_plan('Kyushu', 'jp', 'Fukuoka');
EXECUTE geo_island_plan('Honshu', 'jp', 'Fukushima');
EXECUTE geo_island_plan('Honshu', 'jp', 'Gifu');
EXECUTE geo_island_plan('Honshu', 'jp', 'Gumma');
EXECUTE geo_island_plan('Honshu', 'jp', 'Hiroshima');
EXECUTE geo_island_plan('Hokkaido', 'jp', 'Hokkaido');
EXECUTE geo_island_plan('Honshu', 'jp', 'Hyogo');
EXECUTE geo_island_plan('Honshu', 'jp', 'Ibaraki');
EXECUTE geo_island_plan('Honshu', 'jp', 'Ishikawa');
EXECUTE geo_island_plan('Honshu', 'jp', 'Iwate');
EXECUTE geo_island_plan('Shikoku', 'jp', 'Kagawa');
EXECUTE geo_island_plan('Kyushu', 'jp', 'Kagoshima');
EXECUTE geo_island_plan('Honshu', 'jp', 'Kanagawa');
EXECUTE geo_island_plan('Shikoku', 'jp', 'Kochi');
EXECUTE geo_island_plan('Kyushu', 'jp', 'Kumamoto');
EXECUTE geo_island_plan('Honshu', 'jp', 'Kyoto');
EXECUTE geo_island_plan('Honshu', 'jp', 'Mie');
EXECUTE geo_island_plan('Honshu', 'jp', 'Miyagi');
EXECUTE geo_island_plan('Kyushu', 'jp', 'Miyazaki');
EXECUTE geo_island_plan('Honshu', 'jp', 'Nagano');
EXECUTE geo_island_plan('Kyushu', 'jp', 'Nagasaki');
EXECUTE geo_island_plan('Honshu', 'jp', 'Nara');
EXECUTE geo_island_plan('Honshu', 'jp', 'Niigata');
EXECUTE geo_island_plan('Kyushu', 'jp', 'Oita');
EXECUTE geo_island_plan('Honshu', 'jp', 'Okayama');
EXECUTE geo_island_plan('Honshu', 'jp', 'Osaka');
EXECUTE geo_island_plan('Kyushu', 'jp', 'Saga');
EXECUTE geo_island_plan('Honshu', 'jp', 'Saitama');
EXECUTE geo_island_plan('Honshu', 'jp', 'Shiga');
EXECUTE geo_island_plan('Honshu', 'jp', 'Shimane');
EXECUTE geo_island_plan('Honshu', 'jp', 'Shizuoka');
EXECUTE geo_island_plan('Honshu', 'jp', 'Tochigi');
EXECUTE geo_island_plan('Shikoku', 'jp', 'Tokushima');
EXECUTE geo_island_plan('Honshu', 'jp', 'Tokyo');
EXECUTE geo_island_plan('Honshu', 'jp', 'Tottori');
EXECUTE geo_island_plan('Honshu', 'jp', 'Toyama');
EXECUTE geo_island_plan('Honshu', 'jp', 'Wakayama');
EXECUTE geo_island_plan('Honshu', 'jp', 'Yamagata');
EXECUTE geo_island_plan('Honshu', 'jp', 'Yamaguchi');
EXECUTE geo_island_plan('Honshu', 'jp', 'Yamanashi');
EXECUTE geo_island_plan('Mohilla', 'km', 'Mwali');
EXECUTE geo_island_plan('Anjouan', 'km', 'Ndzouani');
EXECUTE geo_island_plan('Gr Komoro', 'km', 'Ngazidja');
EXECUTE geo_island_plan('Saint Kitts', 'kn', 'Christ Church Nichola Town');
EXECUTE geo_island_plan('Saint Kitts', 'kn', 'Saint Anne Sandy Point');
EXECUTE geo_island_plan('Saint Kitts', 'kn', 'Saint George Basseterre');
EXECUTE geo_island_plan('Nevis', 'kn', 'Saint George Gingerland');
EXECUTE geo_island_plan('Nevis', 'kn', 'Saint James Windward');
EXECUTE geo_island_plan('Saint Kitts', 'kn', 'Saint John Capesterre');
EXECUTE geo_island_plan('Nevis', 'kn', 'Saint John Figtree');
EXECUTE geo_island_plan('Saint Kitts', 'kn', 'Saint Mary Cayon');
EXECUTE geo_island_plan('Saint Kitts', 'kn', 'Saint Paul Capesterre');
EXECUTE geo_island_plan('Nevis', 'kn', 'Saint Paul Charlestown');
EXECUTE geo_island_plan('Saint Kitts', 'kn', 'Saint Peter Basseterre');
EXECUTE geo_island_plan('Nevis', 'kn', 'Saint Thomas Lowland');
EXECUTE geo_island_plan('Saint Kitts', 'kn', 'Saint Thomas Middle Island');
EXECUTE geo_island_plan('Saint Kitts', 'kn', 'Trinity Palmetto Point');
EXECUTE geo_island_plan('Saint Lucia', 'lc', 'Anse-la-Raye');
EXECUTE geo_island_plan('Saint Lucia', 'lc', 'Canaries');
EXECUTE geo_island_plan('Saint Lucia', 'lc', 'Castries');
EXECUTE geo_island_plan('Saint Lucia', 'lc', 'Choiseul');
EXECUTE geo_island_plan('Saint Lucia', 'lc', 'Dennery');
EXECUTE geo_island_plan('Saint Lucia', 'lc', 'Gros Inlet');
EXECUTE geo_island_plan('Saint Lucia', 'lc', 'Laborie');
EXECUTE geo_island_plan('Saint Lucia', 'lc', 'Micoud');
EXECUTE geo_island_plan('Saint Lucia', 'lc', 'Soufriere');
EXECUTE geo_island_plan('Saint Lucia', 'lc', 'Vieux Fort');
EXECUTE geo_island_plan('Sri Lanka', 'lk', 'Amparai');
EXECUTE geo_island_plan('Sri Lanka', 'lk', 'Anuradhapura');
EXECUTE geo_island_plan('Sri Lanka', 'lk', 'Badulla');
EXECUTE geo_island_plan('Sri Lanka', 'lk', 'Batticaloa');
EXECUTE geo_island_plan('Sri Lanka', 'lk', 'Colombo');
EXECUTE geo_island_plan('Sri Lanka', 'lk', 'Galle');
EXECUTE geo_island_plan('Sri Lanka', 'lk', 'Gampaha');
EXECUTE geo_island_plan('Sri Lanka', 'lk', 'Hambantota');
EXECUTE geo_island_plan('Sri Lanka', 'lk', 'Jaffna');
EXECUTE geo_island_plan('Sri Lanka', 'lk', 'Kalatura');
EXECUTE geo_island_plan('Sri Lanka', 'lk', 'Kandy');
EXECUTE geo_island_plan('Sri Lanka', 'lk', 'Kegalla');
EXECUTE geo_island_plan('Sri Lanka', 'lk', 'Kilinochchi');
EXECUTE geo_island_plan('Sri Lanka', 'lk', 'Kurunegala');
EXECUTE geo_island_plan('Sri Lanka', 'lk', 'Mannarama');
EXECUTE geo_island_plan('Sri Lanka', 'lk', 'Matale');
EXECUTE geo_island_plan('Sri Lanka', 'lk', 'Matara');
EXECUTE geo_island_plan('Sri Lanka', 'lk', 'Monaragala');
EXECUTE geo_island_plan('Sri Lanka', 'lk', 'Mullaitivu');
EXECUTE geo_island_plan('Sri Lanka', 'lk', 'Nuwara Eliya');
EXECUTE geo_island_plan('Sri Lanka', 'lk', 'Polonnaruwa');
EXECUTE geo_island_plan('Sri Lanka', 'lk', 'Puttalama');
EXECUTE geo_island_plan('Sri Lanka', 'lk', 'Ratnapura');
EXECUTE geo_island_plan('Sri Lanka', 'lk', 'Trincomalee');
EXECUTE geo_island_plan('Sri Lanka', 'lk', 'Vavuniya');
EXECUTE geo_island_plan('Madagaskar', 'mg', 'Antananarivo');
EXECUTE geo_island_plan('Madagaskar', 'mg', 'Antsiranana');
EXECUTE geo_island_plan('Madagaskar', 'mg', 'Fianarantsoa');
EXECUTE geo_island_plan('Madagaskar', 'mg', 'Mahajanga');
EXECUTE geo_island_plan('Madagaskar', 'mg', 'Toamasina');
EXECUTE geo_island_plan('Madagaskar', 'mg', 'Toliary');
EXECUTE geo_island_plan('Malta', 'mt', 'Inner Harbour');
EXECUTE geo_island_plan('Malta', 'mt', 'Northern');
EXECUTE geo_island_plan('Malta', 'mt', 'Outer Harbour');
EXECUTE geo_island_plan('Malta', 'mt', 'South Eastern');
EXECUTE geo_island_plan('Malta', 'mt', 'Western');
EXECUTE geo_island_plan('Mauritius', 'mu', 'Black River');
EXECUTE geo_island_plan('Mauritius', 'mu', 'Flacq');
EXECUTE geo_island_plan('Mauritius', 'mu', 'Grand Port');
EXECUTE geo_island_plan('Mauritius', 'mu', 'Moka');
EXECUTE geo_island_plan('Mauritius', 'mu', 'Pamplemousses');
EXECUTE geo_island_plan('Mauritius', 'mu', 'Plaines Wilhelm');
EXECUTE geo_island_plan('Mauritius', 'mu', 'Port Louis');
EXECUTE geo_island_plan('Mauritius', 'mu', 'Riviere du Rempart');
EXECUTE geo_island_plan('Mauritius', 'mu', 'Savanne');
EXECUTE geo_island_plan('Aust-Vagoey', 'no', 'Nordland');
EXECUTE geo_island_plan('Nauru', 'nr', 'Aiwo');
EXECUTE geo_island_plan('Nauru', 'nr', 'Anabar');
EXECUTE geo_island_plan('Nauru', 'nr', 'Anetan');
EXECUTE geo_island_plan('Nauru', 'nr', 'Anibare');
EXECUTE geo_island_plan('Nauru', 'nr', 'Baiti');
EXECUTE geo_island_plan('Nauru', 'nr', 'Boe');
EXECUTE geo_island_plan('Nauru', 'nr', 'Buada');
EXECUTE geo_island_plan('Nauru', 'nr', 'Denigomudu');
EXECUTE geo_island_plan('Nauru', 'nr', 'Ewa');
EXECUTE geo_island_plan('Nauru', 'nr', 'Ijuw');
EXECUTE geo_island_plan('Nauru', 'nr', 'Meneng');
EXECUTE geo_island_plan('Nauru', 'nr', 'Nibok');
EXECUTE geo_island_plan('Nauru', 'nr', 'Uaboe');
EXECUTE geo_island_plan('Nauru', 'nr', 'Yaren');
EXECUTE geo_island_plan('Luzon', 'ph', 'Cagayan Valley');
EXECUTE geo_island_plan('Mindanao', 'ph', 'Caraga');
EXECUTE geo_island_plan('Luzon', 'ph', 'Central Luzon');
EXECUTE geo_island_plan('Mindanao', 'ph', 'Central Mindanao');
EXECUTE geo_island_plan('Bohol', 'ph', 'Central Visayas');
EXECUTE geo_island_plan('Luzon', 'ph', 'Cordillera');
EXECUTE geo_island_plan('Leyte', 'ph', 'Eastern Visayas');
EXECUTE geo_island_plan('Samar', 'ph', 'Eastern Visayas');
EXECUTE geo_island_plan('Luzon', 'ph', 'Ilocos');
EXECUTE geo_island_plan('Mindanao', 'ph', 'Muslim Mindanao');
EXECUTE geo_island_plan('Luzon', 'ph', 'National Capital Region');
EXECUTE geo_island_plan('Mindoro', 'ph', 'National Capital Region');
EXECUTE geo_island_plan('Mindanao', 'ph', 'Northern Mindanao');
EXECUTE geo_island_plan('Mindanao', 'ph', 'Southern Mindanao');
EXECUTE geo_island_plan('Palawan', 'ph', 'Southern Tagalog');
EXECUTE geo_island_plan('Negros', 'ph', 'Western Visayas');
EXECUTE geo_island_plan('Panay', 'ph', 'Western Visayas');
EXECUTE geo_island_plan('Santa Maria', 'pt', 'Acores');
EXECUTE geo_island_plan('Madeira', 'pt', 'Madeira');
EXECUTE geo_island_plan('Porto Santo', 'pt', 'Madeira');
EXECUTE geo_island_plan('Palau', 'pw', 'Aimeliik');
EXECUTE geo_island_plan('Palau', 'pw', 'Airai');
EXECUTE geo_island_plan('Palau', 'pw', 'Melekeok');
EXECUTE geo_island_plan('Palau', 'pw', 'Ngaraard');
EXECUTE geo_island_plan('Palau', 'pw', 'Ngardmau');
EXECUTE geo_island_plan('Palau', 'pw', 'Ngaremlengui');
EXECUTE geo_island_plan('Palau', 'pw', 'Ngatpang');
EXECUTE geo_island_plan('Palau', 'pw', 'Ngchesar');
EXECUTE geo_island_plan('Palau', 'pw', 'Ngerchelong');
EXECUTE geo_island_plan('Palau', 'pw', 'Ngiwal');
EXECUTE geo_island_plan('Paramuschir', 'ru', 'Kamchatka');
EXECUTE geo_island_plan('Sachalin', 'ru', 'Sakhalin');
EXECUTE geo_island_plan('Kotelny island', 'ru', 'Yakutia');
EXECUTE geo_island_plan('Gotland', 'se', 'Gotland');
EXECUTE geo_island_plan('Oeland', 'se', 'Kalmar');
EXECUTE geo_island_plan('Sao Tome and Principe', 'st', 'Agua Grande');
EXECUTE geo_island_plan('Sao Tome and Principe', 'st', 'Cantagalo');
EXECUTE geo_island_plan('Sao Tome and Principe', 'st', 'Caue');
EXECUTE geo_island_plan('Sao Tome and Principe', 'st', 'Lemba');
EXECUTE geo_island_plan('Sao Tome and Principe', 'st', 'Lobata');
EXECUTE geo_island_plan('Sao Tome and Principe', 'st', 'Me-Zochi');
EXECUTE geo_island_plan('Sao Tome and Principe', 'st', 'Pague');
EXECUTE geo_island_plan('Trinidad', 'tt', 'Arima');
EXECUTE geo_island_plan('Trinidad', 'tt', 'Chaguanas');
EXECUTE geo_island_plan('Trinidad', 'tt', 'Couva-Tabaquite-Talparo');
EXECUTE geo_island_plan('Trinidad', 'tt', 'Diego Martin');
EXECUTE geo_island_plan('Trinidad', 'tt', 'Mayaro-Rio Claro');
EXECUTE geo_island_plan('Trinidad', 'tt', 'Penal Debe');
EXECUTE geo_island_plan('Trinidad', 'tt', 'Point Fortin');
EXECUTE geo_island_plan('Trinidad', 'tt', 'Port of Spain');
EXECUTE geo_island_plan('Trinidad', 'tt', 'Princes Town');
EXECUTE geo_island_plan('Trinidad', 'tt', 'San Fernando');
EXECUTE geo_island_plan('Trinidad', 'tt', 'San Juan-Laventville');
EXECUTE geo_island_plan('Trinidad', 'tt', 'Sangre Grande');
EXECUTE geo_island_plan('Trinidad', 'tt', 'Siparia');
EXECUTE geo_island_plan('Tobago', 'tt', 'Tobago');
EXECUTE geo_island_plan('Trinidad', 'tt', 'Tunapuna-Piarco');
EXECUTE geo_island_plan('Taiwan', 'tw', 'Changhwa');
EXECUTE geo_island_plan('Taiwan', 'tw', 'Chiayi Hsien');
EXECUTE geo_island_plan('Taiwan', 'tw', 'Chiayi Shih');
EXECUTE geo_island_plan('Taiwan', 'tw', 'Hualien');
EXECUTE geo_island_plan('Taiwan', 'tw', 'Ilan');
EXECUTE geo_island_plan('Taiwan', 'tw', 'Kaohsiung Hsien');
EXECUTE geo_island_plan('Taiwan', 'tw', 'Kaohsiung Shih');
EXECUTE geo_island_plan('Taiwan', 'tw', 'Keelung Shih');
EXECUTE geo_island_plan('Taiwan', 'tw', 'Kinmen');
EXECUTE geo_island_plan('Taiwan', 'tw', 'Lienkang');
EXECUTE geo_island_plan('Taiwan', 'tw', 'Miaoli');
EXECUTE geo_island_plan('Taiwan', 'tw', 'Nantou');
EXECUTE geo_island_plan('Taiwan', 'tw', 'Penghu');
EXECUTE geo_island_plan('Taiwan', 'tw', 'Pingtung');
EXECUTE geo_island_plan('Taiwan', 'tw', 'Taichung Hsien');
EXECUTE geo_island_plan('Taiwan', 'tw', 'Taichung Shih');
EXECUTE geo_island_plan('Taiwan', 'tw', 'Tainan Hsien');
EXECUTE geo_island_plan('Taiwan', 'tw', 'Tainan Shih');
EXECUTE geo_island_plan('Taiwan', 'tw', 'Taipei Hsien');
EXECUTE geo_island_plan('Taiwan', 'tw', 'Taipei Shih');
EXECUTE geo_island_plan('Taiwan', 'tw', 'Taitung');
EXECUTE geo_island_plan('Taiwan', 'tw', 'Taoyuan');
EXECUTE geo_island_plan('Taiwan', 'tw', 'Yunlin');
EXECUTE geo_island_plan('Bishop Rock', 'uk', 'England');
EXECUTE geo_island_plan('Lundy', 'uk', 'England');
EXECUTE geo_island_plan('Arran', 'uk', 'Scotland');
EXECUTE geo_island_plan('Barra', 'uk', 'Scotland');
EXECUTE geo_island_plan('Benbecula', 'uk', 'Scotland');
EXECUTE geo_island_plan('Coll', 'uk', 'Scotland');
EXECUTE geo_island_plan('Colonsay', 'uk', 'Scotland');
EXECUTE geo_island_plan('Harris', 'uk', 'Scotland');
EXECUTE geo_island_plan('Hoy', 'uk', 'Scotland');
EXECUTE geo_island_plan('Iona', 'uk', 'Scotland');
EXECUTE geo_island_plan('Islay', 'uk', 'Scotland');
EXECUTE geo_island_plan('Jura', 'uk', 'Scotland');
EXECUTE geo_island_plan('Lewis', 'uk', 'Scotland');
EXECUTE geo_island_plan('Mainland', 'uk', 'Scotland');
EXECUTE geo_island_plan('Mull', 'uk', 'Scotland');
EXECUTE geo_island_plan('North Ulist', 'uk', 'Scotland');
EXECUTE geo_island_plan('Rhum', 'uk', 'Scotland');
EXECUTE geo_island_plan('Sanday', 'uk', 'Scotland');
EXECUTE geo_island_plan('Skye', 'uk', 'Scotland');
EXECUTE geo_island_plan('South Ronaldson', 'uk', 'Scotland');
EXECUTE geo_island_plan('South Ulist', 'uk', 'Scotland');
EXECUTE geo_island_plan('Staffa', 'uk', 'Scotland');
EXECUTE geo_island_plan('Tiree', 'uk', 'Scotland');
EXECUTE geo_island_plan('Westray', 'uk', 'Scotland');
EXECUTE geo_island_plan('Anglesey', 'uk', 'Wales');
EXECUTE geo_island_plan('San Clemente Island', 'us', 'California');
EXECUTE geo_island_plan('San Miguel Island', 'us', 'California');
EXECUTE geo_island_plan('Santa Catalina Island', 'us', 'California');
EXECUTE geo_island_plan('Santa Cruz Island', 'us', 'California');
EXECUTE geo_island_plan('Santa Rosa Island', 'us', 'California');
EXECUTE geo_island_plan('Hawaii', 'us', 'Hawaii');
EXECUTE geo_island_plan('Kauai', 'us', 'Hawaii');
EXECUTE geo_island_plan('Lanai', 'us', 'Hawaii');
EXECUTE geo_island_plan('Maui', 'us', 'Hawaii');
EXECUTE geo_island_plan('Molokai', 'us', 'Hawaii');
EXECUTE geo_island_plan('Oahu', 'us', 'Hawaii');
EXECUTE geo_island_plan('Martha s Vineyard', 'us', 'Massachusetts');
EXECUTE geo_island_plan('Nantucket', 'us', 'Massachusetts');
EXECUTE geo_island_plan('Saint Vincent', 'vc', 'Charlotte');
EXECUTE geo_island_plan('Saint Vincent', 'vc', 'Saint Andrew');
EXECUTE geo_island_plan('Saint Vincent', 'vc', 'Saint David');
EXECUTE geo_island_plan('Saint Vincent', 'vc', 'Saint George');
EXECUTE geo_island_plan('Saint Vincent', 'vc', 'Saint Patrick');
COMMIT;
DEALLOCATE geo_island_plan;
ANALYZE geo_island;
