BEGIN;
PREPARE geo_lake_plan (VARCHAR, CHAR, VARCHAR) AS
    INSERT INTO geo_lake(Lake, Country, Province)
        VALUES($1, $2, $3);
EXECUTE geo_lake_plan('Lake Prespa', 'al', 'Korce');
EXECUTE geo_lake_plan('Lake Skutari', 'al', 'Malsi e Madhe');
EXECUTE geo_lake_plan('Lake Ohrid', 'al', 'Pogradec');
EXECUTE geo_lake_plan('Lake Prespa', 'al', 'Pogradec');
EXECUTE geo_lake_plan('Lake Skutari', 'al', 'Shkoder');
EXECUTE geo_lake_plan('Bodensee', 'at', 'Vorarlberg');
EXECUTE geo_lake_plan('Lake Amadeus', 'au', 'Northern Territory');
EXECUTE geo_lake_plan('Lake Mackay', 'au', 'Northern Territory');
EXECUTE geo_lake_plan('Lake Eyre', 'au', 'South Australia');
EXECUTE geo_lake_plan('Lake Torren', 'au', 'South Australia');
EXECUTE geo_lake_plan('Disappointment-Lake', 'au', 'Western Australia');
EXECUTE geo_lake_plan('Lake Mackay', 'au', 'Western Australia');
EXECUTE geo_lake_plan('Caspian Sea', 'az', 'Astara');
EXECUTE geo_lake_plan('Caspian Sea', 'az', 'Baki');
EXECUTE geo_lake_plan('Caspian Sea', 'az', 'Deveci');
EXECUTE geo_lake_plan('Caspian Sea', 'az', 'Lenkeran');
EXECUTE geo_lake_plan('Caspian Sea', 'az', 'Masalli');
EXECUTE geo_lake_plan('Caspian Sea', 'az', 'Neftcala');
EXECUTE geo_lake_plan('Caspian Sea', 'az', 'Salyan');
EXECUTE geo_lake_plan('Caspian Sea', 'az', 'Siyezen');
EXECUTE geo_lake_plan('Caspian Sea', 'az', 'Sumqayit');
EXECUTE geo_lake_plan('Caspian Sea', 'az', 'Xacmaz');
EXECUTE geo_lake_plan('Caspian Sea', 'az', 'Xizi');
EXECUTE geo_lake_plan('Lake Tanganjika', 'bi', 'Bubanza');
EXECUTE geo_lake_plan('Lake Tanganjika', 'bi', 'Bujumbura');
EXECUTE geo_lake_plan('Lake Tanganjika', 'bi', 'Bururi');
EXECUTE geo_lake_plan('Lake Titicaca', 'bo', 'La Paz');
EXECUTE geo_lake_plan('Lake Makarikari', 'bw', 'Boteti');
EXECUTE geo_lake_plan('Lake Ngami', 'bw', 'Ngamiland');
EXECUTE geo_lake_plan('Lake Williston', 'ca', 'British Columbia');
EXECUTE geo_lake_plan('Lake Winnipeg', 'ca', 'Manitoba');
EXECUTE geo_lake_plan('Great Bear Lake', 'ca', 'Northwest Territories');
EXECUTE geo_lake_plan('Great Slave Lake', 'ca', 'Northwest Territories');
EXECUTE geo_lake_plan('Lake Erie', 'ca', 'Ontario');
EXECUTE geo_lake_plan('Lake Huron', 'ca', 'Ontario');
EXECUTE geo_lake_plan('Lake Nipigon', 'ca', 'Ontario');
EXECUTE geo_lake_plan('Lake Ontario', 'ca', 'Ontario');
EXECUTE geo_lake_plan('Lake Superior', 'ca', 'Ontario');
EXECUTE geo_lake_plan('Lake Mweru', 'cd', 'Katanga');
EXECUTE geo_lake_plan('Lake Tanganjika', 'cd', 'Katanga');
EXECUTE geo_lake_plan('Lake Eduard', 'cd', 'Nord-Kivu');
EXECUTE geo_lake_plan('Lake Kivu', 'cd', 'Nord-Kivu');
EXECUTE geo_lake_plan('Lake Kivu', 'cd', 'Sud-Kivu');
EXECUTE geo_lake_plan('Lake Tanganjika', 'cd', 'Sud-Kivu');
EXECUTE geo_lake_plan('Lac Leman', 'ch', 'Geneva');
EXECUTE geo_lake_plan('Bodensee', 'ch', 'Saint Gall');
EXECUTE geo_lake_plan('Bodensee', 'ch', 'Thurgau');
EXECUTE geo_lake_plan('Lago Maggiore', 'ch', 'Ticino');
EXECUTE geo_lake_plan('Lac Leman', 'ch', 'Valais');
EXECUTE geo_lake_plan('Lac Leman', 'ch', 'Vaud');
EXECUTE geo_lake_plan('Barrage de Mbakaou', 'cm', 'Adamaoua');
EXECUTE geo_lake_plan('Ozero Chanka', 'cn', 'Heilongjiang');
EXECUTE geo_lake_plan('Bodensee', 'de', 'Baden-Wuerttemberg');
EXECUTE geo_lake_plan('Bodensee', 'de', 'Bavaria');
EXECUTE geo_lake_plan('Arresee', 'dk', 'Frederiksborg');
EXECUTE geo_lake_plan('Ozero Pskovskoje', 'ee', 'Polva');
EXECUTE geo_lake_plan('Lake Nasser', 'eg', 'Aswan');
EXECUTE geo_lake_plan('Lake Nasser', 'eg', 'al-Bahr-al-Ahmar');
EXECUTE geo_lake_plan('Lake Nasser', 'eg', 'al-Wadi al-Jadid');
EXECUTE geo_lake_plan('Lake Tana', 'et', 'Amhara');
EXECUTE geo_lake_plan('Lake Abaya', 'et', 'Southern');
EXECUTE geo_lake_plan('Lake Stephanie', 'et', 'Southern');
EXECUTE geo_lake_plan('Lake Suat', 'et', 'Southern');
EXECUTE geo_lake_plan('Paeijaenne', 'fi', 'Central Finland');
EXECUTE geo_lake_plan('Lake Saima', 'fi', 'Kymenlaakso');
EXECUTE geo_lake_plan('Inari', 'fi', 'Lapland');
EXECUTE geo_lake_plan('Lake Ori', 'fi', 'North Karelia');
EXECUTE geo_lake_plan('Lake Saima', 'fi', 'North Karelia');
EXECUTE geo_lake_plan('Lake Kalla', 'fi', 'North Savo');
EXECUTE geo_lake_plan('Lake Saima', 'fi', 'North Savo');
EXECUTE geo_lake_plan('Lake Naesi', 'fi', 'Paeijaet-Haeme');
EXECUTE geo_lake_plan('Paeijaenne', 'fi', 'Paeijaet-Haeme');
EXECUTE geo_lake_plan('Lake Saima', 'fi', 'South Karelia');
EXECUTE geo_lake_plan('Lake Saima', 'fi', 'South Savo');
EXECUTE geo_lake_plan('Lac Leman', 'fr', 'Haute-Savoie');
EXECUTE geo_lake_plan('Lake Volta', 'gh', 'Brong-Ahafo');
EXECUTE geo_lake_plan('Lake Volta', 'gh', 'Eastern');
EXECUTE geo_lake_plan('Lake Volta', 'gh', 'Northern');
EXECUTE geo_lake_plan('Lake Volta', 'gh', 'Volta');
EXECUTE geo_lake_plan('Lake Prespa', 'gr', 'Florina');
EXECUTE geo_lake_plan('Lake Urumiyeh', 'ir', 'Azarbayejan-e Gharbi');
EXECUTE geo_lake_plan('Lake Urumiyeh', 'ir', 'Azarbayejan-e Sharqi');
EXECUTE geo_lake_plan('Hamun e Jaz Murian', 'ir', 'Kerman');
EXECUTE geo_lake_plan('Hamun e Jaz Murian', 'ir', 'Sistan-e Baluchestan');
EXECUTE geo_lake_plan('Daryacheh ye Namak', 'ir', 'Tehran');
EXECUTE geo_lake_plan('Lago Maggiore', 'it', 'Lombardy');
EXECUTE geo_lake_plan('Lago di Como', 'it', 'Lombardy');
EXECUTE geo_lake_plan('Lago di Garda ', 'it', 'Lombardy');
EXECUTE geo_lake_plan('Lake Rudolph', 'ke', 'Eastern');
EXECUTE geo_lake_plan('Lake Victoria', 'ke', 'Nyanza');
EXECUTE geo_lake_plan('Lake Rudolph', 'ke', 'Rift Valley');
EXECUTE geo_lake_plan('Lake Victoria', 'ke', 'Western');
EXECUTE geo_lake_plan('Issyk-Kul', 'kg', 'Issik-Goel');
EXECUTE geo_lake_plan('Ozero Aral', 'kz', 'Akmechet');
EXECUTE geo_lake_plan('Ozero Balchash', 'kz', 'Almaty');
EXECUTE geo_lake_plan('Caspian Sea', 'kz', 'Atyrau');
EXECUTE geo_lake_plan('Caspian Sea', 'kz', 'Mankistau');
EXECUTE geo_lake_plan('Ozero Balchash', 'kz', 'Qaragandy');
EXECUTE geo_lake_plan('Ozero Balchash', 'kz', 'Taraz');
EXECUTE geo_lake_plan('Lake Nyasa', 'mw', 'Dedza');
EXECUTE geo_lake_plan('Lake Nyasa', 'mw', 'Karonga');
EXECUTE geo_lake_plan('Lake Nyasa', 'mw', 'Mangochi');
EXECUTE geo_lake_plan('Lake Nyasa', 'mw', 'Nkhata Bay');
EXECUTE geo_lake_plan('Lake Nyasa', 'mw', 'Nkhotakota');
EXECUTE geo_lake_plan('Lake Nyasa', 'mw', 'Rumphi');
EXECUTE geo_lake_plan('Lake Nyasa', 'mw', 'Salima');
EXECUTE geo_lake_plan('Lake Chilwa', 'mw', 'Zomba Rural');
EXECUTE geo_lake_plan('Lago de Chapala', 'mx', 'Jalisco');
EXECUTE geo_lake_plan('Lake Nyasa', 'mz', 'Niassa');
EXECUTE geo_lake_plan('Lake Cabora-Bassa', 'mz', 'Tete');
EXECUTE geo_lake_plan('Lake Etoscha', 'na', 'Kunene');
EXECUTE geo_lake_plan('Lake Etoscha', 'na', 'Oshikoto');
EXECUTE geo_lake_plan('Tschadsee', 'ne', 'Diffa');
EXECUTE geo_lake_plan('Tschadsee', 'ng', 'Borno');
EXECUTE geo_lake_plan('Lake Kainji', 'ng', 'Niger');
EXECUTE geo_lake_plan('Lake Nicaragua', 'ni', 'Boaco');
EXECUTE geo_lake_plan('Lake Nicaragua', 'ni', 'Chontales');
EXECUTE geo_lake_plan('Lake Nicaragua', 'ni', 'Granada');
EXECUTE geo_lake_plan('Lake Nicaragua', 'ni', 'Rio San Juan');
EXECUTE geo_lake_plan('Lake Nicaragua', 'ni', 'Rivas');
EXECUTE geo_lake_plan('Mjoesen', 'no', 'Hedmark');
EXECUTE geo_lake_plan('Mjoesen', 'no', 'Oppland');
EXECUTE geo_lake_plan('Lake Titicaca', 'pe', 'Puno');
EXECUTE geo_lake_plan('Caspian Sea', 'ru', 'Astrakhan');
EXECUTE geo_lake_plan('Ozero Baikal', 'ru', 'Buryatia');
EXECUTE geo_lake_plan('Caspian Sea', 'ru', 'Dagestan');
EXECUTE geo_lake_plan('Ozero Baikal', 'ru', 'Irkutsk');
EXECUTE geo_lake_plan('Caspian Sea', 'ru', 'Kalmykia');
EXECUTE geo_lake_plan('Ozero Ladoga', 'ru', 'Karelia');
EXECUTE geo_lake_plan('Ozero Onega', 'ru', 'Karelia');
EXECUTE geo_lake_plan('Ozero Taimyr', 'ru', 'Krasnoyarsk');
EXECUTE geo_lake_plan('Ozero Ladoga', 'ru', 'Leningrad');
EXECUTE geo_lake_plan('Ozero Onega', 'ru', 'Leningrad');
EXECUTE geo_lake_plan('Ozero Tschany', 'ru', 'Novosibirsk');
EXECUTE geo_lake_plan('Ozero Chanka', 'ru', 'Primorski');
EXECUTE geo_lake_plan('Ozero Pskovskoje', 'ru', 'Pskov');
EXECUTE geo_lake_plan('Ozero Onega', 'ru', 'Vologda');
EXECUTE geo_lake_plan('Lake Kivu', 'rw', 'Cyangugu');
EXECUTE geo_lake_plan('Lake Kivu', 'rw', 'Gisenyi');
EXECUTE geo_lake_plan('Lake Kivu', 'rw', 'Kibuye');
EXECUTE geo_lake_plan('Lake Nasser', 'sd', 'as-Samaliyah');
EXECUTE geo_lake_plan('Vaettern', 'se', 'Joenkoeping');
EXECUTE geo_lake_plan('Vaettern', 'se', 'Oerebro');
EXECUTE geo_lake_plan('Vaettern', 'se', 'Oestergoetland');
EXECUTE geo_lake_plan('Maelaren', 'se', 'Soedermanland');
EXECUTE geo_lake_plan('Maelaren', 'se', 'Stockholm');
EXECUTE geo_lake_plan('Maelaren', 'se', 'Uppsala');
EXECUTE geo_lake_plan('Vaenern', 'se', 'Vaermland');
EXECUTE geo_lake_plan('Maelaren', 'se', 'Vaestmanland');
EXECUTE geo_lake_plan('Vaenern', 'se', 'Vaestra Goetaland');
EXECUTE geo_lake_plan('Tschadsee', 'td', 'Chari-Baguirmi');
EXECUTE geo_lake_plan('Tschadsee', 'td', 'Lac');
EXECUTE geo_lake_plan('Caspian Sea', 'tm', 'Balkan');
EXECUTE geo_lake_plan('Lake Eyasi', 'tz', 'Arusha');
EXECUTE geo_lake_plan('Lake Natron', 'tz', 'Arusha');
EXECUTE geo_lake_plan('Lake Victoria', 'tz', 'Kagera');
EXECUTE geo_lake_plan('Lake Tanganjika', 'tz', 'Kigoma');
EXECUTE geo_lake_plan('Lake Victoria', 'tz', 'Mara');
EXECUTE geo_lake_plan('Lake Rukwa', 'tz', 'Mbeya');
EXECUTE geo_lake_plan('Lake Tanganjika', 'tz', 'Mbeya');
EXECUTE geo_lake_plan('Lake Victoria', 'tz', 'Mwanza');
EXECUTE geo_lake_plan('Lake Rukwa', 'tz', 'Tabora');
EXECUTE geo_lake_plan('Lake Tanganjika', 'tz', 'Tabora');
EXECUTE geo_lake_plan('Lake Kioga', 'ug', 'Central');
EXECUTE geo_lake_plan('Lake Victoria', 'ug', 'Central');
EXECUTE geo_lake_plan('Lake Kioga', 'ug', 'Eastern');
EXECUTE geo_lake_plan('Lake Victoria', 'ug', 'Eastern');
EXECUTE geo_lake_plan('Lake Kioga', 'ug', 'Northern');
EXECUTE geo_lake_plan('Lake Albert', 'ug', 'Western');
EXECUTE geo_lake_plan('Lake Eduard', 'ug', 'Western');
EXECUTE geo_lake_plan('Lake Meade', 'us', 'Arizona');
EXECUTE geo_lake_plan('Lake Powell', 'us', 'Arizona');
EXECUTE geo_lake_plan('Lake Tahoe', 'us', 'California');
EXECUTE geo_lake_plan('Lake Okeechobee', 'us', 'Florida');
EXECUTE geo_lake_plan('Lake Michigan', 'us', 'Illinois');
EXECUTE geo_lake_plan('Lake Michigan', 'us', 'Indiana');
EXECUTE geo_lake_plan('Kentucky Lake', 'us', 'Kentucky');
EXECUTE geo_lake_plan('Lake Erie', 'us', 'Michigan');
EXECUTE geo_lake_plan('Lake Huron', 'us', 'Michigan');
EXECUTE geo_lake_plan('Lake Michigan', 'us', 'Michigan');
EXECUTE geo_lake_plan('Lake Superior', 'us', 'Michigan');
EXECUTE geo_lake_plan('Lake Superior', 'us', 'Minnesota');
EXECUTE geo_lake_plan('Lake Meade', 'us', 'Nevada');
EXECUTE geo_lake_plan('Lake Tahoe', 'us', 'Nevada');
EXECUTE geo_lake_plan('Lake Winnipesaukee', 'us', 'New Hampshire');
EXECUTE geo_lake_plan('Lake Erie', 'us', 'New York');
EXECUTE geo_lake_plan('Lake Ontario', 'us', 'New York');
EXECUTE geo_lake_plan('Lake Erie', 'us', 'Ohio');
EXECUTE geo_lake_plan('Lake Erie', 'us', 'Pennsylvania');
EXECUTE geo_lake_plan('Chicamauga Lake', 'us', 'Tennessee');
EXECUTE geo_lake_plan('Kentucky Lake', 'us', 'Tennessee');
EXECUTE geo_lake_plan('Great Salt Lake', 'us', 'Utah');
EXECUTE geo_lake_plan('Lake Powell', 'us', 'Utah');
EXECUTE geo_lake_plan('F.D.R. Lake', 'us', 'Washington');
EXECUTE geo_lake_plan('Lake Michigan', 'us', 'Wisconsin');
EXECUTE geo_lake_plan('Lake Superior', 'us', 'Wisconsin');
EXECUTE geo_lake_plan('Ozero Aral', 'uz', 'Korakalpogiston');
EXECUTE geo_lake_plan('Lake Maracaibo', 've', 'Merida');
EXECUTE geo_lake_plan('Lake Maracaibo', 've', 'Trujillo');
EXECUTE geo_lake_plan('Lake Maracaibo', 've', 'Zulia');
EXECUTE geo_lake_plan('Lake Ohrid', 'yu', 'Kosovo and Metohija');
EXECUTE geo_lake_plan('Lake Skutari', 'yu', 'Montenegro');
EXECUTE geo_lake_plan('Lake Bangweulu', 'zm', 'Luapala');
EXECUTE geo_lake_plan('Lake Mweru', 'zm', 'Luapala');
EXECUTE geo_lake_plan('Lake Bangweulu', 'zm', 'Northern');
EXECUTE geo_lake_plan('Lake Tanganjika', 'zm', 'Northern');
EXECUTE geo_lake_plan('Lake Kariba', 'zm', 'Southern');
EXECUTE geo_lake_plan('Lake Kariba', 'zw', 'Mashonaland West');
EXECUTE geo_lake_plan('Lake Kariba', 'zw', 'Matabeleland North');
COMMIT;
DEALLOCATE geo_lake_plan;
ANALYZE geo_lake;
