BEGIN;
PREPARE geo_river_plan (VARCHAR, CHAR, VARCHAR) AS
    INSERT INTO geo_river(River, Country, Province)
        VALUES($1, $2, $3);
EXECUTE geo_river_plan('Pjandsh', 'af', 'Badakhshan');
EXECUTE geo_river_plan('Black Drin', 'al', 'Kukes');
EXECUTE geo_river_plan('Drin', 'al', 'Kukes');
EXECUTE geo_river_plan('White Drin', 'al', 'Kukes');
EXECUTE geo_river_plan('Drin', 'al', 'Malsi e Madhe');
EXECUTE geo_river_plan('Drin', 'al', 'Puke');
EXECUTE geo_river_plan('Drin', 'al', 'Shkoder');
EXECUTE geo_river_plan('Drin', 'al', 'Tropoje');
EXECUTE geo_river_plan('Cunene', 'ao', 'Benguela');
EXECUTE geo_river_plan('Cuanza', 'ao', 'Bie');
EXECUTE geo_river_plan('Cuilo', 'ao', 'Bie');
EXECUTE geo_river_plan('Cunene', 'ao', 'Huambo');
EXECUTE geo_river_plan('Cunene', 'ao', 'Huila');
EXECUTE geo_river_plan('Cuilo', 'ao', 'Kuando-Kubango');
EXECUTE geo_river_plan('Cuanza', 'ao', 'Kwanza Norte');
EXECUTE geo_river_plan('Cuanza', 'ao', 'Kwanza Sul');
EXECUTE geo_river_plan('Cuanza', 'ao', 'Luanda');
EXECUTE geo_river_plan('Casai', 'ao', 'Lunda Norte');
EXECUTE geo_river_plan('Cuango', 'ao', 'Lunda Norte');
EXECUTE geo_river_plan('Casai', 'ao', 'Lunda Sul');
EXECUTE geo_river_plan('Cuango', 'ao', 'Lunda Sul');
EXECUTE geo_river_plan('Cuango', 'ao', 'Malanje');
EXECUTE geo_river_plan('Cuanza', 'ao', 'Malanje');
EXECUTE geo_river_plan('Casai', 'ao', 'Moxico');
EXECUTE geo_river_plan('Cuilo', 'ao', 'Moxico');
EXECUTE geo_river_plan('Zambezi', 'ao', 'Moxico');
EXECUTE geo_river_plan('Cuango', 'ao', 'Uige');
EXECUTE geo_river_plan('Parana', 'ar', 'Buenos Aires');
EXECUTE geo_river_plan('Rio de la Plata', 'ar', 'Buenos Aires');
EXECUTE geo_river_plan('Parana', 'ar', 'Chaco');
EXECUTE geo_river_plan('Parana', 'ar', 'Corrientes');
EXECUTE geo_river_plan('Rio de la Plata', 'ar', 'Distrito Federal');
EXECUTE geo_river_plan('Parana', 'ar', 'Entre Rios');
EXECUTE geo_river_plan('Paraguay', 'ar', 'Formosa');
EXECUTE geo_river_plan('Parana', 'ar', 'Misiones');
EXECUTE geo_river_plan('Parana', 'ar', 'Santa Fe');
EXECUTE geo_river_plan('Donau', 'at', 'Niederoesterreich');
EXECUTE geo_river_plan('Donau', 'at', 'Oberoesterreich');
EXECUTE geo_river_plan('Donau', 'at', 'Wien');
EXECUTE geo_river_plan('Kura', 'az', 'Agcabedi');
EXECUTE geo_river_plan('Kura', 'az', 'Agdas');
EXECUTE geo_river_plan('Kura', 'az', 'Agstafa');
EXECUTE geo_river_plan('Kura', 'az', 'Berde');
EXECUTE geo_river_plan('Kura', 'az', 'Goranboy');
EXECUTE geo_river_plan('Kura', 'az', 'Imisli');
EXECUTE geo_river_plan('Kura', 'az', 'Kuerdemir');
EXECUTE geo_river_plan('Kura', 'az', 'Mingecevir');
EXECUTE geo_river_plan('Kura', 'az', 'Neftcala');
EXECUTE geo_river_plan('Kura', 'az', 'Qax');
EXECUTE geo_river_plan('Kura', 'az', 'Qazax');
EXECUTE geo_river_plan('Kura', 'az', 'Sabirabad');
EXECUTE geo_river_plan('Kura', 'az', 'Salyan');
EXECUTE geo_river_plan('Kura', 'az', 'Samux');
EXECUTE geo_river_plan('Kura', 'az', 'Seki');
EXECUTE geo_river_plan('Kura', 'az', 'Semkir');
EXECUTE geo_river_plan('Kura', 'az', 'Tovuz');
EXECUTE geo_river_plan('Kura', 'az', 'Yevlax');
EXECUTE geo_river_plan('Kura', 'az', 'Zerdab');
EXECUTE geo_river_plan('Donau', 'bg', 'Montana');
EXECUTE geo_river_plan('Donau', 'bg', 'Pleven');
EXECUTE geo_river_plan('Donau', 'bg', 'Ruse');
EXECUTE geo_river_plan('Donau', 'bg', 'Silistra');
EXECUTE geo_river_plan('Donau', 'bg', 'Veliko Tarnovo');
EXECUTE geo_river_plan('Donau', 'bg', 'Vidin');
EXECUTE geo_river_plan('Donau', 'bg', 'Vraca');
EXECUTE geo_river_plan('Amazonas', 'br', 'Amapa');
EXECUTE geo_river_plan('Amazonas', 'br', 'Amazonas');
EXECUTE geo_river_plan('Parana', 'br', 'Goias');
EXECUTE geo_river_plan('Paraguay', 'br', 'Mato Grosso');
EXECUTE geo_river_plan('Parana', 'br', 'Mato Grosso');
EXECUTE geo_river_plan('Amazonas', 'br', 'Para');
EXECUTE geo_river_plan('Parana', 'br', 'Parana');
EXECUTE geo_river_plan('Uruguay', 'br', 'Rio Grande do Sul');
EXECUTE geo_river_plan('Dnepr', 'by', 'Homjel');
EXECUTE geo_river_plan('Dnepr', 'by', 'Mahiljow');
EXECUTE geo_river_plan('Dnepr', 'by', 'Vicebsk');
EXECUTE geo_river_plan('Western Dwina', 'by', 'Vicebsk');
EXECUTE geo_river_plan('Columbia River', 'ca', 'British Columbia');
EXECUTE geo_river_plan('St. Lorenzstrom', 'ca', 'Ontario');
EXECUTE geo_river_plan('St. Lorenzstrom', 'ca', 'Quebec');
EXECUTE geo_river_plan('Casai', 'cd', 'Bandundu');
EXECUTE geo_river_plan('Cuango', 'cd', 'Bandundu');
EXECUTE geo_river_plan('Cuilo', 'cd', 'Bandundu');
EXECUTE geo_river_plan('Kwa', 'cd', 'Bandundu');
EXECUTE geo_river_plan('Zaire', 'cd', 'Bandundu');
EXECUTE geo_river_plan('Cuango', 'cd', 'Bas-Congo');
EXECUTE geo_river_plan('Zaire', 'cd', 'Bas-Congo');
EXECUTE geo_river_plan('Busira', 'cd', 'Equateur');
EXECUTE geo_river_plan('Ruki', 'cd', 'Equateur');
EXECUTE geo_river_plan('Tshuapa', 'cd', 'Equateur');
EXECUTE geo_river_plan('Ubangi', 'cd', 'Equateur');
EXECUTE geo_river_plan('Uelle', 'cd', 'Equateur');
EXECUTE geo_river_plan('Zaire', 'cd', 'Equateur');
EXECUTE geo_river_plan('Bomu', 'cd', 'Haut-Congo');
EXECUTE geo_river_plan('Lomami', 'cd', 'Haut-Congo');
EXECUTE geo_river_plan('Uelle', 'cd', 'Haut-Congo');
EXECUTE geo_river_plan('Zaire', 'cd', 'Haut-Congo');
EXECUTE geo_river_plan('Casai', 'cd', 'Kasai-Occidental');
EXECUTE geo_river_plan('Lomami', 'cd', 'Kasai-Oriental');
EXECUTE geo_river_plan('Tshuapa', 'cd', 'Kasai-Oriental');
EXECUTE geo_river_plan('Casai', 'cd', 'Katanga');
EXECUTE geo_river_plan('Lomami', 'cd', 'Katanga');
EXECUTE geo_river_plan('Lukuga', 'cd', 'Katanga');
EXECUTE geo_river_plan('Luvua', 'cd', 'Katanga');
EXECUTE geo_river_plan('Zaire', 'cd', 'Kinshasa');
EXECUTE geo_river_plan('Lomami', 'cd', 'Sud-Kivu');
EXECUTE geo_river_plan('Ubangi', 'cf', 'Basse-Kotto');
EXECUTE geo_river_plan('Ubangi', 'cf', 'Ouaka');
EXECUTE geo_river_plan('Sanga', 'cf', 'Sangha-Mbaere');
EXECUTE geo_river_plan('Zaire', 'cg', 'Pool');
EXECUTE geo_river_plan('Rhein', 'ch', 'Aargau');
EXECUTE geo_river_plan('Rhein', 'ch', 'Basel-Landschaft');
EXECUTE geo_river_plan('Rhein', 'ch', 'Basel-Town');
EXECUTE geo_river_plan('Rhein', 'ch', 'Graubuenden');
EXECUTE geo_river_plan('Rhein', 'ch', 'Saint Gall');
EXECUTE geo_river_plan('Rhein', 'ch', 'Schaffhausen');
EXECUTE geo_river_plan('Rhein', 'ch', 'Thurgau');
EXECUTE geo_river_plan('Rhein', 'ch', 'Zurich');
EXECUTE geo_river_plan('Bani', 'ci', 'Denguele');
EXECUTE geo_river_plan('Sanaga', 'cm', 'Centre');
EXECUTE geo_river_plan('Sanga', 'cm', 'Est');
EXECUTE geo_river_plan('Sanaga', 'cm', 'Littoral');
EXECUTE geo_river_plan('Benue', 'cm', 'Nord');
EXECUTE geo_river_plan('Jangtse-Kiang', 'cn', 'Anhui');
EXECUTE geo_river_plan('Hwangho', 'cn', 'Gansu');
EXECUTE geo_river_plan('Hwangho', 'cn', 'Henan');
EXECUTE geo_river_plan('Jangtse-Kiang', 'cn', 'Hubei');
EXECUTE geo_river_plan('Jangtse-Kiang', 'cn', 'Jiangsu');
EXECUTE geo_river_plan('Argun', 'cn', 'Neimenggu');
EXECUTE geo_river_plan('Hwangho', 'cn', 'Neimenggu');
EXECUTE geo_river_plan('Hwangho', 'cn', 'Ningxia');
EXECUTE geo_river_plan('Hwangho', 'cn', 'Qinghai');
EXECUTE geo_river_plan('Hwangho', 'cn', 'Shaanxi');
EXECUTE geo_river_plan('Hwangho', 'cn', 'Shandong');
EXECUTE geo_river_plan('Jangtse-Kiang', 'cn', 'Sichuan');
EXECUTE geo_river_plan('Mekong', 'cn', 'Sichuan');
EXECUTE geo_river_plan('Black Irtysch', 'cn', 'Xinjiang');
EXECUTE geo_river_plan('Jangtse-Kiang', 'cn', 'Xizang');
EXECUTE geo_river_plan('Mekong', 'cn', 'Xizang');
EXECUTE geo_river_plan('Jangtse-Kiang', 'cn', 'Yunnan');
EXECUTE geo_river_plan('Mekong', 'cn', 'Yunnan');
EXECUTE geo_river_plan('Amazonas', 'co', 'Amazonas');
EXECUTE geo_river_plan('Moldau', 'cz', 'Jihocesky');
EXECUTE geo_river_plan('Moldau', 'cz', 'Prague');
EXECUTE geo_river_plan('Donau', 'de', 'Baden-Wuerttemberg');
EXECUTE geo_river_plan('Rhein', 'de', 'Baden-Wuerttemberg');
EXECUTE geo_river_plan('Donau', 'de', 'Bavaria');
EXECUTE geo_river_plan('Weser', 'de', 'Bremen');
EXECUTE geo_river_plan('Elbe', 'de', 'Hamburg');
EXECUTE geo_river_plan('Fulda', 'de', 'Hassia');
EXECUTE geo_river_plan('Rhein', 'de', 'Hassia');
EXECUTE geo_river_plan('Werra', 'de', 'Hassia');
EXECUTE geo_river_plan('Weser', 'de', 'Hassia');
EXECUTE geo_river_plan('Elbe', 'de', 'Lower Saxony');
EXECUTE geo_river_plan('Werra', 'de', 'Lower Saxony');
EXECUTE geo_river_plan('Weser', 'de', 'Lower Saxony');
EXECUTE geo_river_plan('Rhein', 'de', 'North Rhine-Westphalia');
EXECUTE geo_river_plan('Weser', 'de', 'North Rhine-Westphalia');
EXECUTE geo_river_plan('Rhein', 'de', 'Rhineland-Palatinate');
EXECUTE geo_river_plan('Nile', 'eg', 'Asyut');
EXECUTE geo_river_plan('Nile', 'eg', 'Beni Suef');
EXECUTE geo_river_plan('Nile', 'eg', 'Cairo');
EXECUTE geo_river_plan('Nile', 'eg', 'Gizeh');
EXECUTE geo_river_plan('Nile', 'eg', 'Menia');
EXECUTE geo_river_plan('Atbara', 'et', 'Amhara');
EXECUTE geo_river_plan('Blue Nile', 'et', 'Amhara');
EXECUTE geo_river_plan('Blue Nile', 'et', 'Benishangul');
EXECUTE geo_river_plan('Baro', 'et', 'Gambella');
EXECUTE geo_river_plan('Sobat', 'et', 'Gambella');
EXECUTE geo_river_plan('Baro', 'et', 'Oromia');
EXECUTE geo_river_plan('Blue Nile', 'et', 'Oromia');
EXECUTE geo_river_plan('Webi Schebeli', 'et', 'Oromia');
EXECUTE geo_river_plan('Djuba', 'et', 'Somali');
EXECUTE geo_river_plan('Webi Schebeli', 'et', 'Somali');
EXECUTE geo_river_plan('Oulujoki', 'fi', 'Kainuu');
EXECUTE geo_river_plan('Kemijoki', 'fi', 'Lapland');
EXECUTE geo_river_plan('Ounasjoki', 'fi', 'Lapland');
EXECUTE geo_river_plan('Oulujoki', 'fi', 'North Ostrobothnia');
EXECUTE geo_river_plan('Kokemaeenjoki', 'fi', 'Satakunta');
EXECUTE geo_river_plan('Kokemaeenjoki', 'fi', 'Southwest Finland');
EXECUTE geo_river_plan('Loire', 'fr', 'Ain');
EXECUTE geo_river_plan('Rhone', 'fr', 'Ain');
EXECUTE geo_river_plan('Loire', 'fr', 'Allier');
EXECUTE geo_river_plan('Loire', 'fr', 'Ardeche');
EXECUTE geo_river_plan('Rhone', 'fr', 'Ardeche');
EXECUTE geo_river_plan('Garonne', 'fr', 'Ariege');
EXECUTE geo_river_plan('Garonne', 'fr', 'Aude');
EXECUTE geo_river_plan('Rhone', 'fr', 'Aude');
EXECUTE geo_river_plan('Garonne', 'fr', 'Aveyron');
EXECUTE geo_river_plan('Loire', 'fr', 'Cantal');
EXECUTE geo_river_plan('Seine', 'fr', 'Cote-dOr');
EXECUTE geo_river_plan('Garonne', 'fr', 'Dordogne');
EXECUTE geo_river_plan('Loire', 'fr', 'Drome');
EXECUTE geo_river_plan('Rhone', 'fr', 'Drome');
EXECUTE geo_river_plan('Seine', 'fr', 'Essonne');
EXECUTE geo_river_plan('Seine', 'fr', 'Eure');
EXECUTE geo_river_plan('Garonne', 'fr', 'Gard');
EXECUTE geo_river_plan('Rhone', 'fr', 'Gard');
EXECUTE geo_river_plan('Garonne', 'fr', 'Gironde');
EXECUTE geo_river_plan('Garonne', 'fr', 'Haute-Garonne');
EXECUTE geo_river_plan('Loire', 'fr', 'Haute-Loire');
EXECUTE geo_river_plan('Loire', 'fr', 'Haute-Savoie');
EXECUTE geo_river_plan('Rhone', 'fr', 'Haute-Savoie');
EXECUTE geo_river_plan('Seine', 'fr', 'Hauts-de-Seine');
EXECUTE geo_river_plan('Garonne', 'fr', 'Herault');
EXECUTE geo_river_plan('Rhone', 'fr', 'Herault');
EXECUTE geo_river_plan('Loire', 'fr', 'Isere');
EXECUTE geo_river_plan('Rhone', 'fr', 'Isere');
EXECUTE geo_river_plan('Garonne', 'fr', 'Landes');
EXECUTE geo_river_plan('Loire', 'fr', 'Loire');
EXECUTE geo_river_plan('Rhone', 'fr', 'Loire');
EXECUTE geo_river_plan('Loire', 'fr', 'Loire-Atlantique');
EXECUTE geo_river_plan('Garonne', 'fr', 'Lot-et-Garonne');
EXECUTE geo_river_plan('Garonne', 'fr', 'Lozere');
EXECUTE geo_river_plan('Rhone', 'fr', 'Lozere');
EXECUTE geo_river_plan('Loire', 'fr', 'Maine-et-Loire');
EXECUTE geo_river_plan('Loire', 'fr', 'Mayenne');
EXECUTE geo_river_plan('Seine', 'fr', 'Nievre');
EXECUTE geo_river_plan('Seine', 'fr', 'Paris');
EXECUTE geo_river_plan('Loire', 'fr', 'Puy-de-Dome');
EXECUTE geo_river_plan('Garonne', 'fr', 'Pyrenees-Atlantiques');
EXECUTE geo_river_plan('Rhone', 'fr', 'Pyrenees-Orientales');
EXECUTE geo_river_plan('Loire', 'fr', 'Rhone');
EXECUTE geo_river_plan('Rhone', 'fr', 'Rhone');
EXECUTE geo_river_plan('Seine', 'fr', 'Saone-et-Loire');
EXECUTE geo_river_plan('Loire', 'fr', 'Sarthe');
EXECUTE geo_river_plan('Loire', 'fr', 'Savoie');
EXECUTE geo_river_plan('Rhone', 'fr', 'Savoie');
EXECUTE geo_river_plan('Seine', 'fr', 'Seine-Maritime');
EXECUTE geo_river_plan('Seine', 'fr', 'Seine-Saint-Denis');
EXECUTE geo_river_plan('Seine', 'fr', 'Seine-et-Marne');
EXECUTE geo_river_plan('Garonne', 'fr', 'Tarn');
EXECUTE geo_river_plan('Garonne', 'fr', 'Tarn-et-Garonne');
EXECUTE geo_river_plan('Seine', 'fr', 'Val-dOise');
EXECUTE geo_river_plan('Seine', 'fr', 'Val-de-Marne');
EXECUTE geo_river_plan('Loire', 'fr', 'Vendee');
EXECUTE geo_river_plan('Seine', 'fr', 'Yonne');
EXECUTE geo_river_plan('Seine', 'fr', 'Yvelines');
EXECUTE geo_river_plan('Kura', 'ge', 'Kvemo Kartli');
EXECUTE geo_river_plan('Kura', 'ge', 'Samtskhe-Javakheti');
EXECUTE geo_river_plan('Kura', 'ge', 'Shida Kartli');
EXECUTE geo_river_plan('Kura', 'ge', 'Tbilisi');
EXECUTE geo_river_plan('Volta', 'gh', 'Eastern');
EXECUTE geo_river_plan('Volta', 'gh', 'Greater Accra');
EXECUTE geo_river_plan('Volta', 'gh', 'Volta');
EXECUTE geo_river_plan('Gambia', 'gm', 'Banjul');
EXECUTE geo_river_plan('Gambia', 'gm', 'Basse');
EXECUTE geo_river_plan('Gambia', 'gm', 'Brikama');
EXECUTE geo_river_plan('Gambia', 'gm', 'Janjanbureh');
EXECUTE geo_river_plan('Gambia', 'gm', 'Kanifing');
EXECUTE geo_river_plan('Gambia', 'gm', 'Kerewan');
EXECUTE geo_river_plan('Gambia', 'gm', 'Kuntaur');
EXECUTE geo_river_plan('Gambia', 'gm', 'Mansakonko');
EXECUTE geo_river_plan('Niger', 'gn', 'Faranah');
EXECUTE geo_river_plan('Gambia', 'gn', 'Koubia');
EXECUTE geo_river_plan('Niger', 'gn', 'Kouroussa');
EXECUTE geo_river_plan('Gambia', 'gn', 'Labe');
EXECUTE geo_river_plan('Gambia', 'gn', 'Mali');
EXECUTE geo_river_plan('Niger', 'gn', 'Mandiana');
EXECUTE geo_river_plan('Niger', 'gn', 'Siguiri');
EXECUTE geo_river_plan('Donau', 'hu', 'Bacs-Kiskun');
EXECUTE geo_river_plan('Donau', 'hu', 'Baranya');
EXECUTE geo_river_plan('Donau', 'hu', 'Budapest');
EXECUTE geo_river_plan('Donau', 'hu', 'Fejer');
EXECUTE geo_river_plan('Donau', 'hu', 'Komarom-Esztergom');
EXECUTE geo_river_plan('Donau', 'hu', 'Pest');
EXECUTE geo_river_plan('Donau', 'hu', 'Tolna');
EXECUTE geo_river_plan('Karun', 'ir', 'Chahar Mahal-e Bakhtiari');
EXECUTE geo_river_plan('Karun', 'ir', 'Esfahan');
EXECUTE geo_river_plan('Karun', 'ir', 'Khuzestan');
EXECUTE geo_river_plan('Karun', 'ir', 'Kohgiluyeh-e Boyerahmad');
EXECUTE geo_river_plan('Joekulsa a Fjoellum', 'is', 'Noreurland eystra');
EXECUTE geo_river_plan('Thjorsa', 'is', 'Noreurland eystra');
EXECUTE geo_river_plan('Thjorsa', 'is', 'Sueurland');
EXECUTE geo_river_plan('Kitakami', 'jp', 'Iwate');
EXECUTE geo_river_plan('Kitakami', 'jp', 'Miyagi');
EXECUTE geo_river_plan('Tana', 'ke', 'Central');
EXECUTE geo_river_plan('Tana', 'ke', 'Coast');
EXECUTE geo_river_plan('Tana', 'ke', 'Eastern');
EXECUTE geo_river_plan('Tana', 'ke', 'North Eastern');
EXECUTE geo_river_plan('Mekong', 'kh', 'Kampong Cham');
EXECUTE geo_river_plan('Mekong', 'kh', 'Kracheh');
EXECUTE geo_river_plan('Mekong', 'kh', 'Prey Veaeng');
EXECUTE geo_river_plan('Mekong', 'kh', 'Stueng Traeng');
EXECUTE geo_river_plan('Han', 'kr', 'Kangwon');
EXECUTE geo_river_plan('Syrdarja', 'kz', 'Akmechet');
EXECUTE geo_river_plan('Ural', 'kz', 'Atyrau');
EXECUTE geo_river_plan('Ural', 'kz', 'Batis Kazakstan');
EXECUTE geo_river_plan('Irtysch', 'kz', 'Pavlodar');
EXECUTE geo_river_plan('Ischim', 'kz', 'Qaragandy');
EXECUTE geo_river_plan('Tobol', 'kz', 'Qostanay');
EXECUTE geo_river_plan('Black Irtysch', 'kz', 'Sigis Kazakstan');
EXECUTE geo_river_plan('Irtysch', 'kz', 'Sigis Kazakstan');
EXECUTE geo_river_plan('Mekong', 'la', 'Bokeo');
EXECUTE geo_river_plan('Mekong', 'la', 'Bolikhamsay');
EXECUTE geo_river_plan('Mekong', 'la', 'Champasak');
EXECUTE geo_river_plan('Mekong', 'la', 'Khammouane');
EXECUTE geo_river_plan('Mekong', 'la', 'Luang Nam Tha');
EXECUTE geo_river_plan('Mekong', 'la', 'Luang Prabang');
EXECUTE geo_river_plan('Mekong', 'la', 'Saravan');
EXECUTE geo_river_plan('Mekong', 'la', 'Savannakhet');
EXECUTE geo_river_plan('Mekong', 'la', 'Viangchan Prefecture');
EXECUTE geo_river_plan('Mekong', 'la', 'Viangchan Province');
EXECUTE geo_river_plan('Mekong', 'la', 'Xaignabury');
EXECUTE geo_river_plan('Western Dwina', 'lv', 'Aizkraukles');
EXECUTE geo_river_plan('Western Dwina', 'lv', 'Daugavpils');
EXECUTE geo_river_plan('Western Dwina', 'lv', 'Jekabspils');
EXECUTE geo_river_plan('Western Dwina', 'lv', 'Ogres');
EXECUTE geo_river_plan('Western Dwina', 'lv', 'Preilu');
EXECUTE geo_river_plan('Western Dwina', 'lv', 'Riga');
EXECUTE geo_river_plan('Western Dwina', 'lv', 'Rigas');
EXECUTE geo_river_plan('Niger', 'ml', 'Gao');
EXECUTE geo_river_plan('Senegal', 'ml', 'Kayes');
EXECUTE geo_river_plan('Bani', 'ml', 'Koulikoro');
EXECUTE geo_river_plan('Niger', 'ml', 'Koulikoro');
EXECUTE geo_river_plan('Bani', 'ml', 'Mopti');
EXECUTE geo_river_plan('Niger', 'ml', 'Mopti');
EXECUTE geo_river_plan('Bani', 'ml', 'Segou');
EXECUTE geo_river_plan('Niger', 'ml', 'Segou');
EXECUTE geo_river_plan('Niger', 'ml', 'Tombouctou');
EXECUTE geo_river_plan('Onon', 'mn', 'Dornod');
EXECUTE geo_river_plan('Onon', 'mn', 'Hentij');
EXECUTE geo_river_plan('Chire', 'mw', 'Chikwawa');
EXECUTE geo_river_plan('Chire', 'mw', 'Machinga');
EXECUTE geo_river_plan('Chire', 'mw', 'Mangochi');
EXECUTE geo_river_plan('Chire', 'mw', 'Mwanza');
EXECUTE geo_river_plan('Colorado', 'mx', 'Baja California');
EXECUTE geo_river_plan('Rio Grande', 'mx', 'Chiapas');
EXECUTE geo_river_plan('Rio Grande', 'mx', 'Coahuila');
EXECUTE geo_river_plan('Rio Balsas', 'mx', 'Guerrero');
EXECUTE geo_river_plan('Rio Balsas', 'mx', 'Michoacan');
EXECUTE geo_river_plan('Rio Grande', 'mx', 'Nuevo Leon');
EXECUTE geo_river_plan('Rio Balsas', 'mx', 'Oaxaca');
EXECUTE geo_river_plan('Rio Balsas', 'mx', 'Puebla');
EXECUTE geo_river_plan('Colorado', 'mx', 'Sonora');
EXECUTE geo_river_plan('Rio Grande', 'mx', 'Tamaulipas');
EXECUTE geo_river_plan('Ruvuma', 'mz', 'Cabo Delgado');
EXECUTE geo_river_plan('Limpopo', 'mz', 'Gaza');
EXECUTE geo_river_plan('Save', 'mz', 'Gaza');
EXECUTE geo_river_plan('Save', 'mz', 'Inhambane');
EXECUTE geo_river_plan('Zambezi', 'mz', 'Manica');
EXECUTE geo_river_plan('Ruvuma', 'mz', 'Niassa');
EXECUTE geo_river_plan('Save', 'mz', 'Sofala');
EXECUTE geo_river_plan('Chire', 'mz', 'Tete');
EXECUTE geo_river_plan('Zambezi', 'mz', 'Tete');
EXECUTE geo_river_plan('Chire', 'mz', 'Zambezia');
EXECUTE geo_river_plan('Zambezi', 'mz', 'Zambezia');
EXECUTE geo_river_plan('Oranje', 'na', 'Karas');
EXECUTE geo_river_plan('Niger', 'ne', 'Niamey');
EXECUTE geo_river_plan('Benue', 'ng', 'Adamawa');
EXECUTE geo_river_plan('Niger', 'ng', 'Anambra');
EXECUTE geo_river_plan('Benue', 'ng', 'Benue');
EXECUTE geo_river_plan('Niger', 'ng', 'Delta');
EXECUTE geo_river_plan('Niger', 'ng', 'Edo');
EXECUTE geo_river_plan('Niger', 'ng', 'Kebbi');
EXECUTE geo_river_plan('Benue', 'ng', 'Kogi');
EXECUTE geo_river_plan('Niger', 'ng', 'Kogi');
EXECUTE geo_river_plan('Niger', 'ng', 'Kwara');
EXECUTE geo_river_plan('Niger', 'ng', 'Niger');
EXECUTE geo_river_plan('Benue', 'ng', 'Plateau');
EXECUTE geo_river_plan('Niger', 'ng', 'Rivers');
EXECUTE geo_river_plan('Benue', 'ng', 'Taraba');
EXECUTE geo_river_plan('Rhein', 'nl', 'Gelderland');
EXECUTE geo_river_plan('Rhein', 'nl', 'Zuid-Holland');
EXECUTE geo_river_plan('Gloma', 'no', 'Akershus');
EXECUTE geo_river_plan('Gloma', 'no', 'Hedmark');
EXECUTE geo_river_plan('Gloma', 'no', 'Ostfold');
EXECUTE geo_river_plan('Amazonas', 'pe', 'Loreto');
EXECUTE geo_river_plan('Weichsel', 'pl', 'Kujawsko-Pomorskie');
EXECUTE geo_river_plan('Weichsel', 'pl', 'Lubelskie');
EXECUTE geo_river_plan('Weichsel', 'pl', 'Malopolskie');
EXECUTE geo_river_plan('Weichsel', 'pl', 'Mazowieckie');
EXECUTE geo_river_plan('Weichsel', 'pl', 'Podkarpackie');
EXECUTE geo_river_plan('Weichsel', 'pl', 'Pomorskie');
EXECUTE geo_river_plan('Weichsel', 'pl', 'Slaskie');
EXECUTE geo_river_plan('Weichsel', 'pl', 'Swietokrzyskie');
EXECUTE geo_river_plan('Paraguay', 'py', 'Alto Paraguay');
EXECUTE geo_river_plan('Paraguay', 'py', 'Asuncion');
EXECUTE geo_river_plan('Paraguay', 'py', 'Central');
EXECUTE geo_river_plan('Paraguay', 'py', 'Concepcion');
EXECUTE geo_river_plan('Paraguay', 'py', 'Cordillera');
EXECUTE geo_river_plan('Paraguay', 'py', 'Neembucu');
EXECUTE geo_river_plan('Paraguay', 'py', 'Presidente Hayes');
EXECUTE geo_river_plan('Paraguay', 'py', 'San Pedro');
EXECUTE geo_river_plan('Donau', 'ro', 'Braila');
EXECUTE geo_river_plan('Donau', 'ro', 'Calarasi');
EXECUTE geo_river_plan('Donau', 'ro', 'Caras-Severin');
EXECUTE geo_river_plan('Donau', 'ro', 'Constanta');
EXECUTE geo_river_plan('Donau', 'ro', 'Dolj');
EXECUTE geo_river_plan('Donau', 'ro', 'Galati');
EXECUTE geo_river_plan('Donau', 'ro', 'Giurgiu');
EXECUTE geo_river_plan('Donau', 'ro', 'Ialomita');
EXECUTE geo_river_plan('Donau', 'ro', 'Mehedinti');
EXECUTE geo_river_plan('Donau', 'ro', 'Olt');
EXECUTE geo_river_plan('Donau', 'ro', 'Teleorman');
EXECUTE geo_river_plan('Donau', 'ro', 'Tulcea');
EXECUTE geo_river_plan('Bija', 'ru', 'Altai Republic');
EXECUTE geo_river_plan('Katun', 'ru', 'Altai Republic');
EXECUTE geo_river_plan('Bija', 'ru', 'Altaiski Kray');
EXECUTE geo_river_plan('Katun', 'ru', 'Altaiski Kray');
EXECUTE geo_river_plan('Ob', 'ru', 'Altaiski Kray');
EXECUTE geo_river_plan('Amur', 'ru', 'Amur');
EXECUTE geo_river_plan('Northern Dwina', 'ru', 'Arkhangelsk');
EXECUTE geo_river_plan('Petschora', 'ru', 'Arkhangelsk');
EXECUTE geo_river_plan('Volga', 'ru', 'Astrakhan');
EXECUTE geo_river_plan('Ural', 'ru', 'Bashkortostan');
EXECUTE geo_river_plan('Amur', 'ru', 'Chita');
EXECUTE geo_river_plan('Argun', 'ru', 'Chita');
EXECUTE geo_river_plan('Ingoda', 'ru', 'Chita');
EXECUTE geo_river_plan('Onon', 'ru', 'Chita');
EXECUTE geo_river_plan('Schilka', 'ru', 'Chita');
EXECUTE geo_river_plan('Volga', 'ru', 'Chuvashia');
EXECUTE geo_river_plan('Lena', 'ru', 'Irkutsk');
EXECUTE geo_river_plan('Volga', 'ru', 'Ivanovo');
EXECUTE geo_river_plan('Oka', 'ru', 'Kaluga');
EXECUTE geo_river_plan('Amur', 'ru', 'Khabarovsk Krai');
EXECUTE geo_river_plan('Petschora', 'ru', 'Komi');
EXECUTE geo_river_plan('Volga', 'ru', 'Kostroma');
EXECUTE geo_river_plan('Chatanga', 'ru', 'Krasnoyarsk');
EXECUTE geo_river_plan('Jenissej', 'ru', 'Krasnoyarsk');
EXECUTE geo_river_plan('Tobol', 'ru', 'Kurgan');
EXECUTE geo_river_plan('Neva', 'ru', 'Leningrad');
EXECUTE geo_river_plan('Don', 'ru', 'Lipetsk');
EXECUTE geo_river_plan('Volga', 'ru', 'Mari El');
EXECUTE geo_river_plan('Oka', 'ru', 'Moscow');
EXECUTE geo_river_plan('Kolyma', 'ru', 'Murmansk');
EXECUTE geo_river_plan('Oka', 'ru', 'Nizhni Novgorod');
EXECUTE geo_river_plan('Volga', 'ru', 'Nizhni Novgorod');
EXECUTE geo_river_plan('Ob', 'ru', 'Novosibirsk');
EXECUTE geo_river_plan('Irtysch', 'ru', 'Omsk');
EXECUTE geo_river_plan('Ischim', 'ru', 'Omsk');
EXECUTE geo_river_plan('Oka', 'ru', 'Orel');
EXECUTE geo_river_plan('Ural', 'ru', 'Orenburg');
EXECUTE geo_river_plan('Volga', 'ru', 'Penza');
EXECUTE geo_river_plan('Don', 'ru', 'Rostov');
EXECUTE geo_river_plan('Oka', 'ru', 'Ryazan');
EXECUTE geo_river_plan('Volga', 'ru', 'Samara');
EXECUTE geo_river_plan('Volga', 'ru', 'Saratov');
EXECUTE geo_river_plan('Dnepr', 'ru', 'Smolensk');
EXECUTE geo_river_plan('Western Dwina', 'ru', 'Smolensk');
EXECUTE geo_river_plan('Volga', 'ru', 'Tatarstan');
EXECUTE geo_river_plan('Ob', 'ru', 'Tomsk');
EXECUTE geo_river_plan('Don', 'ru', 'Tula');
EXECUTE geo_river_plan('Oka', 'ru', 'Tula');
EXECUTE geo_river_plan('Grosser Jenissej', 'ru', 'Tver');
EXECUTE geo_river_plan('Kleiner Jenissej', 'ru', 'Tver');
EXECUTE geo_river_plan('Volga', 'ru', 'Tver');
EXECUTE geo_river_plan('Western Dwina', 'ru', 'Tver');
EXECUTE geo_river_plan('Irtysch', 'ru', 'Tyumen');
EXECUTE geo_river_plan('Ischim', 'ru', 'Tyumen');
EXECUTE geo_river_plan('Tobol', 'ru', 'Tyumen');
EXECUTE geo_river_plan('Volga', 'ru', 'Ulyanovsk');
EXECUTE geo_river_plan('Oka', 'ru', 'Vladimir');
EXECUTE geo_river_plan('Don', 'ru', 'Volgograd');
EXECUTE geo_river_plan('Volga', 'ru', 'Volgograd');
EXECUTE geo_river_plan('Jug', 'ru', 'Vologda');
EXECUTE geo_river_plan('Neva', 'ru', 'Vologda');
EXECUTE geo_river_plan('Suchona', 'ru', 'Vologda');
EXECUTE geo_river_plan('Don', 'ru', 'Voronezh');
EXECUTE geo_river_plan('Kolyma', 'ru', 'Yakutia');
EXECUTE geo_river_plan('Lena', 'ru', 'Yakutia');
EXECUTE geo_river_plan('Amur', 'ru', 'Yamalo-Nenets');
EXECUTE geo_river_plan('Volga', 'ru', 'Yaroslavl');
EXECUTE geo_river_plan('Bahr el-Gasal', 'sd', 'Aali-an-Nil');
EXECUTE geo_river_plan('Pibor', 'sd', 'Aali-an-Nil');
EXECUTE geo_river_plan('Sobat', 'sd', 'Aali-an-Nil');
EXECUTE geo_river_plan('White Nile', 'sd', 'Aali-an-Nil');
EXECUTE geo_river_plan('Bahr el-Djebel', 'sd', 'Bahr-al-Jabal');
EXECUTE geo_river_plan('Bahr el-Djebel', 'sd', 'Junqali');
EXECUTE geo_river_plan('Atbara', 'sd', 'Kassala');
EXECUTE geo_river_plan('Blue Nile', 'sd', 'Khartoum');
EXECUTE geo_river_plan('Nile', 'sd', 'Khartoum');
EXECUTE geo_river_plan('White Nile', 'sd', 'Khartoum');
EXECUTE geo_river_plan('Atbara', 'sd', 'Nahr-an-Nil');
EXECUTE geo_river_plan('Bahr el-Gasal', 'sd', 'Samal Bahr-al-Gazal');
EXECUTE geo_river_plan('Bahr el-Djebel', 'sd', 'al-Buhayrat');
EXECUTE geo_river_plan('Atbara', 'sd', 'al-Qadarif');
EXECUTE geo_river_plan('Bahr el-Djebel', 'sd', 'al-Wahdah');
EXECUTE geo_river_plan('Bahr el-Gasal', 'sd', 'al-Wahdah');
EXECUTE geo_river_plan('Blue Nile', 'sd', 'al-Wahdah');
EXECUTE geo_river_plan('White Nile', 'sd', 'al-Wahdah');
EXECUTE geo_river_plan('Nile', 'sd', 'as-Samaliyah');
EXECUTE geo_river_plan('Dalaelv', 'se', 'Dalarna');
EXECUTE geo_river_plan('Oesterdalaelv', 'se', 'Dalarna');
EXECUTE geo_river_plan('Vaesterdalaelv', 'se', 'Dalarna');
EXECUTE geo_river_plan('Dalaelv', 'se', 'Gaevleborg');
EXECUTE geo_river_plan('Torneaelv', 'se', 'Norrbotten');
EXECUTE geo_river_plan('Dalaelv', 'se', 'Uppsala');
EXECUTE geo_river_plan('Klaraelv', 'se', 'Vaermland');
EXECUTE geo_river_plan('Umeaelv', 'se', 'Vaesterbotten');
EXECUTE geo_river_plan('Dalaelv', 'se', 'Vaestmanland');
EXECUTE geo_river_plan('Goetaaelv', 'se', 'Vaestra Goetaland');
EXECUTE geo_river_plan('Donau', 'sk', 'Bratislavsky');
EXECUTE geo_river_plan('Donau', 'sk', 'Nitriansky');
EXECUTE geo_river_plan('Donau', 'sk', 'Trnavsky');
EXECUTE geo_river_plan('Gambia', 'sn', 'Tambacounda');
EXECUTE geo_river_plan('Senegal', 'sn', 'Tambacounda');
EXECUTE geo_river_plan('Djuba', 'so', 'Gedo');
EXECUTE geo_river_plan('Webi Schebeli', 'so', 'Hiran');
EXECUTE geo_river_plan('Djuba', 'so', 'Jubbada Dexe');
EXECUTE geo_river_plan('Djuba', 'so', 'Jubbada Hose');
EXECUTE geo_river_plan('Webi Schebeli', 'so', 'Sabellaha Dexe');
EXECUTE geo_river_plan('Schari', 'td', 'Chari-Baguirmi');
EXECUTE geo_river_plan('Schari', 'td', 'Mayo-Kebbi');
EXECUTE geo_river_plan('Schari', 'td', 'Moyen-Chari');
EXECUTE geo_river_plan('Mekong', 'th', 'Chiang Rai');
EXECUTE geo_river_plan('Pjandsh', 'tj', 'Gorno-Badakhshan');
EXECUTE geo_river_plan('Amudarja', 'tj', 'Khatlon');
EXECUTE geo_river_plan('Pjandsh', 'tj', 'Khatlon');
EXECUTE geo_river_plan('Amudarja', 'tm', 'Dasoguz');
EXECUTE geo_river_plan('Amudarja', 'tm', 'Lebap');
EXECUTE geo_river_plan('Kura', 'tr', 'Artvin');
EXECUTE geo_river_plan('Kura', 'tr', 'Kars');
EXECUTE geo_river_plan('Rufiji', 'tz', 'Morogoro');
EXECUTE geo_river_plan('Ruvuma', 'tz', 'Mtwara');
EXECUTE geo_river_plan('Rufiji', 'tz', 'Pwani');
EXECUTE geo_river_plan('Ruvuma', 'tz', 'Ruvuma');
EXECUTE geo_river_plan('Dnepr', 'ua', 'Cherkaska');
EXECUTE geo_river_plan('Dnepr', 'ua', 'Chernihivska');
EXECUTE geo_river_plan('Dnepr', 'ua', 'Dnipropetrovska');
EXECUTE geo_river_plan('Dnepr', 'ua', 'Khersonska');
EXECUTE geo_river_plan('Dnepr', 'ua', 'Kirovohradska');
EXECUTE geo_river_plan('Dnepr', 'ua', 'Kyyivska');
EXECUTE geo_river_plan('Dnepr', 'ua', 'Poltavska');
EXECUTE geo_river_plan('Dnepr', 'ua', 'Zaporizka');
EXECUTE geo_river_plan('Thames', 'uk', 'England');
EXECUTE geo_river_plan('Colorado', 'us', 'Arizona');
EXECUTE geo_river_plan('Arkansas', 'us', 'Arkansas');
EXECUTE geo_river_plan('Mississippi', 'us', 'Arkansas');
EXECUTE geo_river_plan('Colorado', 'us', 'California');
EXECUTE geo_river_plan('Arkansas', 'us', 'Colorado');
EXECUTE geo_river_plan('Colorado', 'us', 'Colorado');
EXECUTE geo_river_plan('Rio Grande', 'us', 'Colorado');
EXECUTE geo_river_plan('Connecticut River', 'us', 'Connecticut');
EXECUTE geo_river_plan('Mississippi', 'us', 'Illinois');
EXECUTE geo_river_plan('Mississippi', 'us', 'Iowa');
EXECUTE geo_river_plan('Missouri', 'us', 'Iowa');
EXECUTE geo_river_plan('Arkansas', 'us', 'Kansas');
EXECUTE geo_river_plan('Missouri', 'us', 'Kansas');
EXECUTE geo_river_plan('Mississippi', 'us', 'Kentucky');
EXECUTE geo_river_plan('Mississippi', 'us', 'Louisiana');
EXECUTE geo_river_plan('Connecticut River', 'us', 'Massachusetts');
EXECUTE geo_river_plan('Mississippi', 'us', 'Minnesota');
EXECUTE geo_river_plan('Mississippi', 'us', 'Mississippi');
EXECUTE geo_river_plan('Mississippi', 'us', 'Missouri');
EXECUTE geo_river_plan('Missouri', 'us', 'Missouri');
EXECUTE geo_river_plan('Missouri', 'us', 'Montana');
EXECUTE geo_river_plan('Missouri', 'us', 'Nebraska');
EXECUTE geo_river_plan('Colorado', 'us', 'Nevada');
EXECUTE geo_river_plan('Connecticut River', 'us', 'New Hampshire');
EXECUTE geo_river_plan('Rio Grande', 'us', 'New Mexico');
EXECUTE geo_river_plan('Hudson River', 'us', 'New York');
EXECUTE geo_river_plan('Missouri', 'us', 'North Dakota');
EXECUTE geo_river_plan('Arkansas', 'us', 'Oklahoma');
EXECUTE geo_river_plan('Columbia River', 'us', 'Oregon');
EXECUTE geo_river_plan('Missouri', 'us', 'South Dakota');
EXECUTE geo_river_plan('Mississippi', 'us', 'Tennessee');
EXECUTE geo_river_plan('Rio Grande', 'us', 'Texas');
EXECUTE geo_river_plan('Colorado', 'us', 'Utah');
EXECUTE geo_river_plan('Connecticut River', 'us', 'Vermont');
EXECUTE geo_river_plan('Columbia River', 'us', 'Washington');
EXECUTE geo_river_plan('Mississippi', 'us', 'Wisconsin');
EXECUTE geo_river_plan('Rio de la Plata', 'uy', 'Colonia');
EXECUTE geo_river_plan('Uruguay', 'uy', 'Colonia');
EXECUTE geo_river_plan('Uruguay', 'uy', 'Paysandu');
EXECUTE geo_river_plan('Uruguay', 'uy', 'Rio Negro');
EXECUTE geo_river_plan('Rio de la Plata', 'uy', 'San Jose');
EXECUTE geo_river_plan('Uruguay', 'uy', 'Soriano');
EXECUTE geo_river_plan('Amudarja', 'uz', 'Korakalpogiston');
EXECUTE geo_river_plan('Amudarja', 'uz', 'Samarkand');
EXECUTE geo_river_plan('Orinoco', 've', 'Amazonas');
EXECUTE geo_river_plan('Orinoco', 've', 'Anzoategui');
EXECUTE geo_river_plan('Orinoco', 've', 'Apure');
EXECUTE geo_river_plan('Orinoco', 've', 'Bolivar');
EXECUTE geo_river_plan('Orinoco', 've', 'Delta Amacuro');
EXECUTE geo_river_plan('Orinoco', 've', 'Guarico');
EXECUTE geo_river_plan('Orinoco', 've', 'Monagas');
EXECUTE geo_river_plan('Mekong', 'vn', 'Dong Bang Song Hong');
EXECUTE geo_river_plan('Mekong', 'vn', 'Dong Nam Bo');
EXECUTE geo_river_plan('Donau', 'yu', 'Central Serbia');
EXECUTE geo_river_plan('Drin', 'yu', 'Kosovo and Metohija');
EXECUTE geo_river_plan('White Drin', 'yu', 'Kosovo and Metohija');
EXECUTE geo_river_plan('Donau', 'yu', 'Vojvodina');
EXECUTE geo_river_plan('Oranje', 'za', 'Eastern Cape');
EXECUTE geo_river_plan('Oranje', 'za', 'Free State');
EXECUTE geo_river_plan('Vaal', 'za', 'Free State');
EXECUTE geo_river_plan('Limpopo', 'za', 'Limpopo');
EXECUTE geo_river_plan('Vaal', 'za', 'North West');
EXECUTE geo_river_plan('Oranje', 'za', 'Northern Cape');
EXECUTE geo_river_plan('Kafue', 'zm', 'Central');
EXECUTE geo_river_plan('Luangwa', 'zm', 'Central');
EXECUTE geo_river_plan('Zambezi', 'zm', 'Central');
EXECUTE geo_river_plan('Kafue', 'zm', 'Copperbelt');
EXECUTE geo_river_plan('Luangwa', 'zm', 'Eastern');
EXECUTE geo_river_plan('Zambezi', 'zm', 'North-Western');
EXECUTE geo_river_plan('Luangwa', 'zm', 'Northern');
EXECUTE geo_river_plan('Kafue', 'zm', 'Southern');
EXECUTE geo_river_plan('Zambezi', 'zm', 'Southern');
EXECUTE geo_river_plan('Zambezi', 'zm', 'Western');
EXECUTE geo_river_plan('Save', 'zw', 'Manicaland');
COMMIT;
DEALLOCATE geo_river_plan;
ANALYZE geo_river;
