BEGIN;
PREPARE geo_sea_plan (VARCHAR, CHAR, VARCHAR) AS
    INSERT INTO geo_sea(Sea, Country, Province)
        VALUES($1, $2, $3);
EXECUTE geo_sea_plan('Persian Gulf', 'ae', 'Abu Dhabi');
EXECUTE geo_sea_plan('Persian Gulf', 'ae', 'Ajman');
EXECUTE geo_sea_plan('Persian Gulf', 'ae', 'Dubai');
EXECUTE geo_sea_plan('Persian Gulf', 'ae', 'Ras al Khaymah');
EXECUTE geo_sea_plan('Persian Gulf', 'ae', 'Sharjah');
EXECUTE geo_sea_plan('Persian Gulf', 'ae', 'Umm al-Qaywayn');
EXECUTE geo_sea_plan('Persian Gulf', 'ae', 'al-Fujayrah');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ag', 'Barbuda');
EXECUTE geo_sea_plan('Caribbean Sea', 'ag', 'Barbuda');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ag', 'Redonda');
EXECUTE geo_sea_plan('Caribbean Sea', 'ag', 'Redonda');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ag', 'Saint George');
EXECUTE geo_sea_plan('Caribbean Sea', 'ag', 'Saint George');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ag', 'Saint John');
EXECUTE geo_sea_plan('Caribbean Sea', 'ag', 'Saint John');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ag', 'Saint Mary');
EXECUTE geo_sea_plan('Caribbean Sea', 'ag', 'Saint Mary');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ag', 'Saint Paul');
EXECUTE geo_sea_plan('Caribbean Sea', 'ag', 'Saint Paul');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ag', 'Saint Peter');
EXECUTE geo_sea_plan('Caribbean Sea', 'ag', 'Saint Peter');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ag', 'Saint Philip');
EXECUTE geo_sea_plan('Caribbean Sea', 'ag', 'Saint Philip');
EXECUTE geo_sea_plan('Mediterranean Sea', 'al', 'Durres');
EXECUTE geo_sea_plan('Mediterranean Sea', 'al', 'Fier');
EXECUTE geo_sea_plan('Mediterranean Sea', 'al', 'Kavaje');
EXECUTE geo_sea_plan('Mediterranean Sea', 'al', 'Kurbin');
EXECUTE geo_sea_plan('Mediterranean Sea', 'al', 'Lezhe');
EXECUTE geo_sea_plan('Mediterranean Sea', 'al', 'Lushnje');
EXECUTE geo_sea_plan('Mediterranean Sea', 'al', 'Sarande');
EXECUTE geo_sea_plan('Mediterranean Sea', 'al', 'Shkoder');
EXECUTE geo_sea_plan('Mediterranean Sea', 'al', 'Vlore');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ao', 'Bengo');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ao', 'Benguela');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ao', 'Cabinda');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ao', 'Kwanza Sul');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ao', 'Luanda');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ao', 'Namibe');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ao', 'Zaire');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ar', 'Buenos Aires');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ar', 'Chubut');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ar', 'Rio Negro');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ar', 'Santa Cruz');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ar', 'Tierra del Fuego');
EXECUTE geo_sea_plan('Indian Ocean', 'au', 'New South Wales');
EXECUTE geo_sea_plan('Pacific Ocean', 'au', 'New South Wales');
EXECUTE geo_sea_plan('Indian Ocean', 'au', 'Northern Territory');
EXECUTE geo_sea_plan('Pacific Ocean', 'au', 'Queensland');
EXECUTE geo_sea_plan('Indian Ocean', 'au', 'South Australia');
EXECUTE geo_sea_plan('Indian Ocean', 'au', 'Tasmania');
EXECUTE geo_sea_plan('Indian Ocean', 'au', 'Victoria');
EXECUTE geo_sea_plan('Pacific Ocean', 'au', 'Victoria');
EXECUTE geo_sea_plan('Indian Ocean', 'au', 'Western Australia');
EXECUTE geo_sea_plan('Atlantic Ocean', 'bb', 'Christ Church');
EXECUTE geo_sea_plan('Atlantic Ocean', 'bb', 'Saint Andrew');
EXECUTE geo_sea_plan('Atlantic Ocean', 'bb', 'Saint James');
EXECUTE geo_sea_plan('Atlantic Ocean', 'bb', 'Saint John');
EXECUTE geo_sea_plan('Atlantic Ocean', 'bb', 'Saint Joseph');
EXECUTE geo_sea_plan('Atlantic Ocean', 'bb', 'Saint Lucy');
EXECUTE geo_sea_plan('Atlantic Ocean', 'bb', 'Saint Michael');
EXECUTE geo_sea_plan('Atlantic Ocean', 'bb', 'Saint Peter');
EXECUTE geo_sea_plan('Atlantic Ocean', 'bb', 'Saint Philip');
EXECUTE geo_sea_plan('Indian Ocean', 'bd', 'Bagar Hat');
EXECUTE geo_sea_plan('Indian Ocean', 'bd', 'Bandarban');
EXECUTE geo_sea_plan('Indian Ocean', 'bd', 'Barguna');
EXECUTE geo_sea_plan('Indian Ocean', 'bd', 'Bhola');
EXECUTE geo_sea_plan('Indian Ocean', 'bd', 'Chattagam');
EXECUTE geo_sea_plan('Indian Ocean', 'bd', 'Feni');
EXECUTE geo_sea_plan('Indian Ocean', 'bd', 'Khulna');
EXECUTE geo_sea_plan('Indian Ocean', 'bd', 'Koks Bazar');
EXECUTE geo_sea_plan('Indian Ocean', 'bd', 'Lakshmipur');
EXECUTE geo_sea_plan('Indian Ocean', 'bd', 'Noakhali');
EXECUTE geo_sea_plan('Indian Ocean', 'bd', 'Patuakhali');
EXECUTE geo_sea_plan('Indian Ocean', 'bd', 'Satkhira');
EXECUTE geo_sea_plan('North Sea', 'be', 'West Flanders');
EXECUTE geo_sea_plan('Black Sea', 'bg', 'Burgas');
EXECUTE geo_sea_plan('Black Sea', 'bg', 'Dobric');
EXECUTE geo_sea_plan('Black Sea', 'bg', 'Varna');
EXECUTE geo_sea_plan('Persian Gulf', 'bh', 'Jidhafs');
EXECUTE geo_sea_plan('Persian Gulf', 'bh', 'Manama');
EXECUTE geo_sea_plan('Persian Gulf', 'bh', 'Sitrah');
EXECUTE geo_sea_plan('Persian Gulf', 'bh', 'al-Garbiyah');
EXECUTE geo_sea_plan('Persian Gulf', 'bh', 'al-Hidd');
EXECUTE geo_sea_plan('Persian Gulf', 'bh', 'al-Janubiyah');
EXECUTE geo_sea_plan('Persian Gulf', 'bh', 'al-Muharraq');
EXECUTE geo_sea_plan('Persian Gulf', 'bh', 'ar-Rifaa');
EXECUTE geo_sea_plan('Persian Gulf', 'bh', 'as-Samaliyah');
EXECUTE geo_sea_plan('Atlantic Ocean', 'bj', 'Atlantique');
EXECUTE geo_sea_plan('Atlantic Ocean', 'bj', 'Littoral');
EXECUTE geo_sea_plan('Atlantic Ocean', 'bj', 'Mono');
EXECUTE geo_sea_plan('Atlantic Ocean', 'bj', 'Oueme');
EXECUTE geo_sea_plan('Atlantic Ocean', 'bj', 'Plateau');
EXECUTE geo_sea_plan('Atlantic Ocean', 'br', 'Alagoas');
EXECUTE geo_sea_plan('Atlantic Ocean', 'br', 'Amapa');
EXECUTE geo_sea_plan('Atlantic Ocean', 'br', 'Bahia');
EXECUTE geo_sea_plan('Atlantic Ocean', 'br', 'Ceara');
EXECUTE geo_sea_plan('Atlantic Ocean', 'br', 'Espirito Santo');
EXECUTE geo_sea_plan('Atlantic Ocean', 'br', 'Maranhao');
EXECUTE geo_sea_plan('Atlantic Ocean', 'br', 'Para');
EXECUTE geo_sea_plan('Atlantic Ocean', 'br', 'Paraiba');
EXECUTE geo_sea_plan('Atlantic Ocean', 'br', 'Parana');
EXECUTE geo_sea_plan('Atlantic Ocean', 'br', 'Pernambuco');
EXECUTE geo_sea_plan('Atlantic Ocean', 'br', 'Rio Grande do Norte');
EXECUTE geo_sea_plan('Atlantic Ocean', 'br', 'Rio Grande do Sul');
EXECUTE geo_sea_plan('Atlantic Ocean', 'br', 'Rio de Janeiro');
EXECUTE geo_sea_plan('Atlantic Ocean', 'br', 'Santa Catarina');
EXECUTE geo_sea_plan('Atlantic Ocean', 'br', 'Sao Paulo');
EXECUTE geo_sea_plan('Atlantic Ocean', 'br', 'Sergipe');
EXECUTE geo_sea_plan('Atlantic Ocean', 'bs', 'Abaco');
EXECUTE geo_sea_plan('Atlantic Ocean', 'bs', 'Acklins Island');
EXECUTE geo_sea_plan('Atlantic Ocean', 'bs', 'Andros');
EXECUTE geo_sea_plan('Atlantic Ocean', 'bs', 'Berry Islands');
EXECUTE geo_sea_plan('Atlantic Ocean', 'bs', 'Biminis');
EXECUTE geo_sea_plan('Atlantic Ocean', 'bs', 'Cat Island');
EXECUTE geo_sea_plan('Atlantic Ocean', 'bs', 'Crooked Island');
EXECUTE geo_sea_plan('Atlantic Ocean', 'bs', 'Eleuthera');
EXECUTE geo_sea_plan('Atlantic Ocean', 'bs', 'Exuma and Cays');
EXECUTE geo_sea_plan('Atlantic Ocean', 'bs', 'Grand Bahama');
EXECUTE geo_sea_plan('Atlantic Ocean', 'bs', 'Harbour Island');
EXECUTE geo_sea_plan('Atlantic Ocean', 'bs', 'Inagua Islands');
EXECUTE geo_sea_plan('Atlantic Ocean', 'bs', 'Long Island');
EXECUTE geo_sea_plan('Atlantic Ocean', 'bs', 'Mayaguana');
EXECUTE geo_sea_plan('Atlantic Ocean', 'bs', 'New Providence');
EXECUTE geo_sea_plan('Atlantic Ocean', 'bs', 'Ragged Island');
EXECUTE geo_sea_plan('Atlantic Ocean', 'bs', 'Rum Cay');
EXECUTE geo_sea_plan('Atlantic Ocean', 'bs', 'San Salvador');
EXECUTE geo_sea_plan('Atlantic Ocean', 'bs', 'Spanish Wells');
EXECUTE geo_sea_plan('Caribbean Sea', 'bz', 'Belize');
EXECUTE geo_sea_plan('Pacific Ocean', 'ca', 'British Columbia');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ca', 'Manitoba');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ca', 'New Brunswick');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ca', 'Newfoundland and Labrador');
EXECUTE geo_sea_plan('Arctic Ocean', 'ca', 'Northwest Territories');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ca', 'Northwest Territories');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ca', 'Nova Scotia');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ca', 'Ontario');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ca', 'Prince Edward Island');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ca', 'Quebec');
EXECUTE geo_sea_plan('Pacific Ocean', 'ca', 'Yukon');
EXECUTE geo_sea_plan('Atlantic Ocean', 'cd', 'Bas-Congo');
EXECUTE geo_sea_plan('Atlantic Ocean', 'cg', 'Kouilou');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ci', 'Bas Sassandra');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ci', 'Lagunes');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ci', 'Sud-Bandama');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ci', 'Sud-Comoe');
EXECUTE geo_sea_plan('Atlantic Ocean', 'cl', 'Aisen');
EXECUTE geo_sea_plan('Pacific Ocean', 'cl', 'Aisen');
EXECUTE geo_sea_plan('Atlantic Ocean', 'cl', 'Antofagasta');
EXECUTE geo_sea_plan('Pacific Ocean', 'cl', 'Antofagasta');
EXECUTE geo_sea_plan('Atlantic Ocean', 'cl', 'Araucania');
EXECUTE geo_sea_plan('Pacific Ocean', 'cl', 'Araucania');
EXECUTE geo_sea_plan('Atlantic Ocean', 'cl', 'Atacama');
EXECUTE geo_sea_plan('Pacific Ocean', 'cl', 'Atacama');
EXECUTE geo_sea_plan('Atlantic Ocean', 'cl', 'Bio Bio');
EXECUTE geo_sea_plan('Pacific Ocean', 'cl', 'Bio Bio');
EXECUTE geo_sea_plan('Atlantic Ocean', 'cl', 'Coquimbo');
EXECUTE geo_sea_plan('Pacific Ocean', 'cl', 'Coquimbo');
EXECUTE geo_sea_plan('Atlantic Ocean', 'cl', 'Libertador General Bernardo OHiggins');
EXECUTE geo_sea_plan('Pacific Ocean', 'cl', 'Libertador General Bernardo OHiggins');
EXECUTE geo_sea_plan('Atlantic Ocean', 'cl', 'Los Lagos');
EXECUTE geo_sea_plan('Pacific Ocean', 'cl', 'Los Lagos');
EXECUTE geo_sea_plan('Atlantic Ocean', 'cl', 'Magellanes');
EXECUTE geo_sea_plan('Pacific Ocean', 'cl', 'Magellanes');
EXECUTE geo_sea_plan('Atlantic Ocean', 'cl', 'Maule');
EXECUTE geo_sea_plan('Pacific Ocean', 'cl', 'Maule');
EXECUTE geo_sea_plan('Atlantic Ocean', 'cl', 'Metropolitana');
EXECUTE geo_sea_plan('Pacific Ocean', 'cl', 'Metropolitana');
EXECUTE geo_sea_plan('Atlantic Ocean', 'cl', 'Tarapaca');
EXECUTE geo_sea_plan('Pacific Ocean', 'cl', 'Tarapaca');
EXECUTE geo_sea_plan('Atlantic Ocean', 'cl', 'Valparaiso');
EXECUTE geo_sea_plan('Pacific Ocean', 'cl', 'Valparaiso');
EXECUTE geo_sea_plan('Atlantic Ocean', 'cm', 'Littoral');
EXECUTE geo_sea_plan('Atlantic Ocean', 'cm', 'Sud');
EXECUTE geo_sea_plan('Atlantic Ocean', 'cm', 'Sudouest');
EXECUTE geo_sea_plan('East China Sea', 'cn', 'Fujian');
EXECUTE geo_sea_plan('South China Sea', 'cn', 'Fujian');
EXECUTE geo_sea_plan('South China Sea', 'cn', 'Guangdong');
EXECUTE geo_sea_plan('South China Sea', 'cn', 'Guangxi');
EXECUTE geo_sea_plan('Yellow Sea', 'cn', 'Hebei');
EXECUTE geo_sea_plan('East China Sea', 'cn', 'Jiangsu');
EXECUTE geo_sea_plan('Yellow Sea', 'cn', 'Jiangsu');
EXECUTE geo_sea_plan('Yellow Sea', 'cn', 'Liaoning');
EXECUTE geo_sea_plan('Yellow Sea', 'cn', 'Shandong');
EXECUTE geo_sea_plan('East China Sea', 'cn', 'Zhejiang');
EXECUTE geo_sea_plan('Caribbean Sea', 'co', 'Antioquia');
EXECUTE geo_sea_plan('Caribbean Sea', 'co', 'Atlantico');
EXECUTE geo_sea_plan('Pacific Ocean', 'co', 'Cauca');
EXECUTE geo_sea_plan('Caribbean Sea', 'co', 'Choco');
EXECUTE geo_sea_plan('Pacific Ocean', 'co', 'Choco');
EXECUTE geo_sea_plan('Caribbean Sea', 'co', 'Cordoba');
EXECUTE geo_sea_plan('Caribbean Sea', 'co', 'La Guajira');
EXECUTE geo_sea_plan('Caribbean Sea', 'co', 'Magdalena');
EXECUTE geo_sea_plan('Pacific Ocean', 'co', 'Narino');
EXECUTE geo_sea_plan('Caribbean Sea', 'co', 'Sucre');
EXECUTE geo_sea_plan('Pacific Ocean', 'co', 'Valle del Cauca');
EXECUTE geo_sea_plan('Pacific Ocean', 'cr', 'Guanacaste');
EXECUTE geo_sea_plan('Caribbean Sea', 'cr', 'Limon');
EXECUTE geo_sea_plan('Pacific Ocean', 'cr', 'Puntarenas');
EXECUTE geo_sea_plan('Atlantic Ocean', 'cu', 'Ciego de Avila');
EXECUTE geo_sea_plan('Caribbean Sea', 'cu', 'Ciego de Avila');
EXECUTE geo_sea_plan('Caribbean Sea', 'cu', 'Cienfuegos');
EXECUTE geo_sea_plan('Gulf of Mexico', 'cu', 'Ciudad de la Habana');
EXECUTE geo_sea_plan('Caribbean Sea', 'cu', 'Granma');
EXECUTE geo_sea_plan('Atlantic Ocean', 'cu', 'Guantanamo');
EXECUTE geo_sea_plan('Caribbean Sea', 'cu', 'Guantanamo');
EXECUTE geo_sea_plan('Atlantic Ocean', 'cu', 'Holguin');
EXECUTE geo_sea_plan('Caribbean Sea', 'cu', 'Isla de la Juventud');
EXECUTE geo_sea_plan('Atlantic Ocean', 'cu', 'La Habana');
EXECUTE geo_sea_plan('Caribbean Sea', 'cu', 'La Habana');
EXECUTE geo_sea_plan('Gulf of Mexico', 'cu', 'La Habana');
EXECUTE geo_sea_plan('Atlantic Ocean', 'cu', 'Las Tunas');
EXECUTE geo_sea_plan('Caribbean Sea', 'cu', 'Las Tunas');
EXECUTE geo_sea_plan('Atlantic Ocean', 'cu', 'Matanzas');
EXECUTE geo_sea_plan('Caribbean Sea', 'cu', 'Matanzas');
EXECUTE geo_sea_plan('Caribbean Sea', 'cu', 'Pinar del Rio');
EXECUTE geo_sea_plan('Gulf of Mexico', 'cu', 'Pinar del Rio');
EXECUTE geo_sea_plan('Atlantic Ocean', 'cu', 'Sancti Spiritus');
EXECUTE geo_sea_plan('Caribbean Sea', 'cu', 'Sancti Spiritus');
EXECUTE geo_sea_plan('Caribbean Sea', 'cu', 'Santiago de Cuba');
EXECUTE geo_sea_plan('Atlantic Ocean', 'cu', 'Villa Clara');
EXECUTE geo_sea_plan('Atlantic Ocean', 'cv', 'Boavista');
EXECUTE geo_sea_plan('Atlantic Ocean', 'cv', 'Brava');
EXECUTE geo_sea_plan('Atlantic Ocean', 'cv', 'Fogo');
EXECUTE geo_sea_plan('Atlantic Ocean', 'cv', 'Maio');
EXECUTE geo_sea_plan('Atlantic Ocean', 'cv', 'Sal');
EXECUTE geo_sea_plan('Atlantic Ocean', 'cv', 'Santo Antao');
EXECUTE geo_sea_plan('Atlantic Ocean', 'cv', 'Sao Nicolau');
EXECUTE geo_sea_plan('Atlantic Ocean', 'cv', 'Sao Tiago');
EXECUTE geo_sea_plan('Atlantic Ocean', 'cv', 'Sao Vicente');
EXECUTE geo_sea_plan('Mediterranean Sea', 'cy', 'Government controlled area');
EXECUTE geo_sea_plan('Mediterranean Sea', 'cy', 'Turkish controlled area');
EXECUTE geo_sea_plan('North Sea', 'de', 'Bremen');
EXECUTE geo_sea_plan('North Sea', 'de', 'Lower Saxony');
EXECUTE geo_sea_plan('Baltic Sea', 'de', 'Schleswig-Holstein');
EXECUTE geo_sea_plan('North Sea', 'de', 'Schleswig-Holstein');
EXECUTE geo_sea_plan('Gulf of Aden', 'dj', 'Ali Sabih');
EXECUTE geo_sea_plan('Gulf of Aden', 'dj', 'Awbuk');
EXECUTE geo_sea_plan('Red Sea', 'dj', 'Awbuk');
EXECUTE geo_sea_plan('Gulf of Aden', 'dj', 'Dihzil');
EXECUTE geo_sea_plan('Red Sea', 'dj', 'Dihzil');
EXECUTE geo_sea_plan('Gulf of Aden', 'dj', 'Jibuti');
EXECUTE geo_sea_plan('Red Sea', 'dj', 'Jibuti');
EXECUTE geo_sea_plan('Gulf of Aden', 'dj', 'Tajurah');
EXECUTE geo_sea_plan('Red Sea', 'dj', 'Tajurah');
EXECUTE geo_sea_plan('Baltic Sea', 'dk', 'Arhus');
EXECUTE geo_sea_plan('Baltic Sea', 'dk', 'Bornholm');
EXECUTE geo_sea_plan('Baltic Sea', 'dk', 'Frederiksberg Kommune');
EXECUTE geo_sea_plan('Baltic Sea', 'dk', 'Frederiksborg');
EXECUTE geo_sea_plan('Baltic Sea', 'dk', 'Fyn');
EXECUTE geo_sea_plan('Baltic Sea', 'dk', 'Kobenhavn');
EXECUTE geo_sea_plan('Baltic Sea', 'dk', 'Kobenhavns Kommune');
EXECUTE geo_sea_plan('Baltic Sea', 'dk', 'Nordjylland');
EXECUTE geo_sea_plan('North Sea', 'dk', 'Nordjylland');
EXECUTE geo_sea_plan('North Sea', 'dk', 'Ribe');
EXECUTE geo_sea_plan('North Sea', 'dk', 'Ringkobing');
EXECUTE geo_sea_plan('Baltic Sea', 'dk', 'Roskilde');
EXECUTE geo_sea_plan('Baltic Sea', 'dk', 'Sonderjylland');
EXECUTE geo_sea_plan('North Sea', 'dk', 'Sonderjylland');
EXECUTE geo_sea_plan('Baltic Sea', 'dk', 'Storstrom');
EXECUTE geo_sea_plan('Baltic Sea', 'dk', 'Vejle');
EXECUTE geo_sea_plan('Baltic Sea', 'dk', 'Vestsjaelland');
EXECUTE geo_sea_plan('North Sea', 'dk', 'Viborg');
EXECUTE geo_sea_plan('Atlantic Ocean', 'dm', 'Saint Andrew');
EXECUTE geo_sea_plan('Caribbean Sea', 'dm', 'Saint Andrew');
EXECUTE geo_sea_plan('Atlantic Ocean', 'dm', 'Saint David');
EXECUTE geo_sea_plan('Caribbean Sea', 'dm', 'Saint David');
EXECUTE geo_sea_plan('Atlantic Ocean', 'dm', 'Saint George');
EXECUTE geo_sea_plan('Caribbean Sea', 'dm', 'Saint George');
EXECUTE geo_sea_plan('Atlantic Ocean', 'dm', 'Saint John');
EXECUTE geo_sea_plan('Caribbean Sea', 'dm', 'Saint John');
EXECUTE geo_sea_plan('Atlantic Ocean', 'dm', 'Saint Joseph');
EXECUTE geo_sea_plan('Caribbean Sea', 'dm', 'Saint Joseph');
EXECUTE geo_sea_plan('Atlantic Ocean', 'dm', 'Saint Luke');
EXECUTE geo_sea_plan('Caribbean Sea', 'dm', 'Saint Luke');
EXECUTE geo_sea_plan('Atlantic Ocean', 'dm', 'Saint Mark');
EXECUTE geo_sea_plan('Caribbean Sea', 'dm', 'Saint Mark');
EXECUTE geo_sea_plan('Atlantic Ocean', 'dm', 'Saint Patrick');
EXECUTE geo_sea_plan('Caribbean Sea', 'dm', 'Saint Patrick');
EXECUTE geo_sea_plan('Atlantic Ocean', 'dm', 'Saint Paul');
EXECUTE geo_sea_plan('Caribbean Sea', 'dm', 'Saint Paul');
EXECUTE geo_sea_plan('Atlantic Ocean', 'dm', 'Saint Peter');
EXECUTE geo_sea_plan('Caribbean Sea', 'dm', 'Saint Peter');
EXECUTE geo_sea_plan('Atlantic Ocean', 'do', 'Azua');
EXECUTE geo_sea_plan('Caribbean Sea', 'do', 'Azua');
EXECUTE geo_sea_plan('Atlantic Ocean', 'do', 'Barahona');
EXECUTE geo_sea_plan('Caribbean Sea', 'do', 'Barahona');
EXECUTE geo_sea_plan('Atlantic Ocean', 'do', 'Dajabon');
EXECUTE geo_sea_plan('Caribbean Sea', 'do', 'Dajabon');
EXECUTE geo_sea_plan('Atlantic Ocean', 'do', 'Distrito Nacional');
EXECUTE geo_sea_plan('Caribbean Sea', 'do', 'Distrito Nacional');
EXECUTE geo_sea_plan('Atlantic Ocean', 'do', 'El Seibo');
EXECUTE geo_sea_plan('Caribbean Sea', 'do', 'El Seibo');
EXECUTE geo_sea_plan('Atlantic Ocean', 'do', 'Elias Pina');
EXECUTE geo_sea_plan('Caribbean Sea', 'do', 'Elias Pina');
EXECUTE geo_sea_plan('Atlantic Ocean', 'do', 'Espaillat');
EXECUTE geo_sea_plan('Caribbean Sea', 'do', 'Espaillat');
EXECUTE geo_sea_plan('Atlantic Ocean', 'do', 'Hato Mayor');
EXECUTE geo_sea_plan('Caribbean Sea', 'do', 'Hato Mayor');
EXECUTE geo_sea_plan('Atlantic Ocean', 'do', 'Independencia');
EXECUTE geo_sea_plan('Caribbean Sea', 'do', 'Independencia');
EXECUTE geo_sea_plan('Atlantic Ocean', 'do', 'La Altagracia');
EXECUTE geo_sea_plan('Caribbean Sea', 'do', 'La Altagracia');
EXECUTE geo_sea_plan('Atlantic Ocean', 'do', 'La Romana');
EXECUTE geo_sea_plan('Caribbean Sea', 'do', 'La Romana');
EXECUTE geo_sea_plan('Atlantic Ocean', 'do', 'Maria Trinidad Sanchez');
EXECUTE geo_sea_plan('Caribbean Sea', 'do', 'Maria Trinidad Sanchez');
EXECUTE geo_sea_plan('Atlantic Ocean', 'do', 'Monte Cristi');
EXECUTE geo_sea_plan('Caribbean Sea', 'do', 'Monte Cristi');
EXECUTE geo_sea_plan('Atlantic Ocean', 'do', 'Pedernales');
EXECUTE geo_sea_plan('Caribbean Sea', 'do', 'Pedernales');
EXECUTE geo_sea_plan('Atlantic Ocean', 'do', 'Peravia');
EXECUTE geo_sea_plan('Caribbean Sea', 'do', 'Peravia');
EXECUTE geo_sea_plan('Atlantic Ocean', 'do', 'Puerto Plata');
EXECUTE geo_sea_plan('Caribbean Sea', 'do', 'Puerto Plata');
EXECUTE geo_sea_plan('Atlantic Ocean', 'do', 'Samana');
EXECUTE geo_sea_plan('Caribbean Sea', 'do', 'Samana');
EXECUTE geo_sea_plan('Atlantic Ocean', 'do', 'San Cristobal');
EXECUTE geo_sea_plan('Caribbean Sea', 'do', 'San Cristobal');
EXECUTE geo_sea_plan('Atlantic Ocean', 'do', 'San Pedro de Macoris');
EXECUTE geo_sea_plan('Caribbean Sea', 'do', 'San Pedro de Macoris');
EXECUTE geo_sea_plan('Atlantic Ocean', 'do', 'Santo Domingo');
EXECUTE geo_sea_plan('Caribbean Sea', 'do', 'Santo Domingo');
EXECUTE geo_sea_plan('Mediterranean Sea', 'dz', 'Algiers');
EXECUTE geo_sea_plan('Mediterranean Sea', 'dz', 'Annabah');
EXECUTE geo_sea_plan('Mediterranean Sea', 'dz', 'Ayn Timusanat');
EXECUTE geo_sea_plan('Mediterranean Sea', 'dz', 'Bijayah');
EXECUTE geo_sea_plan('Mediterranean Sea', 'dz', 'Bumardas');
EXECUTE geo_sea_plan('Mediterranean Sea', 'dz', 'Jijili');
EXECUTE geo_sea_plan('Mediterranean Sea', 'dz', 'Mostaghanem');
EXECUTE geo_sea_plan('Mediterranean Sea', 'dz', 'Sakikdah');
EXECUTE geo_sea_plan('Mediterranean Sea', 'dz', 'Tibazah');
EXECUTE geo_sea_plan('Mediterranean Sea', 'dz', 'Tilimsan');
EXECUTE geo_sea_plan('Mediterranean Sea', 'dz', 'Tizi Wazu');
EXECUTE geo_sea_plan('Mediterranean Sea', 'dz', 'Wahran');
EXECUTE geo_sea_plan('Mediterranean Sea', 'dz', 'as-Salif');
EXECUTE geo_sea_plan('Mediterranean Sea', 'dz', 'at-Tarif');
EXECUTE geo_sea_plan('Pacific Ocean', 'ec', 'El Oro');
EXECUTE geo_sea_plan('Pacific Ocean', 'ec', 'Esmeraldas');
EXECUTE geo_sea_plan('Pacific Ocean', 'ec', 'Guayas');
EXECUTE geo_sea_plan('Pacific Ocean', 'ec', 'Loja');
EXECUTE geo_sea_plan('Pacific Ocean', 'ec', 'Manabi');
EXECUTE geo_sea_plan('Baltic Sea', 'ee', 'Harju');
EXECUTE geo_sea_plan('Baltic Sea', 'ee', 'Hiiu');
EXECUTE geo_sea_plan('Baltic Sea', 'ee', 'Ida-Viru');
EXECUTE geo_sea_plan('Baltic Sea', 'ee', 'Laeaene');
EXECUTE geo_sea_plan('Baltic Sea', 'ee', 'Laeaene-Viru');
EXECUTE geo_sea_plan('Baltic Sea', 'ee', 'Paernu');
EXECUTE geo_sea_plan('Baltic Sea', 'ee', 'Saare');
EXECUTE geo_sea_plan('Mediterranean Sea', 'eg', 'Alexandria');
EXECUTE geo_sea_plan('Mediterranean Sea', 'eg', 'Behera');
EXECUTE geo_sea_plan('Mediterranean Sea', 'eg', 'Damietta');
EXECUTE geo_sea_plan('Mediterranean Sea', 'eg', 'Ismailia');
EXECUTE geo_sea_plan('Red Sea', 'eg', 'Janub Sina');
EXECUTE geo_sea_plan('Mediterranean Sea', 'eg', 'Kafr el Sheikh');
EXECUTE geo_sea_plan('Mediterranean Sea', 'eg', 'Matruh');
EXECUTE geo_sea_plan('Mediterranean Sea', 'eg', 'North Sinai');
EXECUTE geo_sea_plan('Mediterranean Sea', 'eg', 'Sharkia');
EXECUTE geo_sea_plan('Mediterranean Sea', 'eg', 'ad-Daqahliyah');
EXECUTE geo_sea_plan('Red Sea', 'eg', 'al-Bahr-al-Ahmar');
EXECUTE geo_sea_plan('Atlantic Ocean', 'eh', 'Bu Jaydur');
EXECUTE geo_sea_plan('Atlantic Ocean', 'eh', 'Wad-ad-Dahab');
EXECUTE geo_sea_plan('Atlantic Ocean', 'eh', 'al-Ayun');
EXECUTE geo_sea_plan('Atlantic Ocean', 'es', 'A Coruna');
EXECUTE geo_sea_plan('Mediterranean Sea', 'es', 'Alacant');
EXECUTE geo_sea_plan('Mediterranean Sea', 'es', 'Almeria');
EXECUTE geo_sea_plan('Atlantic Ocean', 'es', 'Asturias');
EXECUTE geo_sea_plan('Mediterranean Sea', 'es', 'Balears');
EXECUTE geo_sea_plan('Atlantic Ocean', 'es', 'Barcelona');
EXECUTE geo_sea_plan('Mediterranean Sea', 'es', 'Barcelona');
EXECUTE geo_sea_plan('Atlantic Ocean', 'es', 'Cadiz');
EXECUTE geo_sea_plan('Mediterranean Sea', 'es', 'Cadiz');
EXECUTE geo_sea_plan('Atlantic Ocean', 'es', 'Cantabria');
EXECUTE geo_sea_plan('Mediterranean Sea', 'es', 'Castello');
EXECUTE geo_sea_plan('Mediterranean Sea', 'es', 'Ceuta');
EXECUTE geo_sea_plan('Atlantic Ocean', 'es', 'Girona');
EXECUTE geo_sea_plan('Mediterranean Sea', 'es', 'Girona');
EXECUTE geo_sea_plan('Mediterranean Sea', 'es', 'Granada');
EXECUTE geo_sea_plan('Atlantic Ocean', 'es', 'Guipuzcoa');
EXECUTE geo_sea_plan('Atlantic Ocean', 'es', 'Huelva');
EXECUTE geo_sea_plan('Atlantic Ocean', 'es', 'Huesca');
EXECUTE geo_sea_plan('Atlantic Ocean', 'es', 'Las Palmas');
EXECUTE geo_sea_plan('Atlantic Ocean', 'es', 'Lleida');
EXECUTE geo_sea_plan('Atlantic Ocean', 'es', 'Lugo');
EXECUTE geo_sea_plan('Mediterranean Sea', 'es', 'Malaga');
EXECUTE geo_sea_plan('Mediterranean Sea', 'es', 'Melilla');
EXECUTE geo_sea_plan('Mediterranean Sea', 'es', 'Murcia');
EXECUTE geo_sea_plan('Atlantic Ocean', 'es', 'Navarra');
EXECUTE geo_sea_plan('Atlantic Ocean', 'es', 'Pontevedra');
EXECUTE geo_sea_plan('Atlantic Ocean', 'es', 'Santa Cruz de Tenerife');
EXECUTE geo_sea_plan('Mediterranean Sea', 'es', 'Tarragona');
EXECUTE geo_sea_plan('Mediterranean Sea', 'es', 'Valencia');
EXECUTE geo_sea_plan('Atlantic Ocean', 'es', 'Vizcaya');
EXECUTE geo_sea_plan('Baltic Sea', 'fi', 'Ahvenanmaa');
EXECUTE geo_sea_plan('Baltic Sea', 'fi', 'Central Ostrobothnia');
EXECUTE geo_sea_plan('Baltic Sea', 'fi', 'Eastern Uusimaa');
EXECUTE geo_sea_plan('Baltic Sea', 'fi', 'Kymenlaakso');
EXECUTE geo_sea_plan('Baltic Sea', 'fi', 'Lapland');
EXECUTE geo_sea_plan('Baltic Sea', 'fi', 'North Ostrobothnia');
EXECUTE geo_sea_plan('Baltic Sea', 'fi', 'Ostrobothnia');
EXECUTE geo_sea_plan('Baltic Sea', 'fi', 'Satakunta');
EXECUTE geo_sea_plan('Baltic Sea', 'fi', 'Southwest Finland');
EXECUTE geo_sea_plan('Baltic Sea', 'fi', 'Uusimaa');
EXECUTE geo_sea_plan('Pacific Ocean', 'fj', 'Central');
EXECUTE geo_sea_plan('Pacific Ocean', 'fj', 'Eastern');
EXECUTE geo_sea_plan('Pacific Ocean', 'fj', 'Northern');
EXECUTE geo_sea_plan('Pacific Ocean', 'fj', 'Western');
EXECUTE geo_sea_plan('Pacific Ocean', 'fm', 'Chuuk');
EXECUTE geo_sea_plan('Pacific Ocean', 'fm', 'Kusaie');
EXECUTE geo_sea_plan('Pacific Ocean', 'fm', 'Pohnpei');
EXECUTE geo_sea_plan('Pacific Ocean', 'fm', 'Yap');
EXECUTE geo_sea_plan('Mediterranean Sea', 'fr', 'Alpes-Maritimes');
EXECUTE geo_sea_plan('Mediterranean Sea', 'fr', 'Aude');
EXECUTE geo_sea_plan('Mediterranean Sea', 'fr', 'Bouches-du-Rhone');
EXECUTE geo_sea_plan('North Sea', 'fr', 'Calvados');
EXECUTE geo_sea_plan('Atlantic Ocean', 'fr', 'Charente-Maritime');
EXECUTE geo_sea_plan('Mediterranean Sea', 'fr', 'Corse-du-Sud');
EXECUTE geo_sea_plan('North Sea', 'fr', 'Cotes-dArmor');
EXECUTE geo_sea_plan('North Sea', 'fr', 'Eure');
EXECUTE geo_sea_plan('Atlantic Ocean', 'fr', 'Finistere');
EXECUTE geo_sea_plan('Atlantic Ocean', 'fr', 'Gironde');
EXECUTE geo_sea_plan('Mediterranean Sea', 'fr', 'Haute-Corse');
EXECUTE geo_sea_plan('Mediterranean Sea', 'fr', 'Herault');
EXECUTE geo_sea_plan('North Sea', 'fr', 'Ille-et-Vilaine');
EXECUTE geo_sea_plan('Atlantic Ocean', 'fr', 'Landes');
EXECUTE geo_sea_plan('Atlantic Ocean', 'fr', 'Loire-Atlantique');
EXECUTE geo_sea_plan('North Sea', 'fr', 'Manche');
EXECUTE geo_sea_plan('Atlantic Ocean', 'fr', 'Morbihan');
EXECUTE geo_sea_plan('North Sea', 'fr', 'Nord');
EXECUTE geo_sea_plan('North Sea', 'fr', 'Pas-de-Calais');
EXECUTE geo_sea_plan('Atlantic Ocean', 'fr', 'Pyrenees-Atlantiques');
EXECUTE geo_sea_plan('Mediterranean Sea', 'fr', 'Pyrenees-Orientales');
EXECUTE geo_sea_plan('North Sea', 'fr', 'Seine-Maritime');
EXECUTE geo_sea_plan('North Sea', 'fr', 'Somme');
EXECUTE geo_sea_plan('Mediterranean Sea', 'fr', 'Var');
EXECUTE geo_sea_plan('Atlantic Ocean', 'fr', 'Vendee');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ga', 'Estuaire');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ga', 'Nyanga');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ga', 'Ogooue-Maritime');
EXECUTE geo_sea_plan('Atlantic Ocean', 'gd', 'Carriacou-Petite Martinique');
EXECUTE geo_sea_plan('Caribbean Sea', 'gd', 'Carriacou-Petite Martinique');
EXECUTE geo_sea_plan('Atlantic Ocean', 'gd', 'Saint Andrew');
EXECUTE geo_sea_plan('Caribbean Sea', 'gd', 'Saint Andrew');
EXECUTE geo_sea_plan('Atlantic Ocean', 'gd', 'Saint Davids');
EXECUTE geo_sea_plan('Caribbean Sea', 'gd', 'Saint Davids');
EXECUTE geo_sea_plan('Atlantic Ocean', 'gd', 'Saint George');
EXECUTE geo_sea_plan('Caribbean Sea', 'gd', 'Saint George');
EXECUTE geo_sea_plan('Atlantic Ocean', 'gd', 'Saint John');
EXECUTE geo_sea_plan('Caribbean Sea', 'gd', 'Saint John');
EXECUTE geo_sea_plan('Atlantic Ocean', 'gd', 'Saint Mark');
EXECUTE geo_sea_plan('Caribbean Sea', 'gd', 'Saint Mark');
EXECUTE geo_sea_plan('Atlantic Ocean', 'gd', 'Saint Patrick');
EXECUTE geo_sea_plan('Caribbean Sea', 'gd', 'Saint Patrick');
EXECUTE geo_sea_plan('Black Sea', 'ge', 'Abkhasia');
EXECUTE geo_sea_plan('Black Sea', 'ge', 'Ajaria');
EXECUTE geo_sea_plan('Black Sea', 'ge', 'Guria');
EXECUTE geo_sea_plan('Black Sea', 'ge', 'Kakheti');
EXECUTE geo_sea_plan('Black Sea', 'ge', 'Mtskheta-Mtianeti');
EXECUTE geo_sea_plan('Black Sea', 'ge', 'Raga-Lechkumi and Kverno Svaneti');
EXECUTE geo_sea_plan('Black Sea', 'ge', 'Samagrelo and Zemo Svaneti');
EXECUTE geo_sea_plan('Black Sea', 'ge', 'Shida Kartli');
EXECUTE geo_sea_plan('Atlantic Ocean', 'gf', 'Cayenne');
EXECUTE geo_sea_plan('Atlantic Ocean', 'gf', 'Saint-Laurent-du-Maroni');
EXECUTE geo_sea_plan('Atlantic Ocean', 'gh', 'Central');
EXECUTE geo_sea_plan('Atlantic Ocean', 'gh', 'Greater Accra');
EXECUTE geo_sea_plan('Atlantic Ocean', 'gh', 'Volta');
EXECUTE geo_sea_plan('Atlantic Ocean', 'gh', 'Western');
EXECUTE geo_sea_plan('Atlantic Ocean', 'gm', 'Banjul');
EXECUTE geo_sea_plan('Atlantic Ocean', 'gm', 'Brikama');
EXECUTE geo_sea_plan('Atlantic Ocean', 'gm', 'Kanifing');
EXECUTE geo_sea_plan('Atlantic Ocean', 'gn', 'Boffa');
EXECUTE geo_sea_plan('Atlantic Ocean', 'gn', 'Boke');
EXECUTE geo_sea_plan('Atlantic Ocean', 'gn', 'Conakry');
EXECUTE geo_sea_plan('Atlantic Ocean', 'gn', 'Coyah');
EXECUTE geo_sea_plan('Atlantic Ocean', 'gn', 'Forecariah');
EXECUTE geo_sea_plan('Atlantic Ocean', 'gq', 'Bioko Norte');
EXECUTE geo_sea_plan('Atlantic Ocean', 'gq', 'Bioko Sur');
EXECUTE geo_sea_plan('Atlantic Ocean', 'gq', 'Litoral');
EXECUTE geo_sea_plan('Mediterranean Sea', 'gr', 'Ahaia');
EXECUTE geo_sea_plan('Mediterranean Sea', 'gr', 'Aitolia kai Akarnania');
EXECUTE geo_sea_plan('Mediterranean Sea', 'gr', 'Argolis');
EXECUTE geo_sea_plan('Mediterranean Sea', 'gr', 'Arkadia');
EXECUTE geo_sea_plan('Mediterranean Sea', 'gr', 'Arta');
EXECUTE geo_sea_plan('Mediterranean Sea', 'gr', 'Attiki');
EXECUTE geo_sea_plan('Mediterranean Sea', 'gr', 'Ayion Oros');
EXECUTE geo_sea_plan('Mediterranean Sea', 'gr', 'Dodekanisos');
EXECUTE geo_sea_plan('Mediterranean Sea', 'gr', 'Evros');
EXECUTE geo_sea_plan('Mediterranean Sea', 'gr', 'Evvoia');
EXECUTE geo_sea_plan('Mediterranean Sea', 'gr', 'Fokis');
EXECUTE geo_sea_plan('Mediterranean Sea', 'gr', 'Halkidiki');
EXECUTE geo_sea_plan('Mediterranean Sea', 'gr', 'Hios');
EXECUTE geo_sea_plan('Mediterranean Sea', 'gr', 'Ilia');
EXECUTE geo_sea_plan('Mediterranean Sea', 'gr', 'Imathia');
EXECUTE geo_sea_plan('Mediterranean Sea', 'gr', 'Iraklion');
EXECUTE geo_sea_plan('Mediterranean Sea', 'gr', 'Kavala');
EXECUTE geo_sea_plan('Mediterranean Sea', 'gr', 'Kefallinia');
EXECUTE geo_sea_plan('Mediterranean Sea', 'gr', 'Kerkira');
EXECUTE geo_sea_plan('Mediterranean Sea', 'gr', 'Kiklades');
EXECUTE geo_sea_plan('Mediterranean Sea', 'gr', 'Korinthia');
EXECUTE geo_sea_plan('Mediterranean Sea', 'gr', 'Lakonia');
EXECUTE geo_sea_plan('Mediterranean Sea', 'gr', 'Larisa');
EXECUTE geo_sea_plan('Mediterranean Sea', 'gr', 'Lasithi');
EXECUTE geo_sea_plan('Mediterranean Sea', 'gr', 'Lesvos');
EXECUTE geo_sea_plan('Mediterranean Sea', 'gr', 'Levkas');
EXECUTE geo_sea_plan('Mediterranean Sea', 'gr', 'Magnisia');
EXECUTE geo_sea_plan('Mediterranean Sea', 'gr', 'Messinia');
EXECUTE geo_sea_plan('Mediterranean Sea', 'gr', 'Pieria');
EXECUTE geo_sea_plan('Mediterranean Sea', 'gr', 'Preveza');
EXECUTE geo_sea_plan('Mediterranean Sea', 'gr', 'Rethimni');
EXECUTE geo_sea_plan('Mediterranean Sea', 'gr', 'Rodopi');
EXECUTE geo_sea_plan('Mediterranean Sea', 'gr', 'Samos');
EXECUTE geo_sea_plan('Mediterranean Sea', 'gr', 'Serrai');
EXECUTE geo_sea_plan('Mediterranean Sea', 'gr', 'Thesprotia');
EXECUTE geo_sea_plan('Mediterranean Sea', 'gr', 'Thessaloniki');
EXECUTE geo_sea_plan('Mediterranean Sea', 'gr', 'Voiotia');
EXECUTE geo_sea_plan('Mediterranean Sea', 'gr', 'Xanthi');
EXECUTE geo_sea_plan('Mediterranean Sea', 'gr', 'Zakinthos');
EXECUTE geo_sea_plan('Caribbean Sea', 'gt', 'Guatemala');
EXECUTE geo_sea_plan('Pacific Ocean', 'gt', 'Guatemala');
EXECUTE geo_sea_plan('Atlantic Ocean', 'gw', 'Biombo');
EXECUTE geo_sea_plan('Atlantic Ocean', 'gw', 'Bissau');
EXECUTE geo_sea_plan('Atlantic Ocean', 'gw', 'Bolama');
EXECUTE geo_sea_plan('Atlantic Ocean', 'gw', 'Cacheu');
EXECUTE geo_sea_plan('Atlantic Ocean', 'gw', 'Quinara');
EXECUTE geo_sea_plan('Atlantic Ocean', 'gw', 'Tombali');
EXECUTE geo_sea_plan('Atlantic Ocean', 'gy', 'Barima-Waini');
EXECUTE geo_sea_plan('Atlantic Ocean', 'gy', 'Demerara-Mahaica');
EXECUTE geo_sea_plan('Atlantic Ocean', 'gy', 'Essequibo Islands-West Demerara');
EXECUTE geo_sea_plan('Atlantic Ocean', 'gy', 'Mahaica-Berbice');
EXECUTE geo_sea_plan('Atlantic Ocean', 'gy', 'Pomeroon-Supenaam');
EXECUTE geo_sea_plan('Caribbean Sea', 'hn', 'Atlantida');
EXECUTE geo_sea_plan('Pacific Ocean', 'hn', 'Choluteca');
EXECUTE geo_sea_plan('Caribbean Sea', 'hn', 'Colon');
EXECUTE geo_sea_plan('Caribbean Sea', 'hn', 'Cortes');
EXECUTE geo_sea_plan('Caribbean Sea', 'hn', 'Gracias a Dios');
EXECUTE geo_sea_plan('Pacific Ocean', 'hn', 'Valle');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ht', 'Artibonite');
EXECUTE geo_sea_plan('Caribbean Sea', 'ht', 'Artibonite');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ht', 'Centre');
EXECUTE geo_sea_plan('Caribbean Sea', 'ht', 'Centre');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ht', 'GrandAnse');
EXECUTE geo_sea_plan('Caribbean Sea', 'ht', 'GrandAnse');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ht', 'Nord');
EXECUTE geo_sea_plan('Caribbean Sea', 'ht', 'Nord');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ht', 'Nord-Est');
EXECUTE geo_sea_plan('Caribbean Sea', 'ht', 'Nord-Est');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ht', 'Nord-Ouest');
EXECUTE geo_sea_plan('Caribbean Sea', 'ht', 'Nord-Ouest');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ht', 'Ouest');
EXECUTE geo_sea_plan('Caribbean Sea', 'ht', 'Ouest');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ht', 'Sud');
EXECUTE geo_sea_plan('Caribbean Sea', 'ht', 'Sud');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ht', 'Sud-Est');
EXECUTE geo_sea_plan('Caribbean Sea', 'ht', 'Sud-Est');
EXECUTE geo_sea_plan('Indian Ocean', 'id', 'Aceh');
EXECUTE geo_sea_plan('Indian Ocean', 'id', 'Bali');
EXECUTE geo_sea_plan('Sunda Sea', 'id', 'Bali');
EXECUTE geo_sea_plan('South China Sea', 'id', 'Bangka-Belitung');
EXECUTE geo_sea_plan('Sunda Sea', 'id', 'Bangka-Belitung');
EXECUTE geo_sea_plan('Indian Ocean', 'id', 'Banten');
EXECUTE geo_sea_plan('Sunda Sea', 'id', 'Banten');
EXECUTE geo_sea_plan('Indian Ocean', 'id', 'Bengkulu');
EXECUTE geo_sea_plan('Indian Ocean', 'id', 'Jakarta');
EXECUTE geo_sea_plan('Sunda Sea', 'id', 'Jakarta');
EXECUTE geo_sea_plan('South China Sea', 'id', 'Jambi');
EXECUTE geo_sea_plan('Indian Ocean', 'id', 'Jawa Barat');
EXECUTE geo_sea_plan('Sunda Sea', 'id', 'Jawa Barat');
EXECUTE geo_sea_plan('Indian Ocean', 'id', 'Jawa Tengah');
EXECUTE geo_sea_plan('Sunda Sea', 'id', 'Jawa Tengah');
EXECUTE geo_sea_plan('Indian Ocean', 'id', 'Jawa Timur');
EXECUTE geo_sea_plan('Sunda Sea', 'id', 'Jawa Timur');
EXECUTE geo_sea_plan('South China Sea', 'id', 'Kalimantan Barat');
EXECUTE geo_sea_plan('Sunda Sea', 'id', 'Kalimantan Barat');
EXECUTE geo_sea_plan('Sunda Sea', 'id', 'Kalimantan Selatan');
EXECUTE geo_sea_plan('Sunda Sea', 'id', 'Kalimantan Tengah');
EXECUTE geo_sea_plan('Indian Ocean', 'id', 'Lampung');
EXECUTE geo_sea_plan('Sunda Sea', 'id', 'Lampung');
EXECUTE geo_sea_plan('Sunda Sea', 'id', 'Maluku');
EXECUTE geo_sea_plan('Indian Ocean', 'id', 'Nusa Tenggara Barat');
EXECUTE geo_sea_plan('Sunda Sea', 'id', 'Nusa Tenggara Barat');
EXECUTE geo_sea_plan('Indian Ocean', 'id', 'Nusa Tenggara Timur');
EXECUTE geo_sea_plan('Sunda Sea', 'id', 'Nusa Tenggara Timur');
EXECUTE geo_sea_plan('South China Sea', 'id', 'Riau');
EXECUTE geo_sea_plan('South China Sea', 'id', 'Riau Kepulauan');
EXECUTE geo_sea_plan('Sunda Sea', 'id', 'Sulawesi Tenggara');
EXECUTE geo_sea_plan('Indian Ocean', 'id', 'Sumatera Barat');
EXECUTE geo_sea_plan('South China Sea', 'id', 'Sumatera Selatan');
EXECUTE geo_sea_plan('Sunda Sea', 'id', 'Sumatera Selatan');
EXECUTE geo_sea_plan('Indian Ocean', 'id', 'Sumatera Utara');
EXECUTE geo_sea_plan('Indian Ocean', 'id', 'Yogyakarta');
EXECUTE geo_sea_plan('Sunda Sea', 'id', 'Yogyakarta');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ie', 'Cavan');
EXECUTE geo_sea_plan('Irish Sea', 'ie', 'Cavan');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ie', 'Clare');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ie', 'Cork');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ie', 'Donegal');
EXECUTE geo_sea_plan('Irish Sea', 'ie', 'Donegal');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ie', 'Dublin');
EXECUTE geo_sea_plan('Irish Sea', 'ie', 'Dublin');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ie', 'Galway');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ie', 'Kerry');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ie', 'Leitrim');
EXECUTE geo_sea_plan('Irish Sea', 'ie', 'Leitrim');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ie', 'Limerick');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ie', 'Louth');
EXECUTE geo_sea_plan('Irish Sea', 'ie', 'Louth');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ie', 'Mayo');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ie', 'Meath');
EXECUTE geo_sea_plan('Irish Sea', 'ie', 'Meath');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ie', 'Monaghan');
EXECUTE geo_sea_plan('Irish Sea', 'ie', 'Monaghan');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ie', 'Sligo');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ie', 'Waterford');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ie', 'Wexford');
EXECUTE geo_sea_plan('Irish Sea', 'ie', 'Wexford');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ie', 'Wicklow');
EXECUTE geo_sea_plan('Irish Sea', 'ie', 'Wicklow');
EXECUTE geo_sea_plan('Mediterranean Sea', 'il', 'Hadarom');
EXECUTE geo_sea_plan('Red Sea', 'il', 'Hadarom');
EXECUTE geo_sea_plan('Mediterranean Sea', 'il', 'Haifa');
EXECUTE geo_sea_plan('Mediterranean Sea', 'il', 'Hamerkaz');
EXECUTE geo_sea_plan('Mediterranean Sea', 'il', 'Hazzafon');
EXECUTE geo_sea_plan('Mediterranean Sea', 'il', 'Tel Aviv');
EXECUTE geo_sea_plan('Indian Ocean', 'in', 'Andaman and Nicobar Islands');
EXECUTE geo_sea_plan('Indian Ocean', 'in', 'Andhra Pradesh');
EXECUTE geo_sea_plan('Indian Ocean', 'in', 'Bangla');
EXECUTE geo_sea_plan('Indian Ocean', 'in', 'Goa');
EXECUTE geo_sea_plan('Indian Ocean', 'in', 'Gujarat');
EXECUTE geo_sea_plan('Indian Ocean', 'in', 'Karnataka');
EXECUTE geo_sea_plan('Indian Ocean', 'in', 'Kerala');
EXECUTE geo_sea_plan('Indian Ocean', 'in', 'Lakshadweep');
EXECUTE geo_sea_plan('Indian Ocean', 'in', 'Maharashtra');
EXECUTE geo_sea_plan('Indian Ocean', 'in', 'Orissa');
EXECUTE geo_sea_plan('Indian Ocean', 'in', 'Tamil Nadu');
EXECUTE geo_sea_plan('Persian Gulf', 'iq', 'al-Basrah');
EXECUTE geo_sea_plan('Persian Gulf', 'ir', 'Bushehr');
EXECUTE geo_sea_plan('Arabian Sea', 'ir', 'Hormozgan');
EXECUTE geo_sea_plan('Persian Gulf', 'ir', 'Hormozgan');
EXECUTE geo_sea_plan('Persian Gulf', 'ir', 'Khuzestan');
EXECUTE geo_sea_plan('Arabian Sea', 'ir', 'Sistan-e Baluchestan');
EXECUTE geo_sea_plan('Atlantic Ocean', 'is', 'Almenningur');
EXECUTE geo_sea_plan('Atlantic Ocean', 'is', 'Austurland');
EXECUTE geo_sea_plan('Norwegian Sea', 'is', 'Austurland');
EXECUTE geo_sea_plan('Atlantic Ocean', 'is', 'Hoefueborgarsvaeei');
EXECUTE geo_sea_plan('Atlantic Ocean', 'is', 'Noreurland eystra');
EXECUTE geo_sea_plan('Norwegian Sea', 'is', 'Noreurland eystra');
EXECUTE geo_sea_plan('Atlantic Ocean', 'is', 'Noreurland vestra');
EXECUTE geo_sea_plan('Atlantic Ocean', 'is', 'Sueurland');
EXECUTE geo_sea_plan('Atlantic Ocean', 'is', 'Sueurnes');
EXECUTE geo_sea_plan('Atlantic Ocean', 'is', 'Vestfireir');
EXECUTE geo_sea_plan('Atlantic Ocean', 'is', 'Vesturland');
EXECUTE geo_sea_plan('Mediterranean Sea', 'it', 'Abruzzes');
EXECUTE geo_sea_plan('Mediterranean Sea', 'it', 'Apulia');
EXECUTE geo_sea_plan('Mediterranean Sea', 'it', 'Basilicata');
EXECUTE geo_sea_plan('Mediterranean Sea', 'it', 'Calabria');
EXECUTE geo_sea_plan('Mediterranean Sea', 'it', 'Campania');
EXECUTE geo_sea_plan('Mediterranean Sea', 'it', 'Emilia-Romagna');
EXECUTE geo_sea_plan('Mediterranean Sea', 'it', 'Friuli-Venezia Giulia');
EXECUTE geo_sea_plan('Mediterranean Sea', 'it', 'Lazio');
EXECUTE geo_sea_plan('Mediterranean Sea', 'it', 'Liguria');
EXECUTE geo_sea_plan('Mediterranean Sea', 'it', 'Marche');
EXECUTE geo_sea_plan('Mediterranean Sea', 'it', 'Molise');
EXECUTE geo_sea_plan('Mediterranean Sea', 'it', 'Sardegna');
EXECUTE geo_sea_plan('Mediterranean Sea', 'it', 'Sicily');
EXECUTE geo_sea_plan('Mediterranean Sea', 'it', 'Toscana');
EXECUTE geo_sea_plan('Mediterranean Sea', 'it', 'Veneto');
EXECUTE geo_sea_plan('Caribbean Sea', 'jm', 'Clarendon');
EXECUTE geo_sea_plan('Caribbean Sea', 'jm', 'Hanover');
EXECUTE geo_sea_plan('Caribbean Sea', 'jm', 'Kingston');
EXECUTE geo_sea_plan('Caribbean Sea', 'jm', 'Manchester');
EXECUTE geo_sea_plan('Caribbean Sea', 'jm', 'Portland');
EXECUTE geo_sea_plan('Caribbean Sea', 'jm', 'Saint Andrew');
EXECUTE geo_sea_plan('Caribbean Sea', 'jm', 'Saint Ann');
EXECUTE geo_sea_plan('Caribbean Sea', 'jm', 'Saint Catherine');
EXECUTE geo_sea_plan('Caribbean Sea', 'jm', 'Saint Elizabeth');
EXECUTE geo_sea_plan('Caribbean Sea', 'jm', 'Saint James');
EXECUTE geo_sea_plan('Caribbean Sea', 'jm', 'Saint Mary');
EXECUTE geo_sea_plan('Caribbean Sea', 'jm', 'Saint Thomas');
EXECUTE geo_sea_plan('Caribbean Sea', 'jm', 'Trelawney');
EXECUTE geo_sea_plan('Caribbean Sea', 'jm', 'Westmoreland');
EXECUTE geo_sea_plan('Red Sea', 'jo', 'al-Aqabah');
EXECUTE geo_sea_plan('Pacific Ocean', 'jp', 'Aichi');
EXECUTE geo_sea_plan('Sea of Japan', 'jp', 'Akita');
EXECUTE geo_sea_plan('Pacific Ocean', 'jp', 'Aomori');
EXECUTE geo_sea_plan('Sea of Japan', 'jp', 'Aomori');
EXECUTE geo_sea_plan('Pacific Ocean', 'jp', 'Chiba');
EXECUTE geo_sea_plan('Sea of Japan', 'jp', 'Fukui');
EXECUTE geo_sea_plan('Sea of Japan', 'jp', 'Fukuoka');
EXECUTE geo_sea_plan('Pacific Ocean', 'jp', 'Fukushima');
EXECUTE geo_sea_plan('Pacific Ocean', 'jp', 'Hokkaido');
EXECUTE geo_sea_plan('Sea of Japan', 'jp', 'Hokkaido');
EXECUTE geo_sea_plan('Sea of Japan', 'jp', 'Hyogo');
EXECUTE geo_sea_plan('Pacific Ocean', 'jp', 'Ibaraki');
EXECUTE geo_sea_plan('Sea of Japan', 'jp', 'Ishikawa');
EXECUTE geo_sea_plan('Pacific Ocean', 'jp', 'Iwate');
EXECUTE geo_sea_plan('Pacific Ocean', 'jp', 'Kagoshima');
EXECUTE geo_sea_plan('Pacific Ocean', 'jp', 'Kanagawa');
EXECUTE geo_sea_plan('Pacific Ocean', 'jp', 'Kochi');
EXECUTE geo_sea_plan('Sea of Japan', 'jp', 'Kyoto');
EXECUTE geo_sea_plan('Pacific Ocean', 'jp', 'Mie');
EXECUTE geo_sea_plan('Pacific Ocean', 'jp', 'Miyagi');
EXECUTE geo_sea_plan('Pacific Ocean', 'jp', 'Miyazaki');
EXECUTE geo_sea_plan('Sea of Japan', 'jp', 'Niigata');
EXECUTE geo_sea_plan('Sea of Japan', 'jp', 'Saga');
EXECUTE geo_sea_plan('Sea of Japan', 'jp', 'Shimane');
EXECUTE geo_sea_plan('Pacific Ocean', 'jp', 'Shizuoka');
EXECUTE geo_sea_plan('Pacific Ocean', 'jp', 'Tokushima');
EXECUTE geo_sea_plan('Sea of Japan', 'jp', 'Tottori');
EXECUTE geo_sea_plan('Sea of Japan', 'jp', 'Toyama');
EXECUTE geo_sea_plan('Pacific Ocean', 'jp', 'Wakayama');
EXECUTE geo_sea_plan('Sea of Japan', 'jp', 'Yamagata');
EXECUTE geo_sea_plan('Sea of Japan', 'jp', 'Yamaguchi');
EXECUTE geo_sea_plan('Indian Ocean', 'ke', 'Coast');
EXECUTE geo_sea_plan('South China Sea', 'kh', 'Bat Dambang');
EXECUTE geo_sea_plan('South China Sea', 'kh', 'Kampot');
EXECUTE geo_sea_plan('South China Sea', 'kh', 'Kaoh Kong');
EXECUTE geo_sea_plan('South China Sea', 'kh', 'Krong Kaeb');
EXECUTE geo_sea_plan('South China Sea', 'kh', 'Krong Pailin');
EXECUTE geo_sea_plan('South China Sea', 'kh', 'Krong Preah Sihanouk');
EXECUTE geo_sea_plan('South China Sea', 'kh', 'Pousat');
EXECUTE geo_sea_plan('Pacific Ocean', 'ki', 'Abaiang');
EXECUTE geo_sea_plan('Pacific Ocean', 'ki', 'Abemana');
EXECUTE geo_sea_plan('Pacific Ocean', 'ki', 'Aranuka');
EXECUTE geo_sea_plan('Pacific Ocean', 'ki', 'Arorae');
EXECUTE geo_sea_plan('Pacific Ocean', 'ki', 'Banaba');
EXECUTE geo_sea_plan('Pacific Ocean', 'ki', 'Beru');
EXECUTE geo_sea_plan('Pacific Ocean', 'ki', 'Butaritari');
EXECUTE geo_sea_plan('Pacific Ocean', 'ki', 'Kiritimati');
EXECUTE geo_sea_plan('Pacific Ocean', 'ki', 'Kuria');
EXECUTE geo_sea_plan('Pacific Ocean', 'ki', 'Maiana');
EXECUTE geo_sea_plan('Pacific Ocean', 'ki', 'Makin');
EXECUTE geo_sea_plan('Pacific Ocean', 'ki', 'Marakei');
EXECUTE geo_sea_plan('Pacific Ocean', 'ki', 'Nikunau');
EXECUTE geo_sea_plan('Pacific Ocean', 'ki', 'Nonouti');
EXECUTE geo_sea_plan('Pacific Ocean', 'ki', 'Onotoa');
EXECUTE geo_sea_plan('Pacific Ocean', 'ki', 'Phoenix Islands');
EXECUTE geo_sea_plan('Pacific Ocean', 'ki', 'Southern Line Islands');
EXECUTE geo_sea_plan('Pacific Ocean', 'ki', 'Tabiteuea North');
EXECUTE geo_sea_plan('Pacific Ocean', 'ki', 'Tabiteuea South');
EXECUTE geo_sea_plan('Pacific Ocean', 'ki', 'Tabuaeran');
EXECUTE geo_sea_plan('Pacific Ocean', 'ki', 'Tamana');
EXECUTE geo_sea_plan('Pacific Ocean', 'ki', 'Tarawa North');
EXECUTE geo_sea_plan('Pacific Ocean', 'ki', 'Tarawa South');
EXECUTE geo_sea_plan('Pacific Ocean', 'ki', 'Teraina');
EXECUTE geo_sea_plan('Indian Ocean', 'km', 'Mwali');
EXECUTE geo_sea_plan('Indian Ocean', 'km', 'Ndzouani');
EXECUTE geo_sea_plan('Indian Ocean', 'km', 'Ngazidja');
EXECUTE geo_sea_plan('Atlantic Ocean', 'kn', 'Christ Church Nichola Town');
EXECUTE geo_sea_plan('Caribbean Sea', 'kn', 'Christ Church Nichola Town');
EXECUTE geo_sea_plan('Atlantic Ocean', 'kn', 'Saint Anne Sandy Point');
EXECUTE geo_sea_plan('Caribbean Sea', 'kn', 'Saint Anne Sandy Point');
EXECUTE geo_sea_plan('Atlantic Ocean', 'kn', 'Saint George Basseterre');
EXECUTE geo_sea_plan('Caribbean Sea', 'kn', 'Saint George Basseterre');
EXECUTE geo_sea_plan('Atlantic Ocean', 'kn', 'Saint George Gingerland');
EXECUTE geo_sea_plan('Caribbean Sea', 'kn', 'Saint George Gingerland');
EXECUTE geo_sea_plan('Atlantic Ocean', 'kn', 'Saint James Windward');
EXECUTE geo_sea_plan('Caribbean Sea', 'kn', 'Saint James Windward');
EXECUTE geo_sea_plan('Atlantic Ocean', 'kn', 'Saint John Capesterre');
EXECUTE geo_sea_plan('Caribbean Sea', 'kn', 'Saint John Capesterre');
EXECUTE geo_sea_plan('Atlantic Ocean', 'kn', 'Saint John Figtree');
EXECUTE geo_sea_plan('Caribbean Sea', 'kn', 'Saint John Figtree');
EXECUTE geo_sea_plan('Atlantic Ocean', 'kn', 'Saint Mary Cayon');
EXECUTE geo_sea_plan('Caribbean Sea', 'kn', 'Saint Mary Cayon');
EXECUTE geo_sea_plan('Atlantic Ocean', 'kn', 'Saint Paul Capesterre');
EXECUTE geo_sea_plan('Caribbean Sea', 'kn', 'Saint Paul Capesterre');
EXECUTE geo_sea_plan('Atlantic Ocean', 'kn', 'Saint Paul Charlestown');
EXECUTE geo_sea_plan('Caribbean Sea', 'kn', 'Saint Paul Charlestown');
EXECUTE geo_sea_plan('Atlantic Ocean', 'kn', 'Saint Peter Basseterre');
EXECUTE geo_sea_plan('Caribbean Sea', 'kn', 'Saint Peter Basseterre');
EXECUTE geo_sea_plan('Atlantic Ocean', 'kn', 'Saint Thomas Lowland');
EXECUTE geo_sea_plan('Caribbean Sea', 'kn', 'Saint Thomas Lowland');
EXECUTE geo_sea_plan('Atlantic Ocean', 'kn', 'Saint Thomas Middle Island');
EXECUTE geo_sea_plan('Caribbean Sea', 'kn', 'Saint Thomas Middle Island');
EXECUTE geo_sea_plan('Atlantic Ocean', 'kn', 'Trinity Palmetto Point');
EXECUTE geo_sea_plan('Caribbean Sea', 'kn', 'Trinity Palmetto Point');
EXECUTE geo_sea_plan('Yellow Sea', 'kr', 'Chollabuk');
EXECUTE geo_sea_plan('Yellow Sea', 'kr', 'Chollanam');
EXECUTE geo_sea_plan('Yellow Sea', 'kr', 'Chungchongnam');
EXECUTE geo_sea_plan('Yellow Sea', 'kr', 'Inchon');
EXECUTE geo_sea_plan('Sea of Japan', 'kr', 'Kangwon');
EXECUTE geo_sea_plan('Yellow Sea', 'kr', 'Kyonggi');
EXECUTE geo_sea_plan('Sea of Japan', 'kr', 'Kyongsangbuk');
EXECUTE geo_sea_plan('Sea of Japan', 'kr', 'Ulsan');
EXECUTE geo_sea_plan('Persian Gulf', 'kw', 'Hawalli');
EXECUTE geo_sea_plan('Persian Gulf', 'kw', 'Mubarak al-Kabir');
EXECUTE geo_sea_plan('Persian Gulf', 'kw', 'al-Ahmadi');
EXECUTE geo_sea_plan('Persian Gulf', 'kw', 'al-Asamah');
EXECUTE geo_sea_plan('Persian Gulf', 'kw', 'al-Farwaniyah');
EXECUTE geo_sea_plan('Persian Gulf', 'kw', 'al-Jahra');
EXECUTE geo_sea_plan('Mediterranean Sea', 'lb', 'Bayrut');
EXECUTE geo_sea_plan('Mediterranean Sea', 'lb', 'Jabal Lubnan');
EXECUTE geo_sea_plan('Mediterranean Sea', 'lb', 'al-Janub');
EXECUTE geo_sea_plan('Mediterranean Sea', 'lb', 'as-Samal');
EXECUTE geo_sea_plan('Atlantic Ocean', 'lc', 'Anse-la-Raye');
EXECUTE geo_sea_plan('Caribbean Sea', 'lc', 'Anse-la-Raye');
EXECUTE geo_sea_plan('Atlantic Ocean', 'lc', 'Canaries');
EXECUTE geo_sea_plan('Caribbean Sea', 'lc', 'Canaries');
EXECUTE geo_sea_plan('Atlantic Ocean', 'lc', 'Castries');
EXECUTE geo_sea_plan('Caribbean Sea', 'lc', 'Castries');
EXECUTE geo_sea_plan('Atlantic Ocean', 'lc', 'Choiseul');
EXECUTE geo_sea_plan('Caribbean Sea', 'lc', 'Choiseul');
EXECUTE geo_sea_plan('Atlantic Ocean', 'lc', 'Dennery');
EXECUTE geo_sea_plan('Caribbean Sea', 'lc', 'Dennery');
EXECUTE geo_sea_plan('Atlantic Ocean', 'lc', 'Gros Inlet');
EXECUTE geo_sea_plan('Caribbean Sea', 'lc', 'Gros Inlet');
EXECUTE geo_sea_plan('Atlantic Ocean', 'lc', 'Laborie');
EXECUTE geo_sea_plan('Caribbean Sea', 'lc', 'Laborie');
EXECUTE geo_sea_plan('Atlantic Ocean', 'lc', 'Micoud');
EXECUTE geo_sea_plan('Caribbean Sea', 'lc', 'Micoud');
EXECUTE geo_sea_plan('Atlantic Ocean', 'lc', 'Soufriere');
EXECUTE geo_sea_plan('Caribbean Sea', 'lc', 'Soufriere');
EXECUTE geo_sea_plan('Atlantic Ocean', 'lc', 'Vieux Fort');
EXECUTE geo_sea_plan('Caribbean Sea', 'lc', 'Vieux Fort');
EXECUTE geo_sea_plan('Indian Ocean', 'lk', 'Amparai');
EXECUTE geo_sea_plan('Indian Ocean', 'lk', 'Batticaloa');
EXECUTE geo_sea_plan('Indian Ocean', 'lk', 'Colombo');
EXECUTE geo_sea_plan('Indian Ocean', 'lk', 'Galle');
EXECUTE geo_sea_plan('Indian Ocean', 'lk', 'Gampaha');
EXECUTE geo_sea_plan('Indian Ocean', 'lk', 'Hambantota');
EXECUTE geo_sea_plan('Indian Ocean', 'lk', 'Jaffna');
EXECUTE geo_sea_plan('Indian Ocean', 'lk', 'Kalatura');
EXECUTE geo_sea_plan('Indian Ocean', 'lk', 'Kilinochchi');
EXECUTE geo_sea_plan('Indian Ocean', 'lk', 'Mannarama');
EXECUTE geo_sea_plan('Indian Ocean', 'lk', 'Matara');
EXECUTE geo_sea_plan('Indian Ocean', 'lk', 'Mullaitivu');
EXECUTE geo_sea_plan('Indian Ocean', 'lk', 'Puttalama');
EXECUTE geo_sea_plan('Indian Ocean', 'lk', 'Trincomalee');
EXECUTE geo_sea_plan('Atlantic Ocean', 'lr', 'Bomi');
EXECUTE geo_sea_plan('Atlantic Ocean', 'lr', 'Grand Bassa');
EXECUTE geo_sea_plan('Atlantic Ocean', 'lr', 'Grand Cape Mount');
EXECUTE geo_sea_plan('Atlantic Ocean', 'lr', 'Margibi');
EXECUTE geo_sea_plan('Atlantic Ocean', 'lr', 'Maryland and Grand Kru');
EXECUTE geo_sea_plan('Atlantic Ocean', 'lr', 'Montserrado');
EXECUTE geo_sea_plan('Atlantic Ocean', 'lr', 'Rivercess');
EXECUTE geo_sea_plan('Atlantic Ocean', 'lr', 'Sinoe');
EXECUTE geo_sea_plan('Baltic Sea', 'lt', 'Klaipedos');
EXECUTE geo_sea_plan('Baltic Sea', 'lv', 'Jurmala pilseta');
EXECUTE geo_sea_plan('Baltic Sea', 'lv', 'Liepaja');
EXECUTE geo_sea_plan('Baltic Sea', 'lv', 'Limbazu');
EXECUTE geo_sea_plan('Baltic Sea', 'lv', 'Talsu');
EXECUTE geo_sea_plan('Baltic Sea', 'lv', 'Tukuma');
EXECUTE geo_sea_plan('Baltic Sea', 'lv', 'Ventspils');
EXECUTE geo_sea_plan('Mediterranean Sea', 'ly', 'Ajdabiya');
EXECUTE geo_sea_plan('Mediterranean Sea', 'ly', 'Bangazi');
EXECUTE geo_sea_plan('Mediterranean Sea', 'ly', 'Darnah');
EXECUTE geo_sea_plan('Mediterranean Sea', 'ly', 'Misratah');
EXECUTE geo_sea_plan('Mediterranean Sea', 'ly', 'Nalut');
EXECUTE geo_sea_plan('Mediterranean Sea', 'ly', 'Sabratah wa Surman');
EXECUTE geo_sea_plan('Mediterranean Sea', 'ly', 'Surt');
EXECUTE geo_sea_plan('Mediterranean Sea', 'ly', 'Tripoli');
EXECUTE geo_sea_plan('Mediterranean Sea', 'ly', 'al-Butnan');
EXECUTE geo_sea_plan('Mediterranean Sea', 'ly', 'al-Hizam al-Ahzdar');
EXECUTE geo_sea_plan('Mediterranean Sea', 'ly', 'al-Jabal al-Ahdar');
EXECUTE geo_sea_plan('Mediterranean Sea', 'ly', 'al-Marj');
EXECUTE geo_sea_plan('Mediterranean Sea', 'ly', 'al-Marqab');
EXECUTE geo_sea_plan('Mediterranean Sea', 'ly', 'al-Qubbah');
EXECUTE geo_sea_plan('Mediterranean Sea', 'ly', 'an-Nuqat al-Hums');
EXECUTE geo_sea_plan('Mediterranean Sea', 'ly', 'az-Zawiyah');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ma', 'Casablanca');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ma', 'Chaouia-Ouardigha');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ma', 'Doukkala-Abda');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ma', 'Gharb-Chrarda-Beni Hssen');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ma', 'Guelmim');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ma', 'Marrakech-Tensift-Al Haouz');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ma', 'Oriental');
EXECUTE geo_sea_plan('Mediterranean Sea', 'ma', 'Oriental');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ma', 'Rabat-Sale-Zammour-Zaer');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ma', 'Souss Massa-Draa');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ma', 'Tangier-Tetouan');
EXECUTE geo_sea_plan('Mediterranean Sea', 'ma', 'Tangier-Tetouan');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ma', 'Taza-Al Hoceima-Taounate');
EXECUTE geo_sea_plan('Mediterranean Sea', 'ma', 'Taza-Al Hoceima-Taounate');
EXECUTE geo_sea_plan('Mediterranean Sea', 'mc', 'Fontvieille');
EXECUTE geo_sea_plan('Mediterranean Sea', 'mc', 'La Condamine');
EXECUTE geo_sea_plan('Mediterranean Sea', 'mc', 'Monaco-Ville');
EXECUTE geo_sea_plan('Mediterranean Sea', 'mc', 'Monte Carlo');
EXECUTE geo_sea_plan('Indian Ocean', 'mg', 'Antananarivo');
EXECUTE geo_sea_plan('Indian Ocean', 'mg', 'Antsiranana');
EXECUTE geo_sea_plan('Indian Ocean', 'mg', 'Fianarantsoa');
EXECUTE geo_sea_plan('Indian Ocean', 'mg', 'Mahajanga');
EXECUTE geo_sea_plan('Indian Ocean', 'mg', 'Toamasina');
EXECUTE geo_sea_plan('Indian Ocean', 'mg', 'Toliary');
EXECUTE geo_sea_plan('Pacific Ocean', 'mh', 'Ailinginae');
EXECUTE geo_sea_plan('Pacific Ocean', 'mh', 'Ailinlaplap');
EXECUTE geo_sea_plan('Pacific Ocean', 'mh', 'Ailuk');
EXECUTE geo_sea_plan('Pacific Ocean', 'mh', 'Arno');
EXECUTE geo_sea_plan('Pacific Ocean', 'mh', 'Aur');
EXECUTE geo_sea_plan('Pacific Ocean', 'mh', 'Bikar');
EXECUTE geo_sea_plan('Pacific Ocean', 'mh', 'Bikini');
EXECUTE geo_sea_plan('Pacific Ocean', 'mh', 'Bokak');
EXECUTE geo_sea_plan('Pacific Ocean', 'mh', 'Ebon');
EXECUTE geo_sea_plan('Pacific Ocean', 'mh', 'Enewetak');
EXECUTE geo_sea_plan('Pacific Ocean', 'mh', 'Erikub');
EXECUTE geo_sea_plan('Pacific Ocean', 'mh', 'Jabat');
EXECUTE geo_sea_plan('Pacific Ocean', 'mh', 'Jaluit');
EXECUTE geo_sea_plan('Pacific Ocean', 'mh', 'Jemo');
EXECUTE geo_sea_plan('Pacific Ocean', 'mh', 'Kili');
EXECUTE geo_sea_plan('Pacific Ocean', 'mh', 'Kwajalein');
EXECUTE geo_sea_plan('Pacific Ocean', 'mh', 'Lae');
EXECUTE geo_sea_plan('Pacific Ocean', 'mh', 'Lib');
EXECUTE geo_sea_plan('Pacific Ocean', 'mh', 'Likiep');
EXECUTE geo_sea_plan('Pacific Ocean', 'mh', 'Majuro');
EXECUTE geo_sea_plan('Pacific Ocean', 'mh', 'Maloelap');
EXECUTE geo_sea_plan('Pacific Ocean', 'mh', 'Mejit');
EXECUTE geo_sea_plan('Pacific Ocean', 'mh', 'Mili');
EXECUTE geo_sea_plan('Pacific Ocean', 'mh', 'Namorik');
EXECUTE geo_sea_plan('Pacific Ocean', 'mh', 'Namu');
EXECUTE geo_sea_plan('Pacific Ocean', 'mh', 'Rongelap');
EXECUTE geo_sea_plan('Pacific Ocean', 'mh', 'Rongrik');
EXECUTE geo_sea_plan('Pacific Ocean', 'mh', 'Toke');
EXECUTE geo_sea_plan('Pacific Ocean', 'mh', 'Ujae');
EXECUTE geo_sea_plan('Pacific Ocean', 'mh', 'Ujelang');
EXECUTE geo_sea_plan('Pacific Ocean', 'mh', 'Utrik');
EXECUTE geo_sea_plan('Pacific Ocean', 'mh', 'Wotho');
EXECUTE geo_sea_plan('Pacific Ocean', 'mh', 'Wotje');
EXECUTE geo_sea_plan('Indian Ocean', 'mm', 'Ayeyarwady');
EXECUTE geo_sea_plan('Indian Ocean', 'mm', 'Bago');
EXECUTE geo_sea_plan('Indian Ocean', 'mm', 'Mon');
EXECUTE geo_sea_plan('Indian Ocean', 'mm', 'Rakhine');
EXECUTE geo_sea_plan('Indian Ocean', 'mm', 'Rangoon');
EXECUTE geo_sea_plan('Atlantic Ocean', 'mr', 'Dakhlet Nouadhibou');
EXECUTE geo_sea_plan('Atlantic Ocean', 'mr', 'Inshiri');
EXECUTE geo_sea_plan('Atlantic Ocean', 'mr', 'Nouakchott');
EXECUTE geo_sea_plan('Atlantic Ocean', 'mr', 'Trarza');
EXECUTE geo_sea_plan('Mediterranean Sea', 'mt', 'Gozo and Comino');
EXECUTE geo_sea_plan('Mediterranean Sea', 'mt', 'Inner Harbour');
EXECUTE geo_sea_plan('Mediterranean Sea', 'mt', 'Northern');
EXECUTE geo_sea_plan('Mediterranean Sea', 'mt', 'Outer Harbour');
EXECUTE geo_sea_plan('Mediterranean Sea', 'mt', 'South Eastern');
EXECUTE geo_sea_plan('Mediterranean Sea', 'mt', 'Western');
EXECUTE geo_sea_plan('Indian Ocean', 'mu', 'Black River');
EXECUTE geo_sea_plan('Indian Ocean', 'mu', 'Flacq');
EXECUTE geo_sea_plan('Indian Ocean', 'mu', 'Grand Port');
EXECUTE geo_sea_plan('Indian Ocean', 'mu', 'Pamplemousses');
EXECUTE geo_sea_plan('Indian Ocean', 'mu', 'Port Louis');
EXECUTE geo_sea_plan('Indian Ocean', 'mu', 'Riviere du Rempart');
EXECUTE geo_sea_plan('Indian Ocean', 'mu', 'Rodrigues');
EXECUTE geo_sea_plan('Indian Ocean', 'mu', 'Savanne');
EXECUTE geo_sea_plan('Pacific Ocean', 'mv', 'Alif Alif');
EXECUTE geo_sea_plan('Pacific Ocean', 'mv', 'Alif Dhaal');
EXECUTE geo_sea_plan('Pacific Ocean', 'mv', 'Baa');
EXECUTE geo_sea_plan('Pacific Ocean', 'mv', 'Dhaal');
EXECUTE geo_sea_plan('Pacific Ocean', 'mv', 'Faaf');
EXECUTE geo_sea_plan('Pacific Ocean', 'mv', 'Gaaf Alif');
EXECUTE geo_sea_plan('Pacific Ocean', 'mv', 'Gaaf Dhaal');
EXECUTE geo_sea_plan('Pacific Ocean', 'mv', 'Ghaviyani');
EXECUTE geo_sea_plan('Pacific Ocean', 'mv', 'Haa Alif');
EXECUTE geo_sea_plan('Pacific Ocean', 'mv', 'Haa Dhaal');
EXECUTE geo_sea_plan('Pacific Ocean', 'mv', 'Kaaf');
EXECUTE geo_sea_plan('Pacific Ocean', 'mv', 'Laam');
EXECUTE geo_sea_plan('Pacific Ocean', 'mv', 'Lhaviyani');
EXECUTE geo_sea_plan('Pacific Ocean', 'mv', 'Male');
EXECUTE geo_sea_plan('Pacific Ocean', 'mv', 'Miim');
EXECUTE geo_sea_plan('Pacific Ocean', 'mv', 'Nuun');
EXECUTE geo_sea_plan('Pacific Ocean', 'mv', 'Raa');
EXECUTE geo_sea_plan('Pacific Ocean', 'mv', 'Shaviyani');
EXECUTE geo_sea_plan('Pacific Ocean', 'mv', 'Siin');
EXECUTE geo_sea_plan('Pacific Ocean', 'mv', 'Thaa');
EXECUTE geo_sea_plan('Pacific Ocean', 'mv', 'Vaav');
EXECUTE geo_sea_plan('Pacific Ocean', 'mx', 'Baja California');
EXECUTE geo_sea_plan('Pacific Ocean', 'mx', 'Baja California Sur');
EXECUTE geo_sea_plan('Gulf of Mexico', 'mx', 'Campeche');
EXECUTE geo_sea_plan('Pacific Ocean', 'mx', 'Chiapas');
EXECUTE geo_sea_plan('Pacific Ocean', 'mx', 'Colima');
EXECUTE geo_sea_plan('Pacific Ocean', 'mx', 'Guerrero');
EXECUTE geo_sea_plan('Pacific Ocean', 'mx', 'Jalisco');
EXECUTE geo_sea_plan('Pacific Ocean', 'mx', 'Michoacan');
EXECUTE geo_sea_plan('Pacific Ocean', 'mx', 'Nayarit');
EXECUTE geo_sea_plan('Pacific Ocean', 'mx', 'Oaxaca');
EXECUTE geo_sea_plan('Caribbean Sea', 'mx', 'Quintana Roo');
EXECUTE geo_sea_plan('Pacific Ocean', 'mx', 'Sinaloa');
EXECUTE geo_sea_plan('Pacific Ocean', 'mx', 'Sonora');
EXECUTE geo_sea_plan('Gulf of Mexico', 'mx', 'Tabasco');
EXECUTE geo_sea_plan('Gulf of Mexico', 'mx', 'Tamaulipas');
EXECUTE geo_sea_plan('Gulf of Mexico', 'mx', 'Veracruz');
EXECUTE geo_sea_plan('Caribbean Sea', 'mx', 'Yucatan');
EXECUTE geo_sea_plan('Gulf of Mexico', 'mx', 'Yucatan');
EXECUTE geo_sea_plan('Indian Ocean', 'my', 'Johor');
EXECUTE geo_sea_plan('South China Sea', 'my', 'Johor');
EXECUTE geo_sea_plan('Indian Ocean', 'my', 'Kedah');
EXECUTE geo_sea_plan('South China Sea', 'my', 'Kelantan');
EXECUTE geo_sea_plan('Indian Ocean', 'my', 'Melaka');
EXECUTE geo_sea_plan('Indian Ocean', 'my', 'Negeri Sembilan');
EXECUTE geo_sea_plan('South China Sea', 'my', 'Pahang');
EXECUTE geo_sea_plan('Indian Ocean', 'my', 'Perak');
EXECUTE geo_sea_plan('Indian Ocean', 'my', 'Perlis');
EXECUTE geo_sea_plan('South China Sea', 'my', 'Sabah');
EXECUTE geo_sea_plan('South China Sea', 'my', 'Sarawak');
EXECUTE geo_sea_plan('Indian Ocean', 'my', 'Selangor');
EXECUTE geo_sea_plan('South China Sea', 'my', 'Terengganu');
EXECUTE geo_sea_plan('Indian Ocean', 'mz', 'Cabo Delgado');
EXECUTE geo_sea_plan('Indian Ocean', 'mz', 'Gaza');
EXECUTE geo_sea_plan('Indian Ocean', 'mz', 'Inhambane');
EXECUTE geo_sea_plan('Indian Ocean', 'mz', 'Maputo');
EXECUTE geo_sea_plan('Indian Ocean', 'mz', 'Nampula');
EXECUTE geo_sea_plan('Indian Ocean', 'mz', 'Sofala');
EXECUTE geo_sea_plan('Indian Ocean', 'mz', 'Zambezia');
EXECUTE geo_sea_plan('Atlantic Ocean', 'na', 'Erongo');
EXECUTE geo_sea_plan('Atlantic Ocean', 'na', 'Hardap');
EXECUTE geo_sea_plan('Atlantic Ocean', 'na', 'Karas');
EXECUTE geo_sea_plan('Atlantic Ocean', 'na', 'Kunene');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ng', 'Akwa Ibom');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ng', 'Bayelsa');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ng', 'Cross River');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ng', 'Delta');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ng', 'Lagos');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ng', 'Ondo');
EXECUTE geo_sea_plan('Atlantic Ocean', 'ng', 'Rivers');
EXECUTE geo_sea_plan('Caribbean Sea', 'ni', 'Atlantico Norte');
EXECUTE geo_sea_plan('Caribbean Sea', 'ni', 'Atlantico Sur');
EXECUTE geo_sea_plan('Pacific Ocean', 'ni', 'Carazo');
EXECUTE geo_sea_plan('Pacific Ocean', 'ni', 'Chinandega');
EXECUTE geo_sea_plan('Pacific Ocean', 'ni', 'Leon');
EXECUTE geo_sea_plan('Pacific Ocean', 'ni', 'Managua');
EXECUTE geo_sea_plan('Caribbean Sea', 'ni', 'Rio San Juan');
EXECUTE geo_sea_plan('Pacific Ocean', 'ni', 'Rivas');
EXECUTE geo_sea_plan('North Sea', 'nl', 'Friesland');
EXECUTE geo_sea_plan('North Sea', 'nl', 'Groningen');
EXECUTE geo_sea_plan('North Sea', 'nl', 'Noord-Holland');
EXECUTE geo_sea_plan('North Sea', 'nl', 'Zeeland');
EXECUTE geo_sea_plan('North Sea', 'nl', 'Zuid-Holland');
EXECUTE geo_sea_plan('North Sea', 'no', 'Akershus');
EXECUTE geo_sea_plan('North Sea', 'no', 'Aust-Agder');
EXECUTE geo_sea_plan('North Sea', 'no', 'Buskerud');
EXECUTE geo_sea_plan('Arctic Ocean', 'no', 'Finnmark');
EXECUTE geo_sea_plan('Norwegian Sea', 'no', 'Finnmark');
EXECUTE geo_sea_plan('North Sea', 'no', 'Hordaland');
EXECUTE geo_sea_plan('Norwegian Sea', 'no', 'More og Romsdal');
EXECUTE geo_sea_plan('Norwegian Sea', 'no', 'Nord-Trondelag');
EXECUTE geo_sea_plan('Norwegian Sea', 'no', 'Nordland');
EXECUTE geo_sea_plan('North Sea', 'no', 'Oslo');
EXECUTE geo_sea_plan('North Sea', 'no', 'Ostfold');
EXECUTE geo_sea_plan('North Sea', 'no', 'Rogaland');
EXECUTE geo_sea_plan('Norwegian Sea', 'no', 'Sogn og Fjordane');
EXECUTE geo_sea_plan('Norwegian Sea', 'no', 'Sor-Trondelag');
EXECUTE geo_sea_plan('North Sea', 'no', 'Telemark');
EXECUTE geo_sea_plan('Norwegian Sea', 'no', 'Troms');
EXECUTE geo_sea_plan('North Sea', 'no', 'Vest-Agder');
EXECUTE geo_sea_plan('North Sea', 'no', 'Vestfold');
EXECUTE geo_sea_plan('Pacific Ocean', 'nr', 'Aiwo');
EXECUTE geo_sea_plan('Pacific Ocean', 'nr', 'Anabar');
EXECUTE geo_sea_plan('Pacific Ocean', 'nr', 'Anetan');
EXECUTE geo_sea_plan('Pacific Ocean', 'nr', 'Anibare');
EXECUTE geo_sea_plan('Pacific Ocean', 'nr', 'Baiti');
EXECUTE geo_sea_plan('Pacific Ocean', 'nr', 'Boe');
EXECUTE geo_sea_plan('Pacific Ocean', 'nr', 'Buada');
EXECUTE geo_sea_plan('Pacific Ocean', 'nr', 'Denigomudu');
EXECUTE geo_sea_plan('Pacific Ocean', 'nr', 'Ewa');
EXECUTE geo_sea_plan('Pacific Ocean', 'nr', 'Ijuw');
EXECUTE geo_sea_plan('Pacific Ocean', 'nr', 'Meneng');
EXECUTE geo_sea_plan('Pacific Ocean', 'nr', 'Nibok');
EXECUTE geo_sea_plan('Pacific Ocean', 'nr', 'Uaboe');
EXECUTE geo_sea_plan('Pacific Ocean', 'nr', 'Yaren');
EXECUTE geo_sea_plan('Pacific Ocean', 'nz', 'Area Outside Region');
EXECUTE geo_sea_plan('Pacific Ocean', 'nz', 'Auckland');
EXECUTE geo_sea_plan('Pacific Ocean', 'nz', 'Bay of Plenty');
EXECUTE geo_sea_plan('Pacific Ocean', 'nz', 'Canterbury');
EXECUTE geo_sea_plan('Pacific Ocean', 'nz', 'Gisborne');
EXECUTE geo_sea_plan('Pacific Ocean', 'nz', 'Hawkes Bay');
EXECUTE geo_sea_plan('Pacific Ocean', 'nz', 'Manawatu-Wanganui');
EXECUTE geo_sea_plan('Pacific Ocean', 'nz', 'Marlborough');
EXECUTE geo_sea_plan('Pacific Ocean', 'nz', 'Nelson');
EXECUTE geo_sea_plan('Pacific Ocean', 'nz', 'Northland');
EXECUTE geo_sea_plan('Pacific Ocean', 'nz', 'Otago');
EXECUTE geo_sea_plan('Pacific Ocean', 'nz', 'Southland');
EXECUTE geo_sea_plan('Pacific Ocean', 'nz', 'Taranaki');
EXECUTE geo_sea_plan('Pacific Ocean', 'nz', 'Tasman');
EXECUTE geo_sea_plan('Pacific Ocean', 'nz', 'Waikato');
EXECUTE geo_sea_plan('Pacific Ocean', 'nz', 'Wellington');
EXECUTE geo_sea_plan('Pacific Ocean', 'nz', 'West Coast');
EXECUTE geo_sea_plan('Persian Gulf', 'om', 'Musandam');
EXECUTE geo_sea_plan('Persian Gulf', 'om', 'Muscat');
EXECUTE geo_sea_plan('Arabian Sea', 'om', 'Zufar');
EXECUTE geo_sea_plan('Persian Gulf', 'om', 'al-Batinah');
EXECUTE geo_sea_plan('Arabian Sea', 'om', 'al-Wusta');
EXECUTE geo_sea_plan('Arabian Sea', 'om', 'as-Sarqiyah');
EXECUTE geo_sea_plan('Persian Gulf', 'om', 'as-Sarqiyah');
EXECUTE geo_sea_plan('Caribbean Sea', 'pa', 'Bocas del Toro');
EXECUTE geo_sea_plan('Pacific Ocean', 'pa', 'Chiriqui');
EXECUTE geo_sea_plan('Pacific Ocean', 'pa', 'Cocle');
EXECUTE geo_sea_plan('Caribbean Sea', 'pa', 'Colon');
EXECUTE geo_sea_plan('Pacific Ocean', 'pa', 'Darien');
EXECUTE geo_sea_plan('Pacific Ocean', 'pa', 'Herrera');
EXECUTE geo_sea_plan('Caribbean Sea', 'pa', 'Kuna Yala');
EXECUTE geo_sea_plan('Pacific Ocean', 'pa', 'Los Santos');
EXECUTE geo_sea_plan('Pacific Ocean', 'pa', 'Panama');
EXECUTE geo_sea_plan('Pacific Ocean', 'pa', 'Veraguas');
EXECUTE geo_sea_plan('Pacific Ocean', 'pe', 'Ancash');
EXECUTE geo_sea_plan('Pacific Ocean', 'pe', 'Arequipa');
EXECUTE geo_sea_plan('Pacific Ocean', 'pe', 'Ica');
EXECUTE geo_sea_plan('Pacific Ocean', 'pe', 'La Libertad');
EXECUTE geo_sea_plan('Pacific Ocean', 'pe', 'Lambayeque');
EXECUTE geo_sea_plan('Pacific Ocean', 'pe', 'Lima y Callao');
EXECUTE geo_sea_plan('Pacific Ocean', 'pe', 'Moquegua');
EXECUTE geo_sea_plan('Pacific Ocean', 'pe', 'Piura');
EXECUTE geo_sea_plan('Pacific Ocean', 'pe', 'Tacna');
EXECUTE geo_sea_plan('Pacific Ocean', 'pe', 'Tumbes');
EXECUTE geo_sea_plan('Pacific Ocean', 'ph', 'Bicol');
EXECUTE geo_sea_plan('Pacific Ocean', 'ph', 'Cagayan Valley');
EXECUTE geo_sea_plan('Pacific Ocean', 'ph', 'Caraga');
EXECUTE geo_sea_plan('Pacific Ocean', 'ph', 'Central Luzon');
EXECUTE geo_sea_plan('South China Sea', 'ph', 'Central Luzon');
EXECUTE geo_sea_plan('Pacific Ocean', 'ph', 'Central Mindanao');
EXECUTE geo_sea_plan('South China Sea', 'ph', 'Central Mindanao');
EXECUTE geo_sea_plan('Pacific Ocean', 'ph', 'Central Visayas');
EXECUTE geo_sea_plan('South China Sea', 'ph', 'Central Visayas');
EXECUTE geo_sea_plan('Pacific Ocean', 'ph', 'Eastern Visayas');
EXECUTE geo_sea_plan('Pacific Ocean', 'ph', 'Ilocos');
EXECUTE geo_sea_plan('South China Sea', 'ph', 'Ilocos');
EXECUTE geo_sea_plan('Pacific Ocean', 'ph', 'Muslim Mindanao');
EXECUTE geo_sea_plan('South China Sea', 'ph', 'Muslim Mindanao');
EXECUTE geo_sea_plan('Pacific Ocean', 'ph', 'National Capital Region');
EXECUTE geo_sea_plan('South China Sea', 'ph', 'National Capital Region');
EXECUTE geo_sea_plan('Pacific Ocean', 'ph', 'Northern Mindanao');
EXECUTE geo_sea_plan('Pacific Ocean', 'ph', 'Southern Mindanao');
EXECUTE geo_sea_plan('Pacific Ocean', 'ph', 'Southern Tagalog');
EXECUTE geo_sea_plan('South China Sea', 'ph', 'Southern Tagalog');
EXECUTE geo_sea_plan('Pacific Ocean', 'ph', 'Western Mindanao');
EXECUTE geo_sea_plan('South China Sea', 'ph', 'Western Mindanao');
EXECUTE geo_sea_plan('Pacific Ocean', 'ph', 'Western Visayas');
EXECUTE geo_sea_plan('South China Sea', 'ph', 'Western Visayas');
EXECUTE geo_sea_plan('Arabian Sea', 'pk', 'Baluchistan');
EXECUTE geo_sea_plan('Indian Ocean', 'pk', 'Baluchistan');
EXECUTE geo_sea_plan('Arabian Sea', 'pk', 'Sind');
EXECUTE geo_sea_plan('Indian Ocean', 'pk', 'Sind');
EXECUTE geo_sea_plan('Baltic Sea', 'pl', 'Pomorskie');
EXECUTE geo_sea_plan('Baltic Sea', 'pl', 'Warminsko-Mazurskie');
EXECUTE geo_sea_plan('Baltic Sea', 'pl', 'Zachodnio-Pomorskie');
EXECUTE geo_sea_plan('Mediterranean Sea', 'ps', 'Gaza Strip');
EXECUTE geo_sea_plan('Atlantic Ocean', 'pt', 'Acores');
EXECUTE geo_sea_plan('Atlantic Ocean', 'pt', 'Alentejo');
EXECUTE geo_sea_plan('Atlantic Ocean', 'pt', 'Algarve');
EXECUTE geo_sea_plan('Atlantic Ocean', 'pt', 'Centro');
EXECUTE geo_sea_plan('Atlantic Ocean', 'pt', 'Lisboa e Vale do Tejo');
EXECUTE geo_sea_plan('Atlantic Ocean', 'pt', 'Madeira');
EXECUTE geo_sea_plan('Atlantic Ocean', 'pt', 'Norte');
EXECUTE geo_sea_plan('Pacific Ocean', 'pw', 'Aimeliik');
EXECUTE geo_sea_plan('Pacific Ocean', 'pw', 'Airai');
EXECUTE geo_sea_plan('Pacific Ocean', 'pw', 'Angaur');
EXECUTE geo_sea_plan('Pacific Ocean', 'pw', 'Hatobohei');
EXECUTE geo_sea_plan('Pacific Ocean', 'pw', 'Kayangel');
EXECUTE geo_sea_plan('Pacific Ocean', 'pw', 'Koror');
EXECUTE geo_sea_plan('Pacific Ocean', 'pw', 'Melekeok');
EXECUTE geo_sea_plan('Pacific Ocean', 'pw', 'Ngaraard');
EXECUTE geo_sea_plan('Pacific Ocean', 'pw', 'Ngardmau');
EXECUTE geo_sea_plan('Pacific Ocean', 'pw', 'Ngaremlengui');
EXECUTE geo_sea_plan('Pacific Ocean', 'pw', 'Ngatpang');
EXECUTE geo_sea_plan('Pacific Ocean', 'pw', 'Ngchesar');
EXECUTE geo_sea_plan('Pacific Ocean', 'pw', 'Ngerchelong');
EXECUTE geo_sea_plan('Pacific Ocean', 'pw', 'Ngiwal');
EXECUTE geo_sea_plan('Pacific Ocean', 'pw', 'Peleliu');
EXECUTE geo_sea_plan('Pacific Ocean', 'pw', 'Sonsorol');
EXECUTE geo_sea_plan('Persian Gulf', 'qa', 'Doha');
EXECUTE geo_sea_plan('Persian Gulf', 'qa', 'Jariyan al-Batnah');
EXECUTE geo_sea_plan('Persian Gulf', 'qa', 'Khor');
EXECUTE geo_sea_plan('Persian Gulf', 'qa', 'Musayid');
EXECUTE geo_sea_plan('Persian Gulf', 'qa', 'Umm Salal');
EXECUTE geo_sea_plan('Persian Gulf', 'qa', 'al-Guwayriyah');
EXECUTE geo_sea_plan('Persian Gulf', 'qa', 'al-Jumayliyah');
EXECUTE geo_sea_plan('Persian Gulf', 'qa', 'al-Wakrah');
EXECUTE geo_sea_plan('Persian Gulf', 'qa', 'as-Samal');
EXECUTE geo_sea_plan('Black Sea', 'ro', 'Constanta');
EXECUTE geo_sea_plan('Black Sea', 'ro', 'Tulcea');
EXECUTE geo_sea_plan('Arctic Ocean', 'ru', 'Arkhangelsk');
EXECUTE geo_sea_plan('Baltic Sea', 'ru', 'Kaliningrad');
EXECUTE geo_sea_plan('Pacific Ocean', 'ru', 'Kamchatka');
EXECUTE geo_sea_plan('Sea of Japan', 'ru', 'Kamchatka');
EXECUTE geo_sea_plan('Sea of Japan', 'ru', 'Khabarovsk Krai');
EXECUTE geo_sea_plan('Black Sea', 'ru', 'Krasnodar');
EXECUTE geo_sea_plan('Sea of Azov', 'ru', 'Krasnodar');
EXECUTE geo_sea_plan('Arctic Ocean', 'ru', 'Krasnoyarsk');
EXECUTE geo_sea_plan('Baltic Sea', 'ru', 'Leningrad');
EXECUTE geo_sea_plan('Arctic Ocean', 'ru', 'Magadan');
EXECUTE geo_sea_plan('Sea of Japan', 'ru', 'Magadan');
EXECUTE geo_sea_plan('Arctic Ocean', 'ru', 'Murmansk');
EXECUTE geo_sea_plan('Sea of Japan', 'ru', 'Primorski');
EXECUTE geo_sea_plan('Sea of Azov', 'ru', 'Rostov');
EXECUTE geo_sea_plan('Sea of Japan', 'ru', 'Sakhalin');
EXECUTE geo_sea_plan('Arctic Ocean', 'ru', 'Tyumen');
EXECUTE geo_sea_plan('Arctic Ocean', 'ru', 'Yakutia');
EXECUTE geo_sea_plan('Red Sea', 'sa', 'Jizan');
EXECUTE geo_sea_plan('Red Sea', 'sa', 'Makkah');
EXECUTE geo_sea_plan('Red Sea', 'sa', 'Tabuk');
EXECUTE geo_sea_plan('Red Sea', 'sa', 'al-Madinah');
EXECUTE geo_sea_plan('Persian Gulf', 'sa', 'as-Sarqiyah');
EXECUTE geo_sea_plan('Pacific Ocean', 'sb', 'Central');
EXECUTE geo_sea_plan('Pacific Ocean', 'sb', 'Choiseul');
EXECUTE geo_sea_plan('Pacific Ocean', 'sb', 'Guadalcanal');
EXECUTE geo_sea_plan('Pacific Ocean', 'sb', 'Honiara');
EXECUTE geo_sea_plan('Pacific Ocean', 'sb', 'Isabel');
EXECUTE geo_sea_plan('Pacific Ocean', 'sb', 'Makira and Ulawa');
EXECUTE geo_sea_plan('Pacific Ocean', 'sb', 'Malaita');
EXECUTE geo_sea_plan('Pacific Ocean', 'sb', 'Rennell and Bellona');
EXECUTE geo_sea_plan('Pacific Ocean', 'sb', 'Temotu');
EXECUTE geo_sea_plan('Pacific Ocean', 'sb', 'Western');
EXECUTE geo_sea_plan('Indian Ocean', 'sc', 'Anse Boileau');
EXECUTE geo_sea_plan('Indian Ocean', 'sc', 'Anse Etoile');
EXECUTE geo_sea_plan('Indian Ocean', 'sc', 'Anse Royale');
EXECUTE geo_sea_plan('Indian Ocean', 'sc', 'Anse aux Pins');
EXECUTE geo_sea_plan('Indian Ocean', 'sc', 'Au Cap');
EXECUTE geo_sea_plan('Indian Ocean', 'sc', 'Baie Lazare');
EXECUTE geo_sea_plan('Indian Ocean', 'sc', 'Baie Sainte Anne');
EXECUTE geo_sea_plan('Indian Ocean', 'sc', 'Beau Vallon');
EXECUTE geo_sea_plan('Indian Ocean', 'sc', 'Belombre');
EXECUTE geo_sea_plan('Indian Ocean', 'sc', 'Cascade');
EXECUTE geo_sea_plan('Indian Ocean', 'sc', 'English River');
EXECUTE geo_sea_plan('Indian Ocean', 'sc', 'Glacis');
EXECUTE geo_sea_plan('Indian Ocean', 'sc', 'Grand Anse Mahe');
EXECUTE geo_sea_plan('Indian Ocean', 'sc', 'Grand Anse Praslin');
EXECUTE geo_sea_plan('Indian Ocean', 'sc', 'La Digue and Inner Islands');
EXECUTE geo_sea_plan('Indian Ocean', 'sc', 'Les Mamelles');
EXECUTE geo_sea_plan('Indian Ocean', 'sc', 'Mont Fleuri');
EXECUTE geo_sea_plan('Indian Ocean', 'sc', 'Outer Islands');
EXECUTE geo_sea_plan('Indian Ocean', 'sc', 'Plaisance');
EXECUTE geo_sea_plan('Indian Ocean', 'sc', 'Pointe Larue');
EXECUTE geo_sea_plan('Indian Ocean', 'sc', 'Port Glaud');
EXECUTE geo_sea_plan('Indian Ocean', 'sc', 'Roche Caiman');
EXECUTE geo_sea_plan('Indian Ocean', 'sc', 'Saint Louis');
EXECUTE geo_sea_plan('Indian Ocean', 'sc', 'Takamaka');
EXECUTE geo_sea_plan('Red Sea', 'sd', 'al-Bahr-al-Ahmar');
EXECUTE geo_sea_plan('Baltic Sea', 'se', 'Blekinge');
EXECUTE geo_sea_plan('North Sea', 'se', 'Blekinge');
EXECUTE geo_sea_plan('Baltic Sea', 'se', 'Gaevleborg');
EXECUTE geo_sea_plan('North Sea', 'se', 'Gaevleborg');
EXECUTE geo_sea_plan('Baltic Sea', 'se', 'Gotland');
EXECUTE geo_sea_plan('North Sea', 'se', 'Gotland');
EXECUTE geo_sea_plan('Baltic Sea', 'se', 'Halland');
EXECUTE geo_sea_plan('North Sea', 'se', 'Halland');
EXECUTE geo_sea_plan('Baltic Sea', 'se', 'Kalmar');
EXECUTE geo_sea_plan('North Sea', 'se', 'Kalmar');
EXECUTE geo_sea_plan('Baltic Sea', 'se', 'Norrbotten');
EXECUTE geo_sea_plan('North Sea', 'se', 'Norrbotten');
EXECUTE geo_sea_plan('Baltic Sea', 'se', 'Oestergoetland');
EXECUTE geo_sea_plan('North Sea', 'se', 'Oestergoetland');
EXECUTE geo_sea_plan('Baltic Sea', 'se', 'Skane');
EXECUTE geo_sea_plan('North Sea', 'se', 'Skane');
EXECUTE geo_sea_plan('Baltic Sea', 'se', 'Soedermanland');
EXECUTE geo_sea_plan('North Sea', 'se', 'Soedermanland');
EXECUTE geo_sea_plan('Baltic Sea', 'se', 'Stockholm');
EXECUTE geo_sea_plan('North Sea', 'se', 'Stockholm');
EXECUTE geo_sea_plan('Baltic Sea', 'se', 'Uppsala');
EXECUTE geo_sea_plan('North Sea', 'se', 'Uppsala');
EXECUTE geo_sea_plan('Baltic Sea', 'se', 'Vaesterbotten');
EXECUTE geo_sea_plan('North Sea', 'se', 'Vaesterbotten');
EXECUTE geo_sea_plan('Baltic Sea', 'se', 'Vaesternorrland');
EXECUTE geo_sea_plan('North Sea', 'se', 'Vaesternorrland');
EXECUTE geo_sea_plan('Baltic Sea', 'se', 'Vaestra Goetaland');
EXECUTE geo_sea_plan('North Sea', 'se', 'Vaestra Goetaland');
EXECUTE geo_sea_plan('Indian Ocean', 'sg', 'Singapore');
EXECUTE geo_sea_plan('Atlantic Ocean', 'sl', 'Northern');
EXECUTE geo_sea_plan('Atlantic Ocean', 'sl', 'Southern');
EXECUTE geo_sea_plan('Atlantic Ocean', 'sl', 'Western');
EXECUTE geo_sea_plan('Atlantic Ocean', 'sn', 'Dakar');
EXECUTE geo_sea_plan('Atlantic Ocean', 'sn', 'Fatick');
EXECUTE geo_sea_plan('Atlantic Ocean', 'sn', 'Louga');
EXECUTE geo_sea_plan('Atlantic Ocean', 'sn', 'Saint-Louis');
EXECUTE geo_sea_plan('Atlantic Ocean', 'sn', 'Thies');
EXECUTE geo_sea_plan('Atlantic Ocean', 'sn', 'Ziguinchor');
EXECUTE geo_sea_plan('Gulf of Aden', 'so', 'Awdal');
EXECUTE geo_sea_plan('Indian Ocean', 'so', 'Banadir');
EXECUTE geo_sea_plan('Gulf of Aden', 'so', 'Bari');
EXECUTE geo_sea_plan('Indian Ocean', 'so', 'Bari');
EXECUTE geo_sea_plan('Indian Ocean', 'so', 'Galgudud');
EXECUTE geo_sea_plan('Indian Ocean', 'so', 'Jubbada Dexe');
EXECUTE geo_sea_plan('Indian Ocean', 'so', 'Jubbada Hose');
EXECUTE geo_sea_plan('Indian Ocean', 'so', 'Mudug');
EXECUTE geo_sea_plan('Indian Ocean', 'so', 'Nugal');
EXECUTE geo_sea_plan('Indian Ocean', 'so', 'Sabellaha Dexe');
EXECUTE geo_sea_plan('Indian Ocean', 'so', 'Sabellaha Hose');
EXECUTE geo_sea_plan('Gulf of Aden', 'so', 'Sanag');
EXECUTE geo_sea_plan('Gulf of Aden', 'so', 'Woqoyi Galbed');
EXECUTE geo_sea_plan('Atlantic Ocean', 'sr', 'Commewijne');
EXECUTE geo_sea_plan('Atlantic Ocean', 'sr', 'Coronie');
EXECUTE geo_sea_plan('Atlantic Ocean', 'sr', 'Marowijne');
EXECUTE geo_sea_plan('Atlantic Ocean', 'sr', 'Nickerie');
EXECUTE geo_sea_plan('Atlantic Ocean', 'sr', 'Paramaribo');
EXECUTE geo_sea_plan('Atlantic Ocean', 'sr', 'Saramacca');
EXECUTE geo_sea_plan('Atlantic Ocean', 'sr', 'Wanica');
EXECUTE geo_sea_plan('Atlantic Ocean', 'st', 'Agua Grande');
EXECUTE geo_sea_plan('Atlantic Ocean', 'st', 'Cantagalo');
EXECUTE geo_sea_plan('Atlantic Ocean', 'st', 'Caue');
EXECUTE geo_sea_plan('Atlantic Ocean', 'st', 'Lemba');
EXECUTE geo_sea_plan('Atlantic Ocean', 'st', 'Lobata');
EXECUTE geo_sea_plan('Atlantic Ocean', 'st', 'Me-Zochi');
EXECUTE geo_sea_plan('Atlantic Ocean', 'st', 'Pague');
EXECUTE geo_sea_plan('Pacific Ocean', 'sv', 'Ahuachapan');
EXECUTE geo_sea_plan('Pacific Ocean', 'sv', 'La Libertad');
EXECUTE geo_sea_plan('Pacific Ocean', 'sv', 'La Paz');
EXECUTE geo_sea_plan('Pacific Ocean', 'sv', 'La Union');
EXECUTE geo_sea_plan('Pacific Ocean', 'sv', 'San Miguel');
EXECUTE geo_sea_plan('Pacific Ocean', 'sv', 'Sonsonate');
EXECUTE geo_sea_plan('Pacific Ocean', 'sv', 'Usulutan');
EXECUTE geo_sea_plan('Mediterranean Sea', 'sy', 'Tartus');
EXECUTE geo_sea_plan('Mediterranean Sea', 'sy', 'al-Ladiqiyah');
EXECUTE geo_sea_plan('Atlantic Ocean', 'tg', 'Maritime');
EXECUTE geo_sea_plan('South China Sea', 'th', 'Chanthaburi');
EXECUTE geo_sea_plan('South China Sea', 'th', 'Chon Buri');
EXECUTE geo_sea_plan('Indian Ocean', 'th', 'Chumphon');
EXECUTE geo_sea_plan('South China Sea', 'th', 'Chumphon');
EXECUTE geo_sea_plan('Indian Ocean', 'th', 'Krabi');
EXECUTE geo_sea_plan('South China Sea', 'th', 'Nakhon Si Thammarat');
EXECUTE geo_sea_plan('South China Sea', 'th', 'Narathiwat');
EXECUTE geo_sea_plan('South China Sea', 'th', 'Pattani');
EXECUTE geo_sea_plan('Indian Ocean', 'th', 'Phangnga');
EXECUTE geo_sea_plan('South China Sea', 'th', 'Phatthalung');
EXECUTE geo_sea_plan('Indian Ocean', 'th', 'Phetchaburi');
EXECUTE geo_sea_plan('Indian Ocean', 'th', 'Phuket');
EXECUTE geo_sea_plan('Indian Ocean', 'th', 'Prachuap Khiri Khan');
EXECUTE geo_sea_plan('South China Sea', 'th', 'Prachuap Khiri Khan');
EXECUTE geo_sea_plan('Indian Ocean', 'th', 'Ranong');
EXECUTE geo_sea_plan('South China Sea', 'th', 'Rayong');
EXECUTE geo_sea_plan('South China Sea', 'th', 'Samut Prakan');
EXECUTE geo_sea_plan('South China Sea', 'th', 'Samut Sakhon');
EXECUTE geo_sea_plan('South China Sea', 'th', 'Samut Songkhran');
EXECUTE geo_sea_plan('Indian Ocean', 'th', 'Satun');
EXECUTE geo_sea_plan('Indian Ocean', 'th', 'Songkhla');
EXECUTE geo_sea_plan('South China Sea', 'th', 'Songkhla');
EXECUTE geo_sea_plan('South China Sea', 'th', 'Surat Thani');
EXECUTE geo_sea_plan('Indian Ocean', 'th', 'Trang');
EXECUTE geo_sea_plan('South China Sea', 'th', 'Trat');
EXECUTE geo_sea_plan('Indian Ocean', 'th', 'Yala');
EXECUTE geo_sea_plan('Mediterranean Sea', 'tn', 'Aryanah');
EXECUTE geo_sea_plan('Mediterranean Sea', 'tn', 'Bajah');
EXECUTE geo_sea_plan('Mediterranean Sea', 'tn', 'Bin Arus');
EXECUTE geo_sea_plan('Mediterranean Sea', 'tn', 'Binzart');
EXECUTE geo_sea_plan('Mediterranean Sea', 'tn', 'Jundubah');
EXECUTE geo_sea_plan('Mediterranean Sea', 'tn', 'Madaniyin');
EXECUTE geo_sea_plan('Mediterranean Sea', 'tn', 'Nabul');
EXECUTE geo_sea_plan('Mediterranean Sea', 'tn', 'Qabis');
EXECUTE geo_sea_plan('Mediterranean Sea', 'tn', 'Safaqis');
EXECUTE geo_sea_plan('Mediterranean Sea', 'tn', 'Susah');
EXECUTE geo_sea_plan('Mediterranean Sea', 'tn', 'Tunis');
EXECUTE geo_sea_plan('Mediterranean Sea', 'tn', 'al-Mahdiyah');
EXECUTE geo_sea_plan('Mediterranean Sea', 'tn', 'al-Munastir');
EXECUTE geo_sea_plan('Pacific Ocean', 'to', 'Eua');
EXECUTE geo_sea_plan('Pacific Ocean', 'to', 'Haapai');
EXECUTE geo_sea_plan('Pacific Ocean', 'to', 'Niuas');
EXECUTE geo_sea_plan('Pacific Ocean', 'to', 'Tongatapu');
EXECUTE geo_sea_plan('Pacific Ocean', 'to', 'Vavau');
EXECUTE geo_sea_plan('Mediterranean Sea', 'tr', 'Adana');
EXECUTE geo_sea_plan('Mediterranean Sea', 'tr', 'Antalya');
EXECUTE geo_sea_plan('Black Sea', 'tr', 'Artvin');
EXECUTE geo_sea_plan('Mediterranean Sea', 'tr', 'Aydin');
EXECUTE geo_sea_plan('Mediterranean Sea', 'tr', 'Balikesir');
EXECUTE geo_sea_plan('Black Sea', 'tr', 'Bolu');
EXECUTE geo_sea_plan('Mediterranean Sea', 'tr', 'Canakkale');
EXECUTE geo_sea_plan('Black Sea', 'tr', 'Giresun');
EXECUTE geo_sea_plan('Mediterranean Sea', 'tr', 'Hatay');
EXECUTE geo_sea_plan('Mediterranean Sea', 'tr', 'Icel');
EXECUTE geo_sea_plan('Black Sea', 'tr', 'Istanbul');
EXECUTE geo_sea_plan('Mediterranean Sea', 'tr', 'Izmir');
EXECUTE geo_sea_plan('Black Sea', 'tr', 'Kastamonu');
EXECUTE geo_sea_plan('Black Sea', 'tr', 'Kirklareli');
EXECUTE geo_sea_plan('Black Sea', 'tr', 'Kocaeli');
EXECUTE geo_sea_plan('Mediterranean Sea', 'tr', 'Mugla');
EXECUTE geo_sea_plan('Black Sea', 'tr', 'Ordu');
EXECUTE geo_sea_plan('Black Sea', 'tr', 'Rize');
EXECUTE geo_sea_plan('Black Sea', 'tr', 'Sakarya');
EXECUTE geo_sea_plan('Black Sea', 'tr', 'Samsun');
EXECUTE geo_sea_plan('Black Sea', 'tr', 'Sinop');
EXECUTE geo_sea_plan('Black Sea', 'tr', 'Trabzon');
EXECUTE geo_sea_plan('Black Sea', 'tr', 'Zonguldak');
EXECUTE geo_sea_plan('Atlantic Ocean', 'tt', 'Chaguanas');
EXECUTE geo_sea_plan('Atlantic Ocean', 'tt', 'Couva-Tabaquite-Talparo');
EXECUTE geo_sea_plan('Atlantic Ocean', 'tt', 'Diego Martin');
EXECUTE geo_sea_plan('Atlantic Ocean', 'tt', 'Mayaro-Rio Claro');
EXECUTE geo_sea_plan('Atlantic Ocean', 'tt', 'Penal Debe');
EXECUTE geo_sea_plan('Atlantic Ocean', 'tt', 'Point Fortin');
EXECUTE geo_sea_plan('Atlantic Ocean', 'tt', 'Port of Spain');
EXECUTE geo_sea_plan('Atlantic Ocean', 'tt', 'Princes Town');
EXECUTE geo_sea_plan('Atlantic Ocean', 'tt', 'San Fernando');
EXECUTE geo_sea_plan('Atlantic Ocean', 'tt', 'San Juan-Laventville');
EXECUTE geo_sea_plan('Atlantic Ocean', 'tt', 'Sangre Grande');
EXECUTE geo_sea_plan('Atlantic Ocean', 'tt', 'Siparia');
EXECUTE geo_sea_plan('Atlantic Ocean', 'tt', 'Tobago');
EXECUTE geo_sea_plan('Atlantic Ocean', 'tt', 'Tunapuna-Piarco');
EXECUTE geo_sea_plan('Pacific Ocean', 'tv', 'Funafuti');
EXECUTE geo_sea_plan('Pacific Ocean', 'tv', 'Nanumanga');
EXECUTE geo_sea_plan('Pacific Ocean', 'tv', 'Nanumea');
EXECUTE geo_sea_plan('Pacific Ocean', 'tv', 'Niulakita');
EXECUTE geo_sea_plan('Pacific Ocean', 'tv', 'Niutao');
EXECUTE geo_sea_plan('Pacific Ocean', 'tv', 'Nui');
EXECUTE geo_sea_plan('Pacific Ocean', 'tv', 'Nukufetau');
EXECUTE geo_sea_plan('Pacific Ocean', 'tv', 'Nukulaelae');
EXECUTE geo_sea_plan('Pacific Ocean', 'tv', 'Vaitupu');
EXECUTE geo_sea_plan('Pacific Ocean', 'tw', 'Changhwa');
EXECUTE geo_sea_plan('Pacific Ocean', 'tw', 'Chiayi Hsien');
EXECUTE geo_sea_plan('Pacific Ocean', 'tw', 'Chiayi Shih');
EXECUTE geo_sea_plan('Pacific Ocean', 'tw', 'Hsinchu Hsien');
EXECUTE geo_sea_plan('Pacific Ocean', 'tw', 'Hsinchu Shih');
EXECUTE geo_sea_plan('Pacific Ocean', 'tw', 'Hualien');
EXECUTE geo_sea_plan('Pacific Ocean', 'tw', 'Ilan');
EXECUTE geo_sea_plan('Pacific Ocean', 'tw', 'Kaohsiung Hsien');
EXECUTE geo_sea_plan('South China Sea', 'tw', 'Kaohsiung Hsien');
EXECUTE geo_sea_plan('Pacific Ocean', 'tw', 'Kaohsiung Shih');
EXECUTE geo_sea_plan('South China Sea', 'tw', 'Kaohsiung Shih');
EXECUTE geo_sea_plan('East China Sea', 'tw', 'Keelung Shih');
EXECUTE geo_sea_plan('Pacific Ocean', 'tw', 'Keelung Shih');
EXECUTE geo_sea_plan('Pacific Ocean', 'tw', 'Kinmen');
EXECUTE geo_sea_plan('South China Sea', 'tw', 'Kinmen');
EXECUTE geo_sea_plan('Pacific Ocean', 'tw', 'Lienkang');
EXECUTE geo_sea_plan('Pacific Ocean', 'tw', 'Miaoli');
EXECUTE geo_sea_plan('Pacific Ocean', 'tw', 'Penghu');
EXECUTE geo_sea_plan('South China Sea', 'tw', 'Penghu');
EXECUTE geo_sea_plan('Pacific Ocean', 'tw', 'Pingtung');
EXECUTE geo_sea_plan('South China Sea', 'tw', 'Pingtung');
EXECUTE geo_sea_plan('Pacific Ocean', 'tw', 'Taichung Hsien');
EXECUTE geo_sea_plan('Pacific Ocean', 'tw', 'Taichung Shih');
EXECUTE geo_sea_plan('Pacific Ocean', 'tw', 'Tainan Hsien');
EXECUTE geo_sea_plan('South China Sea', 'tw', 'Tainan Hsien');
EXECUTE geo_sea_plan('Pacific Ocean', 'tw', 'Tainan Shih');
EXECUTE geo_sea_plan('South China Sea', 'tw', 'Tainan Shih');
EXECUTE geo_sea_plan('East China Sea', 'tw', 'Taipei Hsien');
EXECUTE geo_sea_plan('Pacific Ocean', 'tw', 'Taipei Hsien');
EXECUTE geo_sea_plan('Pacific Ocean', 'tw', 'Taipei Shih');
EXECUTE geo_sea_plan('Pacific Ocean', 'tw', 'Taitung');
EXECUTE geo_sea_plan('South China Sea', 'tw', 'Taitung');
EXECUTE geo_sea_plan('East China Sea', 'tw', 'Taoyuan');
EXECUTE geo_sea_plan('Pacific Ocean', 'tw', 'Taoyuan');
EXECUTE geo_sea_plan('Pacific Ocean', 'tw', 'Yunlin');
EXECUTE geo_sea_plan('Indian Ocean', 'tz', 'Dar es Salaam');
EXECUTE geo_sea_plan('Indian Ocean', 'tz', 'Lindi');
EXECUTE geo_sea_plan('Indian Ocean', 'tz', 'Mtwara');
EXECUTE geo_sea_plan('Indian Ocean', 'tz', 'Pwani');
EXECUTE geo_sea_plan('Indian Ocean', 'tz', 'Tanga');
EXECUTE geo_sea_plan('Sea of Azov', 'ua', 'Donetsk');
EXECUTE geo_sea_plan('Black Sea', 'ua', 'Khersonska');
EXECUTE geo_sea_plan('Sea of Azov', 'ua', 'Khersonska');
EXECUTE geo_sea_plan('Black Sea', 'ua', 'Krym');
EXECUTE geo_sea_plan('Sea of Azov', 'ua', 'Krym');
EXECUTE geo_sea_plan('Black Sea', 'ua', 'Mykolayivska');
EXECUTE geo_sea_plan('Black Sea', 'ua', 'Odeska');
EXECUTE geo_sea_plan('Sea of Azov', 'ua', 'Zaporizka');
EXECUTE geo_sea_plan('Atlantic Ocean', 'uk', 'England');
EXECUTE geo_sea_plan('Irish Sea', 'uk', 'England');
EXECUTE geo_sea_plan('North Sea', 'uk', 'England');
EXECUTE geo_sea_plan('Atlantic Ocean', 'uk', 'Northern Ireland');
EXECUTE geo_sea_plan('Irish Sea', 'uk', 'Northern Ireland');
EXECUTE geo_sea_plan('Atlantic Ocean', 'uk', 'Scotland');
EXECUTE geo_sea_plan('Irish Sea', 'uk', 'Scotland');
EXECUTE geo_sea_plan('North Sea', 'uk', 'Scotland');
EXECUTE geo_sea_plan('Norwegian Sea', 'uk', 'Scotland');
EXECUTE geo_sea_plan('Atlantic Ocean', 'uk', 'Wales');
EXECUTE geo_sea_plan('Irish Sea', 'uk', 'Wales');
EXECUTE geo_sea_plan('North Sea', 'uk', 'Wales');
EXECUTE geo_sea_plan('Gulf of Mexico', 'us', 'Alabama');
EXECUTE geo_sea_plan('Pacific Ocean', 'us', 'Alaska');
EXECUTE geo_sea_plan('Pacific Ocean', 'us', 'California');
EXECUTE geo_sea_plan('Atlantic Ocean', 'us', 'Connecticut');
EXECUTE geo_sea_plan('Atlantic Ocean', 'us', 'Delaware');
EXECUTE geo_sea_plan('Atlantic Ocean', 'us', 'Florida');
EXECUTE geo_sea_plan('Gulf of Mexico', 'us', 'Florida');
EXECUTE geo_sea_plan('Atlantic Ocean', 'us', 'Georgia');
EXECUTE geo_sea_plan('Pacific Ocean', 'us', 'Hawaii');
EXECUTE geo_sea_plan('Gulf of Mexico', 'us', 'Louisiana');
EXECUTE geo_sea_plan('Atlantic Ocean', 'us', 'Maine');
EXECUTE geo_sea_plan('Atlantic Ocean', 'us', 'Maryland');
EXECUTE geo_sea_plan('Atlantic Ocean', 'us', 'Massachusetts');
EXECUTE geo_sea_plan('Gulf of Mexico', 'us', 'Mississippi');
EXECUTE geo_sea_plan('Atlantic Ocean', 'us', 'New Hampshire');
EXECUTE geo_sea_plan('Atlantic Ocean', 'us', 'New Jersey');
EXECUTE geo_sea_plan('Atlantic Ocean', 'us', 'New York');
EXECUTE geo_sea_plan('Atlantic Ocean', 'us', 'North Carolina');
EXECUTE geo_sea_plan('Pacific Ocean', 'us', 'Oregon');
EXECUTE geo_sea_plan('Atlantic Ocean', 'us', 'Rhode Island');
EXECUTE geo_sea_plan('Atlantic Ocean', 'us', 'South Carolina');
EXECUTE geo_sea_plan('Gulf of Mexico', 'us', 'Texas');
EXECUTE geo_sea_plan('Atlantic Ocean', 'us', 'Virginia');
EXECUTE geo_sea_plan('Pacific Ocean', 'us', 'Washington');
EXECUTE geo_sea_plan('Atlantic Ocean', 'uy', 'Canelones');
EXECUTE geo_sea_plan('Atlantic Ocean', 'uy', 'Colonia');
EXECUTE geo_sea_plan('Atlantic Ocean', 'uy', 'Maldonado');
EXECUTE geo_sea_plan('Atlantic Ocean', 'uy', 'Montevideo');
EXECUTE geo_sea_plan('Atlantic Ocean', 'uy', 'Rocha');
EXECUTE geo_sea_plan('Atlantic Ocean', 'uy', 'San Jose');
EXECUTE geo_sea_plan('Atlantic Ocean', 'vc', 'Charlotte');
EXECUTE geo_sea_plan('Caribbean Sea', 'vc', 'Charlotte');
EXECUTE geo_sea_plan('Atlantic Ocean', 'vc', 'Grenadines');
EXECUTE geo_sea_plan('Caribbean Sea', 'vc', 'Grenadines');
EXECUTE geo_sea_plan('Atlantic Ocean', 'vc', 'Saint Andrew');
EXECUTE geo_sea_plan('Caribbean Sea', 'vc', 'Saint Andrew');
EXECUTE geo_sea_plan('Atlantic Ocean', 'vc', 'Saint David');
EXECUTE geo_sea_plan('Caribbean Sea', 'vc', 'Saint David');
EXECUTE geo_sea_plan('Atlantic Ocean', 'vc', 'Saint George');
EXECUTE geo_sea_plan('Caribbean Sea', 'vc', 'Saint George');
EXECUTE geo_sea_plan('Atlantic Ocean', 'vc', 'Saint Patrick');
EXECUTE geo_sea_plan('Caribbean Sea', 'vc', 'Saint Patrick');
EXECUTE geo_sea_plan('Caribbean Sea', 've', 'Anzoategui');
EXECUTE geo_sea_plan('Caribbean Sea', 've', 'Aragua');
EXECUTE geo_sea_plan('Caribbean Sea', 've', 'Carabobo');
EXECUTE geo_sea_plan('Atlantic Ocean', 've', 'Delta Amacuro');
EXECUTE geo_sea_plan('Caribbean Sea', 've', 'Delta Amacuro');
EXECUTE geo_sea_plan('Caribbean Sea', 've', 'Dependencias Federales');
EXECUTE geo_sea_plan('Caribbean Sea', 've', 'Distrito Capital');
EXECUTE geo_sea_plan('Caribbean Sea', 've', 'Falcon');
EXECUTE geo_sea_plan('Caribbean Sea', 've', 'Miranda');
EXECUTE geo_sea_plan('Caribbean Sea', 've', 'Monagas');
EXECUTE geo_sea_plan('Caribbean Sea', 've', 'Nueva Esparta');
EXECUTE geo_sea_plan('Caribbean Sea', 've', 'Sucre');
EXECUTE geo_sea_plan('Caribbean Sea', 've', 'Zulia');
EXECUTE geo_sea_plan('South China Sea', 'vn', 'Dong Bang Song Cuu Long');
EXECUTE geo_sea_plan('South China Sea', 'vn', 'Dong Bang Song Hong');
EXECUTE geo_sea_plan('South China Sea', 'vn', 'Dong Nam Bo');
EXECUTE geo_sea_plan('South China Sea', 'vn', 'Duyen Hai Mien Trung');
EXECUTE geo_sea_plan('South China Sea', 'vn', 'Khu Bon Cu');
EXECUTE geo_sea_plan('South China Sea', 'vn', 'Mien Nui Va Trung Du');
EXECUTE geo_sea_plan('Pacific Ocean', 'vu', 'Malampa');
EXECUTE geo_sea_plan('Pacific Ocean', 'vu', 'Penama');
EXECUTE geo_sea_plan('Pacific Ocean', 'vu', 'Sanma');
EXECUTE geo_sea_plan('Pacific Ocean', 'vu', 'Shefa');
EXECUTE geo_sea_plan('Pacific Ocean', 'vu', 'Tafea');
EXECUTE geo_sea_plan('Pacific Ocean', 'vu', 'Torba');
EXECUTE geo_sea_plan('Pacific Ocean', 'ws', 'Apia Urban Area');
EXECUTE geo_sea_plan('Pacific Ocean', 'ws', 'North West Upolu');
EXECUTE geo_sea_plan('Pacific Ocean', 'ws', 'Rest of Upolu');
EXECUTE geo_sea_plan('Pacific Ocean', 'ws', 'Savaii');
EXECUTE geo_sea_plan('Red Sea', 'ye', 'Hajjah');
EXECUTE geo_sea_plan('Red Sea', 'ye', 'Lahij');
EXECUTE geo_sea_plan('Red Sea', 'ye', 'Taizz');
EXECUTE geo_sea_plan('Red Sea', 'ye', 'al-Hudaydah');
EXECUTE geo_sea_plan('Mediterranean Sea', 'yu', 'Montenegro');
EXECUTE geo_sea_plan('Atlantic Ocean', 'za', 'Eastern Cape');
EXECUTE geo_sea_plan('Indian Ocean', 'za', 'Eastern Cape');
EXECUTE geo_sea_plan('Atlantic Ocean', 'za', 'KwaZulu Natal');
EXECUTE geo_sea_plan('Indian Ocean', 'za', 'KwaZulu Natal');
EXECUTE geo_sea_plan('Atlantic Ocean', 'za', 'Northern Cape');
EXECUTE geo_sea_plan('Indian Ocean', 'za', 'Northern Cape');
EXECUTE geo_sea_plan('Atlantic Ocean', 'za', 'Western Cape');
EXECUTE geo_sea_plan('Indian Ocean', 'za', 'Western Cape');
COMMIT;
DEALLOCATE geo_sea_plan;
ANALYZE geo_sea;
