BEGIN;
PREPARE located_plan (VARCHAR, VARCHAR, CHAR, VARCHAR, VARCHAR, VARCHAR) AS
    INSERT INTO located(City, Province, Country, River, Lake, Sea)
        VALUES($1, $2, $3, $4, $5, $6);
EXECUTE located_plan('Athens', 'Attiki', 'gr', NULL, NULL, 'Mediterranean Sea');
EXECUTE located_plan('Riga', 'Riga', 'lv', 'Western Dwina', NULL, 'Baltic Sea');
EXECUTE located_plan('Copenhagen', 'Frederiksberg Kommune', 'dk', NULL, NULL, 'Baltic Sea');
EXECUTE located_plan('Tallinn', 'Harju', 'ee', NULL, NULL, 'Baltic Sea');
EXECUTE located_plan('Helsinki', 'Uusimaa', 'fi', NULL, NULL, 'Baltic Sea');
EXECUTE located_plan('Stockholm', 'Stockholm', 'se', NULL, 'Maelaren', 'Baltic Sea');
EXECUTE located_plan('Reykjavik', 'Hoefueborgarsvaeei', 'is', NULL, NULL, 'Atlantic Ocean');
EXECUTE located_plan('Dublin', 'Dublin', 'ie', NULL, NULL, 'Irish Sea');
EXECUTE located_plan('Valletta', 'Inner Harbour', 'mt', NULL, NULL, 'Mediterranean Sea');
EXECUTE located_plan('Tbilisi', 'Tbilisi', 'ge', 'Kura', NULL, NULL);
EXECUTE located_plan('Baku', 'Baki', 'az', NULL, 'Caspian Sea', NULL);
EXECUTE located_plan('Manama', 'Manama', 'bh', NULL, NULL, 'Persian Gulf');
EXECUTE located_plan('Nassau', 'New Providence', 'bs', NULL, NULL, 'Atlantic Ocean');
EXECUTE located_plan('Bridgetown', 'Saint Michael', 'bb', NULL, NULL, 'Atlantic Ocean');
EXECUTE located_plan('Managua', 'Managua', 'ni', NULL, 'Lake Nicaragua', NULL);
EXECUTE located_plan('Roseau', 'Saint George', 'dm', NULL, NULL, 'Caribbean Sea');
EXECUTE located_plan('Port-au-Prince', 'Ouest', 'ht', NULL, NULL, 'Caribbean Sea');
EXECUTE located_plan('Kingston', 'Kingston', 'jm', NULL, NULL, 'Caribbean Sea');
EXECUTE located_plan('Castries', 'Castries', 'lc', NULL, NULL, 'Caribbean Sea');
EXECUTE located_plan('Kingstown', 'Saint George', 'vc', NULL, NULL, 'Caribbean Sea');
EXECUTE located_plan('Wellington', 'Wellington', 'nz', NULL, NULL, 'Pacific Ocean');
EXECUTE located_plan('Asuncion', 'Asuncion', 'py', 'Paraguay', NULL, NULL);
EXECUTE located_plan('Montevideo', 'Montevideo', 'uy', 'Rio de la Plata', NULL, 'Atlantic Ocean');
EXECUTE located_plan('Georgetown', 'Demerara-Mahaica', 'gy', NULL, NULL, 'Atlantic Ocean');
EXECUTE located_plan('Paramaribo', 'Paramaribo', 'sr', NULL, NULL, 'Atlantic Ocean');
EXECUTE located_plan('Algiers', 'Algiers', 'dz', NULL, NULL, 'Mediterranean Sea');
EXECUTE located_plan('Tripoli', 'Tripoli', 'ly', NULL, NULL, 'Mediterranean Sea');
EXECUTE located_plan('Bamako', 'Bamako', 'ml', 'Niger', NULL, NULL);
EXECUTE located_plan('Niamey', 'Niamey', 'ne', 'Niger', NULL, NULL);
EXECUTE located_plan('Tunis', 'Tunis', 'tn', NULL, NULL, 'Mediterranean Sea');
EXECUTE located_plan('Luanda', 'Luanda', 'ao', NULL, NULL, 'Atlantic Ocean');
EXECUTE located_plan('Lome', 'Maritime', 'tg', NULL, NULL, 'Atlantic Ocean');
EXECUTE located_plan('Accra', 'Greater Accra', 'gh', NULL, NULL, 'Atlantic Ocean');
EXECUTE located_plan('Bujumbura', 'Bujumbura', 'bi', NULL, 'Lake Tanganjika', NULL);
EXECUTE located_plan('Bangui', 'Bangui', 'cf', 'Ubangi', NULL, NULL);
EXECUTE located_plan('NDjamena', 'Chari-Baguirmi', 'td', 'Schari', NULL, NULL);
EXECUTE located_plan('Libreville', 'Estuaire', 'ga', NULL, NULL, 'Atlantic Ocean');
EXECUTE located_plan('Praia', 'Sao Tiago', 'cv', NULL, NULL, 'Atlantic Ocean');
EXECUTE located_plan('Moroni', 'Ngazidja', 'km', NULL, NULL, 'Indian Ocean');
EXECUTE located_plan('Conakry', 'Conakry', 'gn', NULL, NULL, 'Atlantic Ocean');
EXECUTE located_plan('Monrovia', 'Montserrado', 'lr', NULL, NULL, 'Atlantic Ocean');
EXECUTE located_plan('Mogadishu', 'Banadir', 'so', NULL, NULL, 'Indian Ocean');
EXECUTE located_plan('Banjul', 'Banjul', 'gm', NULL, NULL, 'Atlantic Ocean');
EXECUTE located_plan('Dakar', 'Dakar', 'sn', NULL, NULL, 'Atlantic Ocean');
EXECUTE located_plan('Freetown', 'Western', 'sl', NULL, NULL, 'Atlantic Ocean');
EXECUTE located_plan('Kampala', 'Central', 'ug', NULL, 'Lake Victoria', NULL);
EXECUTE located_plan('Victoria', 'British Columbia', 'ca', NULL, NULL, 'Pacific Ocean');
EXECUTE located_plan('Shkoder', 'Shkoder', 'al', NULL, 'Lake Skutari', NULL);
EXECUTE located_plan('Durres', 'Durres', 'al', NULL, NULL, 'Mediterranean Sea');
EXECUTE located_plan('Vlore', 'Vlore', 'al', NULL, NULL, 'Mediterranean Sea');
EXECUTE located_plan('Hamburg', 'Hamburg', 'de', 'Elbe', NULL, NULL);
EXECUTE located_plan('Esbjerg', 'Ribe', 'dk', NULL, NULL, 'North Sea');
EXECUTE located_plan('Espoo', 'Uusimaa', 'fi', NULL, NULL, 'Baltic Sea');
EXECUTE located_plan('Svolvaer', 'Nordland', 'no', NULL, NULL, 'Norwegian Sea');
EXECUTE located_plan('Narvik', 'Nordland', 'no', NULL, NULL, 'Norwegian Sea');
EXECUTE located_plan('Karlskrona', 'Blekinge', 'se', NULL, NULL, 'Baltic Sea');
EXECUTE located_plan('Visby', 'Gotland', 'se', NULL, NULL, 'Baltic Sea');
EXECUTE located_plan('Halmstad', 'Halland', 'se', NULL, NULL, 'North Sea');
EXECUTE located_plan('Kalmar', 'Kalmar', 'se', NULL, NULL, 'Baltic Sea');
EXECUTE located_plan('Lulea', 'Norrbotten', 'se', NULL, NULL, 'Baltic Sea');
EXECUTE located_plan('Madras', 'Tamil Nadu', 'in', NULL, NULL, 'Indian Ocean');
EXECUTE located_plan('Panaji', 'Goa', 'in', NULL, NULL, 'Indian Ocean');
EXECUTE located_plan('Yellowknife', 'Northwest Territories', 'ca', NULL, 'Great Slave Lake', NULL);
EXECUTE located_plan('Charlottetown', 'Prince Edward Island', 'ca', NULL, NULL, 'Atlantic Ocean');
EXECUTE located_plan('Bismarck', 'North Dakota', 'us', 'Missouri', NULL, NULL);
EXECUTE located_plan('Pierre', 'South Dakota', 'us', 'Missouri', NULL, NULL);
EXECUTE located_plan('Sydney', 'New South Wales', 'au', NULL, NULL, 'Pacific Ocean');
EXECUTE located_plan('Brisbane', 'Queensland', 'au', NULL, NULL, 'Pacific Ocean');
EXECUTE located_plan('Adelaide', 'South Australia', 'au', NULL, NULL, 'Indian Ocean');
EXECUTE located_plan('Melbourne', 'Victoria', 'au', NULL, NULL, 'Pacific Ocean');
EXECUTE located_plan('Perth', 'Western Australia', 'au', NULL, NULL, 'Indian Ocean');
EXECUTE located_plan('Salvador', 'Bahia', 'br', NULL, NULL, 'Atlantic Ocean');
EXECUTE located_plan('Fortaleza', 'Ceara', 'br', NULL, NULL, 'Atlantic Ocean');
EXECUTE located_plan('Recife', 'Pernambuco', 'br', NULL, NULL, 'Atlantic Ocean');
EXECUTE located_plan('Porto Alegre', 'Rio Grande do Sul', 'br', NULL, NULL, 'Atlantic Ocean');
EXECUTE located_plan('Belem', 'Para', 'br', NULL, NULL, 'Atlantic Ocean');
EXECUTE located_plan('Valparaiso', 'Valparaiso', 'cl', NULL, NULL, 'Pacific Ocean');
EXECUTE located_plan('Maracaibo', 'Zulia', 've', NULL, 'Lake Maracaibo', 'Caribbean Sea');
EXECUTE located_plan('Guayaquil', 'Guayas', 'ec', NULL, NULL, 'Pacific Ocean');
EXECUTE located_plan('Casablanca', 'Casablanca', 'ma', NULL, NULL, 'Atlantic Ocean');
EXECUTE located_plan('Lagos', 'Lagos', 'ng', NULL, NULL, 'Atlantic Ocean');
EXECUTE located_plan('Abidjan', 'Lagunes', 'ci', NULL, NULL, 'Atlantic Ocean');
EXECUTE located_plan('Bremen', 'Bremen', 'de', 'Weser', NULL, NULL);
EXECUTE located_plan('Abu Dhabi', 'Abu Dhabi', 'ae', NULL, NULL, 'Persian Gulf');
EXECUTE located_plan('Quebec', 'Quebec', 'ca', 'St. Lorenzstrom', NULL, NULL);
EXECUTE located_plan('New York', 'New York', 'us', 'Hudson River', NULL, 'Atlantic Ocean');
EXECUTE located_plan('Corrientes', 'Corrientes', 'ar', 'Parana', NULL, NULL);
EXECUTE located_plan('Formosa', 'Formosa', 'ar', 'Paraguay', NULL, NULL);
EXECUTE located_plan('Santa Fe', 'Santa Fe', 'ar', 'Parana', NULL, NULL);
EXECUTE located_plan('Parana', 'Entre Rios', 'ar', 'Parana', NULL, NULL);
EXECUTE located_plan('Rio de Janeiro', 'Rio de Janeiro', 'br', NULL, NULL, 'Atlantic Ocean');
EXECUTE located_plan('Kinshasa', 'Kinshasa', 'cd', 'Zaire', NULL, NULL);
EXECUTE located_plan('Lillehammer', 'Oppland', 'no', NULL, 'Mjoesen', NULL);
EXECUTE located_plan('Drammen', 'Buskerud', 'no', NULL, NULL, 'North Sea');
EXECUTE located_plan('Stavanger', 'Rogaland', 'no', NULL, NULL, 'North Sea');
EXECUTE located_plan('Bergen', 'Hordaland', 'no', NULL, NULL, 'North Sea');
EXECUTE located_plan('Belfast', 'Northern Ireland', 'uk', NULL, NULL, 'Irish Sea');
EXECUTE located_plan('Dubai', 'Dubai', 'ae', NULL, NULL, 'Persian Gulf');
EXECUTE located_plan('Saint Johns', 'Saint John', 'ag', NULL, NULL, 'Caribbean Sea');
EXECUTE located_plan('Montreal', 'Quebec', 'ca', 'St. Lorenzstrom', NULL, NULL);
EXECUTE located_plan('Toronto', 'Ontario', 'ca', NULL, 'Lake Ontario', NULL);
EXECUTE located_plan('Vancouver', 'British Columbia', 'ca', NULL, NULL, 'Pacific Ocean');
EXECUTE located_plan('Halifax', 'Nova Scotia', 'ca', NULL, NULL, 'Atlantic Ocean');
EXECUTE located_plan('Santo Domingo', 'Distrito Nacional', 'do', NULL, NULL, 'Caribbean Sea');
EXECUTE located_plan('Saint Georges', 'Saint George', 'gd', NULL, NULL, 'Caribbean Sea');
EXECUTE located_plan('Los Angeles', 'California', 'us', NULL, NULL, 'Pacific Ocean');
EXECUTE located_plan('Chicago', 'Illinois', 'us', NULL, 'Lake Michigan', NULL);
EXECUTE located_plan('San Diego', 'California', 'us', NULL, NULL, 'Pacific Ocean');
EXECUTE located_plan('Detroit', 'Michigan', 'us', NULL, 'Lake Erie', NULL);
EXECUTE located_plan('San Francisco', 'California', 'us', NULL, NULL, 'Pacific Ocean');
EXECUTE located_plan('Kansas City', 'Missouri', 'us', 'Missouri', NULL, NULL);
EXECUTE located_plan('Honolulu', 'Hawaii', 'us', NULL, NULL, 'Pacific Ocean');
EXECUTE located_plan('Miami', 'Florida', 'us', NULL, NULL, 'Atlantic Ocean');
EXECUTE located_plan('Baton Rouge', 'Louisiana', 'us', 'Mississippi', NULL, NULL);
EXECUTE located_plan('Little Rock', 'Arkansas', 'us', 'Arkansas', NULL, NULL);
EXECUTE located_plan('Salt Lake City', 'Utah', 'us', NULL, 'Great Salt Lake', NULL);
EXECUTE located_plan('Providence', 'Rhode Island', 'us', NULL, NULL, 'Atlantic Ocean');
EXECUTE located_plan('Hartford', 'Connecticut', 'us', 'Connecticut River', NULL, NULL);
EXECUTE located_plan('Jefferson City', 'Missouri', 'us', 'Missouri', NULL, NULL);
EXECUTE located_plan('Resistencia', 'Chaco', 'ar', 'Parana', NULL, NULL);
EXECUTE located_plan('Posadas', 'Misiones', 'ar', 'Parana', NULL, NULL);
EXECUTE located_plan('Rosario', 'Santa Fe', 'ar', 'Parana', NULL, NULL);
EXECUTE located_plan('Manaus', 'Amazonas', 'br', 'Amazonas', NULL, NULL);
EXECUTE located_plan('Sao Luis', 'Maranhao', 'br', NULL, NULL, 'Atlantic Ocean');
EXECUTE located_plan('Maceio', 'Alagoas', 'br', NULL, NULL, 'Atlantic Ocean');
EXECUTE located_plan('Natal', 'Rio Grande do Norte', 'br', NULL, NULL, 'Atlantic Ocean');
EXECUTE located_plan('Joao Pessoa', 'Paraiba', 'br', NULL, NULL, 'Atlantic Ocean');
EXECUTE located_plan('Aracaju', 'Sergipe', 'br', NULL, NULL, 'Atlantic Ocean');
EXECUTE located_plan('Florianopolis', 'Santa Catarina', 'br', NULL, NULL, 'Atlantic Ocean');
EXECUTE located_plan('Vitoria', 'Espirito Santo', 'br', NULL, NULL, 'Atlantic Ocean');
EXECUTE located_plan('Macapa', 'Amapa', 'br', 'Amazonas', NULL, NULL);
EXECUTE located_plan('Iquitos', 'Loreto', 'pe', 'Amazonas', NULL, NULL);
EXECUTE located_plan('Mombasa', 'Coast', 'ke', NULL, NULL, 'Indian Ocean');
EXECUTE located_plan('Port Louis', 'Black River', 'mu', NULL, NULL, 'Indian Ocean');
EXECUTE located_plan('Rabat', 'Rabat-Sale-Zammour-Zaer', 'ma', NULL, NULL, 'Atlantic Ocean');
EXECUTE located_plan('Sao Tome', 'Agua Grande', 'st', NULL, NULL, 'Atlantic Ocean');
COMMIT;
DEALLOCATE located_plan;
ANALYZE located;
