BEGIN;
PREPARE Politics_plan (CHAR, DATE, VARCHAR) AS
    INSERT INTO Politics(Country, Independence, Government)
        VALUES($1, $2, $3);
EXECUTE Politics_plan('ae', '1971-12-02', 'federation');
EXECUTE Politics_plan('af', '1919-08-19', 'Islamic republic');
EXECUTE Politics_plan('ag', '1981-11-01', 'constitutional monarchy');
EXECUTE Politics_plan('al', '1912-11-28', 'emerging democracy');
EXECUTE Politics_plan('am', '1991-09-21', 'republic');
EXECUTE Politics_plan('ao', '1975-11-11', 'republic');
EXECUTE Politics_plan('ar', '1816-07-09', 'republic');
EXECUTE Politics_plan('at', '1918-11-12', 'federal republic');
EXECUTE Politics_plan('au', '1901-01-01', 'federal-state system');
EXECUTE Politics_plan('az', '1991-08-30', 'republic');
EXECUTE Politics_plan('ba', '1992-03-01', 'federal democratic republic');
EXECUTE Politics_plan('bb', '1966-11-30', 'parliamentary democracy');
EXECUTE Politics_plan('bd', '1971-12-16', 'parliamentary democracy');
EXECUTE Politics_plan('be', '1830-10-04', 'federal parliamentary democracy under a constitutional monarch');
EXECUTE Politics_plan('bf', '1960-08-05', 'parliamentary republic');
EXECUTE Politics_plan('bg', '1878-03-03', 'parliamentary democracy');
EXECUTE Politics_plan('bh', '1971-08-15', 'constitutional hereditary monarchy');
EXECUTE Politics_plan('bi', '1962-07-01', 'republic');
EXECUTE Politics_plan('bj', '1960-08-01', 'republic under multiparty democratic rule');
EXECUTE Politics_plan('bn', '1984-01-01', 'constitutional sultanate');
EXECUTE Politics_plan('bo', '1825-08-06', 'republic');
EXECUTE Politics_plan('br', '1822-09-07', 'federative republic');
EXECUTE Politics_plan('bs', '1973-07-10', 'constitutional parliamentary democracy');
EXECUTE Politics_plan('bt', '1949-08-08', 'monarchy');
EXECUTE Politics_plan('bw', '1966-09-30', 'parliamentary republic');
EXECUTE Politics_plan('by', '1991-08-25', 'dictatorship');
EXECUTE Politics_plan('bz', '1981-09-21', 'parliamentary democracy');
EXECUTE Politics_plan('ca', '1867-07-01', 'confederation with parliamentary democracy');
EXECUTE Politics_plan('cd', '1960-06-30', 'dictatorship');
EXECUTE Politics_plan('cf', '1960-08-13', 'republic');
EXECUTE Politics_plan('cg', '1960-08-15', 'republic');
EXECUTE Politics_plan('ch', '1291-08-01', 'federal republic');
EXECUTE Politics_plan('ci', '1960-08-07', 'multiparty presidential regime');
EXECUTE Politics_plan('ck', '1965-08-04', 'parliamentary democracy');
EXECUTE Politics_plan('cl', '1810-09-18', 'republic');
EXECUTE Politics_plan('cm', '1960-01-01', 'unitary republic');
EXECUTE Politics_plan('cn', '1912-01-01', 'Communist state');
EXECUTE Politics_plan('co', '1810-07-20', 'republic');
EXECUTE Politics_plan('cr', '1821-09-15', 'democratic republic');
EXECUTE Politics_plan('cu', '1902-05-20', 'Communist state');
EXECUTE Politics_plan('cv', '1975-07-05', 'republic');
EXECUTE Politics_plan('cy', '1960-08-16', 'republic');
EXECUTE Politics_plan('cz', '1993-01-01', 'parliamentary democracy');
EXECUTE Politics_plan('de', '1871-01-18', 'federal republic');
EXECUTE Politics_plan('dj', '1977-06-27', 'republic');
EXECUTE Politics_plan('dk', '1000-01-01', 'constitutional monarchy');
EXECUTE Politics_plan('dm', '1978-11-03', 'parliamentary democracy');
EXECUTE Politics_plan('do', '1844-02-27', 'representative democracy');
EXECUTE Politics_plan('dz', '1962-07-05', 'republic');
EXECUTE Politics_plan('ec', '1822-05-24', 'republic');
EXECUTE Politics_plan('ee', '1991-08-20', 'parliamentary republic');
EXECUTE Politics_plan('eg', '1922-02-28', 'republic');
EXECUTE Politics_plan('er', '1993-05-24', 'transitional government');
EXECUTE Politics_plan('es', '0800-01-01', 'parliamentary monarchy');
EXECUTE Politics_plan('fi', '1917-12-06', 'republic');
EXECUTE Politics_plan('fj', '1970-10-10', 'republic');
EXECUTE Politics_plan('fm', '1986-11-03', 'constitutional government');
EXECUTE Politics_plan('ga', '1960-08-17', 'multiparty presidential regime');
EXECUTE Politics_plan('gd', '1974-02-07', 'constitutional monarchy');
EXECUTE Politics_plan('ge', '1991-04-09', 'republic');
EXECUTE Politics_plan('gh', '1957-03-06', 'constitutional democracy');
EXECUTE Politics_plan('gm', '1965-02-18', 'republic');
EXECUTE Politics_plan('gn', '1958-10-02', 'republic');
EXECUTE Politics_plan('gq', '1968-10-12', 'republic');
EXECUTE Politics_plan('gt', '1821-09-15', 'constitutional democratic republic');
EXECUTE Politics_plan('gw', '1973-09-24', 'republic');
EXECUTE Politics_plan('gy', '1966-05-26', 'republic within the Commonwealth');
EXECUTE Politics_plan('hn', '1821-09-15', 'democratic constitutional republic');
EXECUTE Politics_plan('hr', '1991-06-25', 'presidential democracy');
EXECUTE Politics_plan('ht', '1804-01-01', 'elected government');
EXECUTE Politics_plan('id', '1945-08-17', 'republic');
EXECUTE Politics_plan('ie', '1921-12-06', 'republic');
EXECUTE Politics_plan('il', '1948-05-14', 'parliamentary democracy');
EXECUTE Politics_plan('in', '1947-08-15', 'federal republic');
EXECUTE Politics_plan('iq', '1932-10-03', 'Iraqi Interim Government');
EXECUTE Politics_plan('ir', '1979-04-01', 'theocratic republic');
EXECUTE Politics_plan('is', '1918-12-01', 'constitutional republic');
EXECUTE Politics_plan('it', '1861-03-17', 'republic');
EXECUTE Politics_plan('jm', '1962-08-06', 'constitutional parliamentary democracy');
EXECUTE Politics_plan('jo', '1946-05-25', 'constitutional monarchy');
EXECUTE Politics_plan('ke', '1963-12-12', 'republic');
EXECUTE Politics_plan('kg', '1991-08-31', 'republic');
EXECUTE Politics_plan('kh', '1953-11-09', 'multiparty democracy under a constitutional monarchy');
EXECUTE Politics_plan('ki', '1979-07-12', 'republic');
EXECUTE Politics_plan('km', '1975-07-06', 'independent republic');
EXECUTE Politics_plan('kn', '1983-09-19', 'constitutional monarchy');
EXECUTE Politics_plan('kp', '1945-08-15', 'Communist state one-man dictatorship');
EXECUTE Politics_plan('kr', '1945-08-15', 'republic');
EXECUTE Politics_plan('kw', '1961-06-19', 'nominal constitutional monarchy');
EXECUTE Politics_plan('kz', '1991-12-16', 'republic');
EXECUTE Politics_plan('la', '1949-07-19', 'Communist state');
EXECUTE Politics_plan('lb', '1943-11-22', 'republic');
EXECUTE Politics_plan('lc', '1979-02-22', 'parliamentary democracy');
EXECUTE Politics_plan('li', '1719-01-23', 'hereditary constitutional monarchy');
EXECUTE Politics_plan('lk', '1948-02-04', 'republic');
EXECUTE Politics_plan('lr', '1847-07-26', 'republic');
EXECUTE Politics_plan('ls', '1966-10-04', 'parliamentary constitutional monarchy');
EXECUTE Politics_plan('lt', '1990-03-11', 'parliamentary democracy');
EXECUTE Politics_plan('lv', '1991-08-21', 'parliamentary democracy');
EXECUTE Politics_plan('ly', '1951-12-24', 'military dictatorship');
EXECUTE Politics_plan('ma', '1956-03-02', 'constitutional monarchy');
EXECUTE Politics_plan('md', '1991-08-27', 'republic');
EXECUTE Politics_plan('mg', '1960-06-26', 'republic');
EXECUTE Politics_plan('mh', '1986-10-21', 'constitutional government');
EXECUTE Politics_plan('mk', '1991-09-08', 'parliamentary democracy');
EXECUTE Politics_plan('ml', '1960-09-22', 'republic');
EXECUTE Politics_plan('mm', '1948-01-04', 'military junta');
EXECUTE Politics_plan('mn', '1921-07-11', 'mixed parliamentary/presidential');
EXECUTE Politics_plan('mr', '1960-11-28', 'republic');
EXECUTE Politics_plan('mt', '1964-09-21', 'republic');
EXECUTE Politics_plan('mu', '1968-03-12', 'parliamentary democracy');
EXECUTE Politics_plan('mv', '1965-07-26', 'republic');
EXECUTE Politics_plan('mw', '1964-07-06', 'multiparty democracy');
EXECUTE Politics_plan('mx', '1810-09-16', 'federal republic');
EXECUTE Politics_plan('my', '1957-08-31', 'constitutional monarchy');
EXECUTE Politics_plan('mz', '1975-06-25', 'republic');
EXECUTE Politics_plan('na', '1990-03-21', 'republic');
EXECUTE Politics_plan('ne', '1960-08-03', 'republic');
EXECUTE Politics_plan('ng', '1960-10-01', 'republic');
EXECUTE Politics_plan('ni', '1821-09-15', 'republic');
EXECUTE Politics_plan('nl', '1579-01-23', 'constitutional monarchy');
EXECUTE Politics_plan('no', '1905-06-07', 'constitutional monarchy');
EXECUTE Politics_plan('nr', '1968-01-31', 'republic');
EXECUTE Politics_plan('nu', '1974-10-19', 'parliamentary democracy');
EXECUTE Politics_plan('nz', '1907-09-26', 'parliamentary democracy');
EXECUTE Politics_plan('pa', '1903-11-03', 'constitutional democracy');
EXECUTE Politics_plan('pe', '1821-07-28', 'constitutional republic');
EXECUTE Politics_plan('pg', '1975-09-16', 'constitutional monarchy with parliamentary democracy');
EXECUTE Politics_plan('ph', '1898-06-12', 'republic');
EXECUTE Politics_plan('pk', '1947-08-14', 'federal republic');
EXECUTE Politics_plan('pl', '1918-11-11', 'republic');
EXECUTE Politics_plan('pt', '1910-10-05', 'parliamentary democracy');
EXECUTE Politics_plan('pw', '1994-10-01', 'constitutional government');
EXECUTE Politics_plan('py', '1811-05-14', 'constitutional republic');
EXECUTE Politics_plan('qa', '1971-09-03', 'traditional monarchy');
EXECUTE Politics_plan('ro', '1877-05-09', 'republic');
EXECUTE Politics_plan('ru', '1991-08-24', 'federation');
EXECUTE Politics_plan('rw', '1962-07-01', 'republic; presidential, multiparty system');
EXECUTE Politics_plan('sa', '1932-09-23', 'monarchy');
EXECUTE Politics_plan('sb', '1978-07-07', 'parliamentary democracy tending toward anarchy');
EXECUTE Politics_plan('sc', '1976-06-29', 'republic');
EXECUTE Politics_plan('sd', '1956-01-01', 'authoritarian regime');
EXECUTE Politics_plan('se', '1523-06-06', 'constitutional monarchy');
EXECUTE Politics_plan('sg', '1965-08-09', 'parliamentary republic');
EXECUTE Politics_plan('si', '1991-06-25', 'parliamentary democratic republic');
EXECUTE Politics_plan('sk', '1993-01-01', 'parliamentary democracy');
EXECUTE Politics_plan('sl', '1961-04-27', 'constitutional democracy');
EXECUTE Politics_plan('sn', '1960-04-04', 'republic under multiparty democratic rule');
EXECUTE Politics_plan('so', '1960-07-01', 'no permanent national government');
EXECUTE Politics_plan('sr', '1975-11-25', 'constitutional democracy');
EXECUTE Politics_plan('st', '1975-07-12', 'republic');
EXECUTE Politics_plan('sv', '1821-09-15', 'republic');
EXECUTE Politics_plan('sy', '1946-04-17', 'republic under military regime');
EXECUTE Politics_plan('sz', '1968-09-06', 'monarchy');
EXECUTE Politics_plan('td', '1960-08-11', 'republic');
EXECUTE Politics_plan('tg', '1960-04-27', 'republic under transition to multiparty democratic rule');
EXECUTE Politics_plan('tj', '1991-09-09', 'republic');
EXECUTE Politics_plan('tm', '1991-10-27', 'republic');
EXECUTE Politics_plan('tn', '1956-03-20', 'republic');
EXECUTE Politics_plan('to', '1970-06-04', 'hereditary constitutional monarchy');
EXECUTE Politics_plan('tp', '1975-11-28', 'Republic');
EXECUTE Politics_plan('tr', '1923-10-29', 'republican parliamentary democracy');
EXECUTE Politics_plan('tt', '1962-08-31', 'parliamentary democracy');
EXECUTE Politics_plan('tv', '1978-10-01', 'constitutional monarchy with a parliamentary democracy');
EXECUTE Politics_plan('tz', '1964-04-26', 'republic');
EXECUTE Politics_plan('ua', '1991-08-24', 'republic');
EXECUTE Politics_plan('ug', '1962-10-09', 'republic');
EXECUTE Politics_plan('uk', '1000-01-01', 'constitutional monarchy');
EXECUTE Politics_plan('us', '1776-07-04', 'Constitution-based federal republic; strong democratic tradition');
EXECUTE Politics_plan('uy', '1825-08-25', 'constitutional republic');
EXECUTE Politics_plan('uz', '1991-09-01', 'authoritarian presidential rule, with little power outside the executive branch');
EXECUTE Politics_plan('va', '1929-02-11', 'ecclesiastical');
EXECUTE Politics_plan('vc', '1979-10-27', 'parliamentary democracy');
EXECUTE Politics_plan('ve', '1811-07-05', 'federal republic');
EXECUTE Politics_plan('vn', '1945-09-02', 'Communist state');
EXECUTE Politics_plan('vu', '1980-07-30', 'parliamentary republic');
EXECUTE Politics_plan('ws', '1962-01-01', 'constitutional monarchy');
EXECUTE Politics_plan('ye', '1990-05-22', 'republic');
EXECUTE Politics_plan('yu', '1992-04-27', 'republic');
EXECUTE Politics_plan('za', '1910-05-31', 'republic');
EXECUTE Politics_plan('zm', '1964-10-24', 'republic');
EXECUTE Politics_plan('zw', '1980-04-18', 'parliamentary democracy');
COMMIT;
DEALLOCATE Politics_plan;
ANALYZE Politics;
