BEGIN;
PREPARE River_plan (VARCHAR, VARCHAR, VARCHAR, VARCHAR, NUMERIC) AS
    INSERT INTO River(Name, River, Lake, Sea, Length)
        VALUES($1, $2, $3, $4, $5);
EXECUTE River_plan('Amazonas', NULL, NULL, 'Atlantic Ocean', '6518');
EXECUTE River_plan('Amudarja', NULL, 'Ozero Aral', NULL, '1415');
EXECUTE River_plan('Amur', NULL, NULL, 'Arctic Ocean', '2918');
EXECUTE River_plan('Argun', 'Amur', NULL, NULL, '1620');
EXECUTE River_plan('Arkansas', 'Mississippi', NULL, NULL, '2334');
EXECUTE River_plan('Atbara', 'Nile', NULL, NULL, NULL);
EXECUTE River_plan('Bahr el-Djebel', 'White Nile', NULL, NULL, NULL);
EXECUTE River_plan('Bahr el-Gasal', 'White Nile', NULL, NULL, NULL);
EXECUTE River_plan('Bani', 'Niger', NULL, NULL, NULL);
EXECUTE River_plan('Baro', 'Sobat', NULL, NULL, NULL);
EXECUTE River_plan('Benue', 'Niger', NULL, NULL, NULL);
EXECUTE River_plan('Bija', 'Ob', NULL, NULL, '688');
EXECUTE River_plan('Black Drin', 'Drin', NULL, NULL, '133');
EXECUTE River_plan('Black Irtysch', 'Irtysch', NULL, NULL, '672');
EXECUTE River_plan('Blue Nile', 'Nile', NULL, NULL, NULL);
EXECUTE River_plan('Bomu', 'Ubangi', NULL, NULL, '280');
EXECUTE River_plan('Busira', 'Ruki', NULL, NULL, '830');
EXECUTE River_plan('Casai', 'Kwa', NULL, NULL, '1570');
EXECUTE River_plan('Chatanga', NULL, NULL, 'Arctic Ocean', '1636');
EXECUTE River_plan('Chire', 'Zambezi', NULL, NULL, NULL);
EXECUTE River_plan('Colorado', NULL, NULL, 'Pacific Ocean', '2700');
EXECUTE River_plan('Columbia River', NULL, NULL, 'Pacific Ocean', '1952');
EXECUTE River_plan('Connecticut River', NULL, NULL, 'Atlantic Ocean', '660');
EXECUTE River_plan('Cuango', 'Kwa', NULL, NULL, '1230');
EXECUTE River_plan('Cuanza', NULL, NULL, 'Atlantic Ocean', NULL);
EXECUTE River_plan('Cuilo', 'Kwa', NULL, NULL, '970');
EXECUTE River_plan('Cunene', NULL, NULL, 'Atlantic Ocean', NULL);
EXECUTE River_plan('Dalaelv', NULL, NULL, 'Baltic Sea', '520');
EXECUTE River_plan('Djuba', NULL, NULL, 'Indian Ocean', NULL);
EXECUTE River_plan('Dnepr', NULL, NULL, 'Black Sea', '2201');
EXECUTE River_plan('Don', NULL, NULL, 'Sea of Azov', '1870');
EXECUTE River_plan('Donau', NULL, NULL, 'Black Sea', '2850');
EXECUTE River_plan('Drin', NULL, NULL, 'Mediterranean Sea', NULL);
EXECUTE River_plan('Elbe', NULL, NULL, 'North Sea', '1144');
EXECUTE River_plan('Fulda', 'Weser', NULL, NULL, '218');
EXECUTE River_plan('Gambia', NULL, NULL, 'Atlantic Ocean', NULL);
EXECUTE River_plan('Garonne', NULL, NULL, 'Atlantic Ocean', '650');
EXECUTE River_plan('Gloma', NULL, NULL, 'North Sea', '598');
EXECUTE River_plan('Goetaaelv', NULL, NULL, 'North Sea', '93');
EXECUTE River_plan('Grosser Jenissej', 'Jenissej', NULL, NULL, '605');
EXECUTE River_plan('Han', NULL, NULL, 'Yellow Sea', NULL);
EXECUTE River_plan('Hudson River', NULL, NULL, 'Atlantic Ocean', '493');
EXECUTE River_plan('Hwangho', NULL, NULL, 'Yellow Sea', NULL);
EXECUTE River_plan('Ingoda', 'Schilka', NULL, NULL, '708');
EXECUTE River_plan('Irtysch', 'Ob', NULL, NULL, '4248');
EXECUTE River_plan('Ischim', 'Irtysch', NULL, NULL, '2450');
EXECUTE River_plan('Jangtse-Kiang', NULL, NULL, 'East China Sea', '6100');
EXECUTE River_plan('Jenissej', NULL, NULL, 'Arctic Ocean', '4130');
EXECUTE River_plan('Joekulsa a Fjoellum', NULL, NULL, 'Norwegian Sea', '206');
EXECUTE River_plan('Jug', 'Northern Dwina', NULL, NULL, '574');
EXECUTE River_plan('Kafue', 'Zambezi', NULL, NULL, NULL);
EXECUTE River_plan('Karun', NULL, NULL, 'Persian Gulf', '890');
EXECUTE River_plan('Katun', 'Ob', NULL, NULL, '306');
EXECUTE River_plan('Kemijoki', NULL, NULL, 'Baltic Sea', '520');
EXECUTE River_plan('Kitakami', NULL, NULL, 'Pacific Ocean', NULL);
EXECUTE River_plan('Klaraelv', NULL, 'Vaenern', NULL, '347');
EXECUTE River_plan('Kleiner Jenissej', 'Jenissej', NULL, NULL, '680');
EXECUTE River_plan('Kokemaeenjoki', NULL, NULL, 'Baltic Sea', '169');
EXECUTE River_plan('Kolyma', NULL, NULL, 'Arctic Ocean', '2513');
EXECUTE River_plan('Kura', NULL, 'Caspian Sea', NULL, '1364');
EXECUTE River_plan('Kwa', 'Zaire', NULL, NULL, '100');
EXECUTE River_plan('Lena', NULL, NULL, 'Arctic Ocean', '4400');
EXECUTE River_plan('Limpopo', NULL, NULL, 'Indian Ocean', NULL);
EXECUTE River_plan('Loire', NULL, NULL, 'Atlantic Ocean', '1010');
EXECUTE River_plan('Lomami', 'Zaire', NULL, NULL, '1600');
EXECUTE River_plan('Luangwa', 'Zambezi', NULL, NULL, NULL);
EXECUTE River_plan('Lukuga', 'Zaire', NULL, NULL, '230');
EXECUTE River_plan('Luvua', 'Zaire', NULL, NULL, '210');
EXECUTE River_plan('Mekong', NULL, NULL, 'South China Sea', '4500');
EXECUTE River_plan('Mississippi', NULL, NULL, 'Gulf of Mexico', '3750');
EXECUTE River_plan('Missouri', 'Mississippi', NULL, NULL, '3726');
EXECUTE River_plan('Moldau', 'Elbe', NULL, NULL, '435');
EXECUTE River_plan('Neva', NULL, NULL, 'Baltic Sea', '74');
EXECUTE River_plan('Niger', NULL, NULL, 'Atlantic Ocean', NULL);
EXECUTE River_plan('Nile', NULL, NULL, 'Mediterranean Sea', NULL);
EXECUTE River_plan('Northern Dwina', NULL, NULL, 'Arctic Ocean', '740');
EXECUTE River_plan('Ob', NULL, NULL, 'Arctic Ocean', '3680');
EXECUTE River_plan('Oesterdalaelv', 'Dalaelv', NULL, NULL, NULL);
EXECUTE River_plan('Oka', 'Volga', NULL, NULL, '1480');
EXECUTE River_plan('Onon', 'Schilka', NULL, NULL, '1032');
EXECUTE River_plan('Oranje', NULL, NULL, 'Atlantic Ocean', NULL);
EXECUTE River_plan('Orinoco', NULL, NULL, 'Atlantic Ocean', '2736');
EXECUTE River_plan('Oulujoki', NULL, NULL, 'Baltic Sea', NULL);
EXECUTE River_plan('Ounasjoki', 'Kemijoki', NULL, NULL, NULL);
EXECUTE River_plan('Paraguay', 'Parana', NULL, NULL, '2200');
EXECUTE River_plan('Parana', 'Rio de la Plata', NULL, NULL, '4700');
EXECUTE River_plan('Petschora', NULL, NULL, 'Arctic Ocean', '1809');
EXECUTE River_plan('Pibor', 'Sobat', NULL, NULL, NULL);
EXECUTE River_plan('Pjandsh', 'Amudarja', NULL, NULL, '1125');
EXECUTE River_plan('Rhein', NULL, 'Bodensee', 'North Sea', '1320');
EXECUTE River_plan('Rhone', NULL, NULL, 'Mediterranean Sea', '812');
EXECUTE River_plan('Rio Balsas', NULL, NULL, 'Atlantic Ocean', '770');
EXECUTE River_plan('Rio Grande', NULL, NULL, 'Gulf of Mexico', '3030');
EXECUTE River_plan('Rio de la Plata', NULL, NULL, 'Atlantic Ocean', '300');
EXECUTE River_plan('Rufiji', NULL, NULL, 'Indian Ocean', NULL);
EXECUTE River_plan('Ruki', 'Zaire', NULL, NULL, '730');
EXECUTE River_plan('Ruvuma', NULL, NULL, 'Indian Ocean', NULL);
EXECUTE River_plan('Sanaga', NULL, NULL, 'Atlantic Ocean', NULL);
EXECUTE River_plan('Sanga', 'Zaire', NULL, NULL, '530');
EXECUTE River_plan('Save', NULL, NULL, 'Indian Ocean', NULL);
EXECUTE River_plan('Schari', NULL, 'Tschadsee', NULL, NULL);
EXECUTE River_plan('Schilka', 'Amur', NULL, NULL, '560');
EXECUTE River_plan('Seine', NULL, NULL, 'North Sea', '776');
EXECUTE River_plan('Senegal', NULL, NULL, 'Atlantic Ocean', NULL);
EXECUTE River_plan('Sobat', 'White Nile', NULL, NULL, NULL);
EXECUTE River_plan('St. Lorenzstrom', NULL, NULL, 'Atlantic Ocean', '1170');
EXECUTE River_plan('Suchona', 'Northern Dwina', NULL, NULL, '562');
EXECUTE River_plan('Syrdarja', NULL, 'Ozero Aral', NULL, '2212');
EXECUTE River_plan('Tana', NULL, NULL, 'Indian Ocean', NULL);
EXECUTE River_plan('Thames', NULL, NULL, 'North Sea', '346');
EXECUTE River_plan('Thjorsa', NULL, NULL, 'Atlantic Ocean', '230');
EXECUTE River_plan('Tobol', 'Ob', NULL, NULL, '1591');
EXECUTE River_plan('Torneaelv', NULL, NULL, 'Baltic Sea', '375');
EXECUTE River_plan('Tshuapa', 'Busira', NULL, NULL, '1300');
EXECUTE River_plan('Ubangi', 'Zaire', NULL, NULL, '2300');
EXECUTE River_plan('Uelle', 'Ubangi', NULL, NULL, '560');
EXECUTE River_plan('Umeaelv', NULL, NULL, 'Baltic Sea', NULL);
EXECUTE River_plan('Ural', NULL, 'Caspian Sea', NULL, '2428');
EXECUTE River_plan('Uruguay', 'Rio de la Plata', NULL, NULL, '1650');
EXECUTE River_plan('Vaal', 'Oranje', NULL, NULL, NULL);
EXECUTE River_plan('Vaesterdalaelv', 'Dalaelv', NULL, NULL, NULL);
EXECUTE River_plan('Volga', NULL, 'Caspian Sea', NULL, '3531');
EXECUTE River_plan('Volta', NULL, NULL, 'Atlantic Ocean', NULL);
EXECUTE River_plan('Webi Schebeli', NULL, NULL, 'Indian Ocean', NULL);
EXECUTE River_plan('Weichsel', NULL, NULL, 'Baltic Sea', '1068');
EXECUTE River_plan('Werra', 'Weser', NULL, NULL, '292');
EXECUTE River_plan('Weser', NULL, NULL, 'North Sea', '477');
EXECUTE River_plan('Western Dwina', NULL, NULL, 'Baltic Sea', '1020');
EXECUTE River_plan('White Drin', 'Drin', NULL, NULL, NULL);
EXECUTE River_plan('White Nile', 'Nile', NULL, NULL, NULL);
EXECUTE River_plan('Zaire', NULL, NULL, 'Atlantic Ocean', '4320');
EXECUTE River_plan('Zambezi', NULL, NULL, 'Indian Ocean', NULL);
COMMIT;
DEALLOCATE River_plan;
ANALYZE River;
